%--------------------------------------------------------------------------
% File     : GRP006-0 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Group Theory (Named groups)
% Axioms   : Substitution axioms for group theory axioms
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : 

% Status   : 
% Syntax   : Number of clauses    :   12 (   0 non-Horn;   0 unit;   7 RR)
%            Number of literals   :   30 (  18 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-4 arity)
%            Number of functors   :    3 (   0 constant; 1-3 arity)
%            Number of variables  :   46 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(product_substitution1,axiom,
    [--equal(Xg,Yg),
     --product(Xg,X,Y,Z),
     ++product(Yg,X,Y,Z)]).

input_clause(product_substitution2,axiom,
    [--equal(X,Y),
     --product(Xg,X,Z,W),
     ++product(Xg,Y,Z,W)]).

input_clause(product_substitution3,axiom,
    [--equal(X,Y),
     --product(Xg,W,X,Z),
     ++product(Xg,W,Y,Z)]).

input_clause(product_substitution4,axiom,
    [--equal(X,Y),
     --product(Xg,W,Z,X),
     ++product(Xg,W,Z,Y)]).

input_clause(multiply_substitution1,axiom,
    [--equal(Xg,Yg),
     ++equal(multiply(Xg,X,Y),multiply(Yg,X,Y))]).

input_clause(multiply_substitution2,axiom,
    [--equal(X,Y),
     ++equal(multiply(Xg,X,Z),multiply(Xg,Y,Z))]).

input_clause(multiply_substitution3,axiom,
    [--equal(X,Y),
     ++equal(multiply(Xg,Z,X),multiply(Xg,Z,Y))]).

input_clause(inverse_substitution1,axiom,
    [--equal(Xg,Yg),
     ++equal(inverse(Xg,X),inverse(Yg,X))]).

input_clause(inverse_substitution2,axiom,
    [--equal(X,Y),
     ++equal(inverse(Xg,X),inverse(Xg,Y))]).

input_clause(group_member_substitution1,axiom,
    [--equal(Xg,Yg),
     --group_member(X,Xg),
     ++group_member(X,Yg)]).

input_clause(group_member_substitution2,axiom,
    [--equal(X,Y),
     --group_member(X,Xg),
     ++group_member(Y,Xg)]).

input_clause(identity_substitution,axiom,
    [--equal(Xg,Yg),
     ++equal(identity_for(Xg),identity_for(Yg))]).
%--------------------------------------------------------------------------
