%--------------------------------------------------------------------------
% File     : SET006+0 : TPTP v2.2.0. Released v2.2.0.
% Domain   : Set Theory
% Axioms   : Substitution axioms for naive set theory axioms
% Version  : [Pas99] axioms.
% English  :

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   :
% Syntax   : Number of formulae    :   18 (   0 unit)
%            Number of atoms       :   42 (  30 equality)
%            Maximal formula depth :    4 (   3 average)
%            Number of connectives :   24 (   0 ~  ;   0  |;   6  &)
%                                         (   0 <=>;  18 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    4 (   0 propositional; 2-2 arity)
%            Number of functors    :    8 (   0 constant; 1-2 arity)
%            Number of variables   :   50 (   0 singleton;  50 !;   0 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(equal_set_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & equal_set(A,C) )
     => equal_set(B,C) )   )).

input_formula(equal_set_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & equal_set(C,A) )
     => equal_set(C,B) )   )).

input_formula(subset_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & subset(A,C) )
     => subset(B,C) )   )).

input_formula(subset_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & subset(C,A) )
     => subset(C,B) )   )).

input_formula(member_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & member(A,C) )
     => member(B,C) )   )).

input_formula(member_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & member(C,A) )
     => member(C,B) )   )).

input_formula(power_set_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(power_set(A),power_set(B)) )   )).

input_formula(intersection_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(intersection(A,C),intersection(B,C)) )   )).

input_formula(intersection_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(intersection(C,A),intersection(C,B)) )   )).

input_formula(union_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(union(A,C),union(B,C)) )   )).

input_formula(union_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(union(C,A),union(C,B)) )   )).

input_formula(difference_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(difference(A,C),difference(B,C)) )   )).

input_formula(difference_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(difference(C,A),difference(C,B)) )   )).

input_formula(singleton_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(singleton(A),singleton(B)) )   )).

input_formula(unordered_pair_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(unordered_pair(A,C),unordered_pair(B,C)) )   )).

input_formula(unordered_pair_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(unordered_pair(C,A),unordered_pair(C,B)) )   )).

input_formula(sum_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(sum(A),sum(B)) )   )).

input_formula(product_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(product(A),product(B)) )   )).
%--------------------------------------------------------------------------
