%--------------------------------------------------------------------------
% File     : ALG008-1 : TPTP v2.2.0. Released v2.2.0.
% Domain   : General Algebra
% Problem  : TC + right identity does not give RC.
% Version  : [MP96] (equality) axioms : Especial.
% English  : An algebra with a right identity satisfying the Thomsen
%            Closure (RC) condition does not necessarily satisfy the
%            Reidemeister Closure (RC) condition.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : TC-3 [MP96]

% Status   : satisfiable
% Rating   : ? v2.2.0
% Syntax   : Number of clauses    :   11 (   0 non-Horn;   6 unit;   7 RR)
%            Number of literals   :   20 (  20 equality)
%            Maximal clause size  :    5 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    9 (   8 constant; 0-2 arity)
%            Number of variables  :   21 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : The smallest model has 3 elements.
%--------------------------------------------------------------------------
%----Include the axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(multiply_substitution_1,axiom,
    [--equal(A,B),
     ++equal(multiply(A,C),multiply(B,C))]).

input_clause(multiply_substitution_2,axiom,
    [--equal(A,B),
     ++equal(multiply(C,A),multiply(C,B))]).

%----Thomsen Closure (TC) condition:
input_clause(thomsen_closure,axiom,
    [--equal(multiply(X,Y),Z),
     --equal(multiply(U,V),Z),
     --equal(multiply(X,W),V6),
     --equal(multiply(V7,V),V6),
     ++equal(multiply(U,W),multiply(V7,Y))]).

%----Right identity:
input_clause(right_identity,axiom,
    [++equal(multiply(X,identity),X)]).

%----Denial of Reidimeister Closure (RC) condidition.
input_clause(prove_reidimeister1,conjecture,
    [++equal(multiply(c4,a),multiply(c3,b))]).

input_clause(prove_reidimeister2,conjecture,
    [++equal(multiply(c2,a),multiply(c1,b))]).

input_clause(prove_reidimeister3,conjecture,
    [++equal(multiply(c4,f),multiply(c3,identity))]).

input_clause(prove_reidimeister4,conjecture,
    [--equal(multiply(c2,f),multiply(c1,identity))]).
%--------------------------------------------------------------------------
