%--------------------------------------------------------------------------
% File     : ANA005-1 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Analysis
% Problem  : The sum of two continuous functions is continuous
% Version  : [MOW76] axioms : Incomplete > Augmented > Complete.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : BL3 [MOW76]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   38 (   0 non-Horn;   8 unit;  28 RR)
%            Number of literals   :   78 (  37 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :   15 (   5 constant; 0-2 arity)
%            Number of variables  :   75 (   0 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : No natural language descriptions are available.
%          : Contributed to the ANL library by Woody Bledsoe.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include limits axioms 
include('Axioms/ANA001-0.ax').
%----Include equality axioms for limits axioms 
include('Axioms/ANA001-0.eq').
%--------------------------------------------------------------------------
%----Equality substitution axioms 
input_clause(absolute_substitutivity1,axiom,
    [--equal(A,B),
     ++equal(absolute(A),absolute(B))]).

input_clause(f_substitutivity1,axiom,
    [--equal(C,D),
     ++equal(f(C),f(D))]).

input_clause(fp31_substitutivity1,axiom,
    [--equal(E,F),
     ++equal(fp31(E),fp31(F))]).

input_clause(fp32_substitutivity1,axiom,
    [--equal(G,H),
     ++equal(fp32(G),fp32(H))]).

input_clause(fp33_substitutivity1,axiom,
    [--equal(I,J),
     ++equal(fp33(I),fp33(J))]).

input_clause(g_substitutivity1,axiom,
    [--equal(K,L),
     ++equal(g(K),g(L))]).

%----Clauses from the theorem 
input_clause(c_10,conjecture,
    [--less_than(0,X),
     ++less_than(0,fp31(X))]).

input_clause(c_11,conjecture,
    [--less_than(0,X),
     --less_than(absolute(add(Y,minus(a))),fp31(X)),
     ++less_than(absolute(add(f(Y),minus(l1))),X)]).

input_clause(c_12,conjecture,
    [--less_than(0,X),
     ++less_than(0,fp32(X))]).

input_clause(c_13,conjecture,
    [--less_than(0,X),
     --less_than(absolute(add(Y,minus(a))),fp32(X)),
     ++less_than(absolute(add(g(Y),minus(l2))),X)]).

input_clause(c_14,conjecture,
    [++less_than(0,b)]).

input_clause(c_15,conjecture,
    [--less_than(0,X),
     ++less_than(absolute(add(fp33(X),minus(a))),X)]).

input_clause(c_16,conjecture,
    [--less_than(0,X),
     --less_than(absolute(add(add(f(fp33(X)),g(fp33(X))),
minus(add(l1,l2)))),b)]).
%--------------------------------------------------------------------------
