%--------------------------------------------------------------------------
% File     : ANA005-2 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Analysis
% Problem  : The sum of two continuous functions is continuous
% Version  : [MOW76] axioms : Incomplete.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : prob2.ver1.in [ANL]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   16 (   0 non-Horn;   4 unit;  14 RR)
%            Number of literals   :   35 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :   15 (   5 constant; 0-2 arity)
%            Number of variables  :   24 (   0 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : No natural language descriptions are available.
%          : Contributed to the ANL library by Woody Bledsoe.
%--------------------------------------------------------------------------
%----Axiom 1 
input_clause(right_identity,axiom,
    [++equalish(add(X,0),X)]).

input_clause(left_identity,axiom,
    [++equalish(add(0,X),X)]).

input_clause(reflexivity_of_less_than,axiom,
    [--less_than(X,X)]).

%----Less than transitivity 
input_clause(transitivity_of_less_than,axiom,
    [--less_than(X,Y),
     --less_than(Y,Z),
     ++less_than(X,Z)]).

%----Axiom 2 
input_clause(axiom_2_1,axiom,
    [--less_than(0,X),
     --less_than(0,Y),
     ++less_than(0,minimum(X,Y))]).

input_clause(axiom_2_2,axiom,
    [--less_than(0,X),
     --less_than(0,Y),
     ++less_than(minimum(X,Y),X)]).

input_clause(axiom_2_3,axiom,
    [--less_than(0,X),
     --less_than(0,Y),
     ++less_than(minimum(X,Y),Y)]).

%----Axiom 3 
input_clause(axiom_3,axiom,
    [--less_than(X,half(Xa)),
     --less_than(Y,half(Xa)),
     ++less_than(add(X,Y),Xa)]).

%----Axiom 7 
input_clause(axiom_7,axiom,
    [--less_than(0,Xa),
     ++less_than(0,half(Xa))]).

%----Clauses from the theorem 
input_clause(c_10,conjecture,
    [--less_than(0,X),
     ++less_than(0,fp31(X))]).

input_clause(c_11,conjecture,
    [--less_than(0,X),
     --less_than(absolute(add(Y,minus(a))),fp31(X)),
     ++less_than(absolute(add(f(Y),minus(l1))),X)]).

input_clause(c_12,conjecture,
    [--less_than(0,X),
     ++less_than(0,fp32(X))]).

input_clause(c_13,conjecture,
    [--less_than(0,X),
     --less_than(absolute(add(Y,minus(a))),fp32(X)),
     ++less_than(absolute(add(g(Y),minus(l2))),X)]).

input_clause(c_14,conjecture,
    [++less_than(0,b)]).

input_clause(c_15,conjecture,
    [--less_than(0,X),
     ++less_than(absolute(add(fp33(X),minus(a))),X)]).

input_clause(c_16,conjecture,
    [--less_than(0,X),
     --less_than(absolute(add(add(f(fp33(X)),g(fp33(X))),
minus(add(l1,l2)))),b)]).
%--------------------------------------------------------------------------
