%--------------------------------------------------------------------------
% File     : BOO007-1 : TPTP v2.2.0. Bugfixed v1.2.1.
% Domain   : Boolean Algebra
% Problem  : Product is associative ( (X * Y) * Z = X * (Y * Z) )
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [Whi61] Whitesitt (1961), Boolean Algebra and Its Applications
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [Ver92] Veroff (1992), Email to G. Sutcliffe
% Source   : [Ver92]
% Names    : Established lemma [MOW76]

% Status   : unsatisfiable
% Rating   : 0.62 v2.2.0, 0.67 v2.1.0, 0.33 v2.0.0
% Syntax   : Number of clauses    :   41 (   0 non-Horn;  16 unit;  26 RR)
%            Number of literals   :   99 (  25 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-3 arity)
%            Number of functors   :   12 (   9 constant; 0-2 arity)
%            Number of variables  :  126 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : The problem boolean.lop [SETHEO] also does this problem.
% Bugfixes : v1.2.1 - Clause x_times__y_times_z fixed.
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include boolean algebra axioms 
include('Axioms/BOO002-0.ax').
%----Include boolean algebra equality axioms 
include('Axioms/BOO002-0.eq').
%--------------------------------------------------------------------------
input_clause(y_times_z,hypothesis,
    [++product(y,z,y_times_z)]).

input_clause(x_times__y_times_z,hypothesis,
    [++product(x,y_times_z,x_times__y_times_z)]).

input_clause(x_times_y,hypothesis,
    [++product(x,y,x_times_y)]).

input_clause(x_times_y__times_z,hypothesis,
    [++product(x_times_y,z,x_times_y__times_z)]).

input_clause(prove_equality,conjecture,
    [--equal(x_times__y_times_z,x_times_y__times_z)]).
%--------------------------------------------------------------------------
