%--------------------------------------------------------------------------
% File     : BOO019-1 : TPTP v2.2.0. Released v1.2.0.
% Domain   : Boolean Algebra (Ternary)
% Problem  : Prove the independance of Ternary Boolean algebra axiom
% Version  : Especial.
% English  : 

% Refs     : [Win82] Winker (1982), Generation and Verification of Finite M
%          : [BCP94] Bourely et al. (1994), A Method for Building Models Au
% Source   : [BCP94]
% Names    : A1 [Win82]
%          : Example 4 [BCP94]

% Status   : satisfiable
% Rating   : 0.75 v2.2.0, 0.67 v2.1.0, 1.00 v2.0.0
% Syntax   : Number of clauses    :   12 (   0 non-Horn;   6 unit;   4 RR)
%            Number of literals   :   19 (  19 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   2 constant; 0-3 arity)
%            Number of variables  :   31 (   1 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Thought to be satisfiable.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(inverse_substitution1,axiom,
    [--equal(A,B),
     ++equal(inverse(A),inverse(B))]).

input_clause(multiply_substitution1,axiom,
    [--equal(C,D),
     ++equal(multiply(C,E,F),multiply(D,E,F))]).

input_clause(multiply_substitution2,axiom,
    [--equal(G,H),
     ++equal(multiply(I,G,J),multiply(I,H,J))]).

input_clause(multiply_substitution3,axiom,
    [--equal(K,L),
     ++equal(multiply(M,N,K),multiply(M,N,L))]).

input_clause(associativity,axiom,
    [++equal(multiply(multiply(V,W,X),Y,multiply(V,W,Z)),
multiply(V,W,multiply(X,Y,Z)))]).

input_clause(ternary_multiply_2,axiom,
    [++equal(multiply(X,X,Y),X)]).

input_clause(left_inverse,axiom,
    [++equal(multiply(inverse(Y),Y,X),X)]).

input_clause(right_inverse,axiom,
    [++equal(multiply(X,Y,inverse(Y)),X)]).

input_clause(prove_ternary_multiply_1_independant,conjecture,
    [--equal(multiply(y,x,x),x)]).
%--------------------------------------------------------------------------
