%--------------------------------------------------------------------------
% File     : BOO030-1 : TPTP v2.2.0. Released v2.2.0.
% Domain   : Boolean Algebra
% Problem  : Independence of a BA 2-basis by majority reduction.
% Version  : [MP96] (equality) axioms : Especial.
% English  : This shows that the self-dual 2-basis for Boolean algebra
%            (majority reduction) of problem DUAL-BA-5 is independent,
%            in particular, that half of the 2-basis is not a basis.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : DUAL-BA-6 [MP96]

% Status   : satisfiable
% Rating   : ? v2.2.0
% Syntax   : Number of clauses    :   15 (   0 non-Horn;   8 unit;   4 RR)
%            Number of literals   :   23 (  23 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   1 constant; 0-2 arity)
%            Number of variables  :   34 (   5 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : There is a 2-element model.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(add_substitution_1,axiom,
    [--equal(A,B),
     ++equal(add(A,C),add(B,C))]).

input_clause(add_substitution_2,axiom,
    [--equal(A,B),
     ++equal(add(C,A),add(C,B))]).

input_clause(inverse_substitution_1,axiom,
    [--equal(A,B),
     ++equal(inverse(A),inverse(B))]).

input_clause(multiply_substitution_1,axiom,
    [--equal(A,B),
     ++equal(multiply(A,C),multiply(B,C))]).

input_clause(multiply_substitution_2,axiom,
    [--equal(A,B),
     ++equal(multiply(C,A),multiply(C,B))]).

%----Properties L1, L3, and B1 of Boolean Algebra:
input_clause(l1,axiom,
    [++equal(add(X,multiply(Y,multiply(X,Z))),X)]).

input_clause(l3,axiom,
    [++equal(add(add(multiply(X,Y),multiply(Y,Z)),Y),Y)]).

input_clause(b1,axiom,
    [++equal(multiply(add(X,Y),add(X,inverse(Y))),X)]).

%----Majority reduction properties:
input_clause(majority1,axiom,
    [++equal(multiply(add(multiply(X,Y),X),add(X,Y)),X)]).

input_clause(majority2,axiom,
    [++equal(multiply(add(multiply(X,X),Y),add(X,X)),X)]).

input_clause(majority3,axiom,
    [++equal(multiply(add(multiply(X,Y),Y),add(X,Y)),Y)]).

%----Denial of a property of Boolean Algebra.
input_clause(prove_inverse_involution,conjecture,
    [--equal(inverse(inverse(a)),a)]).
%--------------------------------------------------------------------------
