%--------------------------------------------------------------------------
% File     : BOO032-1 : TPTP v2.2.0. Released v2.2.0.
% Domain   : Boolean Algebra
% Problem  : Independence of a system of Boolean algebra
% Version  : [MP96] (equality) axioms : Especial.
% English  : This is part of a proof that a self-dual 3-basis for Boolean 
%            algebra is independent.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : DUAL-BA-9 [MP96]

% Status   : satisfiable
% Rating   : ? v2.2.0
% Syntax   : Number of clauses    :   21 (   0 non-Horn;  14 unit;   4 RR)
%            Number of literals   :   29 (  29 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   1 constant; 0-2 arity)
%            Number of variables  :   48 (  10 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : The smallest model has 5 elements.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(add_substitution_1,axiom,
    [--equal(A,B),
     ++equal(add(A,C),add(B,C))]).

input_clause(add_substitution_2,axiom,
    [--equal(A,B),
     ++equal(add(C,A),add(C,B))]).

input_clause(inverse_substitution_1,axiom,
    [--equal(A,B),
     ++equal(inverse(A),inverse(B))]).

input_clause(multiply_substitution_1,axiom,
    [--equal(A,B),
     ++equal(multiply(A,C),multiply(B,C))]).

input_clause(multiply_substitution_2,axiom,
    [--equal(A,B),
     ++equal(multiply(C,A),multiply(C,B))]).

%----3 properties of Boolean algebra and the corresponding duals.
input_clause(l1,axiom,
    [++equal(add(X,multiply(Y,multiply(X,Z))),X)]).

input_clause(l3,axiom,
    [++equal(add(add(multiply(X,Y),multiply(Y,Z)),Y),Y)]).

input_clause(property3,axiom,
    [++equal(multiply(add(X,inverse(X)),Y),Y)]).

input_clause(l2,axiom,
    [++equal(multiply(X,add(Y,add(X,Z))),X)]).

input_clause(l4,axiom,
    [++equal(multiply(multiply(add(X,Y),add(Y,Z)),Y),Y)]).

input_clause(property3_dual,axiom,
    [++equal(add(multiply(X,inverse(X)),Y),Y)]).

%----Majority polynomials:
input_clause(majority1,axiom,
    [++equal(add(multiply(add(X,Y),X),multiply(X,Y)),X)]).

input_clause(majority2,axiom,
    [++equal(add(multiply(add(X,X),Y),multiply(X,X)),X)]).

input_clause(majority3,axiom,
    [++equal(add(multiply(add(X,Y),Y),multiply(X,Y)),Y)]).

%----Duals of majority polynomials:
input_clause(majority1_dual,axiom,
    [++equal(multiply(add(multiply(X,Y),X),add(X,Y)),X)]).

input_clause(majority2_dual,axiom,
    [++equal(multiply(add(multiply(X,X),Y),add(X,X)),X)]).

input_clause(majority3_dual,axiom,
    [++equal(multiply(add(multiply(X,Y),Y),add(X,Y)),Y)]).

%----A propery of Boolean Algebra fails to hold.
input_clause(prove_inverse_involution,conjecture,
    [--equal(inverse(inverse(a)),a)]).
%--------------------------------------------------------------------------
