%--------------------------------------------------------------------------
% File     : CAT001-1 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : XY monomorphism => Y monomorphism
% Version  : [Mit67] axioms.
% English  : If xy is a monomorphism, then y is a monomorphism.

% Refs     : [Mit67] Mitchell (1967), Theory of Categories
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : C1 [MOW76]
%          : p1.ver1.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.44 v2.2.0, 0.43 v2.1.0, 0.60 v2.0.0
% Syntax   : Number of clauses    :   36 (   0 non-Horn;  11 unit;  27 RR)
%            Number of literals   :   84 (  23 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :    9 (   6 constant; 0-2 arity)
%            Number of variables  :   91 (   5 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Mitchell's axioms for category theory 
include('Axioms/CAT001-0.ax').
include('Axioms/CAT001-0.eq').
%--------------------------------------------------------------------------
input_clause(ab_equals_c,hypothesis,
    [++product(a,b,c)]).

input_clause(cancellation_for_product,hypothesis,
    [--product(c,X1,X2),
     --product(c,X3,X2),
     ++equal(X1,X3)]).

input_clause(bh_equals_d,hypothesis,
    [++product(b,h,d)]).

input_clause(bg_equals_d,hypothesis,
    [++product(b,g,d)]).

input_clause(prove_h_equals_g,conjecture,
    [--equal(h,g)]).
%--------------------------------------------------------------------------
