%--------------------------------------------------------------------------
% File     : CAT002-1 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : X and Y monomorphisms, XY well-defined => XY monomorphism
% Version  : [Mit67] axioms.
% English  : If x and y are monomorphisms and xy is well-defined then 
%            xy is a monomorphism.

% Refs     : [Mit67] Mitchell (1967), Theory of Categories
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : C2 [MOW76]
%          : p2.ver1.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.56 v2.2.0, 0.57 v2.1.0, 0.40 v2.0.0
% Syntax   : Number of clauses    :   37 (   0 non-Horn;  11 unit;  28 RR)
%            Number of literals   :   87 (  24 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :    9 (   6 constant; 0-2 arity)
%            Number of variables  :   94 (   5 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Mitchell's axioms for category theory 
include('Axioms/CAT001-0.ax').
include('Axioms/CAT001-0.eq').
%--------------------------------------------------------------------------
input_clause(cancellation_for_product1,hypothesis,
    [--product(a,X,W),
     --product(a,Y,W),
     ++equal(X,Y)]).

input_clause(cancellation_for_product2,hypothesis,
    [--product(b,X,W),
     --product(b,Y,W),
     ++equal(X,Y)]).

input_clause(ab_equals_c,hypothesis,
    [++product(a,b,c)]).

input_clause(ch_equals_d,hypothesis,
    [++product(c,h,d)]).

input_clause(cg_equals_d,hypothesis,
    [++product(c,g,d)]).

input_clause(prove_h_equals_g,conjecture,
    [--equal(h,g)]).
%--------------------------------------------------------------------------
