%--------------------------------------------------------------------------
% File     : CAT003-1 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : XY epimorphism => X epimorphism
% Version  : [Mit67] axioms.
% English  : If xy is an epimorphism, then x is an epimorphism.

% Refs     : [Mit67] Mitchell (1967), Theory of Categories
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : C3 [MOW76]
%          : p3.ver1.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.44 v2.2.0, 0.43 v2.1.0, 0.60 v2.0.0
% Syntax   : Number of clauses    :   36 (   0 non-Horn;  11 unit;  27 RR)
%            Number of literals   :   84 (  23 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :    9 (   6 constant; 0-2 arity)
%            Number of variables  :   91 (   5 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Mitchell's axioms for category theory 
include('Axioms/CAT001-0.ax').
include('Axioms/CAT001-0.eq').
%--------------------------------------------------------------------------
input_clause(ab_equals_c,hypothesis,
    [++product(a,b,c)]).

input_clause(cancellation_for_product,hypothesis,
    [--product(X,c,W),
     --product(Y,c,W),
     ++equal(X,Y)]).

input_clause(ha_equals_d,hypothesis,
    [++product(h,a,d)]).

input_clause(ga_equals_d,hypothesis,
    [++product(g,a,d)]).

input_clause(prove_h_equals_g,conjecture,
    [--equal(h,g)]).

%----The ANL group use these extra lemmas as demodulators -
%input_clause(name,hypothesis,
%    [++equal(domain(domain(X)),domain(X))]).
%input_clause(name,hypothesis,
%    [++equal(codomain(domain(X)),domain(X))]).
%input_clause(name,hypothesis,
%    [++equal(domain(codomain(X)),codomain(X))]).
%input_clause(name,hypothesis,
%    [++equal(codomain(codomain(X)),codomain(X))]).
%input_clause(name,hypothesis,
%    [++equal(compose(codomain(X),X),X)]).
%input_clause(name,hypothesis,
%    [++equal(compose(X,domain(X)),X)]).
%input_clause(name,hypothesis,
%    [++equal(compose(codomain(X),codomain(X)),codomain(X))]).
%input_clause(name,hypothesis,
%    [++equal(compose(domain(X),domain(X)),domain(X))]).
%input_clause(name,hypothesis,
%    [++equal(domain(compose(X,Y)),domain(Y))]).
%input_clause(name,hypothesis,
%    [++equal(codomain(compose(X,Y)),codomain(X))]).
%--------------------------------------------------------------------------
