%--------------------------------------------------------------------------
% File     : CAT004-3 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : X and Y epimorphisms, XY well-defined => XY epimorphism
% Version  : [Sco79] axioms : Reduced > Complete.
% English  : If x and y are epimorphisms and xy is well-defined, then 
%            xy is an epimorphism.

% Refs     : [Sco79] Scott (1979), Identity and Existence in Intuitionist L
% Source   : [ANL]
% Names    : p4.ver3.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.44 v2.2.0, 0.22 v2.1.0, 0.56 v2.0.0
% Syntax   : Number of clauses    :   35 (   2 non-Horn;   8 unit;  25 RR)
%            Number of literals   :   74 (  44 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    8 (   4 constant; 0-2 arity)
%            Number of variables  :   67 (   4 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Axioms simplified by Art Quaife.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Scott's axioms for category theory 
include('Axioms/CAT003-0.ax').
include('Axioms/CAT003-0.eq').
%--------------------------------------------------------------------------
input_clause(assume_ab_exists,hypothesis,
    [++there_exists(compose(a,b))]).

input_clause(cancellation_for_product1,hypothesis,
    [--equal(compose(X,a),Y),
     --equal(compose(Z,a),Y),
     ++equal(X,Z)]).

input_clause(cancellation_for_product2,hypothesis,
    [--equal(compose(X,b),Y),
     --equal(compose(Z,b),Y),
     ++equal(X,Z)]).

input_clause(assume_h_exists,hypothesis,
    [++there_exists(h)]).

input_clause(h_ab_equals_g_ab,hypothesis,
    [++equal(compose(h,compose(a,b)),compose(g,compose(a,b)))]).

input_clause(prove_h_equals_g,conjecture,
    [--equal(h,g)]).
%--------------------------------------------------------------------------
