%--------------------------------------------------------------------------
% File     : CAT006-3 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : Codomain is the unique left identity
% Version  : [Sco79] axioms : Reduced > Complete.
% English  : codomain(x) is the unique identity j such that jx is defined.

% Refs     : [Sco79] Scott (1979), Identity and Existence in Intuitionist L
% Source   : [ANL]
% Names    : p6.ver3.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.44 v2.2.0, 0.56 v2.1.0, 0.56 v2.0.0
% Syntax   : Number of clauses    :   33 (   2 non-Horn;   6 unit;  23 RR)
%            Number of literals   :   70 (  39 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    6 (   2 constant; 0-2 arity)
%            Number of variables  :   63 (   4 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Axioms simplified by Art Quaife.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Scott's axioms for category theory 
include('Axioms/CAT003-0.ax').
include('Axioms/CAT003-0.eq').
%--------------------------------------------------------------------------
%----Denial of theorem: d is an identity which is not cod(a), 
input_clause(da_exists,hypothesis,
    [++there_exists(compose(d,a))]).

input_clause(xd_equals_x,hypothesis,
    [--there_exists(compose(X,d)),
     ++equal(compose(X,d),X)]).

input_clause(dx_equals_x,hypothesis,
    [--there_exists(compose(d,X)),
     ++equal(compose(d,X),X)]).

input_clause(prove_codomain_of_a_is_d,conjecture,
    [--equal(codomain(a),d)]).
%--------------------------------------------------------------------------
