%--------------------------------------------------------------------------
% File     : CAT018-3 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : If xy and yz exist, then so does x(yz)
% Version  : [Sco79] axioms : Reduced > Complete.
% English  : 

% Refs     : [Sco79] Scott (1979), Identity and Existence in Intuitionist L
% Source   : [ANL]
% Names    : p18.ver3.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.56 v2.2.0, 0.78 v2.1.0, 1.00 v2.0.0
% Syntax   : Number of clauses    :   32 (   2 non-Horn;   7 unit;  22 RR)
%            Number of literals   :   67 (  36 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    7 (   3 constant; 0-2 arity)
%            Number of variables  :   61 (   4 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Axioms simplified by Art Quaife.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Scott's axioms for category theory 
include('Axioms/CAT003-0.ax').
include('Axioms/CAT003-0.eq').
%--------------------------------------------------------------------------
input_clause(assume_ab_exists,hypothesis,
    [++there_exists(compose(a,b))]).

input_clause(assume_bc_exists,hypothesis,
    [++there_exists(compose(b,c))]).

input_clause(prove_a_bc_exists,conjecture,
    [--there_exists(compose(a,compose(b,c)))]).
%--------------------------------------------------------------------------
