%--------------------------------------------------------------------------
% File     : CAT019-1 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : Axiom of Indiscernibles
% Version  : [Mit67] axioms.
% English  : [all z (x=z <-> y=z)] -> x=y.

% Refs     : [Mit67] Mitchell (1967), Theory of Categories
% Source   : [ANL]
% Names    : p15.ver1.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   34 (   0 non-Horn;   8 unit;  25 RR)
%            Number of literals   :   82 (  26 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :    5 (   2 constant; 0-2 arity)
%            Number of variables  :   90 (   5 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Mitchell's axioms for category theory 
include('Axioms/CAT001-0.ax').
include('Axioms/CAT001-0.eq').
%--------------------------------------------------------------------------
%----c1 and c2 are Skolem constants 
input_clause(equality_to_c1_and_c2_1,hypothesis,
    [--equal(c2,Z),
     ++equal(c1,Z)]).

input_clause(equality_to_c1_and_c2_2,hypothesis,
    [++equal(c2,Z),
     --equal(c1,Z)]).

input_clause(prove_c1_equals_c2,conjecture,
    [--equal(c2,c1)]).

%----The ANL group use these extra lemmas as demodulators -
%input_clause(name,status
%    [++equal(domain(domain(X)),domain(X))]).
%input_clause(name,status
%    [++equal(codomain(domain(X)),domain(X))]).
%input_clause(name,status
%    [++equal(domain(codomain(X)),codomain(X))]).
%input_clause(name,status
%    [++equal(codomain(codomain(X)),codomain(X))]).
%input_clause(name,status
%    [++equal(compose(codomain(X),X),X)]).
%input_clause(name,status
%    [++equal(compose(X,domain(X)),X)]).
%input_clause(name,status
%    [++equal(compose(codomain(X),codomain(X)),codomain(X))]).
%input_clause(name,status
%    [++equal(compose(domain(X),domain(X)),domain(X))]).
%input_clause(name,status
%    [++equal(domain(compose(X,Y)),domain(Y))]).
%input_clause(name,status
%    [++equal(codomain(compose(X,Y)),codomain(X))]).
%--------------------------------------------------------------------------
