%--------------------------------------------------------------------------
% File     : COL051-1 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Combinatory Logic
% Problem  : Egocentric mocking bird?
% Version  : Especial.
% English  : There exists a mocking bird. For all birds x and y, there 
%            exists a bird z that composes x with y for all birds w. Prove 
%            that there exists a bird x that is fond of itself.

% Refs     : [Smu85] Smullyan (1978), To Mock a Mocking Bird and Other Logi
% Source   : [ANL]
% Names    : bird2.ver1.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   10 (   0 non-Horn;   4 unit;   3 RR)
%            Number of literals   :   17 (  17 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    3 (   1 constant; 0-2 arity)
%            Number of variables  :   23 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
%---- There exists a mocking bird (Mock).
%----    TEx FAy [response(x,y) = response(y,y)].
%----    response(Mock,y) = response(y,y).
input_clause(mocking_bird_exists,axiom,
    [++equal(response(mocking_bird,Y),response(Y,Y))]).

%---- For all birds x and y, there exists a bird z that composes
%---- x with y for all birds w.
%----    FAx FAy TEz FAw [response(z,w) = response(x,response(y,w))]
%----    response(comp(x,y),w) = response(x,response(y,w)). 
input_clause(composer_exists,hypothesis,
    [++equal(response(compose(X,Y),W),response(X,response(Y,W)))]).

input_clause(compose_substitution1,axiom,
    [--equal(A,B),
     ++equal(compose(A,C),compose(B,C))]).

input_clause(compose_substitution2,axiom,
    [--equal(D,E),
     ++equal(compose(F,D),compose(F,E))]).

input_clause(response_substitution1,axiom,
    [--equal(G,H),
     ++equal(response(G,I),response(H,I))]).

input_clause(response_substitution2,axiom,
    [--equal(J,K),
     ++equal(response(L,J),response(L,K))]).

%---- Hypothesis: There exists a bird x that is fond of itself.
%----    -TEx [response(x,x) = x].
%----    FAx -[response(x,x) = x].
input_clause(prove_the_bird_exists,conjecture,
    [--equal(response(X,X),X)]).
%--------------------------------------------------------------------------
