%--------------------------------------------------------------------------
% File     : COL059-1 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Combinatory Logic
% Problem  : L3 ((lark lark) lark) is not egocentric.
% Version  : Especial.
% English  : 

% Refs     : [Smu85] Smullyan (1978), To Mock a Mocking Bird and Other Logi
%          : [GO86]  Glickfield & Overbeek (1986), A Foray into Combinatory
% Source   : [GO86]
% Names    : - [GO86]

% Status   : unsatisfiable
% Rating   : 0.22 v2.2.0, 0.29 v2.1.0, 0.25 v2.0.0
% Syntax   : Number of clauses    :   13 (   0 non-Horn;   9 unit;   6 RR)
%            Number of literals   :   18 (  18 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    6 (   5 constant; 0-2 arity)
%            Number of variables  :   20 (   2 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
%---- There exists a kestrel 
input_clause(kestrel_exists,axiom,
    [++equal(response(response(kestrel,X1),X2),X1)]).

%---- There exists a lark 
input_clause(lark_exists,axiom,
    [++equal(response(response(lark,X1),X2),response(X1,response(X2,X2)))]).

input_clause(lark_lemma1,axiom,
    [++equal(response(response(response(lark,lark),X1),X2),response(
response(X1,X1),response(X2,X2)))]).

input_clause(lark_lemma2,axiom,
    [++equal(response(response(response(response(lark,lark),lark),X1),X2),
response(response(response(X1,X1),response(X1,X1)),response(x2,x2)))]).

input_clause(lark_not_egocentric,axiom,
    [--equal(response(l2,l2),l2)]).

input_clause(l2_definition,axiom,
    [++equal(response(lark,lark),l2)]).

input_clause(l3_definition,axiom,
    [++equal(response(l2,lark),l3)]).

input_clause(response_substitution1,axiom,
    [--equal(G,H),
     ++equal(response(G,I),response(H,I))]).

input_clause(response_substitution2,axiom,
    [--equal(J,K),
     ++equal(response(L,J),response(L,K))]).

input_clause(prove_l3_not_egocentric,conjecture,
    [++equal(response(l3,l3),l3)]).
%--------------------------------------------------------------------------
