%--------------------------------------------------------------------------
% File     : FLD028-3 : TPTP v2.2.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : The solution of a multiplicative linear equation is unique 
% Version  : [Dra93] axioms : Biased.
%            Theorem formulation : Functional with re axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unsatisfiable
% Rating   : 0.67 v2.1.0
% Syntax   : Number of clauses    :   34 (   3 non-Horn;  11 unit;  34 RR)
%            Number of literals   :   85 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :   10 (   6 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Biased towards SETHEO.
% Bugfixes : v2.1.0 - Bugfix in FLD002-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(u_is_defined,conjecture,
    [++defined(u)]).

input_clause(v_is_defined,conjecture,
    [++defined(v)]).

input_clause(not_sum_5,conjecture,
    [--sum(additive_identity,a,additive_identity)]).

input_clause(product_6,conjecture,
    [++product(a,u,b)]).

input_clause(product_7,conjecture,
    [++product(a,v,b)]).

input_clause(not_product_8,conjecture,
    [--product(multiplicative_identity,u,v)]).
%--------------------------------------------------------------------------
