%--------------------------------------------------------------------------
% File     : FLD095-4 : TPTP v2.2.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Difficult inequality
% Version  : [Dra93] axioms : Biased.
%            Theorem formulation : Relational with re axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unknown
% Rating   : 1.00 v2.1.0
% Syntax   : Number of clauses    :   46 (   3 non-Horn;  23 unit;  46 RR)
%            Number of literals   :   97 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :   15 (  11 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Biased towards SETHEO.
% Bugfixes : v2.1.0 - Bugfix in FLD002-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(c_is_defined,conjecture,
    [++defined(c)]).

input_clause(d_is_defined,conjecture,
    [++defined(d)]).

input_clause(s_is_defined,conjecture,
    [++defined(s)]).

input_clause(t_is_defined,conjecture,
    [++defined(t)]).

input_clause(u_is_defined,conjecture,
    [++defined(u)]).

input_clause(v_is_defined,conjecture,
    [++defined(v)]).

input_clause(w_is_defined,conjecture,
    [++defined(w)]).

input_clause(not_sum_10,conjecture,
    [--sum(additive_identity,b,additive_identity)]).

input_clause(not_sum_11,conjecture,
    [--sum(additive_identity,d,additive_identity)]).

input_clause(less_or_equal_12,conjecture,
    [++less_or_equal(additive_identity,b)]).

input_clause(less_or_equal_13,conjecture,
    [++less_or_equal(additive_identity,d)]).

input_clause(product_14,conjecture,
    [++product(a,multiplicative_inverse(b),u)]).

input_clause(product_15,conjecture,
    [++product(c,multiplicative_inverse(d),v)]).

input_clause(sum_16,conjecture,
    [++sum(a,c,s)]).

input_clause(sum_17,conjecture,
    [++sum(b,d,t)]).

input_clause(product_18,conjecture,
    [++product(s,multiplicative_inverse(t),w)]).

input_clause(less_or_equal_19,conjecture,
    [++less_or_equal(u,v)]).

input_clause(not_less_or_equal_20,conjecture,
    [--less_or_equal(u,w)]).
%--------------------------------------------------------------------------
