%--------------------------------------------------------------------------
% File     : GEO002-4 : TPTP v2.2.0. Released v1.1.0.
% Domain   : Geometry
% Problem  : For all points x and y, x is between x and y
% Version  : [MOW76] axioms : Reduced > Incomplete.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [Wos88] Wos (1988), Automated Reasoning - 33 Basic Research Pr
% Source   : [ANL]
% Names    : Simple Theorem on Betweenness [Wos88]

% Status   : unsatisfiable
% Rating   : 0.44 v2.2.0, 0.33 v2.1.0, 0.29 v2.0.0
% Syntax   : Number of clauses    :    8 (   0 non-Horn;   3 unit;   6 RR)
%            Number of literals   :   17 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-4 arity)
%            Number of functors   :    4 (   2 constant; 0-5 arity)
%            Number of variables  :   29 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
% include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
% include('Axioms/GEO001-0.ax').
% include('Axioms/GEO001-0.eq').
%--------------------------------------------------------------------------
input_clause(transitivity_for_betweeness,axiom,
    [--between(X,Y,V),
     --between(Y,Z,V),
     ++between(X,Y,Z)]).

input_clause(identity_for_equidistance,axiom,
    [--equidistant(X,Y,Z,Z),
     ++equalish(X,Y)]).

input_clause(outer_pasch1,axiom,
    [--between(X,W,V),
     --between(Y,V,Z),
     ++between(X,outer_pasch(W,X,Y,Z,V),Y)]).

input_clause(outer_pasch2,axiom,
    [--between(X,W,V),
     --between(Y,V,Z),
     ++between(Z,W,outer_pasch(W,X,Y,Z,V))]).

input_clause(segment_construction1,axiom,
    [++between(X,Y,extension(X,Y,W,V))]).

input_clause(segment_construction2,axiom,
    [++equidistant(Y,extension(X,Y,W,V),W,V)]).

%----Equality substitution axioms 
input_clause(between_substitution3,axiom,
    [--equalish(X,Y),
     --between(W,Z,X),
     ++between(W,Z,Y)]).

input_clause(prove_a_between_a_and_b,conjecture,
    [--between(a,a,b)]).
%--------------------------------------------------------------------------
