%--------------------------------------------------------------------------
% File     : GEO014-2 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : Ordinary reflexivity of equidistance
% Version  : [Qua89] axioms.
% English  : This shows that the distance from A to B is the same as the 
%            distance from A to B. This is different from the axiom which 
%            states that the distance from A to B is the same as the 
%            distance from B to A.

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [Qua89]
% Names    : D1 [Qua89]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   54 (   5 non-Horn;   8 unit;  25 RR)
%            Number of literals   :  134 (  70 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-4 arity)
%            Number of functors   :   10 (   5 constant; 0-6 arity)
%            Number of variables  :  261 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_reflexivity,conjecture,
    [--equidistant(u,v,u,v)]).
%--------------------------------------------------------------------------
