%--------------------------------------------------------------------------
% File     : GEO021-2 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : Corollary 5 to symmetries of equidistance
% Version  : [Qua89] axioms.
% English  : Show that if the distance from A to B equals the distance 
%            from C to D, then the distance from D to C equals the 
%            distance from B to A.

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   55 (   5 non-Horn;   9 unit;  26 RR)
%            Number of literals   :  135 (  70 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-4 arity)
%            Number of functors   :   12 (   7 constant; 0-6 arity)
%            Number of variables  :  261 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Proving corollaries from axioms is not usual.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%--------------------------------------------------------------------------
input_clause(u_to_v_equals_w_to_x,hypothesis,
    [++equidistant(u,v,w,x)]).

input_clause(prove_symmetry,conjecture,
    [--equidistant(x,w,v,u)]).
%--------------------------------------------------------------------------
