%--------------------------------------------------------------------------
% File     : GEO027-2 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : Corollary 1 to unique extension
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.56 v2.2.0, 0.44 v2.1.0, 0.56 v2.0.0
% Syntax   : Number of clauses    :   56 (   5 non-Horn;  10 unit;  27 RR)
%            Number of literals   :  136 (  72 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-4 arity)
%            Number of functors   :   11 (   6 constant; 0-6 arity)
%            Number of variables  :  261 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Proving corollaries from axioms is not usual.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%--------------------------------------------------------------------------
input_clause(v_between_u_and_w,hypothesis,
    [++between(u,v,w)]).

input_clause(u_not_v,hypothesis,
    [--equal(u,v)]).

input_clause(prove_w_is_an_extension,conjecture,
    [--equal(w,extension(u,v,v,w))]).
%--------------------------------------------------------------------------
