%--------------------------------------------------------------------------
% File     : GEO069-2 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : A property of collinearity
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   64 (   6 non-Horn;  10 unit;  35 RR)
%            Number of literals   :  157 (  74 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    4 (   0 propositional; 2-4 arity)
%            Number of functors   :   12 (   7 constant; 0-6 arity)
%            Number of variables  :  285 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : This presentation may have alternatives/be incorrect.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%----Include definition of colinearity 
include('Axioms/GEO002-1.ax').
include('Axioms/GEO002-1.eq').
%--------------------------------------------------------------------------
input_clause(u_not_v,hypothesis,
    [--equal(u,v)]).

input_clause(wvu_colinear,hypothesis,
    [++colinear(w,v,u)]).

input_clause(xvu_colinear,hypothesis,
    [++colinear(x,v,u)]).

input_clause(prove_xwu_and_xwv_colinear,conjecture,
    [--colinear(x,w,u),
     --colinear(x,w,v)]).
%--------------------------------------------------------------------------
