%--------------------------------------------------------------------------
% File     : GEO073-1 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : The diagonals of a non-degenerate rectancle bisect
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Wos88] Wos (1988), Automated Reasoning - 33 Basic Research Pr
% Source   : [Wos88]
% Names    : Test Problem 11 [Wos88]
%          : Bisecting Diagonal Theorem [Wos88]

% Status   : unsatisfiable
% Rating   : 0.78 v2.2.0, 1.00 v2.0.0
% Syntax   : Number of clauses    :   63 (   6 non-Horn;  14 unit;  34 RR)
%            Number of literals   :  150 (  73 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-4 arity)
%            Number of functors   :   13 (   8 constant; 0-6 arity)
%            Number of variables  :  269 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : In [Wos88] only one half of the symmetry is proved. Here 
%            both are proved, thus makiung this slightly stronger than the 
%            [Wos, 988] version.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO001-0.ax').
include('Axioms/GEO001-0.eq').
%--------------------------------------------------------------------------
input_clause(u_to_v_equals_w_to_x,hypothesis,
    [++equidistant(u,v,w,x)]).

input_clause(v_to_w_equals_x_to_u,hypothesis,
    [++equidistant(v,w,x,u)]).

input_clause(u_to_w_equals_v_to_x,hypothesis,
    [++equidistant(u,w,v,x)]).

input_clause(y_between_u_and_w,hypothesis,
    [++between(u,y,w)]).

input_clause(y_between_v_and_x,hypothesis,
    [++between(v,y,x)]).

input_clause(u_not_v,hypothesis,
    [--equal(u,v)]).

input_clause(x_not_u,hypothesis,
    [--equal(x,u)]).

%----This proves both ways 
input_clause(prove_bisection,conjecture,
    [--equidistant(u,y,w,y),
     --equidistant(v,y,x,y)]).
%--------------------------------------------------------------------------
