%--------------------------------------------------------------------------
% File     : GEO078-4 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Geometry (Hilbert)
% Problem  : Every plane contains 3 noncollinear points
% Version  : [Ben92] axioms.
% English  : 

% Refs     : [Ben92] Benanav (1992), Recognising Unnecessary Clauses in Res
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   60 (  19 non-Horn;   3 unit;  48 RR)
%            Number of literals   :  247 (  92 equality)
%            Maximal clause size  :   16 (   4 average)
%            Number of predicates :    6 (   0 propositional; 1-3 arity)
%            Number of functors   :   11 (   2 constant; 0-3 arity)
%            Number of variables  :  155 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include axioms for Hilbert geometry 
include('Axioms/GEO003-0.ax').
include('Axioms/GEO003-0.eq').
%--------------------------------------------------------------------------
input_clause(there_is_a_plane,hypothesis,
    [++plane(a_plane)]).

input_clause(prove_every_plane_contains_3_noncollinear_points,conjecture,
    [++collinear(X1,X2,X3),
     --point(X1),
     --point(X2),
     --point(X3),
     ++equal(X1,X2),
     ++equal(X1,X3),
     ++equal(X2,X3),
     --on(X1,a_plane),
     --on(X2,a_plane),
     --on(X3,a_plane)]).
%--------------------------------------------------------------------------
