%--------------------------------------------------------------------------
% File     : GRP005-1 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Group Theory
% Problem  : Identity is in this subset of a group
% Version  : [Cha70] axioms : Incomplete.
% English  : If S is a non-empty subset of a group such that 
%            if X, Y belong to S, the XY^-1 belongs to S, then the 
%            identity e belongs to S.

% Refs     : [Luc68] Luckham (1968), Some Tree-paring Strategies for Theore
%          : [Cha70] Chang (1970), The Unit Proof and the Input Proof in Th
%          : [CL73]  Chang & Lee (1973), Symbolic Logic and Mechanical Theo
% Source   : [Cha70]
% Names    : Example 5 [Luc68]
%          : Chang-Lee-5 [Cha70]
%          : EX5 [SPRFN]

% Status   : unsatisfiable
% Rating   : 0.00 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :    9 (   0 non-Horn;   6 unit;   5 RR)
%            Number of literals   :   18 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    2 (   0 propositional; 1-3 arity)
%            Number of functors   :    3 (   2 constant; 0-1 arity)
%            Number of variables  :   19 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(left_identity,axiom,
    [++product(identity,X,X)]).

input_clause(right_identity,axiom,
    [++product(X,identity,X)]).

input_clause(right_inverse,axiom,
    [++product(X,inverse(X),identity)]).

input_clause(left_inverse,axiom,
    [++product(inverse(X),X,identity)]).

input_clause(element_of_set,axiom,
    [++an_element(a)]).

input_clause(condition,axiom,
    [--an_element(X),
     --an_element(Y),
     --product(X,inverse(Y),Z),
     ++an_element(Z)]).

input_clause(associativity1,axiom,
    [--product(X,Y,U),
     --product(Y,Z,V),
     --product(U,Z,W),
     ++product(X,V,W)]).

input_clause(associativity2,axiom,
    [--product(X,Y,U),
     --product(Y,Z,V),
     --product(X,V,W),
     ++product(U,Z,W)]).

input_clause(prove_identity_is_an_element,conjecture,
    [--an_element(identity)]).
%--------------------------------------------------------------------------
