%--------------------------------------------------------------------------
% File     : GRP012-1 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Group Theory
% Problem  : Inverse of products = Product of inverses
% Version  : [MOW76] axioms.
%            Theorem formulation : Expressed as (X.Y).(Y^-1.X^-1) = id.
% English  : The inverse of products equals the product of the inverse, 
%            in opposite order.

% Refs     : [Wos65] Wos (1965), Unpublished Note
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : Problem 9 [Wos65]
%          : wos9 [WM76]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   20 (   0 non-Horn;   9 unit;  12 RR)
%            Number of literals   :   40 (  16 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    2 (   0 propositional; 2-3 arity)
%            Number of functors   :    7 (   5 constant; 0-2 arity)
%            Number of variables  :   48 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include group theory axioms 
include('Axioms/GRP003-0.ax').
%----Include group theory equality axioms 
include('Axioms/GRP003-0.eq').
%--------------------------------------------------------------------------
input_clause(a_multiply_b_is_c,hypothesis,
    [++product(a,b,c)]).

input_clause(inverse_b_multiply_inverse_a_is_d,hypothesis,
    [++product(inverse(b),inverse(a),d)]).

input_clause(prove_c_multiply_d_is_identity,conjecture,
    [--product(c,d,identity)]).
%--------------------------------------------------------------------------
