%--------------------------------------------------------------------------
% File     : GRP012-3 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Group Theory
% Problem  : Inverse of products = Product of inverses
% Version  : [MOW76] axioms.
%            Theorem formulation : Expressed (X.Y)^-1 = X^-1.Y^-1.
% English  : The inverse of products equals the product of the inverse, 
%            in opposite order

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : - [ANL]

% Status   : unsatisfiable
% Rating   : 0.11 v2.2.0, 0.14 v2.1.0, 0.20 v2.0.0
% Syntax   : Number of clauses    :   18 (   0 non-Horn;   7 unit;  10 RR)
%            Number of literals   :   38 (  17 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    2 (   0 propositional; 2-3 arity)
%            Number of functors   :    5 (   3 constant; 0-2 arity)
%            Number of variables  :   48 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : In Lemmas.p.clauses on [ANL].
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include group theory axioms 
include('Axioms/GRP003-0.ax').
%----Include group theory equality axioms 
include('Axioms/GRP003-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_inverse_of_product_is_product_of_inverses,conjecture,
    [--equal(inverse(multiply(a,b)),multiply(inverse(b),inverse(a)))]).
%--------------------------------------------------------------------------
