%--------------------------------------------------------------------------
% File     : GRP014-1 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Group Theory
% Problem  : Product is associative in this group theory
% Version  : [Ove90] (equality) axioms : Incomplete.
% English  : The group theory specified by the axiom given implies the 
%            associativity of multiply.

% Refs     : [Ove90] Overbeek (1990), ATP competition announced at CADE-10
%          : [Ove93] Overbeek (1993), The CADE-11 Competitions: A Personal 
%          : [LM93]  Lusk & McCune (1993), Uniform Strategies: The CADE-11 
%          : [Zha93] Zhang (1993), Automated Proofs of Equality Problems in
% Source   : [Ove90]
% Names    : CADE-11 Competition Eq-4 [Ove90]
%          : THEOREM EQ-4 [LM93]
%          : PROBLEM 4 [Zha93]

% Status   : unsatisfiable
% Rating   : 0.33 v2.2.0, 0.43 v2.1.0, 0.50 v2.0.0
% Syntax   : Number of clauses    :    8 (   0 non-Horn;   3 unit;   4 RR)
%            Number of literals   :   14 (  14 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   3 constant; 0-2 arity)
%            Number of variables  :   18 (   0 singleton)
%            Maximal term depth   :    9 (   1 average)

% Comments : The group_axiom is in fact a single axiom for group theory
%            [LM93].
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(inverse_substitutivity1,axiom,
    [--equal(A,B),
     ++equal(inverse(A),inverse(B))]).

input_clause(multiply_substitutivity1,axiom,
    [--equal(C,D),
     ++equal(multiply(C,E),multiply(D,E))]).

input_clause(multiply_substitutivity2,axiom,
    [--equal(F,G),
     ++equal(multiply(H,F),multiply(H,G))]).

input_clause(group_axiom,axiom,
    [++equal(multiply(X,inverse(multiply(multiply(inverse(multiply(
inverse(Y),multiply(inverse(X),W))),Z),inverse(multiply(Y,Z))))),W)]).

input_clause(prove_associativity,conjecture,
    [--equal(multiply(a,multiply(b,c)),multiply(multiply(a,b),c))]).
%--------------------------------------------------------------------------
