%--------------------------------------------------------------------------
% File     : GRP028-3 : TPTP v2.2.0. Released v1.1.0.
% Domain   : Group Theory (Semigroups)
% Problem  : In semigroups, left and right solutions => right id exists
% Version  : [MOW76] axioms : Reduced > Incomplete.
% English  : If there are left and right solutions, then there is a right 
%            identity element.

% Refs     : [Luc68] Luckham (1968), Some Tree-paring Strategies for Theore
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [Luc68]
% Names    : Example 1 [Luc68]

% Status   : unsatisfiable
% Rating   : 0.00 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :    6 (   0 non-Horn;   4 unit;   3 RR)
%            Number of literals   :   12 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    1 (   0 propositional; 3-3 arity)
%            Number of functors   :    4 (   0 constant; 1-2 arity)
%            Number of variables  :   19 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : [Luc68] uses less axioms than [MOW76].
%--------------------------------------------------------------------------
%----Include Semigroup axioms 
% include('Axioms/GRP002-0.ax').
%----Include Substitution axioms for semigroup axioms 
% include('Axioms/GRP002-0.eq').
%--------------------------------------------------------------------------
%----This axiom is called closure or totality in some axiomatisations 
input_clause(total_function1,axiom,
    [++product(X,Y,multiply(X,Y))]).

%----This axiom is called well_definedness in some axiomatisations 
%input_clause(total_function2,axiom,
%    [--product(X,Y,Z),
%     --product(X,Y,W),
%     ++equal(Z,W)]).

input_clause(associativity1,axiom,
    [--product(X,Y,U),
     --product(Y,Z,V),
     --product(U,Z,W),
     ++product(X,V,W)]).

input_clause(associativity2,axiom,
    [--product(X,Y,U),
     --product(Y,Z,V),
     --product(X,V,W),
     ++product(U,Z,W)]).

input_clause(left_soln,hypothesis,
    [++product(left_solution(X,Y),X,Y)]).

input_clause(right_soln,hypothesis,
    [++product(X,right_solution(X,Y),Y)]).

%----There is an element for which no X is identity 
input_clause(prove_there_is_a_right_identity,conjecture,
    [--product(not_identity(X),X,not_identity(X))]).
%--------------------------------------------------------------------------
