%--------------------------------------------------------------------------
% File     : GRP038-3 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Group Theory (Subgroups)
% Problem  : In subgroups, if a and b are members, then a.b^-1 is a member
% Version  : [Wos65] axioms : Augmented.
% English  : 

% Refs     : [Wos65] Wos (1965), Unpublished Note
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : Problem 18 [Wos65]
%          : wos18 [WM76]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   25 (   0 non-Horn;  11 unit;  17 RR)
%            Number of literals   :   51 (  17 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-3 arity)
%            Number of functors   :    6 (   4 constant; 0-2 arity)
%            Number of variables  :   54 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : This is trivial - its an axiom.
%          : Two extra lemmas are supplied.
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include group theory axioms 
include('Axioms/GRP003-0.ax').
%----Include group theory equality axioms 
include('Axioms/GRP003-0.eq').
%----Include sub-group theory axioms 
include('Axioms/GRP003-2.ax').
include('Axioms/GRP003-2.eq').
%--------------------------------------------------------------------------
%----The next two clauses are dependent lemmas 
input_clause(closure_of_inverse,axiom,
    [--subgroup_member(A),
     ++subgroup_member(inverse(A))]).

input_clause(identity_is_in_subgroup,axiom,
    [++subgroup_member(identity)]).

input_clause(a_is_in_subgroup,hypothesis,
    [++subgroup_member(a)]).

input_clause(b_is_in_subgroup,hypothesis,
    [++subgroup_member(b)]).

input_clause(a_times_inverse_b_is_c,hypothesis,
    [++product(a,inverse(b),c)]).

input_clause(prove_c_is_in_subgroup,conjecture,
    [--subgroup_member(c)]).
%--------------------------------------------------------------------------
