%--------------------------------------------------------------------------
% File     : GRP040-4 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Group Theory (Subgroups)
% Problem  : In subgroups of order 2, inverse is an involution
% Version  : [Wos65] axioms : Augmented.
% English  : 

% Refs     : [Wos65] Wos (1965), Unpublished Note
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : Problem 20 [Wos65]
%          : wos20 [WM76]

% Status   : unsatisfiable
% Rating   : 0.44 v2.2.0, 0.67 v2.1.0, 0.78 v2.0.0
% Syntax   : Number of clauses    :   33 (   2 non-Horn;  13 unit;  20 RR)
%            Number of literals   :   69 (  24 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-3 arity)
%            Number of functors   :    8 (   5 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include group theory axioms 
include('Axioms/GRP003-0.ax').
%----Include group theory equality axioms 
include('Axioms/GRP003-0.eq').
%----Include sub-group theory axioms 
include('Axioms/GRP003-2.ax').
include('Axioms/GRP003-2.eq').
%--------------------------------------------------------------------------
%----The next four clauses are dependent 
input_clause(identity_is_in_subgroup,axiom,
    [++subgroup_member(identity)]).

input_clause(closure_of_inverse,axiom,
    [--subgroup_member(A),
     ++subgroup_member(inverse(A))]).

input_clause(product_right_cancellation,axiom,
    [--product(A,B,C),
     --product(A,D,C),
     ++equal(D,B)]).

input_clause(product_left_cancellation,axiom,
    [--product(A,B,C),
     --product(D,B,C),
     ++equal(D,A)]).

%----Definition of subgroup of index 2 
input_clause(an_element_in_O2,axiom,
    [++subgroup_member(element_in_O2(A,B)),
     ++subgroup_member(B),
     ++subgroup_member(A)]).

input_clause(property_of_O2,axiom,
    [++product(A,element_in_O2(A,B),B),
     ++subgroup_member(B),
     ++subgroup_member(A)]).

%----Extra substitution axiom 
input_clause(element_in_O2_substitution1,axiom,
    [--equal(A,B),
     ++equal(element_in_O2(C,A),element_in_O2(C,B))]).

input_clause(element_in_O2_substitution2,axiom,
    [--equal(A,B),
     ++equal(element_in_O2(A,C),element_in_O2(B,C))]).

input_clause(a_in_subgroup,hypothesis,
    [--subgroup_member(a)]).

input_clause(b_is_in_subgroup,hypothesis,
    [++subgroup_member(b)]).

input_clause(d_in_subgroup,hypothesis,
    [--subgroup_member(d)]).

input_clause(b_times_a_inverse_is_c,hypothesis,
    [++product(b,inverse(a),c)]).

input_clause(a_times_c_is_d,hypothesis,
    [++product(a,c,d)]).

input_clause(prove_inverse_is_self_cancelling,conjecture,
    [++equal(inverse(inverse(A)),A)]).
%--------------------------------------------------------------------------
