%--------------------------------------------------------------------------
% File     : HEN011-5 : TPTP v2.2.0. Bugfixed v1.2.1.
% Domain   : Henkin Models
% Problem  : This operation is commutative
% Version  : [MOW76] (equality) axioms : Reduced & Augmented > Complete.
% English  : Define & on the set of Z', where Z' = identity/Z, 
%            by X' & Y' = X'/(identity/Y'). The operation is commutative.

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : hp11.ver3.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.00 v2.1.0, 0.67 v2.0.0
% Syntax   : Number of clauses    :   19 (   0 non-Horn;  10 unit;   6 RR)
%            Number of literals   :   31 (  31 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   4 constant; 0-2 arity)
%            Number of variables  :   37 (   3 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : less_equal replaced by divides
% Bugfixes : v1.2.1 - Clauses identity_divide_a, identity_divide_b,
%            identity_divide_c, identity_divide_d, and prove_commutativity,
%            removed.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Henkin model axioms, for the equality formulation with 
%----less_equals removed.
include('Axioms/HEN003-0.ax').
%--------------------------------------------------------------------------
input_clause(x_divide_x_is_zero,axiom,
    [++equal(divide(X,X),zero)]).

input_clause(x_divide_zero_is_x,axiom,
    [++equal(divide(X,zero),X)]).

input_clause(transitivity_of_divide_to_zero,axiom,
    [--equal(divide(X,Y),zero),
     --equal(divide(Y,Z),zero),
     ++equal(divide(X,Z),zero)]).

input_clause(property_of_divide1,axiom,
    [--equal(divide(divide(X,Y),Z),zero),
     ++equal(divide(divide(X,Z),Y),zero)]).

input_clause(property_of_divide2,axiom,
    [--equal(divide(X,Y),zero),
     ++equal(divide(divide(Z,Y),divide(Z,X)),zero)]).

input_clause(property_of_divide3,axiom,
    [--equal(divide(X,Y),zero),
     ++equal(divide(divide(X,Z),divide(Y,Z)),zero)]).

input_clause(one_inversion_equals_three,axiom,
    [++equal(divide(identity,divide(identity,divide(identity,X))),
divide(identity,X))]).

input_clause(property_of_inversion,axiom,
    [++equal(divide(divide(identity,X),divide(identity,
divide(identity,X))),divide(identity,X))]).

input_clause(prove_this,conjecture,
    [--equal(divide(divide(identity,a),divide(identity,
divide(identity,b))),divide(divide(identity,b),divide(identity,
divide(identity,a))))]).

%----This is an alternate way of writing the theorem
%input_clause(identity_divide_a,conjecture,
%    [++equal(divide(identity,a),c)]).
%
%input_clause(identity_divide_b,conjecture,
%    [++equal(divide(identity,b),d)]).
%
%input_clause(identity_divide_c,conjecture,
%    [++equal(divide(identity,c),e)]).
%
%input_clause(identity_divide_d,conjecture,
%    [++equal(divide(identity,d),g)]).
%
%input_clause(prove_commutativity,conjecture,
%    [--equal(divide(c,g),divide(d,e))]).
%--------------------------------------------------------------------------
