%--------------------------------------------------------------------------
% File     : LAT020-1 : TPTP v2.2.0. Released v2.2.0.
% Domain   : Lattice Theory (Quasilattices)
% Problem  : Self-dual distributivity for quasilattices.
% Version  : [MP96] (equality) axioms.
% English  : 

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : QLT-3 [MP96]

% Status   : unsatisfiable
% Rating   : ? v2.2.0
% Syntax   : Number of clauses    :   17 (   0 non-Horn;  11 unit;   3 RR)
%            Number of literals   :   24 (  24 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   3 constant; 0-2 arity)
%            Number of variables  :   39 (   0 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include Quasilattice theory (equality) axioms
include('Axioms/LAT004-0.ax').
%--------------------------------------------------------------------------
%----Self-dual distributivity:
input_clause(self_dual_distributivity,hypothesis,
    [++equal(join(meet(join(meet(X,Y),Z),Y),meet(Z,X)),
meet(join(meet(join(X,Y),Z),Y),join(Z,X)))]).

%----Denial of ordinary distributivity:
input_clause(prove_distributivity,conjecture,
    [--equal(meet(a,join(b,c)),join(meet(a,b),meet(a,c)))]).
%--------------------------------------------------------------------------
