%--------------------------------------------------------------------------
% File     : LAT029-1 : TPTP v2.2.0. Released v2.2.0.
% Domain   : Lattice Theory (Weakly Associative Lattices)
% Problem  : Absorption basis for WAL
% Version  : [MP96] (equality) axioms : Especial.
% English  : Prove that the 5 absorption equations below are a basis for
%            weakly associative lattices.  This can be done by deriving
%            commutativity and idempotence of the two operations.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : WAL-3 [MP96]

% Status   : unsatisfiable
% Rating   : ? v2.2.0
% Syntax   : Number of clauses    :   13 (   0 non-Horn;   6 unit;   3 RR)
%            Number of literals   :   23 (  23 equality)
%            Maximal clause size  :    4 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   2 constant; 0-2 arity)
%            Number of variables  :   30 (   5 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
%----Substitution axioms
input_clause(join_substitution1,axiom,
    [--equal(D,E),
     ++equal(join(D,F),join(E,F))]).

input_clause(join_substitution2,axiom,
    [--equal(G,H),
     ++equal(join(I,G),join(I,H))]).

input_clause(meet_substitution1,axiom,
    [--equal(J,K),
     ++equal(meet(J,L),meet(K,L))]).

input_clause(meet_substitution2,axiom,
    [--equal(M,N),
     ++equal(meet(O,M),meet(O,N))]).

%----An absorption basis for weakly associative lattices (WAL):
input_clause(wal_absorbtion_1,axiom,
    [++equal(join(meet(X,Y),meet(X,join(X,Y))),X)]).

input_clause(wal_absorbtion_2,axiom,
    [++equal(join(meet(X,X),meet(Y,join(X,X))),X)]).

input_clause(wal_absorbtion_3,axiom,
    [++equal(join(meet(X,Y),meet(Y,join(X,Y))),Y)]).

input_clause(wal_absorbtion_4,axiom,
    [++equal(meet(meet(join(X,Y),join(Z,X)),X),X)]).

input_clause(wal_absorbtion_5,axiom,
    [++equal(join(join(meet(X,Y),meet(Z,X)),X),X)]).

%----Denial of the conclusion:
input_clause(prove_normal_axioms,conjecture,
    [--equal(meet(a,a),a),
     --equal(meet(b,a),meet(a,b)),
     --equal(join(a,a),a),
     --equal(join(b,a),join(a,b))]).
%--------------------------------------------------------------------------
