%--------------------------------------------------------------------------
% File     : LCL012-1 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Logic Calculi (Equivalential)
% Problem  : YQJ depends on UM
% Version  : [McC92] axioms.
% English  : Show that the single Lukasiewicz axiom YQJ can be derived 
%            from the single Meredith axiom UM.

% Refs     : [MW92]  McCune & Wos (1992), Experiments in Automated Deductio
%          : [McC92] McCune (1992), Email to G. Sutcliffe
%          : [Wos95] Wos (1995), Searching for Circles of Pure Proofs
% Source   : [McC92]
% Names    : EC-75 [MW92]

% Status   : unsatisfiable
% Rating   : 0.78 v2.2.0, 0.89 v2.1.0, 0.88 v2.0.0
% Syntax   : Number of clauses    :    3 (   0 non-Horn;   2 unit;   2 RR)
%            Number of literals   :    5 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 1-1 arity)
%            Number of functors   :    4 (   3 constant; 0-2 arity)
%            Number of variables  :    5 (   0 singleton)
%            Maximal term depth   :    4 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(equivalent(X,Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

%----Axiom by Meredith 
input_clause(um,axiom,
    [++is_a_theorem(equivalent(equivalent(equivalent(X,Y),Z),
equivalent(Y,equivalent(Z,X))))]).

%----Axiom by Lukasiewicz 
input_clause(prove_yqj,conjecture,
    [--is_a_theorem(equivalent(equivalent(a,b),equivalent(
equivalent(c,a),equivalent(b,c))))]).
%--------------------------------------------------------------------------
