%--------------------------------------------------------------------------
% File     : LCL021-1 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Logic Calculi (Equivalential)
% Problem  : XHK depends on XHN
% Version  : [McC92] axioms.
% English  : Show that the single Winker axiom XHK can be derived from the 
%            single Winker axiom XHN.

% Refs     : [MW92]  McCune & Wos (1992), Experiments in Automated Deductio
%          : [McC92] McCune (1992), Email to G. Sutcliffe
%          : [Wos95] Wos (1995), Searching for Circles of Pure Proofs
% Source   : [McC92]
% Names    : EC-84 [MW92]

% Status   : unsatisfiable
% Rating   : 0.89 v2.1.0, 1.00 v2.0.0
% Syntax   : Number of clauses    :    3 (   0 non-Horn;   2 unit;   2 RR)
%            Number of literals   :    5 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 1-1 arity)
%            Number of functors   :    4 (   3 constant; 0-2 arity)
%            Number of variables  :    5 (   0 singleton)
%            Maximal term depth   :    5 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(equivalent(X,Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

%----Axiom by Winker 
input_clause(xhn,axiom,
    [++is_a_theorem(equivalent(X,equivalent(equivalent(Y,Z),
equivalent(equivalent(Z,X),Y))))]).

%----Axiom by Winker 
input_clause(prove_xhk,conjecture,
    [--is_a_theorem(equivalent(a,equivalent(equivalent(b,c),
equivalent(equivalent(a,c),b))))]).
%--------------------------------------------------------------------------
