%--------------------------------------------------------------------------
% File     : LCL080-1 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Logic Calculi (Implicational propositional)
% Problem  : The 1st Lukasiewicz axiom depends on Tarski-Bernays system
% Version  : [McC92] axioms.
% English  : Axiomatisations of the Implicational propositional calculus 
%            are {IC-2,IC-3,IC-4} by Tarski-Bernays and single Lukasiewicz 
%            axioms.Show that the 1st Lukasiewicz axiom depends on the 
%            Tarski-Bernays system.

% Refs     : [Luk48] Lukasiewicz (1948), The Shortest Axiom of the Implicat
%          : [MW92]  McCune & Wos (1992), Experiments in Automated Deductio
%          : [McC92] McCune (1992), Email to G. Sutcliffe
% Source   : [McC92]
% Names    : IC-63 [MW92]

% Status   : unsatisfiable
% Rating   : 0.44 v2.1.0, 0.50 v2.0.0
% Syntax   : Number of clauses    :    5 (   0 non-Horn;   4 unit;   2 RR)
%            Number of literals   :    7 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 1-1 arity)
%            Number of functors   :    5 (   4 constant; 0-2 arity)
%            Number of variables  :    9 (   2 singleton)
%            Maximal term depth   :    4 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(implies(X,Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

input_clause(ic_2,axiom,
    [++is_a_theorem(implies(X,implies(Y,X)))]).

input_clause(ic_3,axiom,
    [++is_a_theorem(implies(implies(implies(X,Y),X),X))]).

input_clause(ic_4,axiom,
    [++is_a_theorem(implies(implies(X,Y),implies(implies(Y,Z),
implies(X,Z))))]).

input_clause(prove_ic_JLukasiewicz,conjecture,
    [--is_a_theorem(implies(implies(implies(a,b),c),
implies(implies(c,a),implies(e,a))))]).
%--------------------------------------------------------------------------
