%--------------------------------------------------------------------------
% File     : LCL109-3 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Logic Calculi (Many valued sentential)
% Problem  : MV-4 depends on the Merideth system
% Version  : [Bon91] (equality) axioms : Augmented.
%            Theorem formulation : Wajsberg algebra formulation.
% English  : An axiomatisation of the many valued sentential calculus 
%            is {MV-1,MV-2,MV-3,MV-5} by Meredith. Show that MV-4 depends 
%            on the Meredith system.

% Refs     : [Bon91] Bonacina (1991), Problems in Lukasiewicz Logic
%          : [MW92]  McCune & Wos (1992), Experiments in Automated Deductio
% Source   : [Bon91]
% Names    : - [Bon91]

% Status   : unsatisfiable
% Rating   : 0.17 v2.2.0, 0.50 v2.1.0, 1.00 v2.0.0
% Syntax   : Number of clauses    :   21 (   0 non-Horn;  14 unit;   6 RR)
%            Number of literals   :   29 (  29 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   3 constant; 0-2 arity)
%            Number of variables  :   41 (   2 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Wajsberg algebra axioms 
include('Axioms/LCL001-0.ax').
%--------------------------------------------------------------------------
%----Lemmas that are true in any Wajsberg algebra 
input_clause(lemma_1,axiom,
    [++equal(implies(X,X),true)]).

input_clause(lemma_2,axiom,
    [--equal(implies(X,Y),implies(Y,X)),
     ++equal(X,Y)]).

input_clause(lemma_3,axiom,
    [++equal(implies(X,true),true)]).

input_clause(lemma_4,axiom,
    [++equal(implies(X,implies(Y,X)),true)]).

input_clause(lemma_5,axiom,
    [--equal(implies(X,Y),implies(Y,Z)),
     ++equal(implies(X,Z),true)]).

input_clause(lemma_6,axiom,
    [++equal(implies(implies(X,Y),implies(implies(Z,X),implies(Z,Y))),
true)]).

input_clause(lemma_7,axiom,
    [++equal(implies(X,implies(Y,Z)),implies(Y,implies(X,Z)))]).

input_clause(lemma_8,axiom,
    [++equal(implies(X,not(true)),not(X))]).

input_clause(lemma_9,axiom,
    [++equal(not(not(X)),X)]).

input_clause(lemma_10,axiom,
    [++equal(implies(not(X),not(Y)),implies(Y,X))]).

input_clause(prove_wajsberg_mv_4,conjecture,
    [--equal(implies(implies(implies(a,b),implies(b,a)),
implies(b,a)),true)]).
%--------------------------------------------------------------------------
