%--------------------------------------------------------------------------
% File     : LCL112-1 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Logic Calculi (Many valued sentential)
% Problem  : MV-29 depnds on the Merideth system
% Version  : [McC92] axioms.
% English  : An axiomatisation of the many valued sentential calculus 
%            is {MV-1,MV-2,MV-3,MV-5} by Meredith. Show that 29 depends 
%            on the Meredith system.

% Refs     : [MW92]  McCune & Wos (1992), Experiments in Automated Deductio
%          : [McC92] McCune (1992), Email to G. Sutcliffe
% Source   : [McC92]
% Names    : MV-58 [MW92]
%          : mv.in part 3 [OTTER]

% Status   : unsatisfiable
% Rating   : 0.11 v2.1.0, 0.13 v2.0.0
% Syntax   : Number of clauses    :    6 (   0 non-Horn;   5 unit;   2 RR)
%            Number of literals   :    8 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 1-1 arity)
%            Number of functors   :    3 (   1 constant; 0-2 arity)
%            Number of variables  :   11 (   1 singleton)
%            Maximal term depth   :    4 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(implies(X,Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

input_clause(mv_1,axiom,
    [++is_a_theorem(implies(X,implies(Y,X)))]).

input_clause(mv_2,axiom,
    [++is_a_theorem(implies(implies(X,Y),implies(implies(Y,Z),
implies(X,Z))))]).

input_clause(mv_3,axiom,
    [++is_a_theorem(implies(implies(implies(X,Y),Y),
implies(implies(Y,X),X)))]).

input_clause(mv_5,axiom,
    [++is_a_theorem(implies(implies(not(X),not(Y)),implies(Y,X)))]).

input_clause(prove_mv_29,conjecture,
    [--is_a_theorem(implies(a,not(not(a))))]).
%--------------------------------------------------------------------------
