%--------------------------------------------------------------------------
% File     : LCL165-1 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Logic Calculi (Wajsberg Algebra)
% Problem  : A theorem in Wajsberg algebras
% Version  : [Bon91] (equality) axioms.
% English  : 

% Refs     : [FRT84] Font et al. (1984), Wajsberg Algebras
%          : [AB90]  Anantharaman & Bonacina (1990), An Application of the 
%          : [Bon91] Bonacina (1991), Problems in Lukasiewicz Logic
% Source   : [Bon91]
% Names    : Third problem [Bon91]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   21 (   0 non-Horn;  12 unit;   4 RR)
%            Number of literals   :   31 (  31 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    6 (   2 constant; 0-2 arity)
%            Number of variables  :   48 (   0 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Wajsberg algebra axioms 
include('Axioms/LCL001-0.ax').
%----Include Wajsberg algebra and and or definitions 
include('Axioms/LCL001-2.ax').
%--------------------------------------------------------------------------
input_clause(prove_wajsberg_theorem,conjecture,
    [--equal(not(or(and(x,or(x,x)),and(x,x))),and(not(x),or(or(not(x),
not(x)),and(not(x),not(x)))))]).
%--------------------------------------------------------------------------
