%--------------------------------------------------------------------------
% File     : MGT005+2 : TPTP v2.2.0. Released v2.0.0.
% Domain   : Management (Organisation Theory)
% Problem  : Complexity increases the risk of death due to reorganization.
% Version  : Especial.
%            Theorem formulation : Updated.
% English  : 

% Refs     : [PB+92] Peli et al. (1992), A Logical Approach to Formalizing
%          : [PB+94] Peli et al. (1994), A Logical Approach to Formalizing 
%          : [Kam94] Kamps (1994), Email to G. Sutcliffe
% Source   : [Kam94]
% Names    : THEOREM 5+ [Kam94]

% Status   : theorem
% Rating   : 0.50 v2.1.0
% Syntax   : Number of formulae    :   25 (   1 unit)
%            Number of atoms       :   72 (  28 equality)
%            Maximal formula depth :    4 (   3 average)
%            Number of connectives :   47 (   0 ~  ;   0  |;  23  &)
%                                         (   0 <=>;  24 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    9 (   0 propositional; 2-3 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   90 (   0 singleton;  90 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
%----Subsitution axioms
input_formula(class_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & class(A,C,D) )
     => class(B,C,D) )   )).

input_formula(class_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & class(C,A,D) )
     => class(C,B,D) )   )).

input_formula(class_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & class(C,D,A) )
     => class(C,D,B) )   )).

input_formula(complexity_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & complexity(A,C,D) )
     => complexity(B,C,D) )   )).

input_formula(complexity_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & complexity(C,A,D) )
     => complexity(C,B,D) )   )).

input_formula(complexity_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & complexity(C,D,A) )
     => complexity(C,D,B) )   )).

input_formula(greater_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & greater(A,C) )
     => greater(B,C) )   )).

input_formula(greater_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & greater(C,A) )
     => greater(C,B) )   )).

input_formula(organization_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & organization(A,C) )
     => organization(B,C) )   )).

input_formula(organization_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & organization(C,A) )
     => organization(C,B) )   )).

input_formula(reorganization_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & reorganization(A,C,D) )
     => reorganization(B,C,D) )   )).

input_formula(reorganization_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & reorganization(C,A,D) )
     => reorganization(C,B,D) )   )).

input_formula(reorganization_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & reorganization(C,D,A) )
     => reorganization(C,D,B) )   )).

input_formula(reorganization_free_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & reorganization_free(A,C,D) )
     => reorganization_free(B,C,D) )   )).

input_formula(reorganization_free_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & reorganization_free(C,A,D) )
     => reorganization_free(C,B,D) )   )).

input_formula(reorganization_free_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & reorganization_free(C,D,A) )
     => reorganization_free(C,D,B) )   )).

input_formula(reorganization_type_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & reorganization_type(A,C,D) )
     => reorganization_type(B,C,D) )   )).

input_formula(reorganization_type_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & reorganization_type(C,A,D) )
     => reorganization_type(C,B,D) )   )).

input_formula(reorganization_type_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & reorganization_type(C,D,A) )
     => reorganization_type(C,D,B) )   )).

input_formula(survival_chance_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & survival_chance(A,C,D) )
     => survival_chance(B,C,D) )   )).

input_formula(survival_chance_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & survival_chance(C,A,D) )
     => survival_chance(C,B,D) )   )).

input_formula(survival_chance_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & survival_chance(C,D,A) )
     => survival_chance(C,D,B) )   )).

%----Problem axioms
input_formula(mp6_1,axiom,(
    ! [X,Y] : 
      ~ ( greater(X,Y)
        & equal(X,Y) )   )).

input_formula(mp6_2,axiom,(
    ! [X,Y] : 
      ~ ( greater(X,Y)
        & greater(Y,X) )   )).

input_formula(mp11,axiom,(
    ! [X,Y,Z] : 
      ( ( greater(X,Y)
        & greater(Y,Z) )
     => greater(X,Z) )   )).

input_formula(mp14,axiom,(
    ! [X,Y,P1,P2,T] : 
      ( ( survival_chance(X,P1,T)
        & survival_chance(Y,P2,T) )
     => ( greater(p1,p2)
        | equal(p1,p2)
        | greater(p2,p1) ) )   )).

input_formula(mp12,axiom,(
    ! [X,T] : 
      ( organization(X,T)
     => ? [P] : survival_chance(X,P,T) )   )).

input_formula(mp13,axiom,(
    ! [X,T,T1,T2] : 
      ( ( organization(X,T1)
        & organization(X,T2)
        & greater(T,T1)
        & greater(T2,T) )
     => organization(X,T) )   )).

input_formula(mp7,axiom,(
    ! [X,Ta,Tb] : 
      ( reorganization(X,Ta,Tb)
     => greater(Tb,Ta) )   )).

input_formula(t3_FOL,hypothesis,(
    ! [X,P1,P2,T1,T2] : 
      ( ( organization(X,T1)
        & organization(X,T2)
        & reorganization_free(X,T1,T2)
        & survival_chance(X,P1,T1)
        & survival_chance(X,P2,T2)
        & greater(T2,T1) )
     => greater(P2,P1) )   )).

%----t4_FOL - alias a9_FOL
input_formula(t4_FOL,hypothesis,(
    ! [X,P1,P2,T1,T2,Ta,Tb] : 
      ( ( organization(X,T1)
        & organization(X,T2)
        & reorganization(X,Ta,Tb)
        & survival_chance(X,P1,T1)
        & survival_chance(X,P2,T2)
        & ~ greater(Ta,T1)
        & greater(T2,T1)
        & ~ greater(T2,Tb) )
     => greater(P1,P2) )   )).

%----Complexity increases the expected duration of reorganization.
input_formula(a10_FOL,hypothesis,(
    ! [X,Y,Re,C,C1,C2,Ta,Tb,Tc] : 
      ( ( organization(X,Ta)
        & organization(Y,Ta)
        & organization(Y,Tc)
        & class(X,C,Ta)
        & class(Y,C,Ta)
        & reorganization(X,Ta,Tb)
        & reorganization(Y,Ta,Tc)
        & reorganization_type(X,Re,Ta)
        & reorganization_type(Y,Re,Ta)
        & complexity(X,C1,Ta)
        & complexity(Y,C2,Ta)
        & greater(C2,C1) )
     => greater(Tc,Tb) )   )).

%----Complexity is no survival advantage during reorganization.
input_formula(a11_FOL,hypothesis,(
    ! [X,Y,Re,C,P,P1,P2,C1,C2,Ta,Tb,Tc] : 
      ( ( organization(X,Ta)
        & organization(Y,Ta)
        & organization(X,Tb)
        & organization(Y,Tb)
        & class(X,C,Ta)
        & class(Y,C,Ta)
        & survival_chance(X,P,Ta)
        & survival_chance(Y,P,Ta)
        & reorganization(X,Ta,Tb)
        & reorganization(Y,Ta,Tc)
        & reorganization_type(X,Re,Ta)
        & reorganization_type(Y,Re,Ta)
        & survival_chance(X,P1,Tb)
        & survival_chance(Y,P2,Tb)
        & complexity(X,C1,Ta)
        & complexity(Y,C2,Ta)
        & greater(C2,C1) )
     => ( greater(P1,P2)
        | equal(P1,P2) ) )   )).

%----MATHS. Consequence of the Weierstrass theorem:
%----If f1 and f2 are continuous functions, and f1 > f2 at t2,  
%----f2 > f1 at t1, where t1<t2, then f2 = f1 somewhere between t1 and t2.
%----INSTANTIATION: survival_chance(x,t) = f1 ; 
%----survival_chance(y,t) = f2
input_formula(a15_FOL,hypothesis,(
    ! [X,Y,Px1,Px2,Py1,Py2,T1,T2] : 
      ( ( greater(T2,T1)
        & survival_chance(X,Px1,T1)
        & survival_chance(Y,Py1,T1)
        & survival_chance(X,Px2,T2)
        & survival_chance(Y,Py2,T2)
        & greater(Px2,Px1)
        & greater(Py1,Px2) )
     => ? [T0,Px0,Py0] : 
          ( greater(T0,T1)
          & greater(T2,T0)
          & survival_chance(X,Px0,T0)
          & survival_chance(Y,Py0,T0)
          & equal(Px0,Py0) ) )   )).

input_formula(t5_plus_FOL,conjecture,(
    ! [X,Y,Re,C,P,P1,P2,C1,C2,T,Ta,Tb,Tc] : 
      ( ( organization(X,Ta)
        & organization(Y,Ta)
        & organization(X,Tc)
        & organization(Y,Tc)
        & class(X,C,Ta)
        & class(Y,C,Ta)
        & survival_chance(X,P,Ta)
        & survival_chance(Y,P,Ta)
        & reorganization(X,Ta,Tb)
        & reorganization(Y,Ta,Tc)
        & reorganization_type(X,Re,Ta)
        & reorganization_type(Y,Re,Ta)
        & reorganization_free(X,Tb,Tc)
        & survival_chance(X,P1,T)
        & survival_chance(Y,P2,T)
        & complexity(X,C1,Ta)
        & complexity(Y,C2,Ta)
        & greater(C2,C1)
        & ( equal(T,Tc)
         => greater(P1,P2) ) )
     => ( equal(T,Tb)
       => ( greater(P1,P2)
          | equal(P1,P2) ) ) )   )).
%--------------------------------------------------------------------------
