%--------------------------------------------------------------------------
% File     : MGT035+2 : TPTP v2.2.0. Released v2.0.0.
% Domain   : Management (Organisation Theory)
% Problem  : EPs outcompete FMs in stable environments
% Version  : [PM93] axioms.
% English  : Efficient producers outcompete first movers past a certain
%            time in stable environments. 

% Refs     : [PM93]  Peli & Masuch (1993), The Logic of Propogation Strateg
%          : [PM94]  Peli & Masuch (1994), The Logic of Propogation Strateg
%          : [PB+94] Peli et al. (1994), A Logical Approach to Formalizing
% Source   : [PM93]
% Names    : THEOREM 4 [PM93]
%          : T4 [PB+94]

% Status   : unknown
% Rating   : 1.00 v2.1.0
% Syntax   : Number of formulae    :   42 (   1 unit)
%            Number of atoms       :  129 (  54 equality)
%            Maximal formula depth :    7 (   3 average)
%            Number of connectives :   87 (   0 ~  ;   3  |;  39  &)
%                                         (   0 <=>;  45 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   12 (   0 propositional; 1-4 arity)
%            Number of functors    :    9 (   3 constant; 0-2 arity)
%            Number of variables   :  127 (   0 singleton; 127 !;   0 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
%----Subsitution axioms
input_formula(cardinality_at_time_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(cardinality_at_time(A,C),cardinality_at_time(B,C)) )   )).

input_formula(cardinality_at_time_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(cardinality_at_time(C,A),cardinality_at_time(C,B)) )   )).

input_formula(equilibrium_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(equilibrium(A),equilibrium(B)) )   )).

input_formula(growth_rate_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(growth_rate(A,C),growth_rate(B,C)) )   )).

input_formula(growth_rate_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(growth_rate(C,A),growth_rate(C,B)) )   )).

input_formula(number_of_organizations_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(number_of_organizations(A,C),
number_of_organizations(B,C)) )   )).

input_formula(number_of_organizations_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(number_of_organizations(C,A),
number_of_organizations(C,B)) )   )).

input_formula(resources_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(resources(A,C),resources(B,C)) )   )).

input_formula(resources_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(resources(C,A),resources(C,B)) )   )).

input_formula(sum_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(sum(A,C),sum(B,C)) )   )).

input_formula(sum_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(sum(C,A),sum(C,B)) )   )).

input_formula(constant_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & constant(A) )
     => constant(B) )   )).

input_formula(decreases_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & decreases(A) )
     => decreases(B) )   )).

input_formula(environment_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & environment(A) )
     => environment(B) )   )).

input_formula(greater_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & greater(A,C) )
     => greater(B,C) )   )).

input_formula(greater_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & greater(C,A) )
     => greater(C,B) )   )).

input_formula(greater_or_equal_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & greater_or_equal(A,C) )
     => greater_or_equal(B,C) )   )).

input_formula(greater_or_equal_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & greater_or_equal(C,A) )
     => greater_or_equal(C,B) )   )).

input_formula(in_environment_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & in_environment(A,C) )
     => in_environment(B,C) )   )).

input_formula(in_environment_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & in_environment(C,A) )
     => in_environment(C,B) )   )).

input_formula(increases_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & increases(A) )
     => increases(B) )   )).

input_formula(outcompetes_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & outcompetes(A,C,D) )
     => outcompetes(B,C,D) )   )).

input_formula(outcompetes_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & outcompetes(C,A,D) )
     => outcompetes(C,B,D) )   )).

input_formula(outcompetes_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & outcompetes(C,D,A) )
     => outcompetes(C,D,B) )   )).

input_formula(stable_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & stable(A) )
     => stable(B) )   )).

input_formula(subpopulation_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & subpopulation(A,C,D) )
     => subpopulation(B,C,D) )   )).

input_formula(subpopulation_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & subpopulation(C,A,D) )
     => subpopulation(C,B,D) )   )).

input_formula(subpopulation_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & subpopulation(C,D,A) )
     => subpopulation(C,D,B) )   )).

input_formula(subpopulations_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & subpopulations(A,C,D,E) )
     => subpopulations(B,C,D,E) )   )).

input_formula(subpopulations_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & subpopulations(C,A,D,E) )
     => subpopulations(C,B,D,E) )   )).

input_formula(subpopulations_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & subpopulations(C,D,A,E) )
     => subpopulations(C,D,B,E) )   )).

input_formula(subpopulations_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & subpopulations(C,D,E,A) )
     => subpopulations(C,D,E,B) )   )).

%----Problem axioms
%----MP. If first movers and efficient producers are present in an
%----environment  at a certain point of time, then this time-point belongs
%----to the the environment.
input_formula(mp_time_point_in_environment,axiom,(
    ! [E,T] : 
      ( ( environment(E)
        & subpopulations(first_movers,efficient_producers,E,T) )
     => in_environment(E,T) )   )).

%----MP. If first movers and efficient producers are present in an
%----environment  at a certain point of time, then then the environment
%----is not empty at this time.
input_formula(mp_environment_not_empty,axiom,(
    ! [E,T] : 
      ( ( environment(E)
        & subpopulations(first_movers,efficient_producers,E,T) )
     => greater(number_of_organizations(E,T),zero) )   )).

%----MP. If there are only first movers and efficient producers in an
%----environment, then the number of organizations is the sum of members
%----in these groups.
input_formula(mp_only_members,axiom,(
    ! [E,X,T] : 
      ( ( environment(E)
        & subpopulation(X,E,T)
        & ( greater(cardinality_at_time(X,T),zero)
         => ( equal(X,efficient_producers)
            | equal(X,first_movers) ) ) )
     => equal(number_of_organizations(E,T),sum(cardinality_at_time(
first_movers,T),cardinality_at_time(efficient_producers,T))) )   )).

%----MP. First movers and efficient producers are organisational groups.
input_formula(mp_FM_and_EP_organisational,axiom,(
    ! [E,T] : 
      ( ( environment(E)
        & in_environment(E,T) )
     => ( subpopulation(first_movers,E,T)
        & subpopulation(efficient_producers,E,T) ) )   )).

%----MP. If a constant "a" is the sum of "b" and "c", then either "b" and
%----"c" are also constants, or one of the two additives increases, while
%----the other decreases.
input_formula(mp_abc_sum_increase,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,sum(B,C))
        & constant(A) )
     => ( ( constant(B)
          & constant(C) )
        | ( increases(B)
          & decreases(C) )
        | ( decreases(B)
          & increases(C) ) ) )   )).

%----MP. If the number of a non-empty subpopulation is constant or
%----increases or decreases, then its growth rate is, respectively, zero 
%----or positive or negative.
input_formula(mp_growth_rate,axiom,(
    ! [X,E,T] : 
      ( ( environment(E)
        & in_environment(E,T)
        & subpopulation(X,E,T)
        & greater(cardinality_at_time(X,T),zero) )
     => ( ( constant(cardinality_at_time(X,T))
         => equal(growth_rate(X,T),zero) )
        & ( increases(cardinality_at_time(X,T))
         => greater(growth_rate(X,T),zero) )
        & ( decreases(cardinality_at_time(X,T))
         => greater(zero,growth_rate(X,T)) ) ) )   )).

%----MP. If a population in a certain environment consists of a first mover
%----and an efficient producer subpopulation at a certain point in time,
%----then the number of efficient producers are both positive at this time.
input_formula(mp_positive_number_of_organizations,axiom,(
    ! [E,T] : 
      ( ( environment(E)
        & subpopulations(first_movers,efficient_producers,E,T) )
     => ( greater(cardinality_at_time(first_movers,T),zero)
        & greater(cardinality_at_time(efficient_producers,T),zero) ) )   )).

%----MP. on inequality
input_formula(mp6_1,axiom,(
    ! [X,Y] : 
      ~ ( greater(X,Y)
        & equal(X,Y) )   )).

input_formula(mp6_2,axiom,(
    ! [X,Y] : 
      ~ ( greater(X,Y)
        & greater(Y,X) )   )).

%----MP. inequality
input_formula(mp_greater_transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( greater(X,Y)
        & greater(Y,Z) )
     => greater(X,Z) )   )).

%----MP. times in environment
input_formula(mp_times_in_environment,axiom,(
    ! [E,T1,T2] : 
      ( ( in_environment(E,T1)
        & in_environment(E,T2) )
     => ( greater(T2,T1)
        | equal(T2,T1)
        | greater(T1,T2) ) )   )).

%----MP. on "greater or equal to"
input_formula(mp_greater_or_equal,axiom,(
    ! [X,Y] : 
      ( greater_or_equal(X,Y)
    <=> ( greater(X,Y)
        | equal(X,Y) ) )   )).

%----MP. on equilibrium
input_formula(mp_equilibrium,axiom,(
    ! [E,T] : 
      ( ( environment(E)
        & greater_or_equal(T,equilibrium(E)) )
     => ~ greater(equilibrium(E),T) )   )).

%----D2. A subpopulation outcompetes an other in an environment at a 
%----certain time, if and only if, it has non-negative growth rate while 
%----the other subpopulation has negative growth rate.
input_formula(d2,hypothesis,(
    ! [E,S1,S2,T] : 
      ( ( environment(E)
        & subpopulations(S1,S2,E,T) )
     => ( ( greater_or_equal(growth_rate(S2,T),zero)
          & greater(zero,growth_rate(S1,T)) )
      <=> outcompetes(S2,S1,T) ) )   )).

%----A4. Resource availability decreases until equilibrium is reached.
input_formula(a4,hypothesis,(
    ! [E,T] : 
      ( ( environment(E)
        & in_environment(E,T)
        & greater(number_of_organizations(E,T),zero) )
     => ( ( greater(equilibrium(E),T)
         => decreases(resources(E,T)) )
        & ( ~ greater(equilibrium(E),T)
         => constant(resources(E,T)) ) ) )   )).

%----A5. The state of equilibrium is reached in stable environments.
input_formula(a5,hypothesis,(
    ! [E] : 
      ( ( environment(E)
        & stable(E) )
     => ? [T] : 
          ( in_environment(E,T)
          & greater_or_equal(T,equilibrium(E)) ) )   )).

%----A7. If resource availability decreases, then the number of
%----organizations increases or constant.
input_formula(a7,hypothesis,(
    ! [E,T] : 
      ( ( environment(E)
        & in_environment(E,T) )
     => ( ( decreases(resources(E,T))
         => ~ decreases(number_of_organizations(E,T)) )
        & ( constant(resources(E,T))
         => constant(number_of_organizations(E,T)) ) ) )   )).

%----A11. The population contains only first movers and efficient producers.
input_formula(a11,hypothesis,(
    ! [E,X,T] : 
      ( ( environment(E)
        & subpopulation(X,E,T)
        & greater(cardinality_at_time(X,T),zero) )
     => ( equal(X,efficient_producers)
        | equal(X,first_movers) ) )   )).

%----L1. The growth rate of efficient producers exceeds the growth rate of
%----first movers past a certain time in stable environments.
input_formula(l1,hypothesis,(
    ! [E] : 
      ( ( environment(E)
        & stable(E) )
     => ? [To] : 
          ( in_environment(E,To)
          & ! [T] : 
              ( ( subpopulations(first_movers,efficient_producers,E,T)
                & greater_or_equal(T,To) )
             => greater(growth_rate(efficient_producers,T),
growth_rate(first_movers,T)) ) ) )   )).

%----GOAL: T4. Efficient producers outcompete first movers past a certain
%----point of time in stable environments.
input_formula(prove_t4,conjecture,(
    ! [E] : 
      ( ( environment(E)
        & stable(E) )
     => ? [To] : 
          ( in_environment(E,To)
          & ! [T] : 
              ( ( subpopulations(first_movers,efficient_producers,E,T)
                & greater_or_equal(T,To) )
             => outcompetes(efficient_producers,first_movers,T) ) ) )   )).
%--------------------------------------------------------------------------
