%--------------------------------------------------------------------------
% File     : PUZ035-6 : TPTP v2.2.0. Released v2.0.0.
% Domain   : Puzzles
% Problem  : Knights and Knaves #36
% Version  : [Sto95] axioms.
%            Theorem formulation : Definite answer "no".
% English  : On an island, there live exactly two types of people: knights 
%            and knaves. Knights always tell the truth and knaves always 
%            lie. I landed on the island, met two inhabitants, asked one of 
%            them: "Is one of you a knight?" and he answered me. What can 
%            be said about the types of the asked and the other person 
%            depending on the answer I get?

% Refs     : [Smu78] Smullyan (1978), What is the Name of This Book? The Ri
%          : [Sto95] Stolzenburg (1995), Email to Geoff Sutcliffe.
%          : [BFS95] Baumgartner et al. (1995), Model Elimination, Logic Pr
%          : [BFS97] Baumgartner et al. (1997), Computing Answers with Mode
% Source   : [Sto95]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.1.0
% Syntax   : Number of clauses    :   11 (   3 non-Horn;   1 unit;   7 RR)
%            Number of literals   :   24 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    2 (   0 propositional; 1-2 arity)
%            Number of functors   :    7 (   4 constant; 0-2 arity)
%            Number of variables  :   16 (   4 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : Query allows for definite answer X/Y = knight/knave.
%--------------------------------------------------------------------------
%----Everyone's either a knight or a knave
input_clause(everyone_a_knight_or_knave,axiom,
    [++true(isa(P,knight)), 
     ++true(isa(P,knave))]).

input_clause(not_both_a_knight_and_knave,axiom,
    [--true(isa(P,knight)), 
     --true(isa(P,knave))]).

input_clause(knights_make_true_statements1,axiom,
    [++true(S), 
     --true(isa(P,knight)), 
     --says(P,S)]).

input_clause(knights_make_true_statements2,axiom,
    [++true(isa(P,knight)), 
     --true(S), 
     --says(P,S)]).

%----Definitions for or
input_clause(or1,axiom,
    [++true(A),
     ++true(B),
     --true(or(A,B))]).

input_clause(or2,axiom,
    [++true(or(A,B)),
     --true(A)]).

input_clause(or3,axiom,
    [++true(or(A,B)),
     --true(B)]).

%----Axioms for not
input_clause(not1,axiom,
    [++true(C), 
     ++true(not(C))]).

input_clause(not2,axiom,
    [--true(C), 
     --true(not(C))]).

input_clause(says_yes,axiom,
    [++says(asked,not(or(isa(asked,knight),isa(other,knight))))]).

input_clause(query,conjecture,
    [--true(isa(asked,X)), 
     --true(isa(other,Y))]).
%--------------------------------------------------------------------------

