%--------------------------------------------------------------------------
% File     : PUZ035-7 : TPTP v2.2.0. Released v2.0.0.
% Domain   : Puzzles
% Problem  : Knights and Knaves #36
% Version  : [Sto95] axioms.
%            Theorem formulation : All possibilities at once.
% English  : On an island, there live exactly two types of people: knights 
%            and knaves. Knights always tell the truth and knaves always 
%            lie. I landed on the island, met two inhabitants, asked one of 
%            them: "Is one of you a knight?" and he answered me. What can 
%            be said about the types of the asked and the other person 
%            depending on the answer I get?

% Refs     : [Smu78] Smullyan (1978), What is the Name of This Book? The Ri
%          : [Sto95] Stolzenburg (1995), Email to Geoff Sutcliffe.
%          : [BFS97] Baumgartner et al. (1997), Computing Answers with Mode
% Source   : [Sto95] 
% Names    :

% Status   : unsatisfiable
% Rating   : 0.00 v2.1.0
% Syntax   : Number of clauses    :   14 (   5 non-Horn;   0 unit;   8 RR)
%            Number of literals   :   34 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    2 (   0 propositional; 1-3 arity)
%            Number of functors   :    9 (   6 constant; 0-2 arity)
%            Number of variables  :   25 (   5 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Comprises the whole problem in one description. The query 
%            allows for disjunctive answer R/X/Y = no/knave/knight;
%            yes/knave/knave;yes/knight/knave;yes/knight/knight
%--------------------------------------------------------------------------
%----On the island, there live exactly two types of people: knights and 
%----knaves.
input_clause(everyone_a_knight_or_knave,axiom,
    [++true(isa(P,knight)),
     ++true(isa(P,knave))]).

input_clause(not_both_a_knight_and_knave,axiom,
    [--true(isa(P,knight)),
     --true(isa(P,knave))]).

%----Knights always tell the truth and knaves always lie.
%----Formally: true(Q) <=> true(isa(P,knight)) <=> reply(P,Q,yes)
input_clause(knights_make_true_statements1,axiom,
    [++true(Q),
     --true(isa(P,knight)),
     --reply(P,Q,yes)]).

input_clause(knights_make_true_statements2,axiom,
    [--true(Q),
     ++true(isa(P,knight)),
     --reply(P,Q,yes)]).

input_clause(knights_make_true_statements3,axiom,
    [--true(Q),
     --true(isa(P,knight)),
     ++reply(P,Q,yes)]).

input_clause(knights_make_true_statements4,axiom,
    [++true(Q),
     ++true(isa(P,knight)),
     ++reply(P,Q,yes)]).

%----Every inhabitant answers a question with a straight yes or no.
input_clause(yes_or_no,axiom,
    [++reply(P,Q,yes),
     ++reply(P,Q,no)]).

input_clause(not_yes_and_no,axiom,
    [--reply(P,Q,yes),
     --reply(P,Q,no)]).

%----Definitions for not and truth
input_clause(true1,axiom,
    [++true(C),
     ++true(not(C))]).

input_clause(true2,axiom,
    [--true(C),
     --true(not(C))]).

%----Definitions for or
input_clause(or1,axiom,
    [++true(A),
     ++true(B),
     --true(or(A,B))]).

input_clause(or2,axiom,
    [++true(or(A,B)),
     --true(A)]).

input_clause(or3,axiom,
    [++true(or(A,B)),
     --true(B)]).

%----This is the query. It is easy to state than other knights-and-knaves 
%----problems.
input_clause(prove_answer,conjecture,
    [--reply(asked,or(isa(asked,knight),isa(other,knight)),R),
     --true(isa(asked,X)),
     --true(isa(other,Y))]).
%--------------------------------------------------------------------------
