%--------------------------------------------------------------------------
% File     : RNG007-4 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Ring Theory
% Problem  : In Boolean rings, X is its own inverse
% Version  : [Peterson & Stickel,1981] (equality) axioms.
%            Theorem formulation : Equality.
% English  : Given a ring in which for all x, x * x = x, prove that for 
%            all x, x + x = additive_identity

% Refs     : [PS81]  Peterson & Stickel (1981), Complete Sets of Reductions
% Source   : [ANL]
% Names    : lemma.ver2.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.11 v2.2.0, 0.14 v2.1.0, 0.13 v2.0.0
% Syntax   : Number of clauses    :   24 (   0 non-Horn;  17 unit;   5 RR)
%            Number of literals   :   32 (  32 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   2 constant; 0-2 arity)
%            Number of variables  :   46 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include ring theory axioms 
include('Axioms/RNG002-0.ax').
%--------------------------------------------------------------------------
input_clause(boolean_ring,hypothesis,
    [++equal(multiply(X,X),X)]).

input_clause(prove_inverse,conjecture,
    [--equal(add(a,a),additive_identity)]).
%--------------------------------------------------------------------------
