%--------------------------------------------------------------------------
% File     : RNG008-1 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Ring Theory
% Problem  : Boolean rings are commutative
% Version  : [MOW76] axioms.
% English  : Given a ring in which for all x, x * x = x, prove that for 
%            all x and y, x * y = y * x.

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [Wos88] Wos (1988), Automated Reasoning - 33 Basic Research Pr
% Source   : [MOW76]
% Names    : Test Problem 8 [Wos88]
%          : Boolean Rings [Wos88]
%          : commute.ver3.in [ANL]
%          : commute.ver4.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.67 v2.2.0, 0.71 v2.1.0, 0.75 v2.0.0
% Syntax   : Number of clauses    :   34 (   0 non-Horn;  10 unit;  22 RR)
%            Number of literals   :   87 (  24 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-3 arity)
%            Number of functors   :    7 (   4 constant; 0-2 arity)
%            Number of variables  :  116 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include ring theory axioms 
include('Axioms/RNG001-0.ax').
%----Include ring theory equality axioms 
include('Axioms/RNG001-0.eq').
%--------------------------------------------------------------------------
input_clause(x_squared_is_x,hypothesis,
    [++product(X,X,X)]).

input_clause(a_times_b_is_c,hypothesis,
    [++product(a,b,c)]).

input_clause(prove_b_times_a_is_c,conjecture,
    [--product(b,a,c)]).
%--------------------------------------------------------------------------
