%--------------------------------------------------------------------------
% File     : RNG008-2 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Ring Theory
% Problem  : Boolean rings are commutative
% Version  : [MOW76] axioms : Augmented.
% English  : Given a ring in which for all x, x * x = x, prove that for 
%            all x and y, x * y = y * x.

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [OMW76] Overbeek et al. (1976), Complexity and Related Enhance
% Source   : [MOW76]
% Names    : R3 [MOW76]
%          : Theorem 2 [OMW76]

% Status   : unsatisfiable
% Rating   : 0.67 v2.2.0, 0.71 v2.1.0, 0.50 v2.0.0
% Syntax   : Number of clauses    :   36 (   0 non-Horn;  10 unit;  24 RR)
%            Number of literals   :   93 (  26 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-3 arity)
%            Number of functors   :    7 (   4 constant; 0-2 arity)
%            Number of variables  :  124 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include ring theory axioms 
include('Axioms/RNG001-0.ax').
%----Include ring theory equality axioms 
include('Axioms/RNG001-0.eq').
%--------------------------------------------------------------------------
input_clause(cancellation1,axiom,
    [--sum(X,Y,Z),
     --sum(X,W,Z),
     ++equal(Y,W)]).

input_clause(cancellation2,axiom,
    [--sum(X,Y,Z),
     --sum(W,Y,Z),
     ++equal(X,W)]).

input_clause(x_squared_is_x,hypothesis,
    [++product(X,X,X)]).

input_clause(a_times_b_is_c,hypothesis,
    [++product(a,b,c)]).

input_clause(prove_b_times_a_is_c,conjecture,
    [--product(b,a,c)]).
%--------------------------------------------------------------------------
