%--------------------------------------------------------------------------
% File     : ROB012-1 : TPTP v2.2.0. Bugfixed v1.2.0.
% Domain   : Robbins Algebra
% Problem  : If -(a + -b) = c then -(a + -(b + k(a + c))) = c, k=k + 1
% Version  : [Win90] (equality) axioms.
% English  : This is the induction step of an induction proof.

% Refs     : [Win90] Winker (1990), Robbins Algebra: Conditions that make a
% Source   : [Win90]
% Names    : Lemma 3.4 [Win90]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   21 (   0 non-Horn;  10 unit;  11 RR)
%            Number of literals   :   34 (  27 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 1-2 arity)
%            Number of functors   :    9 (   5 constant; 0-2 arity)
%            Number of variables  :   35 (   0 singleton)
%            Maximal term depth   :    7 (   1 average)

% Comments : 
% Bugfixes : v1.2.0 - Fixed sign in prove_induction_step.
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include axioms for Robbins algebra 
include('Axioms/ROB001-0.ax').
%----Include axioms for numbers in Robbins algebras 
include('Axioms/ROB001-1.ax').
%--------------------------------------------------------------------------
input_clause(condition,hypothesis,
    [++equal(negate(add(a,negate(b))),c)]).

input_clause(k_an_integer,hypothesis,
    [++positive_integer(k)]).

input_clause(base_step,axiom,
    [++equal(negate(add(a,negate(add(b,multiply(k,add(a,c)))))),c)]).

input_clause(prove_induction_step,conjecture,
    [--equal(negate(add(a,negate(add(b,multiply(successor(k),
add(a,c)))))),c)]).
%--------------------------------------------------------------------------
