%--------------------------------------------------------------------------
% File     : ROB019-1 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Robbins Algebra
% Problem  : A complex absorbtion condition
% Version  : [Win90] (equality) axioms.
% English  : If -(-e + -(d + -e)) = d then e + 2(d + -(d + -e)) absorbs 
%            d + -(d + -e)

% Refs     : [Win90] Winker (1990), Robbins Algebra: Conditions that make a
% Source   : [Win90]
% Names    : Corollary 3.9 [Win90]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   19 (   0 non-Horn;   8 unit;   9 RR)
%            Number of literals   :   32 (  26 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 1-2 arity)
%            Number of functors   :    7 (   3 constant; 0-2 arity)
%            Number of variables  :   35 (   0 singleton)
%            Maximal term depth   :    7 (   1 average)

% Comments : This could be done with the first part, together
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include axioms for Robbins algebra 
include('Axioms/ROB001-0.ax').
%----Include axioms for numbers in Robbins algebras 
include('Axioms/ROB001-1.ax').
%--------------------------------------------------------------------------
input_clause(condition,hypothesis,
    [++equal(negate(add(d,negate(e))),negate(e))]).

input_clause(prove_result,conjecture,
    [--equal(add(e,multiply(successor(successor(one)),add(d,negate(
add(d,negate(e)))))),add(e,multiply(successor(one),add(d,negate(
add(d,negate(e)))))))]).
%--------------------------------------------------------------------------
