%--------------------------------------------------------------------------
% File     : SET011+3 : TPTP v2.2.0. Released v2.2.0.
% Domain   : Set Theory (Boolean properties)
% Problem  : X \ (X \ Y) = X ^ Y
% Version  : [Try89] axioms : Reduced > Incomplete.
% English  : The difference of X and (the difference of X and Y) is the 
%            intersection of X and Y.

% Refs     : [ILF] The ILF Group (1998), The ILF System: A Tool for the Int
%          : [Try89] Trybulec (1989), Tarski Grothendieck Set Theory
%          : [TS89]  Trybulec & Swieczkowska (1989), Boolean Properties of
% Source   : [ILF]
% Names    : BOOLE (82) [TS89] 

% Status   : unknown
% Rating   : ? v2.2.0
% Syntax   : Number of formulae    :    8 (   3 unit)
%            Number of atoms       :   18 (   4 equality)
%            Maximal formula depth :    5 (   3 average)
%            Number of connectives :   11 (   1 ~  ;   0  |;   3  &)
%                                         (   6 <=>;   1 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    3 (   0 propositional; 2-2 arity)
%            Number of functors    :    2 (   0 constant; 2-2 arity)
%            Number of variables   :   19 (   0 singleton;  19 !;   0 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%---- line(boole - df(3),1833060)
input_formula(intersection_defn,axiom,(
    ! [B,C,D] : 
      ( member(D,intersection(B,C))
    <=> ( member(D,B)
        & member(D,C) ) )   )).
%--------------------------------------------------------------------------
%---- line(boole - df(4),1833078)
input_formula(difference_defn,axiom,(
    ! [B,C,D] : 
      ( member(D,difference(B,C))
    <=> ( member(D,B)
        & ~ member(D,C) ) )   )).
%--------------------------------------------------------------------------
%---- line(boole - df(8),1833103)
input_formula(equal_defn,axiom,(
    ! [B,C] : 
      ( equal(B,C)
    <=> ( subset(B,C)
        & subset(C,B) ) )   )).
%--------------------------------------------------------------------------
%---- property(commutativity,op(intersection,2,function))
input_formula(commutativity_of_intersection,axiom,(
    ! [B,C] : equal(intersection(B,C),intersection(C,B))   )).
%--------------------------------------------------------------------------
%---- line(tarski - df(3),1832749)
input_formula(subset_defn,axiom,(
    ! [B,C] : 
      ( subset(B,C)
    <=> ! [D] : 
          ( member(D,B)
         => member(D,C) ) )   )).
%--------------------------------------------------------------------------
%---- property(reflexivity,op(subset,2,predicate))
input_formula(reflexivity_of_subset,axiom,(
    ! [B] : subset(B,B)   )).
%--------------------------------------------------------------------------
%---- line(hidden - axiom146,1832615)
input_formula(equal_member_defn,axiom,(
    ! [B,C] : 
      ( equal(B,C)
    <=> ! [D] : 
          ( member(D,B)
        <=> member(D,C) ) )   )).
%--------------------------------------------------------------------------
%---- line(boole - th(82),1833997)
input_formula(prove_difference_difference_intersection,conjecture,(
    ! [B,C] : equal(difference(B,difference(B,C)),intersection(B,C))   )).
%--------------------------------------------------------------------------
