%--------------------------------------------------------------------------
% File     : SET013-4 : TPTP v2.2.0. Bugfixed v1.2.1.
% Domain   : Set Theory
% Problem  : The intersection of sets is commutative
% Version  : [BL+86] axioms : Reduced > Incomplete.
% English  : 

% Refs     : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic: 
% Source   : [ANL]
% Names    : inters.ver2.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.14 v2.2.0, 0.20 v2.1.0, 0.75 v2.0.0
% Syntax   : Number of clauses    :   22 (   2 non-Horn;   5 unit;  15 RR)
%            Number of literals   :   46 (  23 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    8 (   6 constant; 0-2 arity)
%            Number of variables  :   45 (   4 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
% Bugfixes : v1.2.1 - Missing substitution axioms added.
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
%----Substitution axioms
input_clause(f1_substitution_1,axiom,
    [-- equal(A, B),
     ++ equal(f1(A, C), f1(B, C))]).

input_clause(f1_substitution_2,axiom,
    [-- equal(A, B),
     ++ equal(f1(C, A), f1(C, B))]).

input_clause(intersection_substitution_1,axiom,
    [-- equal(A, B),
     ++ equal(intersection(A, C), intersection(B, C))]).

input_clause(intersection_substitution_2,axiom,
    [-- equal(A, B),
     ++ equal(intersection(C, A), intersection(C, B))]).

input_clause(little_set_substitution_1,axiom,
    [-- equal(A, B),
     -- little_set(A),
     ++ little_set(B)]).

input_clause(member_substitution_1,axiom,
    [-- equal(A, B),
     -- member(A, C),
     ++ member(B, C)]).

input_clause(member_substitution_2,axiom,
    [-- equal(A, B),
     -- member(C, A),
     ++ member(C, B)]).

%----Axiom A-2, elements of sets are little sets.
input_clause(a2,axiom,
    [--member(X,Y),
     ++little_set(X)]).

%----Axiom A-3, principle of extensionality 
input_clause(extensionality1,axiom,
    [++little_set(f1(X,Y)),
     ++equal(X,Y)]).

input_clause(extensionality2,axiom,
    [++member(f1(X,Y),X),
     ++member(f1(X,Y),Y),
     ++equal(X,Y)]).

input_clause(extensionality3,axiom,
    [--member(f1(X,Y),X),
     --member(f1(X,Y),Y),
     ++equal(X,Y)]).

%----Axiom B-2, intersection 
input_clause(intersection1,axiom,
    [--member(Z,intersection(X,Y)),
     ++member(Z,X)]).

input_clause(intersection2,axiom,
    [--member(Z,intersection(X,Y)),
     ++member(Z,Y)]).

input_clause(intersection3,axiom,
    [++member(Z,intersection(X,Y)),
     --member(Z,X),
     --member(Z,Y)]).

%----Definition of empty set 
input_clause(empty_set,axiom,
    [--member(Z,empty_set)]).

%----Definition of universal set 
input_clause(universal_set,axiom,
    [++member(Z,universal_set),
     --little_set(Z)]).

input_clause(intersection_of_a_and_b_is_c,hypothesis,
    [++equal(intersection(as,bs),cs)]).

input_clause(intersection_of_b_and_a_is_d,hypothesis,
    [++equal(intersection(bs,as),ds)]).

input_clause(prove_c_equals_d,conjecture,
    [--equal(cs,ds)]).
%--------------------------------------------------------------------------
