%--------------------------------------------------------------------------
% File     : SET015-4 : TPTP v2.2.0. Bugfixed v1.2.1.
% Domain   : Set Theory
% Problem  : The union of sets is commutative
% Version  : [BL+86] axioms : Reduced > Incomplete.
% English  : 

% Refs     : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic: 
% Source   : [ANL]
% Names    : union.ver2.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.57 v2.2.0, 0.80 v2.1.0, 1.00 v2.0.0
% Syntax   : Number of clauses    :   28 (   3 non-Horn;   6 unit;  17 RR)
%            Number of literals   :   58 (  30 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :   10 (   6 constant; 0-2 arity)
%            Number of variables  :   59 (   4 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
% Bugfixes : v1.2.1 - Missing substitution axioms added.
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
%----Substitution axioms
input_clause(complement_substitution_1,axiom,
    [-- equal(A, B),
     ++ equal(complement(A), complement(B))]).

input_clause(f1_substitution_1,axiom,
    [-- equal(A, B),
     ++ equal(f1(A, C), f1(B, C))]).

input_clause(f1_substitution_2,axiom,
    [-- equal(A, B),
     ++ equal(f1(C, A), f1(C, B))]).

input_clause(intersection_substitution_1,axiom,
    [-- equal(A, B),
     ++ equal(intersection(A, C), intersection(B, C))]).

input_clause(intersection_substitution_2,axiom,
    [-- equal(A, B),
     ++ equal(intersection(C, A), intersection(C, B))]).

input_clause(union_substitution_1,axiom,
    [-- equal(A, B),
     ++ equal(union(A, C), union(B, C))]).

input_clause(union_substitution_2,axiom,
    [-- equal(A, B),
     ++ equal(union(C, A), union(C, B))]).

input_clause(little_set_substitution_1,axiom,
    [-- equal(A, B),
     -- little_set(A),
     ++ little_set(B)]).

input_clause(member_substitution_1,axiom,
    [-- equal(A, B),
     -- member(A, C),
     ++ member(B, C)]).

input_clause(member_substitution_2,axiom,
    [-- equal(A, B),
     -- member(C, A),
     ++ member(C, B)]).

%----Axiom A-2, elements of sets are little sets.
input_clause(a2,axiom,
    [--member(X,Y),
     ++little_set(X)]).

%----Axiom A-3, principle of extensionality 
input_clause(extensionality1,axiom,
    [++little_set(f1(X,Y)),
     ++equal(X,Y)]).

input_clause(extensionality2,axiom,
    [++member(f1(X,Y),X),
     ++member(f1(X,Y),Y),
     ++equal(X,Y)]).

input_clause(extensionality3,axiom,
    [--member(f1(X,Y),X),
     --member(f1(X,Y),Y),
     ++equal(X,Y)]).

%----Axiom B-2, intersection 
input_clause(intersection1,axiom,
    [--member(Z,intersection(X,Y)),
     ++member(Z,X)]).

input_clause(intersection2,axiom,
    [--member(Z,intersection(X,Y)),
     ++member(Z,Y)]).

input_clause(intersection3,axiom,
    [++member(Z,intersection(X,Y)),
     --member(Z,X),
     --member(Z,Y)]).

%----Axiom B-3, complement 
input_clause(complement1,axiom,
    [--member(Z,complement(X)),
     --member(Z,X)]).

input_clause(complement2,axiom,
    [++member(Z,complement(X)),
     --little_set(Z),
     ++member(Z,X)]).

%----Definition of union 
input_clause(union,axiom,
    [++equal(union(X,Y),complement(intersection(complement(X),
complement(Y))))]).

%----Definition of empty set 
input_clause(empty_set,axiom,
    [--member(Z,empty_set)]).

%----Definition of universal set 
input_clause(universal_set,axiom,
    [++member(Z,universal_set),
     --little_set(Z)]).

input_clause(a_union_b_is_c,hypothesis,
    [++equal(union(as,bs),cs)]).

input_clause(b_union_a_is_d,hypothesis,
    [++equal(union(bs,as),ds)]).

input_clause(prove_c_equals_d,conjecture,
    [--equal(cs,ds)]).
%--------------------------------------------------------------------------
