%--------------------------------------------------------------------------
% File     : SET018-1 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : Second components of equal ordered pairs are equal
% Version  : [LW91] axioms : Incomplete.
% English  : 

% Refs     : [LW91]  Lusk & Wos (1991), Benchmark Problems in Which Equalit
%          : [LW92]  Lusk & Wos (1992), Benchmark Problems in Which Equalit
% Source   : [LW91]
% Names    : NU3.2 [LW92]

% Status   : unsatisfiable
% Rating   : 0.56 v2.2.0, 0.78 v2.1.0, 0.89 v2.0.0
% Syntax   : Number of clauses    :   18 (   1 non-Horn;   7 unit;   9 RR)
%            Number of literals   :   33 (  24 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   4 constant; 0-2 arity)
%            Number of variables  :   38 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(singleton_1,axiom,
    [++member(X,singleton_set(X))]).

input_clause(singleton_2,axiom,
    [--member(X,singleton_set(Y)),
     ++equal(X,Y)]).

input_clause(unordered_pair_1,axiom,
    [++member(X,unordered_pair(X,Y))]).

input_clause(unordered_pair_2,axiom,
    [++member(Y,unordered_pair(X,Y))]).

input_clause(unordered_pair_3,axiom,
    [--member(X,unordered_pair(Y,Z)),
     ++equal(X,Y),
     ++equal(X,Z)]).

input_clause(ordered_pair,axiom,
    [++equal(ordered_pair(X,Y),unordered_pair(singleton_set(X),
unordered_pair(X,Y)))]).

input_clause(ordered_pair_substitution1,axiom,
    [--equal(A,B),
     ++equal(ordered_pair(A,C),ordered_pair(B,C))]).

input_clause(ordered_pair_substitution2,axiom,
    [--equal(D,E),
     ++equal(ordered_pair(F,D),ordered_pair(F,E))]).

input_clause(singleton_set_substitution1,axiom,
    [--equal(G,H),
     ++equal(singleton_set(G),singleton_set(H))]).

input_clause(unordered_pair_substitution1,axiom,
    [--equal(I,J),
     ++equal(unordered_pair(I,K),unordered_pair(J,K))]).

input_clause(unordered_pair_substitution2,axiom,
    [--equal(L,M),
     ++equal(unordered_pair(N,L),unordered_pair(N,M))]).

input_clause(member_substitution1,axiom,
    [--equal(O,P),
     --member(O,Q),
     ++member(P,Q)]).

input_clause(member_substitution2,axiom,
    [--equal(R,S),
     --member(T,R),
     ++member(T,S)]).

input_clause(equal_ordered_pairs,hypothesis,
    [++equal(ordered_pair(m1,r1),ordered_pair(m2,r2))]).

input_clause(prove_second_components_equal,conjecture,
    [--equal(r1,r2)]).
%--------------------------------------------------------------------------
