%--------------------------------------------------------------------------
% File     : SET108+1 : TPTP v2.2.0. Released v2.2.0.
% Domain   : Set Theory
% Problem  : 1st and 2nd make the ordered pair
% Version  : [Quaife, 1992] axioms : Reduced & Augmented > Complete.
% English  :

% Refs     : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
%          : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic:
% Source   : [Qua92]
% Names    :

% Status   : theorem
% Rating   : ? v2.2.0
% Syntax   : Number of formulae    :   42 (  16 unit)
%            Number of atoms       :  101 (  20 equality)
%            Maximal formula depth :    9 (   3 average)
%            Number of connectives :   65 (   6 ~  ;   4  |;  29  &)
%                                         (  18 <=>;   8 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    6 (   0 propositional; 1-2 arity)
%            Number of functors    :   26 (   5 constant; 0-3 arity)
%            Number of variables   :   87 (   0 singleton;  79 !;   8 ?)
%            Maximal term depth    :    4 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%----Include set theory axioms
include('Axioms/SET005+0.ax').
%--------------------------------------------------------------------------
%----OP6: Existence of 1st and 2nd.
%----All six theorems combined
input_formula(existence_of_first_and_second,conjecture,(
    ! [X] : 
    ? [U,V] : 
      ( ( member(U,universal_class)
        & member(V,universal_class)
        & equal(X,ordered_pair(U,V)) )
      | ( ~ ( ? [Y,Z] : 
                ( member(Y,universal_class)
                & member(Z,universal_class)
                & equal(X,ordered_pair(Y,Z)) ) )
        & equal(U,X)
        & equal(V,X) ) )   )).
%--------------------------------------------------------------------------
