%--------------------------------------------------------------------------
% File     : SET450-6 : TPTP v2.2.0. Bugfixed v2.1.0.
% Domain   : Set Theory
% Problem  : Condition 2 for one function to be a subset of another
% Version  : [Qua92] axioms.
% English  : 

% Refs     : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic: 
%          : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
% Source   : [Quaife]
% Names    : FU16.2 [Quaife]

% Status   : unknown
% Rating   : 1.00 v2.1.0
% Syntax   : Number of clauses    :  193 (   8 non-Horn;  42 unit; 122 RR)
%            Number of literals   :  394 ( 186 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   11 (   0 propositional; 1-3 arity)
%            Number of functors   :   49 (  14 constant; 0-3 arity)
%            Number of variables  :  442 (  32 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : Not in [Qua92].
%          : Quaife proves all these problems by augmenting the axioms with 
%            all previously proved theorems. With a few exceptions (the
%            problems that correspond to [BL+86] problems), the TPTP has
%            retained the order in which Quaife presents the problems. The
%            user may create an augmented version of this problem by adding
%            all previously proved theorems (the ones that correspond to
%            [BL+86] are easily identified and positioned using Quaife's
%            naming scheme).
% Bugfixes : v1.0.1 - Bugfix in SET004-1.ax.
%          : v2.1.0 - Bugfix in SET004-0.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include von Neuman-Bernays-Godel Boolean Algebra definitions 
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%--------------------------------------------------------------------------
input_clause(not_subfunction_substitution1,axiom,
    [--equal(A,B),
     ++equal(not_subfunction(A,C),not_subfunction(B,C))]).

input_clause(not_subfunction_substitution2,axiom,
    [--equal(D,E),
     ++equal(not_subfunction(F,D),not_subfunction(F,E))]).

input_clause(prove_function_subset_function2_1,conjecture,
    [++function(x)]).

input_clause(prove_function_subset_function2_2,conjecture,
    [++subclass(domain_of(x),domain_of(y))]).

input_clause(prove_function_subset_function2_3,conjecture,
    [++equal(apply(x,not_subfunction(x,y)),apply(y,
not_subfunction(x,y)))]).

input_clause(prove_function_subset_function2_4,conjecture,
    [--subclass(x,y)]).
%--------------------------------------------------------------------------
