%--------------------------------------------------------------------------
% File     : SET597+3 : TPTP v2.2.0. Released v2.2.0.
% Domain   : Set Theory (Boolean properties)
% Problem  : X = Y U Z iff Y (= X, Z (= X, !V: Y (= V & Z (= V, X (= V
% Version  : [Try89] axioms : Reduced > Incomplete.
% English  : X is the union of Y and Z if and only if the following 
%            conditions are satisfied: 1. Y is a subset of X, 2. Z is a 
%            subset of X, and 3. for every V such that Y is a subset of V 
%            and Z is a subset of V : X is a subset of V.

% Refs     : [ILF] The ILF Group (1998), The ILF System: A Tool for the Int
%          : [Try89] Trybulec (1989), Tarski Grothendieck Set Theory
%          : [TS89]  Trybulec & Swieczkowska (1989), Boolean Properties of
% Source   : [ILF]
% Names    : BOOLE (56) [TS89] 

% Status   : unknown
% Rating   : ? v2.2.0
% Syntax   : Number of formulae    :    9 (   3 unit)
%            Number of atoms       :   24 (   4 equality)
%            Maximal formula depth :    8 (   4 average)
%            Number of connectives :   15 (   0 ~  ;   1  |;   5  &)
%                                         (   6 <=>;   3 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    3 (   0 propositional; 2-2 arity)
%            Number of functors    :    1 (   0 constant; 2-2 arity)
%            Number of variables   :   23 (   0 singleton;  23 !;   0 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%---- line(boole - th(31),1833190)
input_formula(subset_of_union,axiom,(
    ! [B,C] : subset(B,union(B,C))   )).
%--------------------------------------------------------------------------
%---- line(boole - th(32),1833206)
input_formula(union_subset,axiom,(
    ! [B,C,D] : 
      ( ( subset(B,C)
        & subset(D,C) )
     => subset(union(B,D),C) )   )).
%--------------------------------------------------------------------------
%---- line(boole - df(2),1833042)
input_formula(union_defn,axiom,(
    ! [B,C,D] : 
      ( member(D,union(B,C))
    <=> ( member(D,B)
        | member(D,C) ) )   )).
%--------------------------------------------------------------------------
%---- line(tarski - df(3),1832749)
input_formula(subset_defn,axiom,(
    ! [B,C] : 
      ( subset(B,C)
    <=> ! [D] : 
          ( member(D,B)
         => member(D,C) ) )   )).
%--------------------------------------------------------------------------
%---- line(boole - df(8),1833103)
input_formula(equal_defn,axiom,(
    ! [B,C] : 
      ( equal(B,C)
    <=> ( subset(B,C)
        & subset(C,B) ) )   )).
%--------------------------------------------------------------------------
%---- property(commutativity,op(union,2,function))
input_formula(commutativity_of_union,axiom,(
    ! [B,C] : equal(union(B,C),union(C,B))   )).
%--------------------------------------------------------------------------
%---- property(reflexivity,op(subset,2,predicate))
input_formula(reflexivity_of_subset,axiom,(
    ! [B] : subset(B,B)   )).
%--------------------------------------------------------------------------
%---- line(hidden - axiom84,1832615)
input_formula(equal_member_defn,axiom,(
    ! [B,C] : 
      ( equal(B,C)
    <=> ! [D] : 
          ( member(D,B)
        <=> member(D,C) ) )   )).
%--------------------------------------------------------------------------
%---- line(boole - th(56),1833583)
input_formula(prove_th56,conjecture,(
    ! [B,C,D] : 
      ( equal(B,union(C,D))
    <=> ( subset(C,B)
        & subset(D,B)
        & ! [E] : 
            ( ( subset(C,E)
              & subset(D,E) )
           => subset(B,E) ) ) )   )).
%--------------------------------------------------------------------------
