%--------------------------------------------------------------------------
% File     : SET601+3 : TPTP v2.2.0. Released v2.2.0.
% Domain   : Set Theory (Boolean properties)
% Problem  : X ^ Y U Y ^ Z U Z ^ X = (X U Y) ^ (Y U Z) ^ (Z U X)
% Version  : [Try89] axioms : Reduced > Incomplete.
% English  : The intersection of X and the union of Y and the intersection 
%            of Y and the union of Z and the intersection of Z and X is the 
%            intersection of (the union of X and Y) and the intersection of 
%            (the union of Y and Z) and (the union of Z and X).

% Refs     : [ILF] The ILF Group (1998), The ILF System: A Tool for the Int
%          : [Try89] Trybulec (1989), Tarski Grothendieck Set Theory
%          : [TS89]  Trybulec & Swieczkowska (1989), Boolean Properties of
% Source   : [ILF]
% Names    : BOOLE (72) [TS89] 

% Status   : unknown
% Rating   : ? v2.2.0
% Syntax   : Number of formulae    :   14 (   9 unit)
%            Number of atoms       :   24 (  10 equality)
%            Maximal formula depth :    5 (   2 average)
%            Number of connectives :   10 (   0 ~  ;   1  |;   2  &)
%                                         (   6 <=>;   1 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    3 (   0 propositional; 2-2 arity)
%            Number of functors    :    2 (   0 constant; 2-2 arity)
%            Number of variables   :   34 (   0 singleton;  34 !;   0 ?)
%            Maximal term depth    :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%---- line(boole - th(64),1833712)
input_formula(associativity_of_union,axiom,(
    ! [B,C,D] : equal(union(union(B,C),D),union(B,union(C,D)))   )).
%--------------------------------------------------------------------------
%---- line(boole - th(65),1833713)
input_formula(idempotency_of_intersection,axiom,(
    ! [B] : equal(intersection(B,B),B)   )).
%--------------------------------------------------------------------------
%---- line(boole - th(67),1833740)
input_formula(associativity_of_intersection,axiom,(
    ! [B,C,D] : equal(intersection(intersection(B,C),D),
intersection(B,intersection(C,D)))   )).
%--------------------------------------------------------------------------
%---- line(boole - th(69),1833784)
input_formula(union_intersection,axiom,(
    ! [B,C] : equal(union(B,intersection(B,C)),B)   )).
%--------------------------------------------------------------------------
%---- line(boole - th(71),1833842)
input_formula(union_distributes_over_intersection,axiom,(
    ! [B,C,D] : equal(union(B,intersection(C,D)),
intersection(union(B,C),union(B,D)))   )).
%--------------------------------------------------------------------------
%---- line(boole - df(2),1833042)
input_formula(union_defn,axiom,(
    ! [B,C,D] : 
      ( member(D,union(B,C))
    <=> ( member(D,B)
        | member(D,C) ) )   )).
%--------------------------------------------------------------------------
%---- line(boole - df(3),1833060)
input_formula(intersection_defn,axiom,(
    ! [B,C,D] : 
      ( member(D,intersection(B,C))
    <=> ( member(D,B)
        & member(D,C) ) )   )).
%--------------------------------------------------------------------------
%---- line(boole - df(8),1833103)
input_formula(equal_defn,axiom,(
    ! [B,C] : 
      ( equal(B,C)
    <=> ( subset(B,C)
        & subset(C,B) ) )   )).
%--------------------------------------------------------------------------
%---- property(commutativity,op(union,2,function))
input_formula(commutativity_of_union,axiom,(
    ! [B,C] : equal(union(B,C),union(C,B))   )).
%--------------------------------------------------------------------------
%---- property(commutativity,op(intersection,2,function))
input_formula(commutativity_of_intersection,axiom,(
    ! [B,C] : equal(intersection(B,C),intersection(C,B))   )).
%--------------------------------------------------------------------------
%---- line(tarski - df(3),1832749)
input_formula(subset_defn,axiom,(
    ! [B,C] : 
      ( subset(B,C)
    <=> ! [D] : 
          ( member(D,B)
         => member(D,C) ) )   )).
%--------------------------------------------------------------------------
%---- property(reflexivity,op(subset,2,predicate))
input_formula(reflexivity_of_subset,axiom,(
    ! [B] : subset(B,B)   )).
%--------------------------------------------------------------------------
%---- line(hidden - axiom118,1832615)
input_formula(equal_member_defn,axiom,(
    ! [B,C] : 
      ( equal(B,C)
    <=> ! [D] : 
          ( member(D,B)
        <=> member(D,C) ) )   )).
%--------------------------------------------------------------------------
%---- line(boole - th(72),1833851)
input_formula(prove_th72,conjecture,(
    ! [B,C,D] : equal(union(union(intersection(B,C),intersection(C,D)),
intersection(D,B)),intersection(intersection(union(B,C),
union(C,D)),union(D,B)))   )).
%--------------------------------------------------------------------------
