%--------------------------------------------------------------------------
% File     : SET626+3 : TPTP v2.2.0. Released v2.2.0.
% Domain   : Set Theory (Boolean properties)
% Problem  : If X intersects the intersection of Y and Z, then X intersects Y
% Version  : [Try89] axioms : Reduced > Incomplete.
% English  : 

% Refs     : [ILF] The ILF Group (1998), The ILF System: A Tool for the Int
%          : [Try89] Trybulec (1989), Tarski Grothendieck Set Theory
%          : [TS89]  Trybulec & Swieczkowska (1989), Boolean Properties of
% Source   : [ILF]
% Names    : BOOLE (102) [TS89] 

% Status   : unknown
% Rating   : ? v2.2.0
% Syntax   : Number of formulae    :    6 (   1 unit)
%            Number of atoms       :   14 (   2 equality)
%            Maximal formula depth :    5 (   3 average)
%            Number of connectives :    8 (   0 ~  ;   0  |;   2  &)
%                                         (   4 <=>;   2 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    3 (   0 propositional; 2-2 arity)
%            Number of functors    :    1 (   0 constant; 2-2 arity)
%            Number of variables   :   16 (   0 singleton;  15 !;   1 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%---- line(boole - df(3),1833060)
input_formula(intersection_defn,axiom,(
    ! [B,C,D] : 
      ( member(D,intersection(B,C))
    <=> ( member(D,B)
        & member(D,C) ) )   )).
%--------------------------------------------------------------------------
%---- line(boole - df(5),1833080)
input_formula(intersect_defn,axiom,(
    ! [B,C] : 
      ( intersect(B,C)
    <=> ? [D] : 
          ( member(D,B)
          & member(D,C) ) )   )).
%--------------------------------------------------------------------------
%---- property(commutativity,op(intersection,2,function))
input_formula(commutativity_of_intersection,axiom,(
    ! [B,C] : equal(intersection(B,C),intersection(C,B))   )).
%--------------------------------------------------------------------------
%---- property(symmetry,op(intersect,2,predicate))
input_formula(symmetry_of_intersect,axiom,(
    ! [B,C] : 
      ( intersect(B,C)
     => intersect(C,B) )   )).
%--------------------------------------------------------------------------
%---- line(hidden - axiom189,1832615)
input_formula(equal_member_defn,axiom,(
    ! [B,C] : 
      ( equal(B,C)
    <=> ! [D] : 
          ( member(D,B)
        <=> member(D,C) ) )   )).
%--------------------------------------------------------------------------
%---- line(boole - th(102),1834325)
input_formula(prove_th102,conjecture,(
    ! [B,C,D] : 
      ( intersect(B,intersection(C,D))
     => intersect(B,C) )   )).
%--------------------------------------------------------------------------
