%--------------------------------------------------------------------------
% File     : SET635+3 : TPTP v2.2.0. Released v2.2.0.
% Domain   : Set Theory (Boolean properties)
% Problem  : X ^ (Y \ Z) = X ^ Y \ X ^ Z
% Version  : [Try89] axioms : Reduced > Incomplete.
% English  : The intersection of X and the difference of Y and Z is the 
%            intersection of X and the difference of Y and the intersection 
%            of X and Z.

% Refs     : [ILF] The ILF Group (1998), The ILF System: A Tool for the Int
%          : [Try89] Trybulec (1989), Tarski Grothendieck Set Theory
%          : [TS89]  Trybulec & Swieczkowska (1989), Boolean Properties of
% Source   : [ILF]
% Names    : BOOLE (117) [TS89] 

% Status   : unknown
% Rating   : ? v2.2.0
% Syntax   : Number of formulae    :   16 (   9 unit)
%            Number of atoms       :   28 (   9 equality)
%            Maximal formula depth :    5 (   3 average)
%            Number of connectives :   15 (   3 ~  ;   0  |;   3  &)
%                                         (   8 <=>;   1 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    4 (   0 propositional; 1-2 arity)
%            Number of functors    :    4 (   1 constant; 0-2 arity)
%            Number of variables   :   36 (   0 singleton;  36 !;   0 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%---- line(boole - th(37),1833277)
input_formula(intersection_is_subset,axiom,(
    ! [B,C] : subset(intersection(B,C),B)   )).
%--------------------------------------------------------------------------
%---- line(boole - th(45),1833405)
input_formula(difference_empty_set,axiom,(
    ! [B,C] : 
      ( equal(difference(B,C),empty_set)
    <=> subset(B,C) )   )).
%--------------------------------------------------------------------------
%---- line(boole - th(60),1833665)
input_formula(union_empty_set,axiom,(
    ! [B] : equal(union(B,empty_set),B)   )).
%--------------------------------------------------------------------------
%---- line(boole - th(86),1834100)
input_formula(difference_and_intersection_and_union,axiom,(
    ! [B,C,D] : equal(difference(B,intersection(C,D)),
union(difference(B,C),difference(B,D)))   )).
%--------------------------------------------------------------------------
%---- line(boole - th(116),1834426)
input_formula(difference_and_intersection,axiom,(
    ! [B,C,D] : equal(intersection(B,difference(C,D)),
difference(intersection(B,C),D))   )).
%--------------------------------------------------------------------------
%---- line(boole - df(3),1833060)
input_formula(intersection_defn,axiom,(
    ! [B,C,D] : 
      ( member(D,intersection(B,C))
    <=> ( member(D,B)
        & member(D,C) ) )   )).
%--------------------------------------------------------------------------
%---- line(boole - df(4),1833078)
input_formula(difference_defn,axiom,(
    ! [B,C,D] : 
      ( member(D,difference(B,C))
    <=> ( member(D,B)
        & ~ member(D,C) ) )   )).
%--------------------------------------------------------------------------
%---- line(boole - df(8),1833103)
input_formula(equal_defn,axiom,(
    ! [B,C] : 
      ( equal(B,C)
    <=> ( subset(B,C)
        & subset(C,B) ) )   )).
%--------------------------------------------------------------------------
%---- property(commutativity,op(union,2,function))
input_formula(commutativity_of_union,axiom,(
    ! [B,C] : equal(union(B,C),union(C,B))   )).
%--------------------------------------------------------------------------
%---- line(hidden - axiom214,1832636)
input_formula(empty_set_defn,axiom,(
    ! [B] : ~ member(B,empty_set)   )).
%--------------------------------------------------------------------------
%---- property(commutativity,op(intersection,2,function))
input_formula(commutativity_of_intersection,axiom,(
    ! [B,C] : equal(intersection(B,C),intersection(C,B))   )).
%--------------------------------------------------------------------------
%---- line(tarski - df(3),1832749)
input_formula(subset_defn,axiom,(
    ! [B,C] : 
      ( subset(B,C)
    <=> ! [D] : 
          ( member(D,B)
         => member(D,C) ) )   )).
%--------------------------------------------------------------------------
%---- property(reflexivity,op(subset,2,predicate))
input_formula(reflexivity_of_subset,axiom,(
    ! [B] : subset(B,B)   )).
%--------------------------------------------------------------------------
%---- line(hidden - axiom216,1832615)
input_formula(equal_member_defn,axiom,(
    ! [B,C] : 
      ( equal(B,C)
    <=> ! [D] : 
          ( member(D,B)
        <=> member(D,C) ) )   )).
%--------------------------------------------------------------------------
%---- line(hidden - axiom217,1832628)
input_formula(empty_defn,axiom,(
    ! [B] : 
      ( empty(B)
    <=> ! [C] : ~ member(C,B) )   )).
%--------------------------------------------------------------------------
%---- line(boole - th(117),1834437)
input_formula(prove_th117,conjecture,(
    ! [B,C,D] : equal(intersection(B,difference(C,D)),
difference(intersection(B,C),intersection(B,D)))   )).
%--------------------------------------------------------------------------
