%--------------------------------------------------------------------------
% File     : SET636+3 : TPTP v2.2.0. Released v2.2.0.
% Domain   : Set Theory (Boolean properties)
% Problem  : X is disjoint from Y iff X ^ Y = the empty set
% Version  : [Try89] axioms : Reduced > Incomplete.
% English  : X is disjoint from Y iff the intersection of X and Y is the 
%            empty set.

% Refs     : [ILF] The ILF Group (1998), The ILF System: A Tool for the Int
%          : [Try89] Trybulec (1989), Tarski Grothendieck Set Theory
%          : [TS89]  Trybulec & Swieczkowska (1989), Boolean Properties of
% Source   : [ILF]
% Names    : BOOLE (118) [TS89] 

% Status   : unknown
% Rating   : ? v2.2.0
% Syntax   : Number of formulae    :   12 (   3 unit)
%            Number of atoms       :   26 (   4 equality)
%            Maximal formula depth :    5 (   3 average)
%            Number of connectives :   17 (   3 ~  ;   0  |;   3  &)
%                                         (   9 <=>;   2 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    6 (   0 propositional; 1-2 arity)
%            Number of functors    :    2 (   1 constant; 0-2 arity)
%            Number of variables   :   26 (   0 singleton;  25 !;   1 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%---- line(boole - df(3),1833060)
input_formula(intersection_defn,axiom,(
    ! [B,C,D] : 
      ( member(D,intersection(B,C))
    <=> ( member(D,B)
        & member(D,C) ) )   )).
%--------------------------------------------------------------------------
%---- line(boole - df(5),1833080)
input_formula(intersect_defn,axiom,(
    ! [B,C] : 
      ( intersect(B,C)
    <=> ? [D] : 
          ( member(D,B)
          & member(D,C) ) )   )).
%--------------------------------------------------------------------------
%---- line(hidden - axiom218,1832636)
input_formula(empty_set_defn,axiom,(
    ! [B] : ~ member(B,empty_set)   )).
%--------------------------------------------------------------------------
%---- line(boole - axiom219,1833083)
input_formula(disjoint_defn,axiom,(
    ! [B,C] : 
      ( disjoint(B,C)
    <=> ~ intersect(B,C) )   )).
%--------------------------------------------------------------------------
%---- line(boole - df(8),1833103)
input_formula(equal_defn,axiom,(
    ! [B,C] : 
      ( equal(B,C)
    <=> ( subset(B,C)
        & subset(C,B) ) )   )).
%--------------------------------------------------------------------------
%---- property(commutativity,op(intersection,2,function))
input_formula(commutativity_of_intersection,axiom,(
    ! [B,C] : equal(intersection(B,C),intersection(C,B))   )).
%--------------------------------------------------------------------------
%---- property(symmetry,op(intersect,2,predicate))
input_formula(symmetry_of_intersect,axiom,(
    ! [B,C] : 
      ( intersect(B,C)
     => intersect(C,B) )   )).
%--------------------------------------------------------------------------
%---- line(tarski - df(3),1832749)
input_formula(subset_defn,axiom,(
    ! [B,C] : 
      ( subset(B,C)
    <=> ! [D] : 
          ( member(D,B)
         => member(D,C) ) )   )).
%--------------------------------------------------------------------------
%---- property(reflexivity,op(subset,2,predicate))
input_formula(reflexivity_of_subset,axiom,(
    ! [B] : subset(B,B)   )).
%--------------------------------------------------------------------------
%---- line(hidden - axiom221,1832628)
input_formula(empty_defn,axiom,(
    ! [B] : 
      ( empty(B)
    <=> ! [C] : ~ member(C,B) )   )).
%--------------------------------------------------------------------------
%---- line(hidden - axiom222,1832615)
input_formula(equal_member_defn,axiom,(
    ! [B,C] : 
      ( equal(B,C)
    <=> ! [D] : 
          ( member(D,B)
        <=> member(D,C) ) )   )).
%--------------------------------------------------------------------------
%---- line(boole - th(118),1834466)
input_formula(prove_th118,conjecture,(
    ! [B,C] : 
      ( disjoint(B,C)
    <=> equal(intersection(B,C),empty_set) )   )).
%--------------------------------------------------------------------------
