%--------------------------------------------------------------------------
% File     : SET638+3 : TPTP v2.2.0. Released v2.2.0.
% Domain   : Set Theory (Boolean properties)
% Problem  : If X (= Y U Z and X ^ Z = the empty set , then X (= Y
% Version  : [Try89] axioms : Reduced > Incomplete.
% English  : If X is a subset of the union of Y and Z and the intersection 
%            of X and Z is the empty set, then X is a subset of Y.

% Refs     : [ILF] The ILF Group (1998), The ILF System: A Tool for the Int
%          : [Try89] Trybulec (1989), Tarski Grothendieck Set Theory
%          : [TS89]  Trybulec & Swieczkowska (1989), Boolean Properties of
% Source   : [ILF]
% Names    : BOOLE (120) [TS89] 

% Status   : unknown
% Rating   : ? v2.2.0
% Syntax   : Number of formulae    :   15 (   7 unit)
%            Number of atoms       :   29 (   8 equality)
%            Maximal formula depth :    5 (   3 average)
%            Number of connectives :   16 (   2 ~  ;   1  |;   3  &)
%                                         (   7 <=>;   3 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    4 (   0 propositional; 1-2 arity)
%            Number of functors    :    3 (   1 constant; 0-2 arity)
%            Number of variables   :   33 (   0 singleton;  33 !;   0 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%---- line(boole - th(37),1833277)
input_formula(intersection_is_subset,axiom,(
    ! [B,C] : subset(intersection(B,C),B)   )).
%--------------------------------------------------------------------------
%---- line(boole - th(42),1833351)
input_formula(subset_intersection,axiom,(
    ! [B,C] : 
      ( subset(B,C)
     => equal(intersection(B,C),B) )   )).
%--------------------------------------------------------------------------
%---- line(boole - th(60),1833665)
input_formula(union_empty_set,axiom,(
    ! [B] : equal(union(B,empty_set),B)   )).
%--------------------------------------------------------------------------
%---- line(boole - th(70),1833813)
input_formula(intersection_distributes_over_union,axiom,(
    ! [B,C,D] : equal(intersection(B,union(C,D)),
union(intersection(B,C),intersection(B,D)))   )).
%--------------------------------------------------------------------------
%---- line(boole - df(2),1833042)
input_formula(union_defn,axiom,(
    ! [B,C,D] : 
      ( member(D,union(B,C))
    <=> ( member(D,B)
        | member(D,C) ) )   )).
%--------------------------------------------------------------------------
%---- line(hidden - axiom228,1832636)
input_formula(empty_set_defn,axiom,(
    ! [B] : ~ member(B,empty_set)   )).
%--------------------------------------------------------------------------
%---- line(boole - df(3),1833060)
input_formula(intersection_defn,axiom,(
    ! [B,C,D] : 
      ( member(D,intersection(B,C))
    <=> ( member(D,B)
        & member(D,C) ) )   )).
%--------------------------------------------------------------------------
%---- line(tarski - df(3),1832749)
input_formula(subset_defn,axiom,(
    ! [B,C] : 
      ( subset(B,C)
    <=> ! [D] : 
          ( member(D,B)
         => member(D,C) ) )   )).
%--------------------------------------------------------------------------
%---- line(boole - df(8),1833103)
input_formula(equal_defn,axiom,(
    ! [B,C] : 
      ( equal(B,C)
    <=> ( subset(B,C)
        & subset(C,B) ) )   )).
%--------------------------------------------------------------------------
%---- property(commutativity,op(union,2,function))
input_formula(commutativity_of_union,axiom,(
    ! [B,C] : equal(union(B,C),union(C,B))   )).
%--------------------------------------------------------------------------
%---- property(commutativity,op(intersection,2,function))
input_formula(commutativity_of_intersection,axiom,(
    ! [B,C] : equal(intersection(B,C),intersection(C,B))   )).
%--------------------------------------------------------------------------
%---- property(reflexivity,op(subset,2,predicate))
input_formula(reflexivity_of_subset,axiom,(
    ! [B] : subset(B,B)   )).
%--------------------------------------------------------------------------
%---- line(hidden - axiom230,1832628)
input_formula(empty_defn,axiom,(
    ! [B] : 
      ( empty(B)
    <=> ! [C] : ~ member(C,B) )   )).
%--------------------------------------------------------------------------
%---- line(hidden - axiom231,1832615)
input_formula(equal_member_defn,axiom,(
    ! [B,C] : 
      ( equal(B,C)
    <=> ! [D] : 
          ( member(D,B)
        <=> member(D,C) ) )   )).
%--------------------------------------------------------------------------
%---- line(boole - th(120),1834506)
input_formula(prove_th120,conjecture,(
    ! [B,C,D] : 
      ( ( subset(B,union(C,D))
        & equal(intersection(B,D),empty_set) )
     => subset(B,C) )   )).
%--------------------------------------------------------------------------
