%--------------------------------------------------------------------------
% File     : SET657+3 : TPTP v2.2.0. Released v2.2.0.
% Domain   : Set Theory (Relations)
% Problem  : The field of a relation R from X to Y is a subset of X unio
% Version  : [Wor89] axioms : Reduced > Incomplete.
% English  : 

% Refs     : [ILF] The ILF Group (1998), The ILF System: A Tool for the Int
%          : [Wor89] Woronowicz (1989), Relations Defined on Sets
% Source   : [ILF]
% Names    : RELSET_1 (19) [Wor89]

% Status   : unknown
% Rating   : ? v2.2.0
% Syntax   : Number of formulae    :   38 (   2 unit)
%            Number of atoms       :  141 (  11 equality)
%            Maximal formula depth :   11 (   5 average)
%            Number of connectives :  107 (   4 ~  ;   1  |;   9  &)
%                                         (  10 <=>;  83 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    6 (   0 propositional; 1-2 arity)
%            Number of functors    :   15 (   2 constant; 0-4 arity)
%            Number of variables   :   85 (   0 singleton;  79 !;   6 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%---- line(boole - th(34),1909498)
input_formula(p1,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,set_type)
             => ! [E] : 
                  ( ilf_type(E,set_type)
                 => ( ( subset(B,C)
                      & subset(D,E) )
                   => subset(union(B,D),union(C,E)) ) ) ) ) )   )).

%---- line(relat_1 - th(29),1918207)
input_formula(p2,axiom,(
    ! [B] : 
      ( ilf_type(B,binary_relation_type)
     => equal(field_of(B),union(domain_of(B),range_of(B))) )   )).

%---- line(boole - df(2),1909298)
input_formula(p3,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,set_type)
             => ( member(D,union(B,C))
              <=> ( member(D,B)
                  | member(D,C) ) ) ) ) )   )).

%---- declaration(line(boole - df(2),1909298))
input_formula(p4,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ilf_type(union(B,C),set_type) ) )   )).

%---- line(relat_1 - df(6),1918204)
input_formula(p5,axiom,(
    ! [B] : 
      ( ilf_type(B,binary_relation_type)
     => equal(field_of(B),union(domain_of(B),range_of(B))) )   )).

%---- declaration(line(relat_1 - df(6),1918204))
input_formula(p6,axiom,(
    ! [B] : 
      ( ilf_type(B,binary_relation_type)
     => ilf_type(field_of(B),set_type) )   )).

%---- line(relset_1 - df(1),1916080)
input_formula(p7,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( ! [D] : 
                ( ilf_type(D,subset_type(cross_product(B,C)))
               => ilf_type(D,relation_type(B,C)) )
            & ! [E] : 
                ( ilf_type(E,relation_type(B,C))
               => ilf_type(E,subset_type(cross_product(B,C))) ) ) ) )   )).

%---- type_nonempty(line(relset_1 - df(1),1916080))
input_formula(p8,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ? [D] : ilf_type(D,relation_type(C,B)) ) )   )).

%---- line(tarski - df(3),1832749)
input_formula(p9,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( subset(B,C)
          <=> ! [D] : 
                ( ilf_type(D,set_type)
               => ( member(D,B)
                 => member(D,C) ) ) ) ) )   )).

%---- property(commutativity,op(union,2,function))
input_formula(p10,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => equal(union(B,C),union(C,B)) ) )   )).

%---- declaration(op(domain_of,1,function))
input_formula(p11,axiom,(
    ! [B] : 
      ( ilf_type(B,binary_relation_type)
     => ilf_type(domain_of(B),set_type) )   )).

%---- declaration(op(cross_product,2,function))
input_formula(p12,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ilf_type(cross_product(B,C),set_type) ) )   )).

%---- declaration(op(range_of,1,function))
input_formula(p13,axiom,(
    ! [B] : 
      ( ilf_type(B,binary_relation_type)
     => ilf_type(range_of(B),set_type) )   )).

%---- line(relat_1 - axiom152,1917641)
input_formula(p14,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( ilf_type(B,binary_relation_type)
      <=> ( relation_like(B)
          & ilf_type(B,set_type) ) ) )   )).

%---- type_nonempty(line(relat_1 - axiom152,1917641))
input_formula(p15,axiom,(
    ? [B] : ilf_type(B,binary_relation_type)   )).

%---- line(hidden - axiom153,1832648)
input_formula(p16,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( ilf_type(C,subset_type(B))
          <=> ilf_type(C,member_type(power_set(B))) ) ) )   )).

%---- type_nonempty(line(hidden - axiom153,1832648))
input_formula(p17,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ? [C] : ilf_type(C,subset_type(B)) )   )).

%---- property(symmetry,op(=,2,predicate))
input_formula(p18,axiom,(
    ! [B] : 
      ( ilf_type(B,binary_relation_type)
     => ! [C] : 
          ( ilf_type(C,binary_relation_type)
         => ( equal(B,C)
           => equal(C,B) ) ) )   )).

%---- property(reflexivity,op(=,2,predicate))
input_formula(p19,axiom,(
    ! [B] : 
      ( ilf_type(B,binary_relation_type)
     => equal(B,B) )   )).

%---- property(reflexivity,op(subset,2,predicate))
input_formula(p20,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => subset(B,B) )   )).

%---- line(hidden - axiom155,1832644)
input_formula(p21,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( member(B,power_set(C))
          <=> ! [D] : 
                ( ilf_type(D,set_type)
               => ( member(D,B)
                 => member(D,C) ) ) ) ) )   )).

%---- declaration(line(hidden - axiom155,1832644))
input_formula(p22,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( ~ empty(power_set(B))
        & ilf_type(power_set(B),set_type) ) )   )).

%---- line(hidden - axiom156,1832640)
input_formula(p23,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ( ~ empty(C)
            & ilf_type(C,set_type) )
         => ( ilf_type(B,member_type(C))
          <=> member(B,C) ) ) )   )).

%---- type_nonempty(line(hidden - axiom156,1832640))
input_formula(p24,axiom,(
    ! [B] : 
      ( ( ~ empty(B)
        & ilf_type(B,set_type) )
     => ? [C] : ilf_type(C,member_type(B)) )   )).

%---- line(hidden - axiom157,1832615)
input_formula(p25,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( equal(B,C)
          <=> ! [D] : 
                ( ilf_type(D,set_type)
               => ( member(D,B)
                <=> member(D,C) ) ) ) ) )   )).

%---- line(relat_1 - df(1),1917627)
input_formula(p26,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( relation_like(B)
      <=> ! [C] : 
            ( ilf_type(C,set_type)
           => ( member(C,B)
             => ? [D] : 
                  ( ilf_type(D,set_type)
                  & ? [E] : 
                      ( ilf_type(E,set_type)
                      & equal(C,ordered_pair(D,E)) ) ) ) ) ) )   )).

%---- conditional_cluster(axiom159,relation_like)
input_formula(p27,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,subset_type(cross_product(B,C)))
             => relation_like(D) ) ) )   )).

%---- declaration(op(ordered_pair,2,function))
input_formula(p28,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ilf_type(ordered_pair(B,C),set_type) ) )   )).

%---- line(hidden - axiom160,1832628)
input_formula(p29,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( empty(B)
      <=> ! [C] : 
            ( ilf_type(C,set_type)
           => ~ member(C,B) ) ) )   )).

%---- conditional_cluster(axiom161,empty)
input_formula(p30,axiom,(
    ! [B] : 
      ( ( empty(B)
        & ilf_type(B,set_type) )
     => relation_like(B) )   )).

%---- line(relset_1 - axiom162,1916314)
input_formula(p31,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,relation_type(B,C))
             => ! [E] : 
                  ( ilf_type(E,relation_type(B,C))
                 => equal(union4(B,C,D,E),union(D,E)) ) ) ) )   )).

%---- declaration(line(relset_1 - axiom162,1916314))
input_formula(p32,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,relation_type(B,C))
             => ! [E] : 
                  ( ilf_type(E,relation_type(B,C))
                 => ilf_type(union4(B,C,D,E),relation_type(B,C)) ) ) ) )   )).

%---- line(relset_1 - axiom165,1916330)
input_formula(p33,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,relation_type(B,C))
             => equal(domain(B,C,D),domain_of(D)) ) ) )   )).

%---- declaration(line(relset_1 - axiom165,1916330))
input_formula(p34,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,relation_type(B,C))
             => ilf_type(domain(B,C,D),subset_type(B)) ) ) )   )).

%---- line(relset_1 - axiom166,1916334)
input_formula(p35,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,relation_type(B,C))
             => equal(range(B,C,D),range_of(D)) ) ) )   )).

%---- declaration(line(relset_1 - axiom166,1916334))
input_formula(p36,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,relation_type(B,C))
             => ilf_type(range(B,C,D),subset_type(C)) ) ) )   )).

%---- declaration(set)
input_formula(p37,axiom,(
    ! [B] : ilf_type(B,set_type)   )).

%---- line(relset_1 - th(19),1916346)
input_formula(prove_relset_1_19,conjecture,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,relation_type(B,C))
             => subset(field_of(D),union(B,C)) ) ) )   )).
%--------------------------------------------------------------------------
