%--------------------------------------------------------------------------
% File     : SET676+3 : TPTP v2.2.0. Released v2.2.0.
% Domain   : Set Theory (Relations)
% Problem  : X x X is a binary relation on X
% Version  : [Wor89] axioms : Reduced > Incomplete.
% English  : 

% Refs     : [ILF] The ILF Group (1998), The ILF System: A Tool for the Int
%          : [Wor89] Woronowicz (1989), Relations Defined on Sets
% Source   : [ILF]
% Names    : RELSET_1 (41) [Wor89]

% Status   : unknown
% Rating   : ? v2.2.0
% Syntax   : Number of formulae    :   20 (   1 unit)
%            Number of atoms       :   77 (   2 equality)
%            Maximal formula depth :   14 (   6 average)
%            Number of connectives :   61 (   4 ~  ;   0  |;  11  &)
%                                         (   7 <=>;  39 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    5 (   0 propositional; 1-2 arity)
%            Number of functors    :    8 (   1 constant; 0-2 arity)
%            Number of variables   :   46 (   0 singleton;  38 !;   8 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%---- line(relset_1 - th(5),1916109)
input_formula(p1,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ilf_type(cross_product(B,C),relation_type(B,C)) ) )   )).

%---- line(zfmisc_1 - df(1),1903822)
input_formula(p2,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,set_type)
             => ( member(D,cross_product(B,C))
              <=> ? [E] : 
                    ( ilf_type(E,set_type)
                    & ? [F] : 
                        ( ilf_type(F,set_type)
                        & member(E,B)
                        & member(F,C)
                        & equal(D,ordered_pair(E,F)) ) ) ) ) ) )   )).

%---- declaration(line(zfmisc_1 - df(1),1903822))
input_formula(p3,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ilf_type(cross_product(B,C),set_type) ) )   )).

%---- line(relset_1 - axiom495,1916837)
input_formula(p4,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( ilf_type(C,identity_relation_of_type(B))
          <=> ilf_type(C,relation_type(B,B)) ) ) )   )).

%---- type_nonempty(line(relset_1 - axiom495,1916837))
input_formula(p5,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ? [C] : ilf_type(C,identity_relation_of_type(B)) )   )).

%---- declaration(op(ordered_pair,2,function))
input_formula(p6,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ilf_type(ordered_pair(B,C),set_type) ) )   )).

%---- line(relset_1 - df(1),1916080)
input_formula(p7,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( ! [D] : 
                ( ilf_type(D,subset_type(cross_product(B,C)))
               => ilf_type(D,relation_type(B,C)) )
            & ! [E] : 
                ( ilf_type(E,relation_type(B,C))
               => ilf_type(E,subset_type(cross_product(B,C))) ) ) ) )   )).

%---- type_nonempty(line(relset_1 - df(1),1916080))
input_formula(p8,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ? [D] : ilf_type(D,relation_type(C,B)) ) )   )).

%---- line(hidden - axiom497,1832648)
input_formula(p9,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( ilf_type(C,subset_type(B))
          <=> ilf_type(C,member_type(power_set(B))) ) ) )   )).

%---- type_nonempty(line(hidden - axiom497,1832648))
input_formula(p10,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ? [C] : ilf_type(C,subset_type(B)) )   )).

%---- line(hidden - axiom498,1832644)
input_formula(p11,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( member(B,power_set(C))
          <=> ! [D] : 
                ( ilf_type(D,set_type)
               => ( member(D,B)
                 => member(D,C) ) ) ) ) )   )).

%---- declaration(line(hidden - axiom498,1832644))
input_formula(p12,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( ~ empty(power_set(B))
        & ilf_type(power_set(B),set_type) ) )   )).

%---- line(hidden - axiom499,1832640)
input_formula(p13,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ( ~ empty(C)
            & ilf_type(C,set_type) )
         => ( ilf_type(B,member_type(C))
          <=> member(B,C) ) ) )   )).

%---- type_nonempty(line(hidden - axiom499,1832640))
input_formula(p14,axiom,(
    ! [B] : 
      ( ( ~ empty(B)
        & ilf_type(B,set_type) )
     => ? [C] : ilf_type(C,member_type(B)) )   )).

%---- line(hidden - axiom500,1832628)
input_formula(p15,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( empty(B)
      <=> ! [C] : 
            ( ilf_type(C,set_type)
           => ~ member(C,B) ) ) )   )).

%---- line(relat_1 - df(1),1917627)
input_formula(p16,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( relation_like(B)
      <=> ! [C] : 
            ( ilf_type(C,set_type)
           => ( member(C,B)
             => ? [D] : 
                  ( ilf_type(D,set_type)
                  & ? [E] : 
                      ( ilf_type(E,set_type)
                      & equal(C,ordered_pair(D,E)) ) ) ) ) ) )   )).

%---- conditional_cluster(axiom502,relation_like)
input_formula(p17,axiom,(
    ! [B] : 
      ( ( empty(B)
        & ilf_type(B,set_type) )
     => relation_like(B) )   )).

%---- conditional_cluster(axiom503,relation_like)
input_formula(p18,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,subset_type(cross_product(B,C)))
             => relation_like(D) ) ) )   )).

%---- declaration(set)
input_formula(p19,axiom,(
    ! [B] : ilf_type(B,set_type)   )).

%---- line(relset_1 - th(41),1916840)
input_formula(prove_relset_1_41,conjecture,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ilf_type(cross_product(B,B),identity_relation_of_type(B)) )   )).
%--------------------------------------------------------------------------
