%--------------------------------------------------------------------------
% File     : SET727+4 : TPTP v2.2.0. Released v2.2.0.
% Domain   : Set Theory (Mappings)
% Problem  : If GoF and FoH are identities, then inverse(F) = H
% Version  : [Pas99] axioms.
% English  :

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : theorem
% Rating   : ? v2.2.0
% Syntax   : Number of formulae    :  114 (   2 unit)
%            Number of atoms       :  356 ( 124 equality)
%            Maximal formula depth :   12 (   4 average)
%            Number of connectives :  244 (   2 ~  ;   2  |; 107  &)
%                                         (  30 <=>; 103 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   0 propositional; 2-6 arity)
%            Number of functors    :   15 (   1 constant; 0-5 arity)
%            Number of variables   :  509 (   0 singleton; 501 !;   9 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include set theory definitions
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%----Include mappings axioms
include('Axioms/SET006+1.ax').
include('Axioms/SET006+1.eq').
%--------------------------------------------------------------------------
input_formula(thII18,conjecture,(
    ! [F,G,H,A,B] :
      ( ( maps(F,A,B)
        & maps(G,B,A)
        & maps(H,B,A)
        & identity(compose_function(G,F,A,B,A),A)
        & identity(compose_function(F,H,B,A,B),B) )
     => equal_maps(inverse_function(F,A,B),H,B,A) )   )).
%--------------------------------------------------------------------------
