%--------------------------------------------------------------------------
% File     : SET759+4 : TPTP v2.2.0. Released v2.2.0.
% Domain   : Set Theory (Mappings)
% Problem  : Composition of images 1
% Version  : [Pas99] axioms.
% English  : If F is injective, then the inverse image of the image of X is 
%            equal to X.

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : theorem
% Rating   : ? v2.2.0
% Syntax   : Number of formulae    :  114 (   2 unit)
%            Number of atoms       :  354 ( 124 equality)
%            Maximal formula depth :   12 (   4 average)
%            Number of connectives :  242 (   2 ~  ;   2  |; 105  &)
%                                         (  30 <=>; 103 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   0 propositional; 2-6 arity)
%            Number of functors    :   15 (   1 constant; 0-5 arity)
%            Number of variables   :  508 (   0 singleton; 500 !;   9 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include set theory definitions
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%----Include mappings axioms
include('Axioms/SET006+1.ax').
include('Axioms/SET006+1.eq').
%--------------------------------------------------------------------------
input_formula(thIIa09,conjecture,(
    ! [F,A,B,X] : 
      ( ( maps(F,A,B)
        & injective(F,A,B)
        & subset(X,A) )
     => equal_set(inverse_image3(F,image3(F,X,B),A),X) )   )).
%--------------------------------------------------------------------------
