%--------------------------------------------------------------------------
% File     : SET773+4 : TPTP v2.2.0. Released v2.2.0.
% Domain   : Set Theory (Equivalence relations)
% Problem  : Intersection of equivalence relations is an equivalence relation
% Version  : [Pas99] axioms.
% English  :

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : theorem
% Rating   : ? v2.2.0
% Syntax   : Number of formulae    :   49 (   2 unit)
%            Number of atoms       :  154 (  54 equality)
%            Maximal formula depth :   10 (   4 average)
%            Number of connectives :  108 (   3 ~  ;   2  |;  40  &)
%                                         (  16 <=>;  47 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    9 (   0 propositional; 2-3 arity)
%            Number of functors    :   10 (   1 constant; 0-3 arity)
%            Number of variables   :  148 (   0 singleton; 151 !;   4 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include set theory definitions
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%----Include equivalence relation axioms
include('Axioms/SET006+2.ax').
include('Axioms/SET006+2.eq').
%--------------------------------------------------------------------------
input_formula(thIII09,conjecture,(
    ! [E,R1,R2,R] : 
      ( ( equivalence(R1,E)
        & equivalence(R2,E)
        & ! [A,B] : 
            ( ( member(A,E)
              & member(B,E) )
           => ( apply(R,A,B)
            <=> ( apply(R1,A,B)
                & apply(R2,A,B) ) ) ) )
     => equivalence(R,E) )   )).
%--------------------------------------------------------------------------
