%--------------------------------------------------------------------------
% File     : SET776+4 : TPTP v2.2.0. Released v2.2.0.
% Domain   : Set Theory (Equivalence relations)
% Problem  : Property of pre-order 
% Version  : [Pas99] axioms.
% English  : If P is a pre-order relation,and R defined by R(A,B) iff P(A,B)
%            and P(B,A), then R(X1,Y1) and R(X2,Y2) and P(X1,X2) implies 
%            P(Y1,Y2).

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : theorem
% Rating   : ? v2.2.0
% Syntax   : Number of formulae    :   49 (   2 unit)
%            Number of atoms       :  160 (  54 equality)
%            Maximal formula depth :   10 (   4 average)
%            Number of connectives :  114 (   3 ~  ;   2  |;  44  &)
%                                         (  16 <=>;  49 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    9 (   0 propositional; 2-3 arity)
%            Number of functors    :   10 (   1 constant; 0-3 arity)
%            Number of variables   :  151 (   0 singleton; 154 !;   4 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include set theory definitions
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%----Include equivalence relation axioms
include('Axioms/SET006+2.ax').
include('Axioms/SET006+2.eq').
%--------------------------------------------------------------------------
input_formula(thIII12,conjecture,(
    ! [E,P,R] : 
      ( ( pre_order(P,E)
        & ! [A,B] : 
            ( ( member(A,E)
              & member(B,E) )
           => ( apply(R,A,B)
            <=> ( apply(P,A,B)
                & apply(P,B,A) ) ) ) )
     => ! [X1,X2,Y1,Y2] : 
          ( ( member(X1,E)
            & member(X2,E)
            & member(Y1,E)
            & member(Y2,E) )
         => ( ( apply(R,X1,Y1)
              & apply(R,X2,Y2)
              & apply(P,X1,X2) )
           => apply(P,Y1,Y2) ) ) )   )).
%--------------------------------------------------------------------------
