%--------------------------------------------------------------------------
% File     : SYN001-1.005 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : All signed combinations of some propositions.
% Version  : Especial.
% English  : Pelletier 2: A biconditional version of the 'most difficult' 
%            theorem proved by the new logic theorist.
%          : Pelletier 6: The Law of Excluded Middle: can be quite 
%            difficult for 'natural' systems.
%          : Pelletier 7: Expanded Law of Excluded Middle. The strategies 
%            of the original Logic Theorist cannot prove this.
%          : Pelletier 8: Pierce's Law. Unprovable by Logic Theorist, and 
%            tricky for 'natural' systems.
%          : Pelletier 11: A simple problem designed to see whether 
%            'natural' systems can do it efficiently (or whether they
%            incorrectly try to prove the -> each way).
%          : The size is the number of propositions.

% Refs     : [NS72]  Newell & Simon (1972), Human Problem Solving
%          : [LS74]  Lawrence & Starkey (1974), Experimental Tests of Resol
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
%          : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
% Source   : [SPRFN], [Pel86]
% Names    : ls5 (Size 2) [LS74]
%          : ls5 (Size 2) [WM76]
%          : Pelletier 2 (Size 1) [Pel86]
%          : Pelletier 6 (Size 1) [Pel86]
%          : Pelletier 7 (Size 1) [Pel86]
%          : Pelletier 8 (Size 1) [Pel86]
%          : Pelletier 9 (Size 2) [Pel86]
%          : Pelletier 11 (Size 1) [Pel86]
%          : Pelletier 12 (Size 3) [Pel86]
%          : Pelletier 14 (Size 2) [Pel86]

% Status   : unsatisfiable
% Rating   : 0.00 v2.1.0
% Syntax   : Number of clauses    :   32 (  26 non-Horn;   0 unit;  32 RR)
%            Number of literals   :  160 (   0 equality)
%            Maximal clause size  :    5 (   5 average)
%            Number of predicates :    5 (   5 propositional; 0-0 arity)
%            Number of functors   :    0 (   0 constant; --- arity)
%            Number of variables  :    0 (   0 singleton)
%            Maximal term depth   :    0 (   0 average)

% Comments : 
%          : tptp2X: -f tptp -s5 SYN001-1.g 
%--------------------------------------------------------------------------
input_clause(ppppp,conjecture,
    [++p_1,++p_2,++p_3,++p_4,++p_5]).

input_clause(ppppn,conjecture,
    [++p_1,++p_2,++p_3,++p_4,--p_5]).

input_clause(pppnp,conjecture,
    [++p_1,++p_2,++p_3,--p_4,++p_5]).

input_clause(pppnn,conjecture,
    [++p_1,++p_2,++p_3,--p_4,--p_5]).

input_clause(ppnpp,conjecture,
    [++p_1,++p_2,--p_3,++p_4,++p_5]).

input_clause(ppnpn,conjecture,
    [++p_1,++p_2,--p_3,++p_4,--p_5]).

input_clause(ppnnp,conjecture,
    [++p_1,++p_2,--p_3,--p_4,++p_5]).

input_clause(ppnnn,conjecture,
    [++p_1,++p_2,--p_3,--p_4,--p_5]).

input_clause(pnppp,conjecture,
    [++p_1,--p_2,++p_3,++p_4,++p_5]).

input_clause(pnppn,conjecture,
    [++p_1,--p_2,++p_3,++p_4,--p_5]).

input_clause(pnpnp,conjecture,
    [++p_1,--p_2,++p_3,--p_4,++p_5]).

input_clause(pnpnn,conjecture,
    [++p_1,--p_2,++p_3,--p_4,--p_5]).

input_clause(pnnpp,conjecture,
    [++p_1,--p_2,--p_3,++p_4,++p_5]).

input_clause(pnnpn,conjecture,
    [++p_1,--p_2,--p_3,++p_4,--p_5]).

input_clause(pnnnp,conjecture,
    [++p_1,--p_2,--p_3,--p_4,++p_5]).

input_clause(pnnnn,conjecture,
    [++p_1,--p_2,--p_3,--p_4,--p_5]).

input_clause(npppp,conjecture,
    [--p_1,++p_2,++p_3,++p_4,++p_5]).

input_clause(npppn,conjecture,
    [--p_1,++p_2,++p_3,++p_4,--p_5]).

input_clause(nppnp,conjecture,
    [--p_1,++p_2,++p_3,--p_4,++p_5]).

input_clause(nppnn,conjecture,
    [--p_1,++p_2,++p_3,--p_4,--p_5]).

input_clause(npnpp,conjecture,
    [--p_1,++p_2,--p_3,++p_4,++p_5]).

input_clause(npnpn,conjecture,
    [--p_1,++p_2,--p_3,++p_4,--p_5]).

input_clause(npnnp,conjecture,
    [--p_1,++p_2,--p_3,--p_4,++p_5]).

input_clause(npnnn,conjecture,
    [--p_1,++p_2,--p_3,--p_4,--p_5]).

input_clause(nnppp,conjecture,
    [--p_1,--p_2,++p_3,++p_4,++p_5]).

input_clause(nnppn,conjecture,
    [--p_1,--p_2,++p_3,++p_4,--p_5]).

input_clause(nnpnp,conjecture,
    [--p_1,--p_2,++p_3,--p_4,++p_5]).

input_clause(nnpnn,conjecture,
    [--p_1,--p_2,++p_3,--p_4,--p_5]).

input_clause(nnnpp,conjecture,
    [--p_1,--p_2,--p_3,++p_4,++p_5]).

input_clause(nnnpn,conjecture,
    [--p_1,--p_2,--p_3,++p_4,--p_5]).

input_clause(nnnnp,conjecture,
    [--p_1,--p_2,--p_3,--p_4,++p_5]).

input_clause(nnnnn,conjecture,
    [--p_1,--p_2,--p_3,--p_4,--p_5]).
%--------------------------------------------------------------------------
