%--------------------------------------------------------------------------
% File     : SYN010-1.005:005 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Example for Proposition 5.2 in [LMG94]
% Version  : Biased.
% English  : Example to show that connection tableaux with factorization
%            cannot polynomially simulate simulate connection tableaux with
%            folding up.

% Refs     : [LMG94] Letz et al. (1994), Controlled Integration of the Cut 
% Source   : [LMG94]
% Names    : Example 5.1 [LMG94]

% Status   : unsatisfiable
% Rating   : 0.00 v2.1.0
% Syntax   : Number of clauses    :   27 (   0 non-Horn;   6 unit;  27 RR)
%            Number of literals   :  132 (   0 equality)
%            Maximal clause size  :    6 (   4 average)
%            Number of predicates :   26 (  26 propositional; 0-0 arity)
%            Number of functors   :    0 (   0 constant; --- arity)
%            Number of variables  :    0 (   0 singleton)
%            Maximal term depth   :    0 (   0 average)

% Comments : Biased towards folding up.
%          : tptp2X: -f tptp -s5:5 SYN010-1.g 
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [--p_0]).

input_clause(clause_2,conjecture,
    [++p_0,--p_1_1,--p_1_2,--p_1_3,--p_1_4,--p_1_5]).

input_clause(clause_3,conjecture,
    [++p_1_1,--p_2_1,--p_2_2,--p_2_3,--p_2_4,--p_2_5]).

input_clause(clause_4,conjecture,
    [++p_1_2,--p_2_1,--p_2_2,--p_2_3,--p_2_4,--p_2_5]).

input_clause(clause_5,conjecture,
    [++p_1_3,--p_2_1,--p_2_2,--p_2_3,--p_2_4,--p_2_5]).

input_clause(clause_6,conjecture,
    [++p_1_4,--p_2_1,--p_2_2,--p_2_3,--p_2_4,--p_2_5]).

input_clause(clause_7,conjecture,
    [++p_1_5,--p_2_1,--p_2_2,--p_2_3,--p_2_4,--p_2_5]).

input_clause(clause_8,conjecture,
    [++p_2_1,--p_3_1,--p_3_2,--p_3_3,--p_3_4,--p_3_5]).

input_clause(clause_9,conjecture,
    [++p_2_2,--p_3_1,--p_3_2,--p_3_3,--p_3_4,--p_3_5]).

input_clause(clause_10,conjecture,
    [++p_2_3,--p_3_1,--p_3_2,--p_3_3,--p_3_4,--p_3_5]).

input_clause(clause_11,conjecture,
    [++p_2_4,--p_3_1,--p_3_2,--p_3_3,--p_3_4,--p_3_5]).

input_clause(clause_12,conjecture,
    [++p_2_5,--p_3_1,--p_3_2,--p_3_3,--p_3_4,--p_3_5]).

input_clause(clause_13,conjecture,
    [++p_3_1,--p_4_1,--p_4_2,--p_4_3,--p_4_4,--p_4_5]).

input_clause(clause_14,conjecture,
    [++p_3_2,--p_4_1,--p_4_2,--p_4_3,--p_4_4,--p_4_5]).

input_clause(clause_15,conjecture,
    [++p_3_3,--p_4_1,--p_4_2,--p_4_3,--p_4_4,--p_4_5]).

input_clause(clause_16,conjecture,
    [++p_3_4,--p_4_1,--p_4_2,--p_4_3,--p_4_4,--p_4_5]).

input_clause(clause_17,conjecture,
    [++p_3_5,--p_4_1,--p_4_2,--p_4_3,--p_4_4,--p_4_5]).

input_clause(clause_18,conjecture,
    [++p_4_1,--p_5_1,--p_5_2,--p_5_3,--p_5_4,--p_5_5]).

input_clause(clause_19,conjecture,
    [++p_4_2,--p_5_1,--p_5_2,--p_5_3,--p_5_4,--p_5_5]).

input_clause(clause_20,conjecture,
    [++p_4_3,--p_5_1,--p_5_2,--p_5_3,--p_5_4,--p_5_5]).

input_clause(clause_21,conjecture,
    [++p_4_4,--p_5_1,--p_5_2,--p_5_3,--p_5_4,--p_5_5]).

input_clause(clause_22,conjecture,
    [++p_4_5,--p_5_1,--p_5_2,--p_5_3,--p_5_4,--p_5_5]).

input_clause(clause_23,conjecture,
    [++p_5_1]).

input_clause(clause_24,conjecture,
    [++p_5_2]).

input_clause(clause_25,conjecture,
    [++p_5_3]).

input_clause(clause_26,conjecture,
    [++p_5_4]).

input_clause(clause_27,conjecture,
    [++p_5_5]).
%--------------------------------------------------------------------------
