%--------------------------------------------------------------------------
% File     : SYN036-2 : TPTP v2.2.0. Bugfixed v1.2.0.
% Domain   : Syntactic
% Problem  : Andrews Challenge Problem
% Version  : Especial.
%            Theorem formulation : Corrected.
% English  : 

% Refs     : [DeC79] DeChampeaux (1979), Sub-problem Finder and Instance Ch
%          : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
%          : [And86] Andrews (1986), An Introduction to Mathematical Logic 
%          : [Pel88] Pelletier (1988), Errata
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.25 v2.2.0, 0.67 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :  128 ( 127 non-Horn;   0 unit;   8 RR)
%            Number of literals   : 1024 (   0 equality)
%            Maximal clause size  :    8 (   8 average)
%            Number of predicates :    2 (   0 propositional; 1-1 arity)
%            Number of functors   :   24 (  20 constant; 0-1 arity)
%            Number of variables  :  512 ( 384 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
% Bugfixes : v1.2.0 - All clauses replaced, clausified by Otter using a 
%            new version of the original 1st order form, as given in
%            [Andrews, 1986]. The previous clauses were created using the
%            "corrected" version in [Pel88], which was still not correct.
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [++big_p(X),
     ++big_p(f1(X)),
     --big_q(U),
     ++big_q(W),
     ++big_q(X1),
     ++big_q(f2(X1)),
     --big_p(U1),
     ++big_q(W1)]).

input_clause(clause_2,conjecture,
    [++big_p(X),
     ++big_p(f1(X)),
     --big_q(U),
     ++big_q(W),
     ++big_q(X1),
     ++big_q(f2(X1)),
     ++big_p(c6),
     --big_q(c7)]).

input_clause(clause_3,conjecture,
    [++big_p(X),
     ++big_p(f1(X)),
     --big_q(U),
     ++big_q(W),
     --big_q(X1),
     --big_q(f2(X1)),
     --big_p(U1),
     ++big_q(W1)]).

input_clause(clause_4,conjecture,
    [++big_p(X),
     ++big_p(f1(X)),
     --big_q(U),
     ++big_q(W),
     --big_q(X1),
     --big_q(f2(X1)),
     ++big_p(c6),
     --big_q(c7)]).

input_clause(clause_5,conjecture,
    [++big_p(X),
     ++big_p(f1(X)),
     --big_q(U),
     ++big_q(W),
     --big_q(c8),
     ++big_q(Y1),
     ++big_p(c9),
     ++big_q(X4)]).

input_clause(clause_6,conjecture,
    [++big_p(X),
     ++big_p(f1(X)),
     --big_q(U),
     ++big_q(W),
     --big_q(c8),
     ++big_q(Y1),
     --big_p(X5),
     --big_q(c10)]).

input_clause(clause_7,conjecture,
    [++big_p(X),
     ++big_p(f1(X)),
     --big_q(U),
     ++big_q(W),
     ++big_q(c8),
     --big_q(Y1),
     ++big_p(c9),
     ++big_q(X4)]).

input_clause(clause_8,conjecture,
    [++big_p(X),
     ++big_p(f1(X)),
     --big_q(U),
     ++big_q(W),
     ++big_q(c8),
     --big_q(Y1),
     --big_p(X5),
     --big_q(c10)]).

input_clause(clause_9,conjecture,
    [++big_p(X),
     ++big_p(f1(X)),
     ++big_q(c1),
     --big_q(c2),
     ++big_q(X1),
     ++big_q(f2(X1)),
     --big_p(U1),
     ++big_q(W1)]).

input_clause(clause_10,conjecture,
    [++big_p(X),
     ++big_p(f1(X)),
     ++big_q(c1),
     --big_q(c2),
     ++big_q(X1),
     ++big_q(f2(X1)),
     ++big_p(c6),
     --big_q(c7)]).

input_clause(clause_11,conjecture,
    [++big_p(X),
     ++big_p(f1(X)),
     ++big_q(c1),
     --big_q(c2),
     --big_q(X1),
     --big_q(f2(X1)),
     --big_p(U1),
     ++big_q(W1)]).

input_clause(clause_12,conjecture,
    [++big_p(X),
     ++big_p(f1(X)),
     ++big_q(c1),
     --big_q(c2),
     --big_q(X1),
     --big_q(f2(X1)),
     ++big_p(c6),
     --big_q(c7)]).

input_clause(clause_13,conjecture,
    [++big_p(X),
     ++big_p(f1(X)),
     ++big_q(c1),
     --big_q(c2),
     --big_q(c8),
     ++big_q(Y1),
     ++big_p(c9),
     ++big_q(X4)]).

input_clause(clause_14,conjecture,
    [++big_p(X),
     ++big_p(f1(X)),
     ++big_q(c1),
     --big_q(c2),
     --big_q(c8),
     ++big_q(Y1),
     --big_p(X5),
     --big_q(c10)]).

input_clause(clause_15,conjecture,
    [++big_p(X),
     ++big_p(f1(X)),
     ++big_q(c1),
     --big_q(c2),
     ++big_q(c8),
     --big_q(Y1),
     ++big_p(c9),
     ++big_q(X4)]).

input_clause(clause_16,conjecture,
    [++big_p(X),
     ++big_p(f1(X)),
     ++big_q(c1),
     --big_q(c2),
     ++big_q(c8),
     --big_q(Y1),
     --big_p(X5),
     --big_q(c10)]).

input_clause(clause_17,conjecture,
    [--big_p(X),
     --big_p(f1(X)),
     --big_q(U),
     ++big_q(W),
     ++big_q(X1),
     ++big_q(f2(X1)),
     --big_p(U1),
     ++big_q(W1)]).

input_clause(clause_18,conjecture,
    [--big_p(X),
     --big_p(f1(X)),
     --big_q(U),
     ++big_q(W),
     ++big_q(X1),
     ++big_q(f2(X1)),
     ++big_p(c6),
     --big_q(c7)]).

input_clause(clause_19,conjecture,
    [--big_p(X),
     --big_p(f1(X)),
     --big_q(U),
     ++big_q(W),
     --big_q(X1),
     --big_q(f2(X1)),
     --big_p(U1),
     ++big_q(W1)]).

input_clause(clause_20,conjecture,
    [--big_p(X),
     --big_p(f1(X)),
     --big_q(U),
     ++big_q(W),
     --big_q(X1),
     --big_q(f2(X1)),
     ++big_p(c6),
     --big_q(c7)]).

input_clause(clause_21,conjecture,
    [--big_p(X),
     --big_p(f1(X)),
     --big_q(U),
     ++big_q(W),
     --big_q(c8),
     ++big_q(Y1),
     ++big_p(c9),
     ++big_q(X4)]).

input_clause(clause_22,conjecture,
    [--big_p(X),
     --big_p(f1(X)),
     --big_q(U),
     ++big_q(W),
     --big_q(c8),
     ++big_q(Y1),
     --big_p(X5),
     --big_q(c10)]).

input_clause(clause_23,conjecture,
    [--big_p(X),
     --big_p(f1(X)),
     --big_q(U),
     ++big_q(W),
     ++big_q(c8),
     --big_q(Y1),
     ++big_p(c9),
     ++big_q(X4)]).

input_clause(clause_24,conjecture,
    [--big_p(X),
     --big_p(f1(X)),
     --big_q(U),
     ++big_q(W),
     ++big_q(c8),
     --big_q(Y1),
     --big_p(X5),
     --big_q(c10)]).

input_clause(clause_25,conjecture,
    [--big_p(X),
     --big_p(f1(X)),
     ++big_q(c1),
     --big_q(c2),
     ++big_q(X1),
     ++big_q(f2(X1)),
     --big_p(U1),
     ++big_q(W1)]).

input_clause(clause_26,conjecture,
    [--big_p(X),
     --big_p(f1(X)),
     ++big_q(c1),
     --big_q(c2),
     ++big_q(X1),
     ++big_q(f2(X1)),
     ++big_p(c6),
     --big_q(c7)]).

input_clause(clause_27,conjecture,
    [--big_p(X),
     --big_p(f1(X)),
     ++big_q(c1),
     --big_q(c2),
     --big_q(X1),
     --big_q(f2(X1)),
     --big_p(U1),
     ++big_q(W1)]).

input_clause(clause_28,conjecture,
    [--big_p(X),
     --big_p(f1(X)),
     ++big_q(c1),
     --big_q(c2),
     --big_q(X1),
     --big_q(f2(X1)),
     ++big_p(c6),
     --big_q(c7)]).

input_clause(clause_29,conjecture,
    [--big_p(X),
     --big_p(f1(X)),
     ++big_q(c1),
     --big_q(c2),
     --big_q(c8),
     ++big_q(Y1),
     ++big_p(c9),
     ++big_q(X4)]).

input_clause(clause_30,conjecture,
    [--big_p(X),
     --big_p(f1(X)),
     ++big_q(c1),
     --big_q(c2),
     --big_q(c8),
     ++big_q(Y1),
     --big_p(X5),
     --big_q(c10)]).

input_clause(clause_31,conjecture,
    [--big_p(X),
     --big_p(f1(X)),
     ++big_q(c1),
     --big_q(c2),
     ++big_q(c8),
     --big_q(Y1),
     ++big_p(c9),
     ++big_q(X4)]).

input_clause(clause_32,conjecture,
    [--big_p(X),
     --big_p(f1(X)),
     ++big_q(c1),
     --big_q(c2),
     ++big_q(c8),
     --big_q(Y1),
     --big_p(X5),
     --big_q(c10)]).

input_clause(clause_33,conjecture,
    [--big_p(c3),
     ++big_p(Y),
     ++big_q(c4),
     ++big_q(X2),
     ++big_q(X1),
     ++big_q(f2(X1)),
     --big_p(U1),
     ++big_q(W1)]).

input_clause(clause_34,conjecture,
    [--big_p(c3),
     ++big_p(Y),
     ++big_q(c4),
     ++big_q(X2),
     ++big_q(X1),
     ++big_q(f2(X1)),
     ++big_p(c6),
     --big_q(c7)]).

input_clause(clause_35,conjecture,
    [--big_p(c3),
     ++big_p(Y),
     ++big_q(c4),
     ++big_q(X2),
     --big_q(X1),
     --big_q(f2(X1)),
     --big_p(U1),
     ++big_q(W1)]).

input_clause(clause_36,conjecture,
    [--big_p(c3),
     ++big_p(Y),
     ++big_q(c4),
     ++big_q(X2),
     --big_q(X1),
     --big_q(f2(X1)),
     ++big_p(c6),
     --big_q(c7)]).

input_clause(clause_37,conjecture,
    [--big_p(c3),
     ++big_p(Y),
     ++big_q(c4),
     ++big_q(X2),
     --big_q(c8),
     ++big_q(Y1),
     ++big_p(c9),
     ++big_q(X4)]).

input_clause(clause_38,conjecture,
    [--big_p(c3),
     ++big_p(Y),
     ++big_q(c4),
     ++big_q(X2),
     --big_q(c8),
     ++big_q(Y1),
     --big_p(X5),
     --big_q(c10)]).

input_clause(clause_39,conjecture,
    [--big_p(c3),
     ++big_p(Y),
     ++big_q(c4),
     ++big_q(X2),
     ++big_q(c8),
     --big_q(Y1),
     ++big_p(c9),
     ++big_q(X4)]).

input_clause(clause_40,conjecture,
    [--big_p(c3),
     ++big_p(Y),
     ++big_q(c4),
     ++big_q(X2),
     ++big_q(c8),
     --big_q(Y1),
     --big_p(X5),
     --big_q(c10)]).

input_clause(clause_41,conjecture,
    [--big_p(c3),
     ++big_p(Y),
     --big_q(X3),
     --big_q(c5),
     ++big_q(X1),
     ++big_q(f2(X1)),
     --big_p(U1),
     ++big_q(W1)]).

input_clause(clause_42,conjecture,
    [--big_p(c3),
     ++big_p(Y),
     --big_q(X3),
     --big_q(c5),
     ++big_q(X1),
     ++big_q(f2(X1)),
     ++big_p(c6),
     --big_q(c7)]).

input_clause(clause_43,conjecture,
    [--big_p(c3),
     ++big_p(Y),
     --big_q(X3),
     --big_q(c5),
     --big_q(X1),
     --big_q(f2(X1)),
     --big_p(U1),
     ++big_q(W1)]).

input_clause(clause_44,conjecture,
    [--big_p(c3),
     ++big_p(Y),
     --big_q(X3),
     --big_q(c5),
     --big_q(X1),
     --big_q(f2(X1)),
     ++big_p(c6),
     --big_q(c7)]).

input_clause(clause_45,conjecture,
    [--big_p(c3),
     ++big_p(Y),
     --big_q(X3),
     --big_q(c5),
     --big_q(c8),
     ++big_q(Y1),
     ++big_p(c9),
     ++big_q(X4)]).

input_clause(clause_46,conjecture,
    [--big_p(c3),
     ++big_p(Y),
     --big_q(X3),
     --big_q(c5),
     --big_q(c8),
     ++big_q(Y1),
     --big_p(X5),
     --big_q(c10)]).

input_clause(clause_47,conjecture,
    [--big_p(c3),
     ++big_p(Y),
     --big_q(X3),
     --big_q(c5),
     ++big_q(c8),
     --big_q(Y1),
     ++big_p(c9),
     ++big_q(X4)]).

input_clause(clause_48,conjecture,
    [--big_p(c3),
     ++big_p(Y),
     --big_q(X3),
     --big_q(c5),
     ++big_q(c8),
     --big_q(Y1),
     --big_p(X5),
     --big_q(c10)]).

input_clause(clause_49,conjecture,
    [++big_p(c3),
     --big_p(Y),
     ++big_q(c4),
     ++big_q(X2),
     ++big_q(X1),
     ++big_q(f2(X1)),
     --big_p(U1),
     ++big_q(W1)]).

input_clause(clause_50,conjecture,
    [++big_p(c3),
     --big_p(Y),
     ++big_q(c4),
     ++big_q(X2),
     ++big_q(X1),
     ++big_q(f2(X1)),
     ++big_p(c6),
     --big_q(c7)]).

input_clause(clause_51,conjecture,
    [++big_p(c3),
     --big_p(Y),
     ++big_q(c4),
     ++big_q(X2),
     --big_q(X1),
     --big_q(f2(X1)),
     --big_p(U1),
     ++big_q(W1)]).

input_clause(clause_52,conjecture,
    [++big_p(c3),
     --big_p(Y),
     ++big_q(c4),
     ++big_q(X2),
     --big_q(X1),
     --big_q(f2(X1)),
     ++big_p(c6),
     --big_q(c7)]).

input_clause(clause_53,conjecture,
    [++big_p(c3),
     --big_p(Y),
     ++big_q(c4),
     ++big_q(X2),
     --big_q(c8),
     ++big_q(Y1),
     ++big_p(c9),
     ++big_q(X4)]).

input_clause(clause_54,conjecture,
    [++big_p(c3),
     --big_p(Y),
     ++big_q(c4),
     ++big_q(X2),
     --big_q(c8),
     ++big_q(Y1),
     --big_p(X5),
     --big_q(c10)]).

input_clause(clause_55,conjecture,
    [++big_p(c3),
     --big_p(Y),
     ++big_q(c4),
     ++big_q(X2),
     ++big_q(c8),
     --big_q(Y1),
     ++big_p(c9),
     ++big_q(X4)]).

input_clause(clause_56,conjecture,
    [++big_p(c3),
     --big_p(Y),
     ++big_q(c4),
     ++big_q(X2),
     ++big_q(c8),
     --big_q(Y1),
     --big_p(X5),
     --big_q(c10)]).

input_clause(clause_57,conjecture,
    [++big_p(c3),
     --big_p(Y),
     --big_q(X3),
     --big_q(c5),
     ++big_q(X1),
     ++big_q(f2(X1)),
     --big_p(U1),
     ++big_q(W1)]).

input_clause(clause_58,conjecture,
    [++big_p(c3),
     --big_p(Y),
     --big_q(X3),
     --big_q(c5),
     ++big_q(X1),
     ++big_q(f2(X1)),
     ++big_p(c6),
     --big_q(c7)]).

input_clause(clause_59,conjecture,
    [++big_p(c3),
     --big_p(Y),
     --big_q(X3),
     --big_q(c5),
     --big_q(X1),
     --big_q(f2(X1)),
     --big_p(U1),
     ++big_q(W1)]).

input_clause(clause_60,conjecture,
    [++big_p(c3),
     --big_p(Y),
     --big_q(X3),
     --big_q(c5),
     --big_q(X1),
     --big_q(f2(X1)),
     ++big_p(c6),
     --big_q(c7)]).

input_clause(clause_61,conjecture,
    [++big_p(c3),
     --big_p(Y),
     --big_q(X3),
     --big_q(c5),
     --big_q(c8),
     ++big_q(Y1),
     ++big_p(c9),
     ++big_q(X4)]).

input_clause(clause_62,conjecture,
    [++big_p(c3),
     --big_p(Y),
     --big_q(X3),
     --big_q(c5),
     --big_q(c8),
     ++big_q(Y1),
     --big_p(X5),
     --big_q(c10)]).

input_clause(clause_63,conjecture,
    [++big_p(c3),
     --big_p(Y),
     --big_q(X3),
     --big_q(c5),
     ++big_q(c8),
     --big_q(Y1),
     ++big_p(c9),
     ++big_q(X4)]).

input_clause(clause_64,conjecture,
    [++big_p(c3),
     --big_p(Y),
     --big_q(X3),
     --big_q(c5),
     ++big_q(c8),
     --big_q(Y1),
     --big_p(X5),
     --big_q(c10)]).

input_clause(clause_65,conjecture,
    [--big_p(c11),
     ++big_p(X6),
     --big_q(X7),
     ++big_q(X8),
     --big_q(c16),
     ++big_q(X12),
     --big_p(X13),
     ++big_q(X14)]).

input_clause(clause_66,conjecture,
    [--big_p(c11),
     ++big_p(X6),
     --big_q(X7),
     ++big_q(X8),
     --big_q(c16),
     ++big_q(X12),
     ++big_p(c17),
     --big_q(c18)]).

input_clause(clause_67,conjecture,
    [--big_p(c11),
     ++big_p(X6),
     --big_q(X7),
     ++big_q(X8),
     ++big_q(c16),
     --big_q(X12),
     --big_p(X13),
     ++big_q(X14)]).

input_clause(clause_68,conjecture,
    [--big_p(c11),
     ++big_p(X6),
     --big_q(X7),
     ++big_q(X8),
     ++big_q(c16),
     --big_q(X12),
     ++big_p(c17),
     --big_q(c18)]).

input_clause(clause_69,conjecture,
    [--big_p(c11),
     ++big_p(X6),
     --big_q(X7),
     ++big_q(X8),
     ++big_q(X15),
     ++big_q(f4(X15)),
     ++big_p(c19),
     ++big_q(X16)]).

input_clause(clause_70,conjecture,
    [--big_p(c11),
     ++big_p(X6),
     --big_q(X7),
     ++big_q(X8),
     ++big_q(X15),
     ++big_q(f4(X15)),
     --big_p(X17),
     --big_q(c20)]).

input_clause(clause_71,conjecture,
    [--big_p(c11),
     ++big_p(X6),
     --big_q(X7),
     ++big_q(X8),
     --big_q(X15),
     --big_q(f4(X15)),
     ++big_p(c19),
     ++big_q(X16)]).

input_clause(clause_72,conjecture,
    [--big_p(c11),
     ++big_p(X6),
     --big_q(X7),
     ++big_q(X8),
     --big_q(X15),
     --big_q(f4(X15)),
     --big_p(X17),
     --big_q(c20)]).

input_clause(clause_73,conjecture,
    [--big_p(c11),
     ++big_p(X6),
     ++big_q(c12),
     --big_q(c13),
     --big_q(c16),
     ++big_q(X12),
     --big_p(X13),
     ++big_q(X14)]).

input_clause(clause_74,conjecture,
    [--big_p(c11),
     ++big_p(X6),
     ++big_q(c12),
     --big_q(c13),
     --big_q(c16),
     ++big_q(X12),
     ++big_p(c17),
     --big_q(c18)]).

input_clause(clause_75,conjecture,
    [--big_p(c11),
     ++big_p(X6),
     ++big_q(c12),
     --big_q(c13),
     ++big_q(c16),
     --big_q(X12),
     --big_p(X13),
     ++big_q(X14)]).

input_clause(clause_76,conjecture,
    [--big_p(c11),
     ++big_p(X6),
     ++big_q(c12),
     --big_q(c13),
     ++big_q(c16),
     --big_q(X12),
     ++big_p(c17),
     --big_q(c18)]).

input_clause(clause_77,conjecture,
    [--big_p(c11),
     ++big_p(X6),
     ++big_q(c12),
     --big_q(c13),
     ++big_q(X15),
     ++big_q(f4(X15)),
     ++big_p(c19),
     ++big_q(X16)]).

input_clause(clause_78,conjecture,
    [--big_p(c11),
     ++big_p(X6),
     ++big_q(c12),
     --big_q(c13),
     ++big_q(X15),
     ++big_q(f4(X15)),
     --big_p(X17),
     --big_q(c20)]).

input_clause(clause_79,conjecture,
    [--big_p(c11),
     ++big_p(X6),
     ++big_q(c12),
     --big_q(c13),
     --big_q(X15),
     --big_q(f4(X15)),
     ++big_p(c19),
     ++big_q(X16)]).

input_clause(clause_80,conjecture,
    [--big_p(c11),
     ++big_p(X6),
     ++big_q(c12),
     --big_q(c13),
     --big_q(X15),
     --big_q(f4(X15)),
     --big_p(X17),
     --big_q(c20)]).

input_clause(clause_81,conjecture,
    [++big_p(c11),
     --big_p(X6),
     --big_q(X7),
     ++big_q(X8),
     --big_q(c16),
     ++big_q(X12),
     --big_p(X13),
     ++big_q(X14)]).

input_clause(clause_82,conjecture,
    [++big_p(c11),
     --big_p(X6),
     --big_q(X7),
     ++big_q(X8),
     --big_q(c16),
     ++big_q(X12),
     ++big_p(c17),
     --big_q(c18)]).

input_clause(clause_83,conjecture,
    [++big_p(c11),
     --big_p(X6),
     --big_q(X7),
     ++big_q(X8),
     ++big_q(c16),
     --big_q(X12),
     --big_p(X13),
     ++big_q(X14)]).

input_clause(clause_84,conjecture,
    [++big_p(c11),
     --big_p(X6),
     --big_q(X7),
     ++big_q(X8),
     ++big_q(c16),
     --big_q(X12),
     ++big_p(c17),
     --big_q(c18)]).

input_clause(clause_85,conjecture,
    [++big_p(c11),
     --big_p(X6),
     --big_q(X7),
     ++big_q(X8),
     ++big_q(X15),
     ++big_q(f4(X15)),
     ++big_p(c19),
     ++big_q(X16)]).

input_clause(clause_86,conjecture,
    [++big_p(c11),
     --big_p(X6),
     --big_q(X7),
     ++big_q(X8),
     ++big_q(X15),
     ++big_q(f4(X15)),
     --big_p(X17),
     --big_q(c20)]).

input_clause(clause_87,conjecture,
    [++big_p(c11),
     --big_p(X6),
     --big_q(X7),
     ++big_q(X8),
     --big_q(X15),
     --big_q(f4(X15)),
     ++big_p(c19),
     ++big_q(X16)]).

input_clause(clause_88,conjecture,
    [++big_p(c11),
     --big_p(X6),
     --big_q(X7),
     ++big_q(X8),
     --big_q(X15),
     --big_q(f4(X15)),
     --big_p(X17),
     --big_q(c20)]).

input_clause(clause_89,conjecture,
    [++big_p(c11),
     --big_p(X6),
     ++big_q(c12),
     --big_q(c13),
     --big_q(c16),
     ++big_q(X12),
     --big_p(X13),
     ++big_q(X14)]).

input_clause(clause_90,conjecture,
    [++big_p(c11),
     --big_p(X6),
     ++big_q(c12),
     --big_q(c13),
     --big_q(c16),
     ++big_q(X12),
     ++big_p(c17),
     --big_q(c18)]).

input_clause(clause_91,conjecture,
    [++big_p(c11),
     --big_p(X6),
     ++big_q(c12),
     --big_q(c13),
     ++big_q(c16),
     --big_q(X12),
     --big_p(X13),
     ++big_q(X14)]).

input_clause(clause_92,conjecture,
    [++big_p(c11),
     --big_p(X6),
     ++big_q(c12),
     --big_q(c13),
     ++big_q(c16),
     --big_q(X12),
     ++big_p(c17),
     --big_q(c18)]).

input_clause(clause_93,conjecture,
    [++big_p(c11),
     --big_p(X6),
     ++big_q(c12),
     --big_q(c13),
     ++big_q(X15),
     ++big_q(f4(X15)),
     ++big_p(c19),
     ++big_q(X16)]).

input_clause(clause_94,conjecture,
    [++big_p(c11),
     --big_p(X6),
     ++big_q(c12),
     --big_q(c13),
     ++big_q(X15),
     ++big_q(f4(X15)),
     --big_p(X17),
     --big_q(c20)]).

input_clause(clause_95,conjecture,
    [++big_p(c11),
     --big_p(X6),
     ++big_q(c12),
     --big_q(c13),
     --big_q(X15),
     --big_q(f4(X15)),
     ++big_p(c19),
     ++big_q(X16)]).

input_clause(clause_96,conjecture,
    [++big_p(c11),
     --big_p(X6),
     ++big_q(c12),
     --big_q(c13),
     --big_q(X15),
     --big_q(f4(X15)),
     --big_p(X17),
     --big_q(c20)]).

input_clause(clause_97,conjecture,
    [++big_p(X9),
     ++big_p(f3(X9)),
     ++big_q(c14),
     ++big_q(X10),
     --big_q(c16),
     ++big_q(X12),
     --big_p(X13),
     ++big_q(X14)]).

input_clause(clause_98,conjecture,
    [++big_p(X9),
     ++big_p(f3(X9)),
     ++big_q(c14),
     ++big_q(X10),
     --big_q(c16),
     ++big_q(X12),
     ++big_p(c17),
     --big_q(c18)]).

input_clause(clause_99,conjecture,
    [++big_p(X9),
     ++big_p(f3(X9)),
     ++big_q(c14),
     ++big_q(X10),
     ++big_q(c16),
     --big_q(X12),
     --big_p(X13),
     ++big_q(X14)]).

input_clause(clause_100,conjecture,
    [++big_p(X9),
     ++big_p(f3(X9)),
     ++big_q(c14),
     ++big_q(X10),
     ++big_q(c16),
     --big_q(X12),
     ++big_p(c17),
     --big_q(c18)]).

input_clause(clause_101,conjecture,
    [++big_p(X9),
     ++big_p(f3(X9)),
     ++big_q(c14),
     ++big_q(X10),
     ++big_q(X15),
     ++big_q(f4(X15)),
     ++big_p(c19),
     ++big_q(X16)]).

input_clause(clause_102,conjecture,
    [++big_p(X9),
     ++big_p(f3(X9)),
     ++big_q(c14),
     ++big_q(X10),
     ++big_q(X15),
     ++big_q(f4(X15)),
     --big_p(X17),
     --big_q(c20)]).

input_clause(clause_103,conjecture,
    [++big_p(X9),
     ++big_p(f3(X9)),
     ++big_q(c14),
     ++big_q(X10),
     --big_q(X15),
     --big_q(f4(X15)),
     ++big_p(c19),
     ++big_q(X16)]).

input_clause(clause_104,conjecture,
    [++big_p(X9),
     ++big_p(f3(X9)),
     ++big_q(c14),
     ++big_q(X10),
     --big_q(X15),
     --big_q(f4(X15)),
     --big_p(X17),
     --big_q(c20)]).

input_clause(clause_105,conjecture,
    [++big_p(X9),
     ++big_p(f3(X9)),
     --big_q(X11),
     --big_q(c15),
     --big_q(c16),
     ++big_q(X12),
     --big_p(X13),
     ++big_q(X14)]).

input_clause(clause_106,conjecture,
    [++big_p(X9),
     ++big_p(f3(X9)),
     --big_q(X11),
     --big_q(c15),
     --big_q(c16),
     ++big_q(X12),
     ++big_p(c17),
     --big_q(c18)]).

input_clause(clause_107,conjecture,
    [++big_p(X9),
     ++big_p(f3(X9)),
     --big_q(X11),
     --big_q(c15),
     ++big_q(c16),
     --big_q(X12),
     --big_p(X13),
     ++big_q(X14)]).

input_clause(clause_108,conjecture,
    [++big_p(X9),
     ++big_p(f3(X9)),
     --big_q(X11),
     --big_q(c15),
     ++big_q(c16),
     --big_q(X12),
     ++big_p(c17),
     --big_q(c18)]).

input_clause(clause_109,conjecture,
    [++big_p(X9),
     ++big_p(f3(X9)),
     --big_q(X11),
     --big_q(c15),
     ++big_q(X15),
     ++big_q(f4(X15)),
     ++big_p(c19),
     ++big_q(X16)]).

input_clause(clause_110,conjecture,
    [++big_p(X9),
     ++big_p(f3(X9)),
     --big_q(X11),
     --big_q(c15),
     ++big_q(X15),
     ++big_q(f4(X15)),
     --big_p(X17),
     --big_q(c20)]).

input_clause(clause_111,conjecture,
    [++big_p(X9),
     ++big_p(f3(X9)),
     --big_q(X11),
     --big_q(c15),
     --big_q(X15),
     --big_q(f4(X15)),
     ++big_p(c19),
     ++big_q(X16)]).

input_clause(clause_112,conjecture,
    [++big_p(X9),
     ++big_p(f3(X9)),
     --big_q(X11),
     --big_q(c15),
     --big_q(X15),
     --big_q(f4(X15)),
     --big_p(X17),
     --big_q(c20)]).

input_clause(clause_113,conjecture,
    [--big_p(X9),
     --big_p(f3(X9)),
     ++big_q(c14),
     ++big_q(X10),
     --big_q(c16),
     ++big_q(X12),
     --big_p(X13),
     ++big_q(X14)]).

input_clause(clause_114,conjecture,
    [--big_p(X9),
     --big_p(f3(X9)),
     ++big_q(c14),
     ++big_q(X10),
     --big_q(c16),
     ++big_q(X12),
     ++big_p(c17),
     --big_q(c18)]).

input_clause(clause_115,conjecture,
    [--big_p(X9),
     --big_p(f3(X9)),
     ++big_q(c14),
     ++big_q(X10),
     ++big_q(c16),
     --big_q(X12),
     --big_p(X13),
     ++big_q(X14)]).

input_clause(clause_116,conjecture,
    [--big_p(X9),
     --big_p(f3(X9)),
     ++big_q(c14),
     ++big_q(X10),
     ++big_q(c16),
     --big_q(X12),
     ++big_p(c17),
     --big_q(c18)]).

input_clause(clause_117,conjecture,
    [--big_p(X9),
     --big_p(f3(X9)),
     ++big_q(c14),
     ++big_q(X10),
     ++big_q(X15),
     ++big_q(f4(X15)),
     ++big_p(c19),
     ++big_q(X16)]).

input_clause(clause_118,conjecture,
    [--big_p(X9),
     --big_p(f3(X9)),
     ++big_q(c14),
     ++big_q(X10),
     ++big_q(X15),
     ++big_q(f4(X15)),
     --big_p(X17),
     --big_q(c20)]).

input_clause(clause_119,conjecture,
    [--big_p(X9),
     --big_p(f3(X9)),
     ++big_q(c14),
     ++big_q(X10),
     --big_q(X15),
     --big_q(f4(X15)),
     ++big_p(c19),
     ++big_q(X16)]).

input_clause(clause_120,conjecture,
    [--big_p(X9),
     --big_p(f3(X9)),
     ++big_q(c14),
     ++big_q(X10),
     --big_q(X15),
     --big_q(f4(X15)),
     --big_p(X17),
     --big_q(c20)]).

input_clause(clause_121,conjecture,
    [--big_p(X9),
     --big_p(f3(X9)),
     --big_q(X11),
     --big_q(c15),
     --big_q(c16),
     ++big_q(X12),
     --big_p(X13),
     ++big_q(X14)]).

input_clause(clause_122,conjecture,
    [--big_p(X9),
     --big_p(f3(X9)),
     --big_q(X11),
     --big_q(c15),
     --big_q(c16),
     ++big_q(X12),
     ++big_p(c17),
     --big_q(c18)]).

input_clause(clause_123,conjecture,
    [--big_p(X9),
     --big_p(f3(X9)),
     --big_q(X11),
     --big_q(c15),
     ++big_q(c16),
     --big_q(X12),
     --big_p(X13),
     ++big_q(X14)]).

input_clause(clause_124,conjecture,
    [--big_p(X9),
     --big_p(f3(X9)),
     --big_q(X11),
     --big_q(c15),
     ++big_q(c16),
     --big_q(X12),
     ++big_p(c17),
     --big_q(c18)]).

input_clause(clause_125,conjecture,
    [--big_p(X9),
     --big_p(f3(X9)),
     --big_q(X11),
     --big_q(c15),
     ++big_q(X15),
     ++big_q(f4(X15)),
     ++big_p(c19),
     ++big_q(X16)]).

input_clause(clause_126,conjecture,
    [--big_p(X9),
     --big_p(f3(X9)),
     --big_q(X11),
     --big_q(c15),
     ++big_q(X15),
     ++big_q(f4(X15)),
     --big_p(X17),
     --big_q(c20)]).

input_clause(clause_127,conjecture,
    [--big_p(X9),
     --big_p(f3(X9)),
     --big_q(X11),
     --big_q(c15),
     --big_q(X15),
     --big_q(f4(X15)),
     ++big_p(c19),
     ++big_q(X16)]).

input_clause(clause_128,conjecture,
    [--big_p(X9),
     --big_p(f3(X9)),
     --big_q(X11),
     --big_q(c15),
     --big_q(X15),
     --big_q(f4(X15)),
     --big_p(X17),
     --big_q(c20)]).
%--------------------------------------------------------------------------
