%--------------------------------------------------------------------------
% File     : SYN076+1 : TPTP v2.2.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 53
% Version  : Especial.
% English  : 

% Refs     : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
%          : [Hah94] Haehnle (1994), Email to G. Sutcliffe
% Source   : [Hah94]
% Names    : Pelletier 53 [Pel86]

% Status   : theorem
% Rating   : 0.50 v2.1.0
% Syntax   : Number of formulae    :    7 (   1 unit)
%            Number of atoms       :   21 (  15 equality)
%            Maximal formula depth :    8 (   4 average)
%            Number of connectives :   15 (   1 ~  ;   1  |;   4  &)
%                                         (   5 <=>;   4 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    2 (   0 propositional; 2-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   23 (   4 singleton;  17 !;   6 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
%----Substitution axioms
input_formula(big_f_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & big_f(A,C) )
     => big_f(B,C) )   )).

input_formula(big_f_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & big_f(C,A) )
     => big_f(C,B) )   )).

%----Problem axioms
input_formula(pel53_1,axiom,(
    ? [X,Y] : 
      ( ~ equal(X,Y)
      & ! [Z] : 
          ( equal(Z,X)
          | equal(Z,Y) ) )   )).

input_formula(pel53,conjecture,(
    ? [Z] : 
    ! [X] : 
      ( ? [W] : 
        ! [Y] : 
          ( big_f(X,Y)
        <=> equal(Y,W) )
    <=> equal(X,Z) )
<=> ? [W1] : 
    ! [Y1] : 
      ( ? [Z1] : 
        ! [X1] : 
          ( big_f(X1,Y1)
        <=> equal(X1,Z1) )
    <=> equal(Y1,W1) )   )).
%--------------------------------------------------------------------------
