%--------------------------------------------------------------------------
% File     : SYN077+1 : TPTP v2.2.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 54
% Version  : Especial.
% English  : Montegue's paradox of grounded classes

% Refs     : [Mon55] Montegue (1955), On the Paradox of Grounded Classes
%          : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
%          : [Pel88] Pelletier (1988), Errata
%          : [Hah94] Haehnle (1994), Email to G. Sutcliffe
% Source   : [Hah94]
% Names    : Pelletier 54 [Pel86]

% Status   : theorem
% Rating   : 0.00 v2.1.0
% Syntax   : Number of formulae    :    7 (   1 unit)
%            Number of atoms       :   19 (   9 equality)
%            Maximal formula depth :   12 (   4 average)
%            Number of connectives :   14 (   2 ~  ;   0  |;   5  &)
%                                         (   2 <=>;   5 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    2 (   0 propositional; 2-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   20 (   3 singleton;  16 !;   4 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : This problem is incorrect in [Pel86] and is corrected in [Pel88].
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
%----Substitution axioms
input_formula(big_f_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & big_f(A,C) )
     => big_f(B,C) )   )).

input_formula(big_f_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & big_f(C,A) )
     => big_f(C,B) )   )).

%----Problem axioms
input_formula(pel54_1,axiom,(
    ! [Y] : 
    ? [Z] : 
    ! [X] : 
      ( big_f(X,Z)
    <=> equal(X,Y) )   )).

input_formula(pel54,conjecture,(
    ~ ( ? [W] : 
        ! [X] : 
          ( big_f(X,W)
        <=> ! [U] : 
              ( big_f(X,U)
             => ? [Y] : 
                  ( big_f(Y,U)
                  & ~ ( ? [Z] : 
                          ( big_f(Z,U)
                          & big_f(Z,Y) ) ) ) ) ) )   )).
%--------------------------------------------------------------------------
