%--------------------------------------------------------------------------
% File     : SYN077-1 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 54
% Version  : Especial.
% English  : Montegue's paradox of grounded classes

% Refs     : [Mon55] Montegue (1955), On the Paradox of Grounded Classes
%          : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
%          : [Pel88] Pelletier (1988), Errata
% Source   : [Pel86]
% Names    : Pelletier 54 [Pel86]

% Status   : unsatisfiable
% Rating   : 0.33 v2.2.0, 0.56 v2.1.0, 0.78 v2.0.0
% Syntax   : Number of clauses    :   18 (   3 non-Horn;   1 unit;  12 RR)
%            Number of literals   :   43 (  22 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   1 constant; 0-2 arity)
%            Number of variables  :   42 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : This problem is incorrect in [Pel86] and is corrected in [Pel88].
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(f_substitutivity1,axiom,
    [--equal(A,B),
     ++equal(f(A),f(B))]).

input_clause(g_substitutivity1,axiom,
    [--equal(C,D),
     ++equal(g(C,E),g(D,E))]).

input_clause(g_substitutivity2,axiom,
    [--equal(F,G),
     ++equal(g(H,F),g(H,G))]).

input_clause(h_substitutivity1,axiom,
    [--equal(I,J),
     ++equal(h(I),h(J))]).

input_clause(i_substitutivity1,axiom,
    [--equal(K,L),
     ++equal(i(K,M),i(L,M))]).

input_clause(i_substitutivity2,axiom,
    [--equal(N,O),
     ++equal(i(P,N),i(P,O))]).

input_clause(big_f_substitutivity1,axiom,
    [--equal(Q,R),
     --big_f(Q,S),
     ++big_f(R,S)]).

input_clause(big_f_substitutivity2,axiom,
    [--equal(T,U),
     --big_f(V,T),
     ++big_f(V,U)]).

input_clause(clause_1,axiom,
    [--big_f(X,f(Y)),
     ++equal(X,Y)]).

input_clause(clause_2,axiom,
    [--equal(X,Y),
     ++big_f(X,f(Y))]).

input_clause(clause_3,conjecture,
    [--big_f(X,a),
     --big_f(X,Y),
     ++big_f(g(X,Y),Y)]).

input_clause(clause_4,conjecture,
    [--big_f(X,a),
     --big_f(X,Y),
     --big_f(Z,g(X,Y)),
     --big_f(Z,Y)]).

input_clause(clause_5,conjecture,
    [++big_f(X,h(X)),
     ++big_f(X,a)]).

input_clause(clause_6,conjecture,
    [--big_f(X,h(Y)),
     ++big_f(i(Y,X),X),
     ++big_f(Y,a)]).

input_clause(clause_7,conjecture,
    [++big_f(X,a),
     ++big_f(i(X,Y),h(X)),
     --big_f(Y,h(X))]).
%--------------------------------------------------------------------------
