%--------------------------------------------------------------------------
% File     : SYN078+1 : TPTP v2.2.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 56
% Version  : Especial.
% English  : 

% Refs     : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
%          : [Pel88] Pelletier (1988), Errata
%          : [Hah94] Haehnle (1994), Email to G. Sutcliffe
% Source   : [Hah94]
% Names    : Pelletier 56 [Pel86]

% Status   : theorem
% Rating   : 0.00 v2.1.0
% Syntax   : Number of formulae    :    6 (   1 unit)
%            Number of atoms       :   16 (  10 equality)
%            Maximal formula depth :    6 (   3 average)
%            Number of connectives :   10 (   0 ~  ;   0  |;   3  &)
%                                         (   1 <=>;   6 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    2 (   0 propositional; 1-2 arity)
%            Number of functors    :    1 (   0 constant; 1-1 arity)
%            Number of variables   :   13 (   0 singleton;  12 !;   1 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : This problem is incorrect in [Pel86] and is corrected in [Pel88].
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
%----Substitution axioms
input_formula(f_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(f(A),f(B)) )   )).

input_formula(big_p_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & big_p(A) )
     => big_p(B) )   )).

%----Problem axioms
input_formula(pel56,conjecture,(
    ! [X] : 
      ( ? [Y] : 
          ( big_p(Y)
          & equal(X,f(Y)) )
     => big_p(X) )
<=> ! [U] : 
      ( big_p(U)
     => big_p(f(U)) )   )).
%--------------------------------------------------------------------------
