%--------------------------------------------------------------------------
% File     : SYN078-1 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 56
% Version  : Especial.
% English  : 

% Refs     : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
%          : [Pel88] Pelletier (1988), Errata
% Source   : [Pel86]
% Names    : Pelletier 56 [Pel86]

% Status   : satisfiable
% Rating   : 0.00 v2.2.0, 0.33 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :   17 (   6 non-Horn;   1 unit;  16 RR)
%            Number of literals   :   46 (  16 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    2 (   0 propositional; 1-2 arity)
%            Number of functors   :    4 (   3 constant; 0-1 arity)
%            Number of variables  :   21 (   4 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : This problem is incorrect in [Pel86] and is corrected in [Pel88].
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(f_substitutivity1,axiom,
    [--equal(A,B),
     ++equal(f(A),f(B))]).

input_clause(big_f_substitutivity1,axiom,
    [--equal(C,D),
     --big_f(C),
     ++big_f(D)]).

input_clause(clause_1,conjecture,
    [--big_f(X),
     --equal(Y,f(Y)),
     ++big_f(Y),
     --big_f(Z),
     ++big_f(f(Z))]).

input_clause(clause_2,conjecture,
    [--big_f(X),
     --equal(Y,f(Y)),
     ++big_f(Y),
     ++big_f(a)]).

input_clause(clause_3,conjecture,
    [--big_f(X),
     --equal(Y,f(Y)),
     ++big_f(Y),
     ++equal(b,f(b))]).

input_clause(clause_4,conjecture,
    [--big_f(X),
     --equal(Y,f(Y)),
     ++big_f(Y),
     --big_f(b)]).

input_clause(clause_5,conjecture,
    [++big_f(c),
     --big_f(X),
     ++big_f(f(X))]).

input_clause(clause_6,conjecture,
    [++big_f(c),
     ++big_f(a)]).

input_clause(clause_7,conjecture,
    [++big_f(c),
     ++equal(b,f(b))]).

input_clause(clause_8,conjecture,
    [++big_f(c),
     --big_f(b)]).

input_clause(clause_9,conjecture,
    [--big_f(f(c)),
     --big_f(X),
     ++big_f(f(X))]).

input_clause(clause_10,conjecture,
    [--big_f(f(c)),
     ++big_f(a)]).

input_clause(clause_11,conjecture,
    [--big_f(f(c)),
     ++equal(b,f(b))]).

input_clause(clause_12,conjecture,
    [--big_f(f(c)),
     --big_f(b)]).
%--------------------------------------------------------------------------
