%--------------------------------------------------------------------------
% File     : SYN080+1 : TPTP v2.2.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 58
% Version  : Especial.
% English  : 

% Refs     : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
%          : [Hah94] Haehnle (1994), Email to G. Sutcliffe
% Source   : [Hah94]
% Names    : Pelletier 58 [Pel86]

% Status   : theorem
% Rating   : 0.00 v2.1.0
% Syntax   : Number of formulae    :    7 (   3 unit)
%            Number of atoms       :   12 (  12 equality)
%            Maximal formula depth :    4 (   2 average)
%            Number of connectives :    5 (   0 ~  ;   0  |;   1  &)
%                                         (   0 <=>;   4 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    2 (   0 constant; 1-1 arity)
%            Number of variables   :   14 (   4 singleton;  14 !;   0 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
%----Substitution axioms
input_formula(f_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(f(A),f(B)) )   )).

input_formula(g_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(g(A),g(B)) )   )).

%----Problem axioms
input_formula(pel58_1,axiom,(
    ! [X,Y] : equal(f(X),g(Y))   )).

input_formula(pel58,conjecture,(
    ! [X,Y] : equal(f(f(X)),f(g(Y)))   )).
%--------------------------------------------------------------------------
