%--------------------------------------------------------------------------
% File     : SYN421-1 : TPTP v2.2.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=10, R=1, L=110, K=3, D=2, P=0, Index=069
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-10-1-110-3-2-069.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.67 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :  547 ( 344 non-Horn;   0 unit; 475 RR)
%            Number of literals   : 2330 (   0 equality)
%            Maximal clause size  :   15 (   4 average)
%            Number of predicates :   76 (  44 propositional; 0-2 arity)
%            Number of functors   :  159 ( 159 constant; 0-0 arity)
%            Number of variables  :  367 (   4 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ndr1_0,++c1_0]).

input_clause(clause2,conjecture,
    [++c5_0,++c4_0]).

input_clause(clause3,conjecture,
    [++c9_0,++c4_0]).

input_clause(clause4,conjecture,
    [++ndr1_0,++ssSkC32]).

input_clause(clause5,conjecture,
    [++ndr1_0,++ssSkC31]).

input_clause(clause6,conjecture,
    [++ndr1_0,++ssSkC30]).

input_clause(clause7,conjecture,
    [++ndr1_0,++ssSkC29]).

input_clause(clause8,conjecture,
    [++ndr1_0,++ssSkC26]).

input_clause(clause9,conjecture,
    [++ndr1_0,++ssSkC25]).

input_clause(clause10,conjecture,
    [++ndr1_0,++ssSkC18]).

input_clause(clause11,conjecture,
    [++ndr1_0,++ssSkC14]).

input_clause(clause12,conjecture,
    [++ndr1_0,++ssSkC13]).

input_clause(clause13,conjecture,
    [++ndr1_0,++ssSkC8]).

input_clause(clause14,conjecture,
    [++ndr1_0,++ssSkC7]).

input_clause(clause15,conjecture,
    [++ndr1_0,++ssSkC6]).

input_clause(clause16,conjecture,
    [++ndr1_0,++ssSkC4]).

input_clause(clause17,conjecture,
    [++ndr1_0,++ssSkC3]).

input_clause(clause18,conjecture,
    [++ndr1_0,++ssSkC1]).

input_clause(clause19,conjecture,
    [++ndr1_0,++ssSkC0]).

input_clause(clause20,conjecture,
    [--ssSkC30,++ndr1_0,++c4_0]).

input_clause(clause21,conjecture,
    [--ssSkC26,++ndr1_0,++c8_0]).

input_clause(clause22,conjecture,
    [--c3_0,++ndr1_0]).

input_clause(clause23,conjecture,
    [++ndr1_0,++c10_0,++c9_0]).

input_clause(clause24,conjecture,
    [--ssSkC25,++ndr1_0,++c7_0]).

input_clause(clause25,conjecture,
    [++ndr1_1(a571),
     ++c1_0]).

input_clause(clause26,conjecture,
    [++c5_1(a571),
     ++c1_0]).

input_clause(clause27,conjecture,
    [++ndr1_0,++c2_0,++c9_0]).

input_clause(clause28,conjecture,
    [--ssSkC21,++ndr1_0,++c10_0]).

input_clause(clause29,conjecture,
    [++ndr1_0,++c3_0,++c10_0]).

input_clause(clause30,conjecture,
    [--ssSkC17,--ssSkC18,++ndr1_0]).

input_clause(clause31,conjecture,
    [++ndr1_0,++c5_0,++c9_0]).

input_clause(clause32,conjecture,
    [--ssSkC13,++ndr1_0,++c3_0]).

input_clause(clause33,conjecture,
    [--ssSkC10,--ssSkC11,++ndr1_0]).

input_clause(clause34,conjecture,
    [--ssSkC7,++ndr1_0,++c6_0]).

input_clause(clause35,conjecture,
    [--ssSkC6,++ndr1_0,++c3_0]).

input_clause(clause36,conjecture,
    [--ssSkC5,++ndr1_0,++c6_0]).

input_clause(clause37,conjecture,
    [--ssSkC3,++ndr1_0,++c10_0]).

input_clause(clause38,conjecture,
    [--ssSkC2,++ndr1_0,++c5_0]).

input_clause(clause39,conjecture,
    [++ndr1_0,++c7_0,++c4_0]).

input_clause(clause40,conjecture,
    [++c1_0,++c4_0,++c10_0]).

input_clause(clause41,conjecture,
    [++ndr1_1(a602),
     ++ssSkC32]).

input_clause(clause42,conjecture,
    [++c7_1(a602),
     ++ssSkC32]).

input_clause(clause43,conjecture,
    [++c5_1(a601),
     ++ssSkC31]).

input_clause(clause44,conjecture,
    [++ndr1_1(a597),
     ++ssSkC30]).

input_clause(clause45,conjecture,
    [++c9_1(a592),
     ++ssSkC29]).

input_clause(clause46,conjecture,
    [++c9_1(a585),
     ++ssSkC26]).

input_clause(clause47,conjecture,
    [++ndr1_1(a575),
     ++ssSkC25]).

input_clause(clause48,conjecture,
    [++c7_1(a575),
     ++ssSkC25]).

input_clause(clause49,conjecture,
    [++c5_1(a575),
     ++ssSkC25]).

input_clause(clause50,conjecture,
    [++ndr1_1(U),
     ++ssSkP10(U)]).

input_clause(clause51,conjecture,
    [++ndr1_1(U),
     ++ssSkP9(U)]).

input_clause(clause52,conjecture,
    [++ndr1_1(U),
     ++ssSkP8(U)]).

input_clause(clause53,conjecture,
    [++c5_1(a537),
     ++ssSkC18]).

input_clause(clause54,conjecture,
    [++ndr1_1(U),
     ++ssSkP7(U)]).

input_clause(clause55,conjecture,
    [++ndr1_1(U),
     ++ssSkP6(U)]).

input_clause(clause56,conjecture,
    [++ndr1_1(a523),
     ++ssSkC14]).

input_clause(clause57,conjecture,
    [++c4_1(a523),
     ++ssSkC14]).

input_clause(clause58,conjecture,
    [++ndr1_1(a517),
     ++ssSkC13]).

input_clause(clause59,conjecture,
    [++c9_1(a517),
     ++ssSkC13]).

input_clause(clause60,conjecture,
    [++ndr1_1(U),
     ++ssSkP5(U)]).

input_clause(clause61,conjecture,
    [++ndr1_1(U),
     ++ssSkP4(U)]).

input_clause(clause62,conjecture,
    [++ndr1_1(U),
     ++ssSkP3(U)]).

input_clause(clause63,conjecture,
    [++c9_1(a493),
     ++ssSkC8]).

input_clause(clause64,conjecture,
    [++c2_1(a488),
     ++ssSkC7]).

input_clause(clause65,conjecture,
    [++ndr1_1(U),
     ++ssSkP2(U)]).

input_clause(clause66,conjecture,
    [++ndr1_1(a478),
     ++ssSkC6]).

input_clause(clause67,conjecture,
    [++c7_1(a478),
     ++ssSkC6]).

input_clause(clause68,conjecture,
    [++ndr1_1(a471),
     ++ssSkC4]).

input_clause(clause69,conjecture,
    [++c9_1(a471),
     ++ssSkC4]).

input_clause(clause70,conjecture,
    [++c6_1(a469),
     ++ssSkC3]).

input_clause(clause71,conjecture,
    [++c10_1(a469),
     ++ssSkC3]).

input_clause(clause72,conjecture,
    [++c1_1(a455),
     ++ssSkC1]).

input_clause(clause73,conjecture,
    [++c9_1(a455),
     ++ssSkC1]).

input_clause(clause74,conjecture,
    [++ndr1_1(U),
     ++ssSkP1(U)]).

input_clause(clause75,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause76,conjecture,
    [++c3_1(a449),
     ++ssSkC0]).

input_clause(clause77,conjecture,
    [++c8_1(a449),
     ++ssSkC0]).

input_clause(clause78,conjecture,
    [--ssSkC30,
     ++ndr1_1(a599),
     ++c4_0]).

input_clause(clause79,conjecture,
    [++ndr1_1(a594),
     ++c1_0,
     ++c9_0]).

input_clause(clause80,conjecture,
    [--ssSkC26,
     ++ndr1_1(a586),
     ++c8_0]).

input_clause(clause81,conjecture,
    [--ssSkC26,
     ++c8_1(a586),
     ++c8_0]).

input_clause(clause82,conjecture,
    [--c3_0,
     ++c8_1(a584)]).

input_clause(clause83,conjecture,
    [--c8_0,++ndr1_0,++c4_0]).

input_clause(clause84,conjecture,
    [++ndr1_1(a578),
     ++c10_0,
     ++c9_0]).

input_clause(clause85,conjecture,
    [++c1_1(a578),
     ++c10_0,
     ++c9_0]).

input_clause(clause86,conjecture,
    [++c9_2(a571,a572),
     ++c1_0]).

input_clause(clause87,conjecture,
    [--c3_1(a571),
     ++c1_0]).

input_clause(clause88,conjecture,
    [--ssSkC24,--c4_0,++ndr1_0]).

input_clause(clause89,conjecture,
    [--c8_0,++ndr1_0,++c9_0]).

input_clause(clause90,conjecture,
    [--c2_0,++ndr1_0,++c8_0]).

input_clause(clause91,conjecture,
    [++c9_1(a550),
     ++c2_0,
     ++c9_0]).

input_clause(clause92,conjecture,
    [--ssSkC21,
     ++c2_1(a549),
     ++c10_0]).

input_clause(clause93,conjecture,
    [--ssSkC20,--c10_0,++ndr1_0]).

input_clause(clause94,conjecture,
    [++c10_1(a541),
     ++c3_0,
     ++c10_0]).

input_clause(clause95,conjecture,
    [--ssSkC17,
     --ssSkC18,
     ++ndr1_1(a538)]).

input_clause(clause96,conjecture,
    [--ssSkC14,
     ++c8_1(a525),
     ++c1_0]).

input_clause(clause97,conjecture,
    [++ndr1_1(a521),
     ++c5_0,
     ++c9_0]).

input_clause(clause98,conjecture,
    [++c7_1(a521),
     ++c5_0,
     ++c9_0]).

input_clause(clause99,conjecture,
    [--ssSkC13,
     ++ndr1_1(a519),
     ++c3_0]).

input_clause(clause100,conjecture,
    [--ssSkC13,
     ++c9_1(a519),
     ++c3_0]).

input_clause(clause101,conjecture,
    [--ssSkC12,--c5_0,++ndr1_0]).

input_clause(clause102,conjecture,
    [--ssSkC10,
     --ssSkC11,
     ++ndr1_1(a509)]).

input_clause(clause103,conjecture,
    [--ssSkC10,
     --ssSkC11,
     ++c6_1(a509)]).

input_clause(clause104,conjecture,
    [--ssSkC8,--c1_0,++ndr1_0]).

input_clause(clause105,conjecture,
    [--ssSkC7,
     ++ndr1_1(a489),
     ++c6_0]).

input_clause(clause106,conjecture,
    [++ndr1_1(a484),
     ++c1_0,
     ++c5_0]).

input_clause(clause107,conjecture,
    [--ssSkC6,
     ++ndr1_1(a481),
     ++c3_0]).

input_clause(clause108,conjecture,
    [--ssSkC5,
     ++ndr1_1(a475),
     ++c6_0]).

input_clause(clause109,conjecture,
    [--ssSkC4,--c2_0,++ndr1_0]).

input_clause(clause110,conjecture,
    [--ssSkC3,
     ++c8_1(a470),
     ++c10_0]).

input_clause(clause111,conjecture,
    [++c5_1(a454),
     ++c7_0,
     ++c4_0]).

input_clause(clause112,conjecture,
    [--c4_0,--c8_0]).

input_clause(clause113,conjecture,
    [--c7_0,--c2_0]).

input_clause(clause114,conjecture,
    [--c3_0,++c10_0,++c2_0]).

input_clause(clause115,conjecture,
    [--c3_0,++c2_0,++c8_0]).

input_clause(clause116,conjecture,
    [--c8_0,++c5_0,++c6_0]).

input_clause(clause117,conjecture,
    [--c2_0,++c3_0,++c6_0]).

input_clause(clause118,conjecture,
    [--c10_1(a601),
     ++ssSkC31]).

input_clause(clause119,conjecture,
    [--c7_1(a597),
     ++ssSkC30]).

input_clause(clause120,conjecture,
    [--c8_1(a592),
     ++ssSkC29]).

input_clause(clause121,conjecture,
    [--c5_1(a585),
     ++ssSkC26]).

input_clause(clause122,conjecture,
    [++c9_2(a575,a576),
     ++ssSkC25]).

input_clause(clause123,conjecture,
    [++c5_2(a575,a576),
     ++ssSkC25]).

input_clause(clause124,conjecture,
    [++c6_2(U,a567),
     ++ssSkP10(U)]).

input_clause(clause125,conjecture,
    [++c1_2(U,a542),
     ++ssSkP8(U)]).

input_clause(clause126,conjecture,
    [++c5_2(U,a542),
     ++ssSkP8(U)]).

input_clause(clause127,conjecture,
    [--c9_1(a537),
     ++ssSkC18]).

input_clause(clause128,conjecture,
    [--c8_1(a537),
     ++ssSkC18]).

input_clause(clause129,conjecture,
    [++c5_2(U,a531),
     ++ssSkP7(U)]).

input_clause(clause130,conjecture,
    [++c3_2(U,a529),
     ++ssSkP6(U)]).

input_clause(clause131,conjecture,
    [++c2_2(U,a529),
     ++ssSkP6(U)]).

input_clause(clause132,conjecture,
    [++c7_2(U,a529),
     ++ssSkP6(U)]).

input_clause(clause133,conjecture,
    [++c4_2(a523,a524),
     ++ssSkC14]).

input_clause(clause134,conjecture,
    [++c8_2(a523,a524),
     ++ssSkC14]).

input_clause(clause135,conjecture,
    [--c3_1(a523),
     ++ssSkC14]).

input_clause(clause136,conjecture,
    [++c8_2(a517,a518),
     ++ssSkC13]).

input_clause(clause137,conjecture,
    [++c9_2(a517,a518),
     ++ssSkC13]).

input_clause(clause138,conjecture,
    [++c6_2(U,a511),
     ++ssSkP5(U)]).

input_clause(clause139,conjecture,
    [++c6_2(U,a507),
     ++ssSkP4(U)]).

input_clause(clause140,conjecture,
    [++c3_2(U,a507),
     ++ssSkP4(U)]).

input_clause(clause141,conjecture,
    [++c2_2(U,a497),
     ++ssSkP3(U)]).

input_clause(clause142,conjecture,
    [++c9_2(U,a497),
     ++ssSkP3(U)]).

input_clause(clause143,conjecture,
    [--c9_1(a488),
     ++ssSkC7]).

input_clause(clause144,conjecture,
    [++c7_2(a478,a480),
     ++ssSkC6]).

input_clause(clause145,conjecture,
    [++c2_2(a478,a480),
     ++ssSkC6]).

input_clause(clause146,conjecture,
    [++c3_2(a478,a479),
     ++ssSkC6]).

input_clause(clause147,conjecture,
    [++c6_2(a471,a472),
     ++ssSkC4]).

input_clause(clause148,conjecture,
    [++c3_2(a471,a472),
     ++ssSkC4]).

input_clause(clause149,conjecture,
    [--c3_1(a471),
     ++ssSkC4]).

input_clause(clause150,conjecture,
    [--c8_1(a455),
     ++ssSkC1]).

input_clause(clause151,conjecture,
    [++c1_2(U,a452),
     ++ssSkP1(U)]).

input_clause(clause152,conjecture,
    [++c9_2(U,a452),
     ++ssSkP1(U)]).

input_clause(clause153,conjecture,
    [++c4_2(U,a451),
     ++ssSkP0(U)]).

input_clause(clause154,conjecture,
    [++c7_2(U,a451),
     ++ssSkP0(U)]).

input_clause(clause155,conjecture,
    [--ssSkC30,
     ++c3_2(a599,a600),
     ++c4_0]).

input_clause(clause156,conjecture,
    [--ssSkC30,
     --c4_1(a599),
     ++c4_0]).

input_clause(clause157,conjecture,
    [++c6_2(a594,a596),
     ++c1_0,
     ++c9_0]).

input_clause(clause158,conjecture,
    [++c3_2(a594,a596),
     ++c1_0,
     ++c9_0]).

input_clause(clause159,conjecture,
    [++c6_2(a594,a595),
     ++c1_0,
     ++c9_0]).

input_clause(clause160,conjecture,
    [--c6_1(a594),
     ++c1_0,
     ++c9_0]).

input_clause(clause161,conjecture,
    [--ssSkC26,
     ++c3_2(a586,a588),
     ++c8_0]).

input_clause(clause162,conjecture,
    [--c6_1(a584),
     --c3_0]).

input_clause(clause163,conjecture,
    [--c8_0,
     ++c8_1(a581),
     ++c4_0]).

input_clause(clause164,conjecture,
    [++c7_2(a578,a579),
     ++c10_0,
     ++c9_0]).

input_clause(clause165,conjecture,
    [++c2_2(a578,a579),
     ++c10_0,
     ++c9_0]).

input_clause(clause166,conjecture,
    [--c8_1(a578),
     ++c10_0,
     ++c9_0]).

input_clause(clause167,conjecture,
    [--ssSkC25,
     --c1_1(a577),
     ++c7_0]).

input_clause(clause168,conjecture,
    [--ssSkC25,
     --c8_1(a577),
     ++c7_0]).

input_clause(clause169,conjecture,
    [--ssSkC25,
     --c6_1(a577),
     ++c7_0]).

input_clause(clause170,conjecture,
    [--c1_0,--c8_0,++ndr1_0]).

input_clause(clause171,conjecture,
    [--c8_2(a571,a572),
     ++c1_0]).

input_clause(clause172,conjecture,
    [--ssSkC24,
     --c4_0,
     ++ndr1_1(a569)]).

input_clause(clause173,conjecture,
    [--ssSkC24,
     --c4_0,
     ++c3_1(a569)]).

input_clause(clause174,conjecture,
    [--c8_0,
     ++ndr1_1(a562),
     ++c9_0]).

input_clause(clause175,conjecture,
    [--c8_0,
     ++c6_1(a562),
     ++c9_0]).

input_clause(clause176,conjecture,
    [--c5_1(a556),
     --c3_0]).

input_clause(clause177,conjecture,
    [--c8_1(a556),
     --c3_0]).

input_clause(clause178,conjecture,
    [--c2_0,
     ++c8_1(a554),
     ++c8_0]).

input_clause(clause179,conjecture,
    [--c7_0,
     ++ndr1_1(a551),
     ++c1_0]).

input_clause(clause180,conjecture,
    [--c7_0,
     ++c8_1(a551),
     ++c1_0]).

input_clause(clause181,conjecture,
    [--ssSkC21,
     --c10_1(a549),
     ++c10_0]).

input_clause(clause182,conjecture,
    [--ssSkC20,
     --c10_0,
     ++c6_1(a547)]).

input_clause(clause183,conjecture,
    [--ssSkC20,
     --c10_0,
     ++c5_1(a547)]).

input_clause(clause184,conjecture,
    [--c9_1(a541),
     ++c3_0,
     ++c10_0]).

input_clause(clause185,conjecture,
    [--c1_1(a541),
     ++c3_0,
     ++c10_0]).

input_clause(clause186,conjecture,
    [--ssSkC17,
     --ssSkC18,
     ++c9_2(a538,a540)]).

input_clause(clause187,conjecture,
    [--ssSkC17,
     --ssSkC18,
     ++c6_2(a538,a540)]).

input_clause(clause188,conjecture,
    [--ssSkC17,
     --ssSkC18,
     ++c3_2(a538,a539)]).

input_clause(clause189,conjecture,
    [--ssSkC16,
     --c3_0,
     ++ndr1_1(a533)]).

input_clause(clause190,conjecture,
    [--ssSkC14,
     --c7_1(a525),
     ++c1_0]).

input_clause(clause191,conjecture,
    [--ssSkC14,
     --c6_1(a525),
     ++c1_0]).

input_clause(clause192,conjecture,
    [++c1_2(a521,a522),
     ++c5_0,
     ++c9_0]).

input_clause(clause193,conjecture,
    [++c6_2(a521,a522),
     ++c5_0,
     ++c9_0]).

input_clause(clause194,conjecture,
    [--c10_1(a521),
     ++c5_0,
     ++c9_0]).

input_clause(clause195,conjecture,
    [--ssSkC13,
     ++c9_2(a519,a520),
     ++c3_0]).

input_clause(clause196,conjecture,
    [--ssSkC13,
     --c8_1(a519),
     ++c3_0]).

input_clause(clause197,conjecture,
    [--c7_0,--c6_0,++ndr1_0]).

input_clause(clause198,conjecture,
    [--ssSkC12,
     --c5_0,
     ++c9_1(a513)]).

input_clause(clause199,conjecture,
    [--ssSkC10,
     --ssSkC11,
     ++c3_2(a509,a510)]).

input_clause(clause200,conjecture,
    [--ssSkC10,
     --ssSkC11,
     --c3_1(a509)]).

input_clause(clause201,conjecture,
    [--c5_0,--c8_0,++ndr1_0]).

input_clause(clause202,conjecture,
    [--ssSkC8,
     --c1_0,
     ++ndr1_1(a494)]).

input_clause(clause203,conjecture,
    [--ssSkC7,
     --c6_1(a489),
     ++c6_0]).

input_clause(clause204,conjecture,
    [--ssSkC7,
     --c10_1(a489),
     ++c6_0]).

input_clause(clause205,conjecture,
    [--ssSkC6,
     ++c5_2(a481,a483),
     ++c3_0]).

input_clause(clause206,conjecture,
    [--ssSkC6,
     ++c10_2(a481,a483),
     ++c3_0]).

input_clause(clause207,conjecture,
    [--ssSkC6,
     ++c4_2(a481,a482),
     ++c3_0]).

input_clause(clause208,conjecture,
    [--ssSkC6,
     ++c10_2(a481,a482),
     ++c3_0]).

input_clause(clause209,conjecture,
    [--ssSkC6,
     ++c6_2(a481,a482),
     ++c3_0]).

input_clause(clause210,conjecture,
    [--ssSkC5,
     ++c9_2(a475,a476),
     ++c6_0]).

input_clause(clause211,conjecture,
    [--ssSkC4,
     --c2_0,
     ++c7_1(a473)]).

input_clause(clause212,conjecture,
    [--ssSkC4,
     --c2_0,
     ++c9_1(a473)]).

input_clause(clause213,conjecture,
    [--ssSkC3,
     --c2_1(a470),
     ++c10_0]).

input_clause(clause214,conjecture,
    [--c1_0,--c9_0,++ndr1_0]).

input_clause(clause215,conjecture,
    [--ssSkC2,
     --c9_1(a463),
     ++c5_0]).

input_clause(clause216,conjecture,
    [--ssSkC2,
     --c7_1(a463),
     ++c5_0]).

input_clause(clause217,conjecture,
    [--c9_0,--c7_0,++ndr1_0]).

input_clause(clause218,conjecture,
    [--c2_0,--c9_0,++ndr1_0]).

input_clause(clause219,conjecture,
    [--c4_1(a454),
     ++c7_0,
     ++c4_0]).

input_clause(clause220,conjecture,
    [--c9_1(a454),
     ++c7_0,
     ++c4_0]).

input_clause(clause221,conjecture,
    [--c2_0,--c9_0,++c8_0]).

input_clause(clause222,conjecture,
    [--c10_0,--c3_0,++c8_0]).

input_clause(clause223,conjecture,
    [--c5_0,--c3_0,++c4_0]).

input_clause(clause224,conjecture,
    [--c9_0,--c5_0,++c10_0]).

input_clause(clause225,conjecture,
    [--c6_2(a602,a603),
     ++ssSkC32]).

input_clause(clause226,conjecture,
    [--c7_2(a602,a603),
     ++ssSkC32]).

input_clause(clause227,conjecture,
    [--c8_2(a602,a603),
     ++ssSkC32]).

input_clause(clause228,conjecture,
    [--c1_2(a597,a598),
     ++ssSkC30]).

input_clause(clause229,conjecture,
    [--c9_2(a597,a598),
     ++ssSkC30]).

input_clause(clause230,conjecture,
    [--c4_2(a597,a598),
     ++ssSkC30]).

input_clause(clause231,conjecture,
    [--c8_2(a575,a576),
     ++ssSkC25]).

input_clause(clause232,conjecture,
    [--c2_2(U,a567),
     ++ssSkP10(U)]).

input_clause(clause233,conjecture,
    [--c3_2(U,a567),
     ++ssSkP10(U)]).

input_clause(clause234,conjecture,
    [--c9_2(U,a564),
     ++ssSkP9(U)]).

input_clause(clause235,conjecture,
    [--c2_2(U,a564),
     ++ssSkP9(U)]).

input_clause(clause236,conjecture,
    [--c6_2(U,a542),
     ++ssSkP8(U)]).

input_clause(clause237,conjecture,
    [--c10_2(U,a531),
     ++ssSkP7(U)]).

input_clause(clause238,conjecture,
    [--c6_2(U,a531),
     ++ssSkP7(U)]).

input_clause(clause239,conjecture,
    [--c2_2(a523,a524),
     ++ssSkC14]).

input_clause(clause240,conjecture,
    [--c1_2(a517,a518),
     ++ssSkC13]).

input_clause(clause241,conjecture,
    [--c5_2(U,a511),
     ++ssSkP5(U)]).

input_clause(clause242,conjecture,
    [--c4_2(U,a507),
     ++ssSkP4(U)]).

input_clause(clause243,conjecture,
    [--c4_2(U,a497),
     ++ssSkP3(U)]).

input_clause(clause244,conjecture,
    [--c1_2(U,a486),
     ++ssSkP2(U)]).

input_clause(clause245,conjecture,
    [--c2_2(U,a486),
     ++ssSkP2(U)]).

input_clause(clause246,conjecture,
    [--c9_2(U,a486),
     ++ssSkP2(U)]).

input_clause(clause247,conjecture,
    [--c4_2(a478,a480),
     ++ssSkC6]).

input_clause(clause248,conjecture,
    [--c1_2(a478,a479),
     ++ssSkC6]).

input_clause(clause249,conjecture,
    [--c8_2(a478,a479),
     ++ssSkC6]).

input_clause(clause250,conjecture,
    [--c4_2(a471,a472),
     ++ssSkC4]).

input_clause(clause251,conjecture,
    [--c2_2(U,a452),
     ++ssSkP1(U)]).

input_clause(clause252,conjecture,
    [--ssSkC30,
     --c2_2(a599,a600),
     ++c4_0]).

input_clause(clause253,conjecture,
    [--ssSkC30,
     --c5_2(a599,a600),
     ++c4_0]).

input_clause(clause254,conjecture,
    [--c3_2(a594,a595),
     ++c1_0,
     ++c9_0]).

input_clause(clause255,conjecture,
    [--c4_2(a594,a595),
     ++c1_0,
     ++c9_0]).

input_clause(clause256,conjecture,
    [--ssSkC26,
     --c1_2(a586,a588),
     ++c8_0]).

input_clause(clause257,conjecture,
    [--ssSkC26,
     --c8_2(a586,a588),
     ++c8_0]).

input_clause(clause258,conjecture,
    [--ssSkC26,
     --c4_2(a586,a587),
     ++c8_0]).

input_clause(clause259,conjecture,
    [--ssSkC26,
     --c5_2(a586,a587),
     ++c8_0]).

input_clause(clause260,conjecture,
    [--ssSkC26,
     --c1_2(a586,a587),
     ++c8_0]).

input_clause(clause261,conjecture,
    [--c7_1(a581),
     --c8_0,
     ++c4_0]).

input_clause(clause262,conjecture,
    [--c8_2(a578,a579),
     ++c10_0,
     ++c9_0]).

input_clause(clause263,conjecture,
    [--c1_0,
     --c8_0,
     ++c9_1(a573)]).

input_clause(clause264,conjecture,
    [--ssSkC24,
     --c4_0,
     ++c5_2(a569,a570)]).

input_clause(clause265,conjecture,
    [--c8_0,
     ++c10_2(a562,a563),
     ++c9_0]).

input_clause(clause266,conjecture,
    [--c8_0,
     ++c4_2(a562,a563),
     ++c9_0]).

input_clause(clause267,conjecture,
    [--c2_1(a554),
     --c2_0,
     ++c8_0]).

input_clause(clause268,conjecture,
    [--c3_1(a554),
     --c2_0,
     ++c8_0]).

input_clause(clause269,conjecture,
    [--c7_0,
     ++c2_2(a551,a552),
     ++c1_0]).

input_clause(clause270,conjecture,
    [--c7_0,
     ++c6_2(a551,a552),
     ++c1_0]).

input_clause(clause271,conjecture,
    [--c9_1(a551),
     --c7_0,
     ++c1_0]).

input_clause(clause272,conjecture,
    [--ssSkC17,
     --ssSkC18,
     --c4_2(a538,a540)]).

input_clause(clause273,conjecture,
    [--ssSkC17,
     --ssSkC18,
     --c6_2(a538,a539)]).

input_clause(clause274,conjecture,
    [--ssSkC17,
     --ssSkC18,
     --c5_2(a538,a539)]).

input_clause(clause275,conjecture,
    [--ssSkC16,
     --c3_0,
     ++c8_2(a533,a534)]).

input_clause(clause276,conjecture,
    [--ssSkC16,
     --c1_1(a533),
     --c3_0]).

input_clause(clause277,conjecture,
    [--c9_2(a521,a522),
     ++c5_0,
     ++c9_0]).

input_clause(clause278,conjecture,
    [--ssSkC13,
     --c5_2(a519,a520),
     ++c3_0]).

input_clause(clause279,conjecture,
    [--ssSkC13,
     --c7_2(a519,a520),
     ++c3_0]).

input_clause(clause280,conjecture,
    [--c7_0,
     --c6_0,
     ++c1_1(a514)]).

input_clause(clause281,conjecture,
    [--c7_0,
     --c6_0,
     ++c10_1(a514)]).

input_clause(clause282,conjecture,
    [--ssSkC12,
     --c6_1(a513),
     --c5_0]).

input_clause(clause283,conjecture,
    [--ssSkC10,
     --ssSkC11,
     --c2_2(a509,a510)]).

input_clause(clause284,conjecture,
    [--ssSkC10,
     --ssSkC11,
     --c10_2(a509,a510)]).

input_clause(clause285,conjecture,
    [--c5_0,
     --c8_0,
     ++ndr1_1(a499)]).

input_clause(clause286,conjecture,
    [--ssSkC8,
     --c1_0,
     ++c10_2(a494,a495)]).

input_clause(clause287,conjecture,
    [--ssSkC8,
     --c4_1(a494),
     --c1_0]).

input_clause(clause288,conjecture,
    [--ssSkC8,
     --c1_1(a494),
     --c1_0]).

input_clause(clause289,conjecture,
    [--ssSkC7,
     --c2_2(a489,a490),
     ++c6_0]).

input_clause(clause290,conjecture,
    [--ssSkC7,
     --c1_2(a489,a490),
     ++c6_0]).

input_clause(clause291,conjecture,
    [--ssSkC7,
     --c5_2(a489,a490),
     ++c6_0]).

input_clause(clause292,conjecture,
    [--c4_2(a484,a485),
     ++c1_0,
     ++c5_0]).

input_clause(clause293,conjecture,
    [--c8_2(a484,a485),
     ++c1_0,
     ++c5_0]).

input_clause(clause294,conjecture,
    [--c3_2(a484,a485),
     ++c1_0,
     ++c5_0]).

input_clause(clause295,conjecture,
    [--ssSkC6,
     --c7_2(a481,a483),
     ++c3_0]).

input_clause(clause296,conjecture,
    [--c5_0,
     --c8_0,
     ++c1_1(a477)]).

input_clause(clause297,conjecture,
    [--c5_0,
     --c8_0,
     ++c6_1(a477)]).

input_clause(clause298,conjecture,
    [--ssSkC5,
     --c10_2(a475,a476),
     ++c6_0]).

input_clause(clause299,conjecture,
    [--ssSkC5,
     --c7_2(a475,a476),
     ++c6_0]).

input_clause(clause300,conjecture,
    [--c1_0,
     --c9_0,
     ++ndr1_1(a464)]).

input_clause(clause301,conjecture,
    [--c1_0,
     --c9_0,
     ++c3_1(a464)]).

input_clause(clause302,conjecture,
    [--c9_0,
     --c7_0,
     ++ndr1_1(a460)]).

input_clause(clause303,conjecture,
    [--c9_0,
     --c7_0,
     ++c6_1(a460)]).

input_clause(clause304,conjecture,
    [--c2_0,
     --c9_0,
     ++ndr1_1(a457)]).

input_clause(clause305,conjecture,
    [--c2_0,
     --c9_0,
     ++c5_1(a457)]).

input_clause(clause306,conjecture,
    [--c8_0,--c10_0,--c1_0]).

input_clause(clause307,conjecture,
    [--c10_0,--c1_0,--c2_0]).

input_clause(clause308,conjecture,
    [--c6_0,--c10_0,--c3_0]).

input_clause(clause309,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c5_1(U),
     ++ssSkC19]).

input_clause(clause310,conjecture,
    [--ssSkC27,
     --ndr1_0,
     ++ndr1_1(U),
     ++c8_1(U),
     ++c3_0]).

input_clause(clause311,conjecture,
    [--ssSkC24,
     --c7_2(a569,a570),
     --c4_0]).

input_clause(clause312,conjecture,
    [--ssSkC24,
     --c1_2(a569,a570),
     --c4_0]).

input_clause(clause313,conjecture,
    [--c1_2(a562,a563),
     --c8_0,
     ++c9_0]).

input_clause(clause314,conjecture,
    [--c3_2(a551,a552),
     --c7_0,
     ++c1_0]).

input_clause(clause315,conjecture,
    [--ssSkC16,
     --c1_2(a533,a535),
     --c3_0]).

input_clause(clause316,conjecture,
    [--ssSkC16,
     --c3_2(a533,a535),
     --c3_0]).

input_clause(clause317,conjecture,
    [--ssSkC16,
     --c4_2(a533,a535),
     --c3_0]).

input_clause(clause318,conjecture,
    [--ssSkC16,
     --c3_2(a533,a534),
     --c3_0]).

input_clause(clause319,conjecture,
    [--ssSkC16,
     --c7_2(a533,a534),
     --c3_0]).

input_clause(clause320,conjecture,
    [--c2_1(a514),
     --c7_0,
     --c6_0]).

input_clause(clause321,conjecture,
    [--c5_0,
     --c8_0,
     ++c10_2(a499,a501)]).

input_clause(clause322,conjecture,
    [--c5_0,
     --c8_0,
     ++c6_2(a499,a501)]).

input_clause(clause323,conjecture,
    [--c5_0,
     --c8_0,
     ++c10_2(a499,a500)]).

input_clause(clause324,conjecture,
    [--c5_0,
     --c8_0,
     ++c2_2(a499,a500)]).

input_clause(clause325,conjecture,
    [--c4_1(a499),
     --c5_0,
     --c8_0]).

input_clause(clause326,conjecture,
    [--ssSkC8,
     --c9_2(a494,a495),
     --c1_0]).

input_clause(clause327,conjecture,
    [--ssSkC8,
     --c6_2(a494,a495),
     --c1_0]).

input_clause(clause328,conjecture,
    [--c5_1(a477),
     --c5_0,
     --c8_0]).

input_clause(clause329,conjecture,
    [--c1_0,
     --c9_0,
     ++c5_2(a464,a466)]).

input_clause(clause330,conjecture,
    [--c1_0,
     --c9_0,
     ++c10_2(a464,a465)]).

input_clause(clause331,conjecture,
    [--c9_0,
     --c7_0,
     ++c4_2(a460,a461)]).

input_clause(clause332,conjecture,
    [--c9_0,
     --c7_0,
     ++c3_2(a460,a461)]).

input_clause(clause333,conjecture,
    [--c7_1(a460),
     --c9_0,
     --c7_0]).

input_clause(clause334,conjecture,
    [--c2_1(a457),
     --c2_0,
     --c9_0]).

input_clause(clause335,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c8_1(U),
     ++c10_1(U),
     ++c4_0]).

input_clause(clause336,conjecture,
    [--ndr1_0,
     ++c9_2(U,a544),
     ++c5_1(U),
     ++ssSkC19]).

input_clause(clause337,conjecture,
    [--ndr1_0,
     ++c4_2(U,a544),
     ++c5_1(U),
     ++ssSkC19]).

input_clause(clause338,conjecture,
    [--c9_2(a499,a501),
     --c5_0,
     --c8_0]).

input_clause(clause339,conjecture,
    [--c7_2(a499,a500),
     --c5_0,
     --c8_0]).

input_clause(clause340,conjecture,
    [--c7_2(a464,a466),
     --c1_0,
     --c9_0]).

input_clause(clause341,conjecture,
    [--c6_2(a464,a465),
     --c1_0,
     --c9_0]).

input_clause(clause342,conjecture,
    [--c2_2(a464,a465),
     --c1_0,
     --c9_0]).

input_clause(clause343,conjecture,
    [--c10_2(a460,a461),
     --c9_0,
     --c7_0]).

input_clause(clause344,conjecture,
    [--c10_2(a457,a458),
     --c2_0,
     --c9_0]).

input_clause(clause345,conjecture,
    [--c9_2(a457,a458),
     --c2_0,
     --c9_0]).

input_clause(clause346,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c7_1(U),
     ++c4_0,
     ++c3_0]).

input_clause(clause347,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c2_1(U),
     ++c6_1(U),
     ++ssSkC17]).

input_clause(clause348,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c10_1(U),
     ++c9_1(U),
     ++ssSkC5]).

input_clause(clause349,conjecture,
    [--ndr1_0,
     ++c1_2(U,a557),
     ++c8_1(U),
     ++c10_1(U),
     ++c4_0]).

input_clause(clause350,conjecture,
    [--ssSkC19,
     --ndr1_0,
     ++ndr1_1(U),
     ++c7_1(U),
     ++c2_1(U),
     ++c8_0]).

input_clause(clause351,conjecture,
    [--c8_2(U,a544),
     --ndr1_0,
     ++c5_1(U),
     ++ssSkC19]).

input_clause(clause352,conjecture,
    [--ssSkC27,
     --c1_2(U,a590),
     --ndr1_0,
     ++c8_1(U),
     ++c3_0]).

input_clause(clause353,conjecture,
    [--ssSkC27,
     --c2_2(U,a590),
     --ndr1_0,
     ++c8_1(U),
     ++c3_0]).

input_clause(clause354,conjecture,
    [--ssSkC27,
     --c7_2(U,a590),
     --ndr1_0,
     ++c8_1(U),
     ++c3_0]).

input_clause(clause355,conjecture,
    [--ndr1_0,
     --c9_0,
     ++c5_1(U),
     ++c9_1(U),
     ++ndr1_1(a515)]).

input_clause(clause356,conjecture,
    [--ndr1_0,
     --c9_0,
     ++c5_1(U),
     ++c9_1(U),
     ++c8_1(a515)]).

input_clause(clause357,conjecture,
    [--ssSkP9(U),
     --c7_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC23]).

input_clause(clause358,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++ssSkC20]).

input_clause(clause359,conjecture,
    [--ndr1_0,
     ++c9_2(U,a536),
     ++c2_1(U),
     ++c6_1(U),
     ++ssSkC17]).

input_clause(clause360,conjecture,
    [--ssSkP7(U),
     --c1_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC16]).

input_clause(clause361,conjecture,
    [--ndr1_0,
     ++c8_2(U,a474),
     ++c10_1(U),
     ++c9_1(U),
     ++ssSkC5]).

input_clause(clause362,conjecture,
    [--ndr1_0,
     ++c7_2(U,a474),
     ++c10_1(U),
     ++c9_1(U),
     ++ssSkC5]).

input_clause(clause363,conjecture,
    [--c8_2(U,a557),
     --ndr1_0,
     ++c8_1(U),
     ++c10_1(U),
     ++c4_0]).

input_clause(clause364,conjecture,
    [--c6_2(U,a557),
     --ndr1_0,
     ++c8_1(U),
     ++c10_1(U),
     ++c4_0]).

input_clause(clause365,conjecture,
    [--c6_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++c7_1(U),
     ++c6_0,
     ++c9_0]).

input_clause(clause366,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c9_1(U),
     ++c5_1(U),
     ++c4_0,
     ++c8_0]).

input_clause(clause367,conjecture,
    [--ndr1_1(a449),
     ++c9_2(a449,U),
     ++c4_2(a449,U),
     ++ssSkC0]).

input_clause(clause368,conjecture,
    [--ndr1_1(a484),
     ++c10_2(a484,U),
     ++c8_2(a484,U),
     ++c1_0,
     ++c5_0]).

input_clause(clause369,conjecture,
    [--c9_1(U),
     --c1_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC28]).

input_clause(clause370,conjecture,
    [--ssSkP9(U),
     --c7_1(U),
     --ndr1_0,
     ++c4_2(U,a565),
     ++ssSkC23]).

input_clause(clause371,conjecture,
    [--c3_1(U),
     --c9_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC22]).

input_clause(clause372,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c7_2(U,a546),
     ++c1_1(U),
     ++ssSkC20]).

input_clause(clause373,conjecture,
    [--c4_2(U,a536),
     --ndr1_0,
     ++c2_1(U),
     ++c6_1(U),
     ++ssSkC17]).

input_clause(clause374,conjecture,
    [--c3_2(U,a536),
     --ndr1_0,
     ++c2_1(U),
     ++c6_1(U),
     ++ssSkC17]).

input_clause(clause375,conjecture,
    [--ssSkP7(U),
     --c1_1(U),
     --ndr1_0,
     ++c9_2(U,a532),
     ++ssSkC16]).

input_clause(clause376,conjecture,
    [--c6_1(U),
     --c9_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC15]).

input_clause(clause377,conjecture,
    [--c6_2(U,a474),
     --ndr1_0,
     ++c10_1(U),
     ++c9_1(U),
     ++ssSkC5]).

input_clause(clause378,conjecture,
    [--c10_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++c9_1(U),
     ++ndr1_1(a582),
     ++c1_0]).

input_clause(clause379,conjecture,
    [--ndr1_0,
     --c10_0,
     ++c5_1(U),
     ++c9_1(U),
     ++c7_1(U),
     ++ndr1_1(a560)]).

input_clause(clause380,conjecture,
    [--ssSkC19,
     --c4_2(U,a545),
     --ndr1_0,
     ++c7_1(U),
     ++c2_1(U),
     ++c8_0]).

input_clause(clause381,conjecture,
    [--ssSkC19,
     --c10_2(U,a545),
     --ndr1_0,
     ++c7_1(U),
     ++c2_1(U),
     ++c8_0]).

input_clause(clause382,conjecture,
    [--ssSkC1,
     --c4_1(U),
     --c3_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c4_0]).

input_clause(clause383,conjecture,
    [--ssSkP0(U),
     --ssSkP1(U),
     --ndr1_0,
     --c9_0,
     --c2_0,
     ++ndr1_1(U)]).

input_clause(clause384,conjecture,
    [--ssSkC0,
     --c5_1(U),
     --c1_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c6_0]).

input_clause(clause385,conjecture,
    [--c10_2(a517,U),
     --ndr1_1(a517),
     ++c4_2(a517,U),
     ++ssSkC13]).

input_clause(clause386,conjecture,
    [--c6_2(a493,U),
     --ndr1_1(a493),
     ++c5_2(a493,U),
     ++ssSkC8]).

input_clause(clause387,conjecture,
    [--ndr1_1(a562),
     --c8_0,
     ++c9_2(a562,U),
     ++c6_2(a562,U),
     ++c9_0]).

input_clause(clause388,conjecture,
    [--ndr1_0,
     --c6_2(a515,a516),
     --c9_0,
     ++c5_1(U),
     ++c9_1(U)]).

input_clause(clause389,conjecture,
    [--ndr1_0,
     --c10_2(a515,a516),
     --c9_0,
     ++c5_1(U),
     ++c9_1(U)]).

input_clause(clause390,conjecture,
    [--c5_2(a484,U),
     --ndr1_1(a484),
     ++c7_2(a484,U),
     ++c1_0,
     ++c5_0]).

input_clause(clause391,conjecture,
    [--c9_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c7_2(U,a591),
     ++ssSkC28]).

input_clause(clause392,conjecture,
    [--ssSkP9(U),
     --c3_2(U,a565),
     --c7_1(U),
     --ndr1_0,
     ++ssSkC23]).

input_clause(clause393,conjecture,
    [--ssSkP9(U),
     --c5_2(U,a565),
     --c7_1(U),
     --ndr1_0,
     ++ssSkC23]).

input_clause(clause394,conjecture,
    [--c4_2(U,a546),
     --c2_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++ssSkC20]).

input_clause(clause395,conjecture,
    [--c1_2(U,a546),
     --c2_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++ssSkC20]).

input_clause(clause396,conjecture,
    [--ssSkP7(U),
     --c4_2(U,a532),
     --c1_1(U),
     --ndr1_0,
     ++ssSkC16]).

input_clause(clause397,conjecture,
    [--ssSkP7(U),
     --c1_2(U,a532),
     --c1_1(U),
     --ndr1_0,
     ++ssSkC16]).

input_clause(clause398,conjecture,
    [--c6_1(U),
     --c9_1(U),
     --ndr1_0,
     ++c8_2(U,a527),
     ++ssSkC15]).

input_clause(clause399,conjecture,
    [--c6_1(U),
     --c9_1(U),
     --ndr1_0,
     ++c9_2(U,a527),
     ++ssSkC15]).

input_clause(clause400,conjecture,
    [--c6_1(U),
     --c9_1(U),
     --ndr1_0,
     ++c7_2(U,a527),
     ++ssSkC15]).

input_clause(clause401,conjecture,
    [--c10_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++c9_1(U),
     ++c6_2(a582,a583),
     ++c1_0]).

input_clause(clause402,conjecture,
    [--c10_1(U),
     --ndr1_0,
     --c1_1(a582),
     ++c5_1(U),
     ++c9_1(U),
     ++c1_0]).

input_clause(clause403,conjecture,
    [--c6_1(U),
     --c8_1(U),
     --ndr1_0,
     --c4_0,
     ++ndr1_1(U),
     ++c2_0]).

input_clause(clause404,conjecture,
    [--ndr1_0,
     --c10_0,
     ++c5_1(U),
     ++c9_1(U),
     ++c7_1(U),
     ++c2_2(a560,a561)]).

input_clause(clause405,conjecture,
    [--ndr1_0,
     --c10_0,
     ++c5_1(U),
     ++c9_1(U),
     ++c7_1(U),
     ++c1_2(a560,a561)]).

input_clause(clause406,conjecture,
    [--ssSkC15,
     --c5_1(U),
     --c2_1(U),
     --ndr1_0,
     --c5_0,
     ++ndr1_1(U)]).

input_clause(clause407,conjecture,
    [--c4_1(U),
     --c1_1(U),
     --ndr1_0,
     --c10_0,
     ++ndr1_1(U),
     ++c9_0]).

input_clause(clause408,conjecture,
    [--c6_1(U),
     --ndr1_0,
     --c10_0,
     ++c3_1(U),
     ++c10_1(U),
     ++ndr1_1(a504)]).

input_clause(clause409,conjecture,
    [--c6_1(U),
     --ndr1_0,
     --c10_0,
     ++c3_1(U),
     ++c10_1(U),
     ++c10_1(a504)]).

input_clause(clause410,conjecture,
    [--ssSkP0(U),
     --ssSkP1(U),
     --ndr1_0,
     --c9_0,
     --c2_0,
     ++c4_2(U,a453)]).

input_clause(clause411,conjecture,
    [--ssSkC0,
     --c5_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c9_2(U,a450),
     ++c6_0]).

input_clause(clause412,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c7_0,
     --c1_0,
     ++c5_1(U),
     ++c6_1(U)]).

input_clause(clause413,conjecture,
    [--ndr1_1(a601),
     ++c4_2(a601,U),
     ++c6_2(a601,U),
     ++c7_2(a601,U),
     ++ssSkC31]).

input_clause(clause414,conjecture,
    [--c1_2(U,a591),
     --c9_1(U),
     --c1_1(U),
     --ndr1_0,
     ++ssSkC28]).

input_clause(clause415,conjecture,
    [--c9_2(U,a558),
     --c3_1(U),
     --c9_1(U),
     --ndr1_0,
     ++ssSkC22]).

input_clause(clause416,conjecture,
    [--c3_2(U,a558),
     --c3_1(U),
     --c9_1(U),
     --ndr1_0,
     ++ssSkC22]).

input_clause(clause417,conjecture,
    [--c4_2(U,a558),
     --c3_1(U),
     --c9_1(U),
     --ndr1_0,
     ++ssSkC22]).

input_clause(clause418,conjecture,
    [--c10_1(U),
     --ndr1_0,
     --c5_2(a582,a583),
     ++c5_1(U),
     ++c9_1(U),
     ++c1_0]).

input_clause(clause419,conjecture,
    [--c10_1(U),
     --ndr1_0,
     --c10_2(a582,a583),
     ++c5_1(U),
     ++c9_1(U),
     ++c1_0]).

input_clause(clause420,conjecture,
    [--c6_1(U),
     --c8_1(U),
     --ndr1_0,
     --c4_0,
     ++c6_2(U,a574),
     ++c2_0]).

input_clause(clause421,conjecture,
    [--c6_1(U),
     --c8_1(U),
     --ndr1_0,
     --c4_0,
     ++c4_2(U,a574),
     ++c2_0]).

input_clause(clause422,conjecture,
    [--c6_1(U),
     --c8_1(U),
     --ndr1_0,
     --c4_0,
     ++c7_2(U,a574),
     ++c2_0]).

input_clause(clause423,conjecture,
    [--c4_1(U),
     --c1_1(U),
     --ndr1_0,
     --c10_0,
     ++c6_2(U,a526),
     ++c9_0]).

input_clause(clause424,conjecture,
    [--c8_1(U),
     --c2_1(U),
     --c7_1(U),
     --ndr1_0,
     ++ndr1_1(a467),
     ++c4_0]).

input_clause(clause425,conjecture,
    [--c8_1(U),
     --c2_1(U),
     --c7_1(U),
     --ndr1_0,
     ++c4_1(a467),
     ++c4_0]).

input_clause(clause426,conjecture,
    [--c8_1(U),
     --c2_1(U),
     --c7_1(U),
     --ndr1_0,
     ++c2_1(a467),
     ++c4_0]).

input_clause(clause427,conjecture,
    [--ssSkC1,
     --c1_2(U,a456),
     --c4_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c4_0]).

input_clause(clause428,conjecture,
    [--ssSkC1,
     --c6_2(U,a456),
     --c4_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c4_0]).

input_clause(clause429,conjecture,
    [--ssSkC1,
     --c7_2(U,a456),
     --c4_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c4_0]).

input_clause(clause430,conjecture,
    [--ssSkP0(U),
     --ssSkP1(U),
     --c1_2(U,a453),
     --ndr1_0,
     --c9_0,
     --c2_0]).

input_clause(clause431,conjecture,
    [--ssSkC0,
     --c8_2(U,a450),
     --c5_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c6_0]).

input_clause(clause432,conjecture,
    [--ssSkC0,
     --c6_2(U,a450),
     --c5_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c6_0]).

input_clause(clause433,conjecture,
    [--c7_2(a573,U),
     --ndr1_1(a573),
     --c1_0,
     --c8_0,
     ++c8_2(a573,U)]).

input_clause(clause434,conjecture,
    [--c8_2(a584,U),
     --ndr1_1(a584),
     --c3_0,
     ++c10_2(a584,U),
     ++c3_2(a584,U)]).

input_clause(clause435,conjecture,
    [--c1_2(a556,U),
     --ndr1_1(a556),
     --c3_0,
     ++c8_2(a556,U),
     ++c5_2(a556,U)]).

input_clause(clause436,conjecture,
    [--ssSkC17,
     --ssSkC18,
     --c2_2(a538,U),
     --ndr1_1(a538),
     ++c10_2(a538,U),
     ++c9_2(a538,U)]).

input_clause(clause437,conjecture,
    [--ssSkC15,
     --c4_2(U,a528),
     --c5_1(U),
     --c2_1(U),
     --ndr1_0,
     --c5_0]).

input_clause(clause438,conjecture,
    [--ssSkC15,
     --c2_2(U,a528),
     --c5_1(U),
     --c2_1(U),
     --ndr1_0,
     --c5_0]).

input_clause(clause439,conjecture,
    [--ssSkC15,
     --c3_2(U,a528),
     --c5_1(U),
     --c2_1(U),
     --ndr1_0,
     --c5_0]).

input_clause(clause440,conjecture,
    [--c9_2(U,a526),
     --c4_1(U),
     --c1_1(U),
     --ndr1_0,
     --c10_0,
     ++c9_0]).

input_clause(clause441,conjecture,
    [--c2_2(U,a526),
     --c4_1(U),
     --c1_1(U),
     --ndr1_0,
     --c10_0,
     ++c9_0]).

input_clause(clause442,conjecture,
    [--ssSkC12,
     --ndr1_1(a513),
     --c5_0,
     ++c10_2(a513,U),
     ++c1_2(a513,U),
     ++c9_2(a513,U)]).

input_clause(clause443,conjecture,
    [--c6_1(U),
     --ndr1_0,
     --c3_2(a504,a505),
     --c10_0,
     ++c3_1(U),
     ++c10_1(U)]).

input_clause(clause444,conjecture,
    [--c6_1(U),
     --ndr1_0,
     --c9_2(a504,a505),
     --c10_0,
     ++c3_1(U),
     ++c10_1(U)]).

input_clause(clause445,conjecture,
    [--c6_1(U),
     --ndr1_0,
     --c2_2(a504,a505),
     --c10_0,
     ++c3_1(U),
     ++c10_1(U)]).

input_clause(clause446,conjecture,
    [--c8_1(U),
     --c2_1(U),
     --c7_1(U),
     --ndr1_0,
     ++c3_2(a467,a468),
     ++c4_0]).

input_clause(clause447,conjecture,
    [--c8_1(U),
     --c2_1(U),
     --c7_1(U),
     --ndr1_0,
     ++c6_2(a467,a468),
     ++c4_0]).

input_clause(clause448,conjecture,
    [--ssSkC2,
     --c3_2(a463,U),
     --ndr1_1(a463),
     ++c6_2(a463,U),
     ++c5_2(a463,U),
     ++c5_0]).

input_clause(clause449,conjecture,
    [--c2_2(a602,U),
     --c4_2(a602,U),
     --ndr1_1(a602),
     ++c7_2(a602,U),
     ++ssSkC32]).

input_clause(clause450,conjecture,
    [--c1_2(a597,U),
     --c3_2(a597,U),
     --ndr1_1(a597),
     ++c7_2(a597,U),
     ++ssSkC30]).

input_clause(clause451,conjecture,
    [--c8_2(a469,U),
     --c6_2(a469,U),
     --ndr1_1(a469),
     ++c1_2(a469,U),
     ++ssSkC3]).

input_clause(clause452,conjecture,
    [--c5_2(a581,U),
     --ndr1_1(a581),
     --c8_0,
     ++c3_2(a581,U),
     ++c6_2(a581,U),
     ++c4_0]).

input_clause(clause453,conjecture,
    [--c8_2(a550,U),
     --c3_2(a550,U),
     --ndr1_1(a550),
     ++c5_2(a550,U),
     ++c2_0,
     ++c9_0]).

input_clause(clause454,conjecture,
    [--c6_2(a550,U),
     --c8_2(a550,U),
     --ndr1_1(a550),
     ++c1_2(a550,U),
     ++c2_0,
     ++c9_0]).

input_clause(clause455,conjecture,
    [--ssSkP6(U),
     --c10_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c9_2(U,a530),
     ++c10_0]).

input_clause(clause456,conjecture,
    [--ssSkP6(U),
     --c10_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c6_2(U,a530),
     ++c10_0]).

input_clause(clause457,conjecture,
    [--ssSkC4,
     --c6_2(a473,U),
     --ndr1_1(a473),
     --c2_0,
     ++c3_2(a473,U),
     ++c8_2(a473,U)]).

input_clause(clause458,conjecture,
    [--ssSkC3,
     --c4_2(a470,U),
     --c5_2(a470,U),
     --ndr1_1(a470),
     ++c8_2(a470,U),
     ++c10_0]).

input_clause(clause459,conjecture,
    [--c8_1(U),
     --c2_1(U),
     --c7_1(U),
     --ndr1_0,
     --c10_2(a467,a468),
     ++c4_0]).

input_clause(clause460,conjecture,
    [--ssSkP5(U),
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c10_2(U,V),
     ++c7_2(U,a512),
     ++ssSkC12]).

input_clause(clause461,conjecture,
    [--ssSkP5(U),
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c10_2(U,V),
     ++c1_2(U,a512),
     ++ssSkC12]).

input_clause(clause462,conjecture,
    [--ssSkP5(U),
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c10_2(U,V),
     ++c2_2(U,a512),
     ++ssSkC12]).

input_clause(clause463,conjecture,
    [--ssSkC21,
     --c8_2(a549,U),
     --c4_2(a549,U),
     --c1_2(a549,U),
     --ndr1_1(a549),
     ++c10_0]).

input_clause(clause464,conjecture,
    [--ssSkP6(U),
     --c10_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a530),
     --ndr1_0,
     ++c1_2(U,V),
     ++c10_0]).

input_clause(clause465,conjecture,
    [--ssSkC6,
     --c7_2(a481,U),
     --c3_2(a481,U),
     --c5_2(a481,U),
     --ndr1_1(a481),
     ++c3_0]).

input_clause(clause466,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c3_2(U,V),
     ++c5_1(U),
     ++c10_1(U),
     ++c10_0]).

input_clause(clause467,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c4_0,
     ++c10_2(U,V),
     ++c2_2(U,V),
     ++c7_2(U,V),
     ++c2_2(U,a459),
     ++c10_1(U)]).

input_clause(clause468,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c4_0,
     ++c10_2(U,V),
     ++c2_2(U,V),
     ++c7_2(U,V),
     ++c8_2(U,a459),
     ++c10_1(U)]).

input_clause(clause469,conjecture,
    [--c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a589),
     --ndr1_0,
     ++c10_1(U),
     ++ssSkC27]).

input_clause(clause470,conjecture,
    [--c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c10_2(U,a589),
     --ndr1_0,
     ++c10_1(U),
     ++ssSkC27]).

input_clause(clause471,conjecture,
    [--c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c7_2(U,a589),
     --ndr1_0,
     ++c10_1(U),
     ++ssSkC27]).

input_clause(clause472,conjecture,
    [--ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c10_2(U,V),
     ++c2_2(U,V),
     ++c9_2(U,a548),
     ++ssSkC21]).

input_clause(clause473,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c7_2(U,V),
     ++c2_2(U,V),
     ++c10_2(U,a506),
     ++c1_1(U),
     ++ssSkC10]).

input_clause(clause474,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c7_2(U,V),
     ++c2_2(U,V),
     ++c9_2(U,a506),
     ++c1_1(U),
     ++ssSkC10]).

input_clause(clause475,conjecture,
    [--ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c2_2(U,V),
     ++c8_2(U,V),
     ++c2_2(U,a496),
     ++ssSkC9]).

input_clause(clause476,conjecture,
    [--ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c2_2(U,V),
     ++c8_2(U,V),
     ++c6_2(U,a496),
     ++ssSkC9]).

input_clause(clause477,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c4_0,
     ++c6_2(U,V),
     ++c10_2(U,V),
     ++c1_2(U,V),
     ++c3_1(U),
     ++c1_1(U),
     ++ndr1_1(a491)]).

input_clause(clause478,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c4_0,
     ++c6_2(U,V),
     ++c10_2(U,V),
     ++c1_2(U,V),
     ++c3_1(U),
     ++c1_1(U),
     ++c1_1(a491)]).

input_clause(clause479,conjecture,
    [--ndr1_1(U),
     --c9_2(U,a459),
     --ndr1_0,
     --c4_0,
     ++c10_2(U,V),
     ++c2_2(U,V),
     ++c7_2(U,V),
     ++c10_1(U)]).

input_clause(clause480,conjecture,
    [--c9_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c5_2(U,V),
     ++c6_2(U,V),
     ++c7_1(U),
     ++c1_1(U),
     ++c9_0]).

input_clause(clause481,conjecture,
    [--c4_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c7_2(U,V),
     ++c7_1(U),
     ++c5_1(U),
     ++c5_0,
     ++c6_0]).

input_clause(clause482,conjecture,
    [--ndr1_1(U),
     --c6_2(U,a548),
     --c5_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c10_2(U,V),
     ++c2_2(U,V),
     ++ssSkC21]).

input_clause(clause483,conjecture,
    [--ndr1_1(U),
     --c2_2(U,a548),
     --c5_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c10_2(U,V),
     ++c2_2(U,V),
     ++ssSkC21]).

input_clause(clause484,conjecture,
    [--ssSkP4(U),
     --c6_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c7_2(U,a508),
     ++ssSkC11]).

input_clause(clause485,conjecture,
    [--ssSkP4(U),
     --c6_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c2_2(U,a508),
     ++ssSkC11]).

input_clause(clause486,conjecture,
    [--ssSkP4(U),
     --c6_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c3_2(U,a508),
     ++ssSkC11]).

input_clause(clause487,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a506),
     --ndr1_0,
     ++c7_2(U,V),
     ++c2_2(U,V),
     ++c1_1(U),
     ++ssSkC10]).

input_clause(clause488,conjecture,
    [--ndr1_1(U),
     --c10_2(U,a496),
     --c1_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c2_2(U,V),
     ++c8_2(U,V),
     ++ssSkC9]).

input_clause(clause489,conjecture,
    [--ssSkC31,
     --ssSkC32,
     --c2_2(U,V),
     --ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c6_2(U,V),
     ++c3_2(U,a604)]).

input_clause(clause490,conjecture,
    [--ssSkC31,
     --ssSkC32,
     --c2_2(U,V),
     --ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c6_2(U,V),
     ++c10_2(U,a604)]).

input_clause(clause491,conjecture,
    [--c9_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++c7_2(U,a553),
     ++c4_0]).

input_clause(clause492,conjecture,
    [--c9_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++c10_2(U,a553),
     ++c4_0]).

input_clause(clause493,conjecture,
    [--c9_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++c8_2(U,a553),
     ++c4_0]).

input_clause(clause494,conjecture,
    [--c7_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c10_2(U,V),
     ++c9_1(U),
     ++c1_1(U),
     ++ndr1_1(a502),
     ++c8_0]).

input_clause(clause495,conjecture,
    [--ssSkP3(U),
     --ssSkC9,
     --c6_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++c10_2(U,a498),
     ++c1_0]).

input_clause(clause496,conjecture,
    [--ssSkP3(U),
     --ssSkC9,
     --c6_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++c1_2(U,a498),
     ++c1_0]).

input_clause(clause497,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c4_0,
     ++c6_2(U,V),
     ++c10_2(U,V),
     ++c1_2(U,V),
     ++c3_1(U),
     ++c1_1(U),
     ++c7_2(a491,a492)]).

input_clause(clause498,conjecture,
    [--ssSkP2(U),
     --c8_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_0,
     ++c6_2(U,V),
     ++c9_2(U,a487)]).

input_clause(clause499,conjecture,
    [--c7_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c7_1(U),
     ++c1_0,
     ++c3_0]).

input_clause(clause500,conjecture,
    [--ssSkP10(U),
     --c5_2(U,V),
     --c1_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c9_2(U,a568),
     ++ssSkC24]).

input_clause(clause501,conjecture,
    [--ssSkC31,
     --ssSkC32,
     --c2_2(U,V),
     --ndr1_1(U),
     --c6_2(U,a604),
     --c6_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c6_2(U,V)]).

input_clause(clause502,conjecture,
    [--ssSkC28,
     --ssSkC29,
     --c2_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a593),
     --c3_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c1_2(U,V)]).

input_clause(clause503,conjecture,
    [--ssSkC28,
     --ssSkC29,
     --c2_2(U,V),
     --ndr1_1(U),
     --c6_2(U,a593),
     --c3_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c1_2(U,V)]).

input_clause(clause504,conjecture,
    [--ssSkC28,
     --ssSkC29,
     --c2_2(U,V),
     --ndr1_1(U),
     --c8_2(U,a593),
     --c3_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c1_2(U,V)]).

input_clause(clause505,conjecture,
    [--ssSkP8(U),
     --c7_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c10_0,
     ++c6_2(U,V),
     ++c1_2(U,a543),
     ++c9_0]).

input_clause(clause506,conjecture,
    [--ssSkP8(U),
     --c7_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c10_0,
     ++c6_2(U,V),
     ++c4_2(U,a543),
     ++c9_0]).

input_clause(clause507,conjecture,
    [--ndr1_0,
     --c10_2(a515,U),
     --c1_2(a515,U),
     --ndr1_1(a515),
     --c9_0,
     ++c5_1(V),
     ++c9_1(V),
     ++c5_2(a515,U)]).

input_clause(clause508,conjecture,
    [--c7_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c10_2(U,V),
     ++c9_1(U),
     ++c1_1(U),
     ++c8_2(a502,a503),
     ++c8_0]).

input_clause(clause509,conjecture,
    [--c7_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c5_1(a502),
     ++c10_2(U,V),
     ++c9_1(U),
     ++c1_1(U),
     ++c8_0]).

input_clause(clause510,conjecture,
    [--c7_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c9_1(a502),
     ++c10_2(U,V),
     ++c9_1(U),
     ++c1_1(U),
     ++c8_0]).

input_clause(clause511,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c6_2(a491,a492),
     --c4_0,
     ++c6_2(U,V),
     ++c10_2(U,V),
     ++c1_2(U,V),
     ++c3_1(U),
     ++c1_1(U)]).

input_clause(clause512,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c2_2(a491,a492),
     --c4_0,
     ++c6_2(U,V),
     ++c10_2(U,V),
     ++c1_2(U,V),
     ++c3_1(U),
     ++c1_1(U)]).

input_clause(clause513,conjecture,
    [--ssSkP2(U),
     --c8_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c10_2(U,a487),
     --ndr1_0,
     --c3_0,
     ++c6_2(U,V)]).

input_clause(clause514,conjecture,
    [--ndr1_0,
     --c8_2(a560,U),
     --ndr1_1(a560),
     --c10_0,
     ++c5_1(V),
     ++c9_1(V),
     ++c7_1(V),
     ++c10_2(a560,U),
     ++c3_2(a560,U)]).

input_clause(clause515,conjecture,
    [--ssSkC22,
     --c3_2(U,V),
     --c6_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c7_1(U),
     ++ndr1_1(W)]).

input_clause(clause516,conjecture,
    [--ssSkP10(U),
     --c5_2(U,V),
     --c1_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c10_2(U,a568),
     --ndr1_0,
     ++ssSkC24]).

input_clause(clause517,conjecture,
    [--c3_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c10_1(U),
     --ndr1_0,
     --c9_0,
     ++c2_2(U,V),
     ++c1_1(U),
     ++ndr1_1(a605)]).

input_clause(clause518,conjecture,
    [--ssSkP8(U),
     --c7_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a543),
     --ndr1_0,
     --c10_0,
     ++c6_2(U,V),
     ++c9_0]).

input_clause(clause519,conjecture,
    [--c7_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_2(a502,a503),
     ++c10_2(U,V),
     ++c9_1(U),
     ++c1_1(U),
     ++c8_0]).

input_clause(clause520,conjecture,
    [--c6_1(U),
     --ndr1_0,
     --c9_2(a504,V),
     --ndr1_1(a504),
     --c10_0,
     ++c3_1(U),
     ++c10_1(U),
     ++c1_2(a504,V),
     ++c7_2(a504,V)]).

input_clause(clause521,conjecture,
    [--c3_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c10_1(U),
     --ndr1_0,
     --c9_0,
     ++c2_2(U,V),
     ++c1_1(U),
     ++c2_2(a605,a606)]).

input_clause(clause522,conjecture,
    [--c3_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c10_1(U),
     --ndr1_0,
     --c5_1(a605),
     --c9_0,
     ++c2_2(U,V),
     ++c1_1(U)]).

input_clause(clause523,conjecture,
    [--c3_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c10_1(U),
     --ndr1_0,
     --c4_1(a605),
     --c9_0,
     ++c2_2(U,V),
     ++c1_1(U)]).

input_clause(clause524,conjecture,
    [--c6_1(U),
     --c7_1(U),
     --ndr1_0,
     --ndr1_1(V),
     --c5_1(V),
     --c7_0,
     ++c2_1(U),
     ++c1_2(V,W),
     ++c4_2(V,W),
     ++c4_2(V,a607)]).

input_clause(clause525,conjecture,
    [--c6_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c3_1(W),
     --c8_0,
     ++c6_1(U),
     ++ndr1_1(W),
     ++c7_1(W)]).

input_clause(clause526,conjecture,
    [--ssSkC22,
     --c3_2(U,V),
     --c6_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c8_2(W,a559),
     ++c7_1(U)]).

input_clause(clause527,conjecture,
    [--ssSkC22,
     --c3_2(U,V),
     --c6_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c7_2(W,a559),
     ++c7_1(U)]).

input_clause(clause528,conjecture,
    [--ssSkC22,
     --c3_2(U,V),
     --c6_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c4_2(W,a559),
     ++c7_1(U)]).

input_clause(clause529,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --ndr1_0,
     --c1_0,
     ++c3_2(U,V),
     ++c4_2(U,V),
     ++c10_2(U,W),
     ++c2_2(U,W),
     ++c7_1(U)]).

input_clause(clause530,conjecture,
    [--c3_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c10_1(U),
     --ndr1_0,
     --c3_2(a605,a606),
     --c9_0,
     ++c2_2(U,V),
     ++c1_1(U)]).

input_clause(clause531,conjecture,
    [--c3_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c10_1(U),
     --ndr1_0,
     --c1_2(a605,a606),
     --c9_0,
     ++c2_2(U,V),
     ++c1_1(U)]).

input_clause(clause532,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c9_2(U,W),
     --ndr1_0,
     ++c7_2(U,V),
     ++c6_2(U,V),
     ++c6_2(U,W),
     ++c8_2(U,W),
     ++c10_2(U,a462),
     ++ssSkC2]).

input_clause(clause533,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c9_2(U,W),
     --ndr1_0,
     ++c7_2(U,V),
     ++c6_2(U,V),
     ++c6_2(U,W),
     ++c8_2(U,W),
     ++c2_2(U,a462),
     ++ssSkC2]).

input_clause(clause534,conjecture,
    [--c6_1(U),
     --c7_1(U),
     --ndr1_0,
     --ndr1_1(V),
     --c5_2(V,a607),
     --c5_1(V),
     --c7_0,
     ++c2_1(U),
     ++c1_2(V,W),
     ++c4_2(V,W)]).

input_clause(clause535,conjecture,
    [--c6_1(U),
     --c7_1(U),
     --ndr1_0,
     --ndr1_1(V),
     --c2_2(V,a607),
     --c5_1(V),
     --c7_0,
     ++c2_1(U),
     ++c1_2(V,W),
     ++c4_2(V,W)]).

input_clause(clause536,conjecture,
    [--c6_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c3_1(W),
     --c8_0,
     ++c6_1(U),
     ++c6_2(W,a580),
     ++c7_1(W)]).

input_clause(clause537,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c9_2(U,W),
     --c1_2(U,a462),
     --ndr1_0,
     ++c7_2(U,V),
     ++c6_2(U,V),
     ++c6_2(U,W),
     ++c8_2(U,W),
     ++ssSkC2]).

input_clause(clause538,conjecture,
    [--c6_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c1_2(W,a580),
     --c3_1(W),
     --c8_0,
     ++c6_1(U),
     ++c7_1(W)]).

input_clause(clause539,conjecture,
    [--c6_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c9_2(W,a580),
     --c3_1(W),
     --c8_0,
     ++c6_1(U),
     ++c7_1(W)]).

input_clause(clause540,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --c7_1(U),
     --ndr1_0,
     --c8_0,
     --c10_0,
     ++c9_2(U,V),
     ++c1_2(U,V),
     ++c2_2(U,W),
     ++c8_2(U,W)]).

input_clause(clause541,conjecture,
    [--ssSkC23,
     --c5_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c5_2(U,W),
     --c10_2(U,W),
     --c5_1(U),
     --ndr1_0,
     --c3_1(a566),
     ++c10_2(U,V)]).

input_clause(clause542,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c4_2(a491,V),
     --c9_2(a491,V),
     --ndr1_1(a491),
     --c4_0,
     ++c6_2(U,W),
     ++c10_2(U,W),
     ++c1_2(U,W),
     ++c3_1(U),
     ++c1_1(U),
     ++c10_2(a491,V)]).

input_clause(clause543,conjecture,
    [--ssSkC23,
     --c5_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c5_2(U,W),
     --c10_2(U,W),
     --c5_1(U),
     --ndr1_0,
     --c9_2(a566,X),
     --ndr1_1(a566),
     ++c10_2(U,V),
     ++c5_2(a566,X),
     ++c6_2(a566,X)]).

input_clause(clause544,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c6_2(U,W),
     --c6_1(U),
     --ndr1_0,
     --c2_2(X,Y),
     --c8_2(X,Y),
     --ndr1_1(X),
     --c4_1(X),
     --c6_0,
     ++c4_2(U,V),
     ++c1_2(U,V),
     ++c5_2(U,W),
     ++c2_2(U,W),
     ++c3_2(X,a555)]).

input_clause(clause545,conjecture,
    [--ssSkC23,
     --c5_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c5_2(U,W),
     --c10_2(U,W),
     --c5_1(U),
     --ndr1_0,
     --c7_2(a566,X),
     --c5_2(a566,X),
     --ndr1_1(a566),
     ++c10_2(U,V),
     ++c3_2(a566,X)]).

input_clause(clause546,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c6_2(U,W),
     --c6_1(U),
     --ndr1_0,
     --c2_2(X,Y),
     --c8_2(X,Y),
     --ndr1_1(X),
     --c4_2(X,a555),
     --c4_1(X),
     --c6_0,
     ++c4_2(U,V),
     ++c1_2(U,V),
     ++c5_2(U,W),
     ++c2_2(U,W)]).

input_clause(clause547,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c6_2(U,W),
     --c6_1(U),
     --ndr1_0,
     --c2_2(X,Y),
     --c8_2(X,Y),
     --ndr1_1(X),
     --c9_2(X,a555),
     --c4_1(X),
     --c6_0,
     ++c4_2(U,V),
     ++c1_2(U,V),
     ++c5_2(U,W),
     ++c2_2(U,W)]).
%--------------------------------------------------------------------------
