%--------------------------------------------------------------------------
% File     : SYN425-1 : TPTP v2.2.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=10, R=1, L=150, K=3, D=2, P=0, Index=030
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-10-1-150-3-2-030.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.67 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :  531 ( 364 non-Horn;   4 unit; 473 RR)
%            Number of literals   : 2300 (   0 equality)
%            Maximal clause size  :   16 (   4 average)
%            Number of predicates :   79 (  46 propositional; 0-2 arity)
%            Number of functors   :  149 ( 149 constant; 0-0 arity)
%            Number of variables  :  405 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++c9_0]).

input_clause(clause2,conjecture,
    [++c4_0]).

input_clause(clause3,conjecture,
    [++ndr1_0,++c10_0]).

input_clause(clause4,conjecture,
    [--ssSkC32,++ndr1_0]).

input_clause(clause5,conjecture,
    [--ssSkC27,++ndr1_0]).

input_clause(clause6,conjecture,
    [--ssSkC19,++ndr1_0]).

input_clause(clause7,conjecture,
    [--c5_0]).

input_clause(clause8,conjecture,
    [++c2_0,++c10_0]).

input_clause(clause9,conjecture,
    [--c7_0]).

input_clause(clause10,conjecture,
    [++c1_0,++c2_0]).

input_clause(clause11,conjecture,
    [++ndr1_0,++ssSkC32]).

input_clause(clause12,conjecture,
    [++ndr1_0,++ssSkC31]).

input_clause(clause13,conjecture,
    [++ndr1_0,++ssSkC29]).

input_clause(clause14,conjecture,
    [++ndr1_0,++ssSkC28]).

input_clause(clause15,conjecture,
    [++ndr1_0,++ssSkC27]).

input_clause(clause16,conjecture,
    [++ndr1_0,++ssSkC26]).

input_clause(clause17,conjecture,
    [++ndr1_0,++ssSkC24]).

input_clause(clause18,conjecture,
    [++ndr1_0,++ssSkC22]).

input_clause(clause19,conjecture,
    [++ndr1_0,++ssSkC20]).

input_clause(clause20,conjecture,
    [++ndr1_0,++ssSkC18]).

input_clause(clause21,conjecture,
    [++ndr1_0,++ssSkC17]).

input_clause(clause22,conjecture,
    [++ndr1_0,++ssSkC15]).

input_clause(clause23,conjecture,
    [++ndr1_0,++ssSkC13]).

input_clause(clause24,conjecture,
    [++ndr1_0,++ssSkC12]).

input_clause(clause25,conjecture,
    [++ndr1_0,++ssSkC11]).

input_clause(clause26,conjecture,
    [++ndr1_0,++ssSkC10]).

input_clause(clause27,conjecture,
    [++ndr1_0,++ssSkC9]).

input_clause(clause28,conjecture,
    [++ndr1_0,++ssSkC8]).

input_clause(clause29,conjecture,
    [++ndr1_0,++ssSkC6]).

input_clause(clause30,conjecture,
    [++ndr1_0,++ssSkC4]).

input_clause(clause31,conjecture,
    [++ndr1_0,++ssSkC3]).

input_clause(clause32,conjecture,
    [++ndr1_0,++ssSkC1]).

input_clause(clause33,conjecture,
    [++ndr1_0,++ssSkC0]).

input_clause(clause34,conjecture,
    [++ndr1_1(a1363),
     ++c10_0]).

input_clause(clause35,conjecture,
    [--ssSkC33,++ndr1_0,++c8_0]).

input_clause(clause36,conjecture,
    [--ssSkC32,
     ++c4_1(a1354)]).

input_clause(clause37,conjecture,
    [--ssSkC30,--ssSkC31,++ndr1_0]).

input_clause(clause38,conjecture,
    [--c1_0,++ndr1_0]).

input_clause(clause39,conjecture,
    [++ndr1_0,++c1_0,++c3_0]).

input_clause(clause40,conjecture,
    [--ssSkC27,
     ++ndr1_1(a1335)]).

input_clause(clause41,conjecture,
    [--c6_0,++ndr1_0]).

input_clause(clause42,conjecture,
    [--ssSkC23,++ndr1_0,++c2_0]).

input_clause(clause43,conjecture,
    [--ssSkC22,++ndr1_0,++c7_0]).

input_clause(clause44,conjecture,
    [--ssSkC19,
     ++ndr1_1(a1293)]).

input_clause(clause45,conjecture,
    [--ssSkC17,++ndr1_0,++c1_0]).

input_clause(clause46,conjecture,
    [--ssSkC15,--ssSkC16,++ndr1_0]).

input_clause(clause47,conjecture,
    [--c3_0,++ndr1_0]).

input_clause(clause48,conjecture,
    [++ndr1_0,++c6_0,++c3_0]).

input_clause(clause49,conjecture,
    [--ssSkC7,++ndr1_0,++c1_0]).

input_clause(clause50,conjecture,
    [--ssSkC5,++ndr1_0,++c6_0]).

input_clause(clause51,conjecture,
    [++ndr1_0,++c8_0,++c3_0]).

input_clause(clause52,conjecture,
    [--c8_0,++c3_0]).

input_clause(clause53,conjecture,
    [--c8_0,++c2_0]).

input_clause(clause54,conjecture,
    [--c3_0,++c8_0]).

input_clause(clause55,conjecture,
    [--c6_0,++c1_0]).

input_clause(clause56,conjecture,
    [++ndr1_1(U),
     ++ssSkP11(U)]).

input_clause(clause57,conjecture,
    [++ndr1_1(U),
     ++ssSkP10(U)]).

input_clause(clause58,conjecture,
    [++ndr1_1(U),
     ++ssSkP9(U)]).

input_clause(clause59,conjecture,
    [++c6_1(a1349),
     ++ssSkC31]).

input_clause(clause60,conjecture,
    [++c3_1(a1349),
     ++ssSkC31]).

input_clause(clause61,conjecture,
    [++ndr1_1(U),
     ++ssSkP8(U)]).

input_clause(clause62,conjecture,
    [++c3_1(a1343),
     ++ssSkC29]).

input_clause(clause63,conjecture,
    [++ndr1_1(a1341),
     ++ssSkC28]).

input_clause(clause64,conjecture,
    [++c2_1(a1341),
     ++ssSkC28]).

input_clause(clause65,conjecture,
    [++ndr1_1(a1333),
     ++ssSkC27]).

input_clause(clause66,conjecture,
    [++c3_1(a1333),
     ++ssSkC27]).

input_clause(clause67,conjecture,
    [++ndr1_1(U),
     ++ssSkP7(U)]).

input_clause(clause68,conjecture,
    [++ndr1_1(a1323),
     ++ssSkC26]).

input_clause(clause69,conjecture,
    [++c4_1(a1323),
     ++ssSkC26]).

input_clause(clause70,conjecture,
    [++c6_1(a1323),
     ++ssSkC26]).

input_clause(clause71,conjecture,
    [++ndr1_1(U),
     ++ssSkP6(U)]).

input_clause(clause72,conjecture,
    [++c10_1(a1315),
     ++ssSkC24]).

input_clause(clause73,conjecture,
    [++ndr1_1(U),
     ++ssSkP5(U)]).

input_clause(clause74,conjecture,
    [++ndr1_1(a1305),
     ++ssSkC22]).

input_clause(clause75,conjecture,
    [++c1_1(a1305),
     ++ssSkC22]).

input_clause(clause76,conjecture,
    [++ndr1_1(a1298),
     ++ssSkC20]).

input_clause(clause77,conjecture,
    [++c3_1(a1287),
     ++ssSkC18]).

input_clause(clause78,conjecture,
    [++c2_1(a1284),
     ++ssSkC17]).

input_clause(clause79,conjecture,
    [++c1_1(a1284),
     ++ssSkC17]).

input_clause(clause80,conjecture,
    [++ndr1_1(U),
     ++ssSkP4(U)]).

input_clause(clause81,conjecture,
    [++c7_1(a1278),
     ++ssSkC15]).

input_clause(clause82,conjecture,
    [++ndr1_1(U),
     ++ssSkP3(U)]).

input_clause(clause83,conjecture,
    [++c10_1(a1265),
     ++ssSkC13]).

input_clause(clause84,conjecture,
    [++c8_1(a1265),
     ++ssSkC13]).

input_clause(clause85,conjecture,
    [++ndr1_1(a1257),
     ++ssSkC12]).

input_clause(clause86,conjecture,
    [++c8_1(a1257),
     ++ssSkC12]).

input_clause(clause87,conjecture,
    [++c4_1(a1249),
     ++ssSkC11]).

input_clause(clause88,conjecture,
    [++ndr1_1(a1244),
     ++ssSkC10]).

input_clause(clause89,conjecture,
    [++c2_1(a1244),
     ++ssSkC10]).

input_clause(clause90,conjecture,
    [++ndr1_1(a1242),
     ++ssSkC9]).

input_clause(clause91,conjecture,
    [++c9_1(a1242),
     ++ssSkC9]).

input_clause(clause92,conjecture,
    [++ndr1_1(U),
     ++ssSkP2(U)]).

input_clause(clause93,conjecture,
    [++ndr1_1(a1229),
     ++ssSkC6]).

input_clause(clause94,conjecture,
    [++ndr1_1(U),
     ++ssSkP1(U)]).

input_clause(clause95,conjecture,
    [++ndr1_1(a1218),
     ++ssSkC4]).

input_clause(clause96,conjecture,
    [++c2_1(a1218),
     ++ssSkC4]).

input_clause(clause97,conjecture,
    [++c9_1(a1207),
     ++ssSkC3]).

input_clause(clause98,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause99,conjecture,
    [++ndr1_1(a1193),
     ++ssSkC1]).

input_clause(clause100,conjecture,
    [++c2_2(a1363,a1364),
     ++c10_0]).

input_clause(clause101,conjecture,
    [--c6_1(a1363),
     ++c10_0]).

input_clause(clause102,conjecture,
    [--ssSkC34,--c10_0,++ndr1_0]).

input_clause(clause103,conjecture,
    [--ssSkC33,
     ++ndr1_1(a1357),
     ++c8_0]).

input_clause(clause104,conjecture,
    [--ssSkC32,
     --c7_1(a1354)]).

input_clause(clause105,conjecture,
    [--c1_0,
     ++ndr1_1(a1346)]).

input_clause(clause106,conjecture,
    [++ndr1_1(a1338),
     ++c1_0,
     ++c3_0]).

input_clause(clause107,conjecture,
    [--ssSkC27,
     ++c8_2(a1335,a1336)]).

input_clause(clause108,conjecture,
    [--ssSkC27,
     --c3_1(a1335)]).

input_clause(clause109,conjecture,
    [--c6_0,
     ++ndr1_1(a1331)]).

input_clause(clause110,conjecture,
    [--c6_0,
     ++c3_1(a1331)]).

input_clause(clause111,conjecture,
    [--c2_0,++ndr1_0,++c3_0]).

input_clause(clause112,conjecture,
    [--ssSkC24,--c2_0,++ndr1_0]).

input_clause(clause113,conjecture,
    [--ssSkC22,
     ++ndr1_1(a1307),
     ++c7_0]).

input_clause(clause114,conjecture,
    [--ssSkC19,
     ++c10_2(a1293,a1294)]).

input_clause(clause115,conjecture,
    [--ssSkC19,
     ++c5_2(a1293,a1294)]).

input_clause(clause116,conjecture,
    [--ssSkC17,
     ++ndr1_1(a1285),
     ++c1_0]).

input_clause(clause117,conjecture,
    [--ssSkC15,
     --ssSkC16,
     ++ndr1_1(a1281)]).

input_clause(clause118,conjecture,
    [--c3_0,
     ++ndr1_1(a1270)]).

input_clause(clause119,conjecture,
    [--c3_0,
     ++c9_1(a1270)]).

input_clause(clause120,conjecture,
    [--ssSkC14,--c2_0,++ndr1_0]).

input_clause(clause121,conjecture,
    [++ndr1_1(a1252),
     ++c6_0,
     ++c3_0]).

input_clause(clause122,conjecture,
    [--c10_0,++ndr1_0,++c5_0]).

input_clause(clause123,conjecture,
    [--ssSkC7,
     ++ndr1_1(a1235),
     ++c1_0]).

input_clause(clause124,conjecture,
    [--ssSkC7,
     ++c4_1(a1235),
     ++c1_0]).

input_clause(clause125,conjecture,
    [--c9_0,++ndr1_0,++c5_0]).

input_clause(clause126,conjecture,
    [--ssSkC5,
     ++c2_1(a1223),
     ++c6_0]).

input_clause(clause127,conjecture,
    [--ssSkC4,--c2_0,++ndr1_0]).

input_clause(clause128,conjecture,
    [--c9_0,++ndr1_0,++c3_0]).

input_clause(clause129,conjecture,
    [++ndr1_1(a1211),
     ++c8_0,
     ++c3_0]).

input_clause(clause130,conjecture,
    [--c4_0,++ndr1_0,++c2_0]).

input_clause(clause131,conjecture,
    [--ssSkC3,--c2_0,++ndr1_0]).

input_clause(clause132,conjecture,
    [--c2_0,++ndr1_0,++c8_0]).

input_clause(clause133,conjecture,
    [--c6_0,--c3_0]).

input_clause(clause134,conjecture,
    [++c1_2(U,a1359),
     ++ssSkP11(U)]).

input_clause(clause135,conjecture,
    [++c7_2(U,a1359),
     ++ssSkP11(U)]).

input_clause(clause136,conjecture,
    [++c9_2(U,a1355),
     ++ssSkP10(U)]).

input_clause(clause137,conjecture,
    [++c6_2(U,a1355),
     ++ssSkP10(U)]).

input_clause(clause138,conjecture,
    [--c5_1(a1353),
     ++ssSkC32]).

input_clause(clause139,conjecture,
    [--c3_1(a1353),
     ++ssSkC32]).

input_clause(clause140,conjecture,
    [++c10_2(U,a1351),
     ++ssSkP9(U)]).

input_clause(clause141,conjecture,
    [++c8_2(U,a1351),
     ++ssSkP9(U)]).

input_clause(clause142,conjecture,
    [++c3_2(U,a1351),
     ++ssSkP9(U)]).

input_clause(clause143,conjecture,
    [++c1_2(U,a1344),
     ++ssSkP8(U)]).

input_clause(clause144,conjecture,
    [++c9_2(U,a1344),
     ++ssSkP8(U)]).

input_clause(clause145,conjecture,
    [++c4_2(U,a1344),
     ++ssSkP8(U)]).

input_clause(clause146,conjecture,
    [--c1_1(a1343),
     ++ssSkC29]).

input_clause(clause147,conjecture,
    [++c7_2(a1341,a1342),
     ++ssSkC28]).

input_clause(clause148,conjecture,
    [++c6_2(a1333,a1334),
     ++ssSkC27]).

input_clause(clause149,conjecture,
    [++c9_2(a1323,a1324),
     ++ssSkC26]).

input_clause(clause150,conjecture,
    [++c7_2(U,a1318),
     ++ssSkP6(U)]).

input_clause(clause151,conjecture,
    [++c3_2(U,a1318),
     ++ssSkP6(U)]).

input_clause(clause152,conjecture,
    [++c1_2(U,a1313),
     ++ssSkP5(U)]).

input_clause(clause153,conjecture,
    [++c1_2(a1305,a1306),
     ++ssSkC22]).

input_clause(clause154,conjecture,
    [--c5_1(a1305),
     ++ssSkC22]).

input_clause(clause155,conjecture,
    [++c3_2(a1298,a1299),
     ++ssSkC20]).

input_clause(clause156,conjecture,
    [++c4_2(a1298,a1299),
     ++ssSkC20]).

input_clause(clause157,conjecture,
    [++c5_2(a1298,a1299),
     ++ssSkC20]).

input_clause(clause158,conjecture,
    [--c4_1(a1298),
     ++ssSkC20]).

input_clause(clause159,conjecture,
    [--c5_1(a1298),
     ++ssSkC20]).

input_clause(clause160,conjecture,
    [++c5_2(U,a1266),
     ++ssSkP3(U)]).

input_clause(clause161,conjecture,
    [++c8_2(U,a1266),
     ++ssSkP3(U)]).

input_clause(clause162,conjecture,
    [++c3_2(a1257,a1258),
     ++ssSkC12]).

input_clause(clause163,conjecture,
    [++c7_2(a1257,a1258),
     ++ssSkC12]).

input_clause(clause164,conjecture,
    [--c9_1(a1257),
     ++ssSkC12]).

input_clause(clause165,conjecture,
    [--c1_1(a1249),
     ++ssSkC11]).

input_clause(clause166,conjecture,
    [++c6_2(a1244,a1245),
     ++ssSkC10]).

input_clause(clause167,conjecture,
    [++c4_2(a1244,a1245),
     ++ssSkC10]).

input_clause(clause168,conjecture,
    [++c7_2(a1244,a1245),
     ++ssSkC10]).

input_clause(clause169,conjecture,
    [--c10_1(a1244),
     ++ssSkC10]).

input_clause(clause170,conjecture,
    [++c8_2(a1242,a1243),
     ++ssSkC9]).

input_clause(clause171,conjecture,
    [++c10_2(a1242,a1243),
     ++ssSkC9]).

input_clause(clause172,conjecture,
    [++c2_2(a1242,a1243),
     ++ssSkC9]).

input_clause(clause173,conjecture,
    [--c7_1(a1240),
     ++ssSkC8]).

input_clause(clause174,conjecture,
    [++c9_2(U,a1233),
     ++ssSkP2(U)]).

input_clause(clause175,conjecture,
    [++c10_2(U,a1233),
     ++ssSkP2(U)]).

input_clause(clause176,conjecture,
    [++c4_2(a1229,a1230),
     ++ssSkC6]).

input_clause(clause177,conjecture,
    [++c7_2(a1229,a1230),
     ++ssSkC6]).

input_clause(clause178,conjecture,
    [++c10_2(a1229,a1230),
     ++ssSkC6]).

input_clause(clause179,conjecture,
    [++c10_2(U,a1221),
     ++ssSkP1(U)]).

input_clause(clause180,conjecture,
    [++c4_2(U,a1221),
     ++ssSkP1(U)]).

input_clause(clause181,conjecture,
    [--c8_1(a1207),
     ++ssSkC3]).

input_clause(clause182,conjecture,
    [++c8_2(U,a1196),
     ++ssSkP0(U)]).

input_clause(clause183,conjecture,
    [++c4_2(U,a1196),
     ++ssSkP0(U)]).

input_clause(clause184,conjecture,
    [++c4_2(a1193,a1194),
     ++ssSkC1]).

input_clause(clause185,conjecture,
    [++c5_2(a1193,a1194),
     ++ssSkC1]).

input_clause(clause186,conjecture,
    [++c9_2(a1193,a1194),
     ++ssSkC1]).

input_clause(clause187,conjecture,
    [--c1_1(a1190),
     ++ssSkC0]).

input_clause(clause188,conjecture,
    [--c4_1(a1190),
     ++ssSkC0]).

input_clause(clause189,conjecture,
    [--c7_2(a1363,a1364),
     ++c10_0]).

input_clause(clause190,conjecture,
    [--c1_2(a1363,a1364),
     ++c10_0]).

input_clause(clause191,conjecture,
    [--ssSkC34,
     --c10_0,
     ++c8_1(a1361)]).

input_clause(clause192,conjecture,
    [--ssSkC33,
     ++c6_2(a1357,a1358),
     ++c8_0]).

input_clause(clause193,conjecture,
    [--ssSkC33,
     ++c9_2(a1357,a1358),
     ++c8_0]).

input_clause(clause194,conjecture,
    [--ssSkC33,
     ++c1_2(a1357,a1358),
     ++c8_0]).

input_clause(clause195,conjecture,
    [--ssSkC33,
     --c6_1(a1357),
     ++c8_0]).

input_clause(clause196,conjecture,
    [--ssSkC30,
     --ssSkC31,
     --c10_1(a1350)]).

input_clause(clause197,conjecture,
    [--c1_0,
     ++c6_2(a1346,a1347)]).

input_clause(clause198,conjecture,
    [++c8_2(a1338,a1339),
     ++c1_0,
     ++c3_0]).

input_clause(clause199,conjecture,
    [++c5_2(a1338,a1339),
     ++c1_0,
     ++c3_0]).

input_clause(clause200,conjecture,
    [++c4_2(a1338,a1339),
     ++c1_0,
     ++c3_0]).

input_clause(clause201,conjecture,
    [--c8_1(a1338),
     ++c1_0,
     ++c3_0]).

input_clause(clause202,conjecture,
    [--ssSkC27,
     --c2_2(a1335,a1336)]).

input_clause(clause203,conjecture,
    [--c6_0,
     ++c7_2(a1331,a1332)]).

input_clause(clause204,conjecture,
    [--c2_0,
     ++ndr1_1(a1327),
     ++c3_0]).

input_clause(clause205,conjecture,
    [--c2_0,
     ++c10_1(a1327),
     ++c3_0]).

input_clause(clause206,conjecture,
    [--ssSkC23,
     --c4_1(a1311),
     ++c2_0]).

input_clause(clause207,conjecture,
    [--ssSkC23,
     --c5_1(a1311),
     ++c2_0]).

input_clause(clause208,conjecture,
    [--ssSkC22,
     ++c5_2(a1307,a1308),
     ++c7_0]).

input_clause(clause209,conjecture,
    [--ssSkC22,
     ++c7_2(a1307,a1308),
     ++c7_0]).

input_clause(clause210,conjecture,
    [--ssSkC17,
     ++c2_2(a1285,a1286),
     ++c1_0]).

input_clause(clause211,conjecture,
    [--ssSkC17,
     ++c1_2(a1285,a1286),
     ++c1_0]).

input_clause(clause212,conjecture,
    [--ssSkC17,
     --c9_1(a1285),
     ++c1_0]).

input_clause(clause213,conjecture,
    [--ssSkC15,
     --ssSkC16,
     ++c7_2(a1281,a1283)]).

input_clause(clause214,conjecture,
    [--ssSkC15,
     --ssSkC16,
     ++c4_2(a1281,a1283)]).

input_clause(clause215,conjecture,
    [--ssSkC15,
     --ssSkC16,
     ++c9_2(a1281,a1283)]).

input_clause(clause216,conjecture,
    [--ssSkC15,
     --ssSkC16,
     ++c8_2(a1281,a1282)]).

input_clause(clause217,conjecture,
    [--ssSkC15,
     --ssSkC16,
     ++c5_2(a1281,a1282)]).

input_clause(clause218,conjecture,
    [--ssSkC15,
     --ssSkC16,
     --c10_1(a1281)]).

input_clause(clause219,conjecture,
    [--c6_0,
     ++ndr1_1(a1274),
     ++c10_0]).

input_clause(clause220,conjecture,
    [--c3_0,
     ++c8_2(a1270,a1271)]).

input_clause(clause221,conjecture,
    [--c3_0,
     ++c4_2(a1270,a1271)]).

input_clause(clause222,conjecture,
    [--c10_1(a1270),
     --c3_0]).

input_clause(clause223,conjecture,
    [--ssSkC14,
     --c2_0,
     ++c7_1(a1269)]).

input_clause(clause224,conjecture,
    [--c6_0,
     ++ndr1_1(a1262),
     ++c10_0]).

input_clause(clause225,conjecture,
    [++c2_2(a1252,a1254),
     ++c6_0,
     ++c3_0]).

input_clause(clause226,conjecture,
    [++c5_2(a1252,a1254),
     ++c6_0,
     ++c3_0]).

input_clause(clause227,conjecture,
    [++c5_2(a1252,a1253),
     ++c6_0,
     ++c3_0]).

input_clause(clause228,conjecture,
    [--c10_0,
     ++c6_1(a1247),
     ++c5_0]).

input_clause(clause229,conjecture,
    [--c10_0,
     ++c9_1(a1247),
     ++c5_0]).

input_clause(clause230,conjecture,
    [--ssSkC7,
     ++c4_2(a1235,a1236),
     ++c1_0]).

input_clause(clause231,conjecture,
    [--c9_0,
     ++ndr1_1(a1226),
     ++c5_0]).

input_clause(clause232,conjecture,
    [--c9_0,
     ++c7_1(a1226),
     ++c5_0]).

input_clause(clause233,conjecture,
    [--ssSkC5,
     --c4_1(a1223),
     ++c6_0]).

input_clause(clause234,conjecture,
    [--ssSkC4,
     --c2_0,
     ++c2_1(a1220)]).

input_clause(clause235,conjecture,
    [--ssSkC4,
     --c2_0,
     ++c10_1(a1220)]).

input_clause(clause236,conjecture,
    [--c9_0,
     ++c1_1(a1214),
     ++c3_0]).

input_clause(clause237,conjecture,
    [--c9_0,
     ++c3_1(a1214),
     ++c3_0]).

input_clause(clause238,conjecture,
    [++c10_2(a1211,a1212),
     ++c8_0,
     ++c3_0]).

input_clause(clause239,conjecture,
    [--c10_1(a1211),
     ++c8_0,
     ++c3_0]).

input_clause(clause240,conjecture,
    [--c4_0,
     ++c10_1(a1210),
     ++c2_0]).

input_clause(clause241,conjecture,
    [--ssSkC3,
     --c2_0,
     ++c10_1(a1208)]).

input_clause(clause242,conjecture,
    [--ssSkC3,
     --c2_0,
     ++c9_1(a1208)]).

input_clause(clause243,conjecture,
    [--c4_0,--c6_0,++c2_0]).

input_clause(clause244,conjecture,
    [--c8_0,--c2_0,++c1_0]).

input_clause(clause245,conjecture,
    [--c4_2(U,a1359),
     ++ssSkP11(U)]).

input_clause(clause246,conjecture,
    [--c4_2(U,a1355),
     ++ssSkP10(U)]).

input_clause(clause247,conjecture,
    [--c3_2(a1341,a1342),
     ++ssSkC28]).

input_clause(clause248,conjecture,
    [--c3_2(a1333,a1334),
     ++ssSkC27]).

input_clause(clause249,conjecture,
    [--c9_2(a1333,a1334),
     ++ssSkC27]).

input_clause(clause250,conjecture,
    [--c1_2(U,a1325),
     ++ssSkP7(U)]).

input_clause(clause251,conjecture,
    [--c10_2(U,a1325),
     ++ssSkP7(U)]).

input_clause(clause252,conjecture,
    [--c8_2(U,a1325),
     ++ssSkP7(U)]).

input_clause(clause253,conjecture,
    [--c8_2(a1323,a1324),
     ++ssSkC26]).

input_clause(clause254,conjecture,
    [--c1_2(a1323,a1324),
     ++ssSkC26]).

input_clause(clause255,conjecture,
    [--c8_2(U,a1318),
     ++ssSkP6(U)]).

input_clause(clause256,conjecture,
    [--c2_2(U,a1313),
     ++ssSkP5(U)]).

input_clause(clause257,conjecture,
    [--c3_2(U,a1313),
     ++ssSkP5(U)]).

input_clause(clause258,conjecture,
    [--c10_2(a1305,a1306),
     ++ssSkC22]).

input_clause(clause259,conjecture,
    [--c4_2(a1305,a1306),
     ++ssSkC22]).

input_clause(clause260,conjecture,
    [--c5_2(U,a1279),
     ++ssSkP4(U)]).

input_clause(clause261,conjecture,
    [--c2_2(U,a1279),
     ++ssSkP4(U)]).

input_clause(clause262,conjecture,
    [--c7_2(U,a1279),
     ++ssSkP4(U)]).

input_clause(clause263,conjecture,
    [--c3_2(U,a1266),
     ++ssSkP3(U)]).

input_clause(clause264,conjecture,
    [--c4_2(a1257,a1258),
     ++ssSkC12]).

input_clause(clause265,conjecture,
    [--c3_2(U,a1233),
     ++ssSkP2(U)]).

input_clause(clause266,conjecture,
    [--c8_2(U,a1221),
     ++ssSkP1(U)]).

input_clause(clause267,conjecture,
    [--c6_2(a1218,a1219),
     ++ssSkC4]).

input_clause(clause268,conjecture,
    [--c10_2(a1218,a1219),
     ++ssSkC4]).

input_clause(clause269,conjecture,
    [--c4_2(a1218,a1219),
     ++ssSkC4]).

input_clause(clause270,conjecture,
    [--c6_2(U,a1196),
     ++ssSkP0(U)]).

input_clause(clause271,conjecture,
    [--ssSkC34,
     --c2_1(a1361),
     --c10_0]).

input_clause(clause272,conjecture,
    [--c4_2(a1346,a1347),
     --c1_0]).

input_clause(clause273,conjecture,
    [--c2_2(a1346,a1347),
     --c1_0]).

input_clause(clause274,conjecture,
    [--c9_2(a1331,a1332),
     --c6_0]).

input_clause(clause275,conjecture,
    [--c10_2(a1331,a1332),
     --c6_0]).

input_clause(clause276,conjecture,
    [--c2_0,
     ++c8_2(a1327,a1328),
     ++c3_0]).

input_clause(clause277,conjecture,
    [--ssSkC24,
     --c8_1(a1316),
     --c2_0]).

input_clause(clause278,conjecture,
    [--ssSkC24,
     --c5_1(a1316),
     --c2_0]).

input_clause(clause279,conjecture,
    [--ssSkC22,
     --c4_2(a1307,a1308),
     ++c7_0]).

input_clause(clause280,conjecture,
    [--ssSkC17,
     --c5_2(a1285,a1286),
     ++c1_0]).

input_clause(clause281,conjecture,
    [--ssSkC15,
     --ssSkC16,
     --c3_2(a1281,a1282)]).

input_clause(clause282,conjecture,
    [--c10_1(a1274),
     --c6_0,
     ++c10_0]).

input_clause(clause283,conjecture,
    [--c7_2(a1270,a1271),
     --c3_0]).

input_clause(clause284,conjecture,
    [--ssSkC14,
     --c4_1(a1269),
     --c2_0]).

input_clause(clause285,conjecture,
    [--c6_0,
     ++c9_2(a1262,a1264),
     ++c10_0]).

input_clause(clause286,conjecture,
    [--c6_0,
     ++c10_2(a1262,a1264),
     ++c10_0]).

input_clause(clause287,conjecture,
    [--c6_0,
     ++c5_2(a1262,a1264),
     ++c10_0]).

input_clause(clause288,conjecture,
    [--c6_0,
     ++c1_2(a1262,a1263),
     ++c10_0]).

input_clause(clause289,conjecture,
    [--c6_0,
     ++c7_2(a1262,a1263),
     ++c10_0]).

input_clause(clause290,conjecture,
    [--c10_2(a1252,a1254),
     ++c6_0,
     ++c3_0]).

input_clause(clause291,conjecture,
    [--c2_2(a1252,a1253),
     ++c6_0,
     ++c3_0]).

input_clause(clause292,conjecture,
    [--c6_2(a1252,a1253),
     ++c6_0,
     ++c3_0]).

input_clause(clause293,conjecture,
    [--ssSkC8,
     --c3_1(a1241),
     --c3_0]).

input_clause(clause294,conjecture,
    [--ssSkC7,
     --c8_2(a1235,a1236),
     ++c1_0]).

input_clause(clause295,conjecture,
    [--ssSkC7,
     --c3_2(a1235,a1236),
     ++c1_0]).

input_clause(clause296,conjecture,
    [--c9_1(a1226),
     --c9_0,
     ++c5_0]).

input_clause(clause297,conjecture,
    [--ssSkC4,
     --c6_1(a1220),
     --c2_0]).

input_clause(clause298,conjecture,
    [--c8_2(a1211,a1212),
     ++c8_0,
     ++c3_0]).

input_clause(clause299,conjecture,
    [--c2_2(a1211,a1212),
     ++c8_0,
     ++c3_0]).

input_clause(clause300,conjecture,
    [--c9_1(a1210),
     --c4_0,
     ++c2_0]).

input_clause(clause301,conjecture,
    [--c6_1(a1200),
     --c2_0,
     ++c8_0]).

input_clause(clause302,conjecture,
    [--c10_0,--c8_0,--c2_0]).

input_clause(clause303,conjecture,
    [--ssSkP9(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c2_1(U)]).

input_clause(clause304,conjecture,
    [--c3_2(a1327,a1328),
     --c2_0,
     ++c3_0]).

input_clause(clause305,conjecture,
    [--c9_2(a1274,a1275),
     --c6_0,
     ++c10_0]).

input_clause(clause306,conjecture,
    [--c8_2(a1274,a1275),
     --c6_0,
     ++c10_0]).

input_clause(clause307,conjecture,
    [--c6_2(a1274,a1275),
     --c6_0,
     ++c10_0]).

input_clause(clause308,conjecture,
    [--c9_2(a1262,a1263),
     --c6_0,
     ++c10_0]).

input_clause(clause309,conjecture,
    [--ssSkC9,
     --ssSkC10,
     --ndr1_0,
     ++ndr1_1(U),
     ++c7_1(U)]).

input_clause(clause310,conjecture,
    [--c8_2(a1226,a1227),
     --c9_0,
     ++c5_0]).

input_clause(clause311,conjecture,
    [--c5_2(a1226,a1227),
     --c9_0,
     ++c5_0]).

input_clause(clause312,conjecture,
    [--c6_2(a1226,a1227),
     --c9_0,
     ++c5_0]).

input_clause(clause313,conjecture,
    [--ssSkP9(U),
     --ndr1_0,
     ++c10_2(U,a1352),
     ++c2_1(U)]).

input_clause(clause314,conjecture,
    [--ndr1_0,
     ++c6_1(U),
     ++c7_1(U),
     ++c9_1(U),
     ++c7_0]).

input_clause(clause315,conjecture,
    [--ssSkC9,
     --ssSkC10,
     --ndr1_0,
     ++c5_2(U,a1246),
     ++c7_1(U)]).

input_clause(clause316,conjecture,
    [--ssSkP11(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c8_1(U),
     ++ssSkC34]).

input_clause(clause317,conjecture,
    [--ssSkP10(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c8_1(U),
     ++ssSkC33]).

input_clause(clause318,conjecture,
    [--ssSkP4(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++ssSkC16]).

input_clause(clause319,conjecture,
    [--ssSkP1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c6_1(U),
     ++ssSkC5]).

input_clause(clause320,conjecture,
    [--ssSkP9(U),
     --c8_2(U,a1352),
     --ndr1_0,
     ++c2_1(U)]).

input_clause(clause321,conjecture,
    [--ssSkP9(U),
     --c2_2(U,a1352),
     --ndr1_0,
     ++c2_1(U)]).

input_clause(clause322,conjecture,
    [--ssSkP8(U),
     --ssSkC28,
     --ssSkC29,
     --ndr1_0,
     ++ndr1_1(U),
     ++c3_1(U)]).

input_clause(clause323,conjecture,
    [--ssSkC21,
     --c4_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c1_1(U)]).

input_clause(clause324,conjecture,
    [--ssSkC9,
     --ssSkC10,
     --c1_2(U,a1246),
     --ndr1_0,
     ++c7_1(U)]).

input_clause(clause325,conjecture,
    [--ssSkC9,
     --ssSkC10,
     --c9_2(U,a1246),
     --ndr1_0,
     ++c7_1(U)]).

input_clause(clause326,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c8_1(U),
     ++ndr1_1(a1237),
     ++c8_0]).

input_clause(clause327,conjecture,
    [--ndr1_0,
     --c2_0,
     --c8_0,
     ++c1_1(U),
     ++c6_1(U)]).

input_clause(clause328,conjecture,
    [--ssSkP11(U),
     --ndr1_0,
     ++c6_2(U,a1360),
     ++c8_1(U),
     ++ssSkC34]).

input_clause(clause329,conjecture,
    [--ssSkP11(U),
     --ndr1_0,
     ++c9_2(U,a1360),
     ++c8_1(U),
     ++ssSkC34]).

input_clause(clause330,conjecture,
    [--ssSkP10(U),
     --ndr1_0,
     ++c1_2(U,a1356),
     ++c8_1(U),
     ++ssSkC33]).

input_clause(clause331,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c8_1(U),
     ++ssSkC23]).

input_clause(clause332,conjecture,
    [--ssSkP4(U),
     --ndr1_0,
     ++c4_2(U,a1280),
     ++c1_1(U),
     ++ssSkC16]).

input_clause(clause333,conjecture,
    [--c9_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c8_1(U),
     ++ssSkC14]).

input_clause(clause334,conjecture,
    [--ssSkP2(U),
     --c5_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC7]).

input_clause(clause335,conjecture,
    [--ssSkP1(U),
     --ndr1_0,
     ++c2_2(U,a1222),
     ++c6_1(U),
     ++ssSkC5]).

input_clause(clause336,conjecture,
    [--ssSkP1(U),
     --ndr1_0,
     ++c5_2(U,a1222),
     ++c6_1(U),
     ++ssSkC5]).

input_clause(clause337,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++ssSkC2]).

input_clause(clause338,conjecture,
    [--ssSkP8(U),
     --ssSkC28,
     --ssSkC29,
     --ndr1_0,
     ++c5_2(U,a1345),
     ++c3_1(U)]).

input_clause(clause339,conjecture,
    [--ssSkC20,
     --c10_1(U),
     --c2_1(U),
     --ndr1_0,
     ++ndr1_1(U)]).

input_clause(clause340,conjecture,
    [--c5_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++c3_0]).

input_clause(clause341,conjecture,
    [--ssSkC23,
     --ndr1_1(a1311),
     ++c8_2(a1311,U),
     ++c9_2(a1311,U),
     ++c2_0]).

input_clause(clause342,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c8_1(U),
     ++c5_2(a1237,a1239),
     ++c8_0]).

input_clause(clause343,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c8_1(U),
     ++c5_2(a1237,a1238),
     ++c8_0]).

input_clause(clause344,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c8_1(U),
     ++c7_2(a1237,a1238),
     ++c8_0]).

input_clause(clause345,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c8_1(U),
     ++c4_2(a1237,a1238),
     ++c8_0]).

input_clause(clause346,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c8_1(a1237),
     ++c8_1(U),
     ++c8_0]).

input_clause(clause347,conjecture,
    [--ssSkP11(U),
     --c10_2(U,a1360),
     --ndr1_0,
     ++c8_1(U),
     ++ssSkC34]).

input_clause(clause348,conjecture,
    [--ssSkP10(U),
     --c5_2(U,a1356),
     --ndr1_0,
     ++c8_1(U),
     ++ssSkC33]).

input_clause(clause349,conjecture,
    [--ssSkP10(U),
     --c4_2(U,a1356),
     --ndr1_0,
     ++c8_1(U),
     ++ssSkC33]).

input_clause(clause350,conjecture,
    [--c2_1(U),
     --c10_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC25]).

input_clause(clause351,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c1_2(U,a1310),
     ++c8_1(U),
     ++ssSkC23]).

input_clause(clause352,conjecture,
    [--ssSkP4(U),
     --c5_2(U,a1280),
     --ndr1_0,
     ++c1_1(U),
     ++ssSkC16]).

input_clause(clause353,conjecture,
    [--c9_1(U),
     --ndr1_0,
     ++c7_2(U,a1268),
     ++c8_1(U),
     ++ssSkC14]).

input_clause(clause354,conjecture,
    [--ssSkP2(U),
     --c5_1(U),
     --ndr1_0,
     ++c7_2(U,a1234),
     ++ssSkC7]).

input_clause(clause355,conjecture,
    [--ssSkP2(U),
     --c5_1(U),
     --ndr1_0,
     ++c4_2(U,a1234),
     ++ssSkC7]).

input_clause(clause356,conjecture,
    [--ssSkP1(U),
     --c4_2(U,a1222),
     --ndr1_0,
     ++c6_1(U),
     ++ssSkC5]).

input_clause(clause357,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c1_2(U,a1204),
     ++c3_1(U),
     ++ssSkC2]).

input_clause(clause358,conjecture,
    [--ssSkP8(U),
     --ssSkC28,
     --ssSkC29,
     --c4_2(U,a1345),
     --ndr1_0,
     ++c3_1(U)]).

input_clause(clause359,conjecture,
    [--ssSkP5(U),
     --c7_1(U),
     --ndr1_0,
     --c10_0,
     ++ndr1_1(U),
     ++c6_0]).

input_clause(clause360,conjecture,
    [--ssSkC21,
     --c1_2(U,a1302),
     --c4_1(U),
     --ndr1_0,
     ++c1_1(U)]).

input_clause(clause361,conjecture,
    [--ssSkC21,
     --c9_2(U,a1302),
     --c4_1(U),
     --ndr1_0,
     ++c1_1(U)]).

input_clause(clause362,conjecture,
    [--ssSkC20,
     --c10_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c5_2(U,a1300)]).

input_clause(clause363,conjecture,
    [--ssSkC20,
     --c10_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c1_2(U,a1300)]).

input_clause(clause364,conjecture,
    [--ndr1_0,
     --c10_0,
     --c3_0,
     ++ndr1_1(U),
     ++c10_1(U),
     ++c3_1(U)]).

input_clause(clause365,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c10_0,
     ++ndr1_1(U),
     ++c7_1(U),
     ++c5_0]).

input_clause(clause366,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++c5_1(U),
     ++ndr1_1(a1215),
     ++c7_0]).

input_clause(clause367,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++c5_1(U),
     ++c6_1(a1215),
     ++c7_0]).

input_clause(clause368,conjecture,
    [--c2_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c6_1(U),
     ++c3_0,
     ++c6_0]).

input_clause(clause369,conjecture,
    [--c4_2(a1287,U),
     --ndr1_1(a1287),
     ++c1_2(a1287,U),
     ++ssSkC18]).

input_clause(clause370,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c6_2(a1237,a1239),
     ++c8_1(U),
     ++c8_0]).

input_clause(clause371,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c2_2(a1237,a1239),
     ++c8_1(U),
     ++c8_0]).

input_clause(clause372,conjecture,
    [--ndr1_1(a1200),
     --c2_0,
     ++c2_2(a1200,U),
     ++c4_2(a1200,U),
     ++c8_0]).

input_clause(clause373,conjecture,
    [--c3_2(U,a1310),
     --c3_1(U),
     --ndr1_0,
     ++c8_1(U),
     ++ssSkC23]).

input_clause(clause374,conjecture,
    [--c2_2(U,a1310),
     --c3_1(U),
     --ndr1_0,
     ++c8_1(U),
     ++ssSkC23]).

input_clause(clause375,conjecture,
    [--c8_2(U,a1268),
     --c9_1(U),
     --ndr1_0,
     ++c8_1(U),
     ++ssSkC14]).

input_clause(clause376,conjecture,
    [--c9_2(U,a1268),
     --c9_1(U),
     --ndr1_0,
     ++c8_1(U),
     ++ssSkC14]).

input_clause(clause377,conjecture,
    [--ssSkP2(U),
     --c10_2(U,a1234),
     --c5_1(U),
     --ndr1_0,
     ++ssSkC7]).

input_clause(clause378,conjecture,
    [--c10_2(U,a1204),
     --c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++ssSkC2]).

input_clause(clause379,conjecture,
    [--c8_2(U,a1204),
     --c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++ssSkC2]).

input_clause(clause380,conjecture,
    [--ssSkP5(U),
     --c7_1(U),
     --ndr1_0,
     --c10_0,
     ++c4_2(U,a1314),
     ++c6_0]).

input_clause(clause381,conjecture,
    [--ssSkP5(U),
     --c7_1(U),
     --ndr1_0,
     --c10_0,
     ++c10_2(U,a1314),
     ++c6_0]).

input_clause(clause382,conjecture,
    [--ssSkC20,
     --c3_2(U,a1300),
     --c10_1(U),
     --c2_1(U),
     --ndr1_0]).

input_clause(clause383,conjecture,
    [--c7_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c10_1(U),
     ++c10_1(a1261),
     ++c1_0]).

input_clause(clause384,conjecture,
    [--ndr1_0,
     --c10_0,
     --c3_0,
     ++c8_2(U,a1251),
     ++c10_1(U),
     ++c3_1(U)]).

input_clause(clause385,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c10_0,
     ++c10_2(U,a1224),
     ++c7_1(U),
     ++c5_0]).

input_clause(clause386,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++c5_1(U),
     ++c2_2(a1215,a1216),
     ++c7_0]).

input_clause(clause387,conjecture,
    [--c9_1(U),
     --c1_1(U),
     --ndr1_0,
     --c6_0,
     ++ndr1_1(U),
     ++c8_0]).

input_clause(clause388,conjecture,
    [--c3_1(U),
     --c8_1(U),
     --ndr1_0,
     --c8_0,
     ++c6_1(U),
     ++c10_0]).

input_clause(clause389,conjecture,
    [--c8_2(a1315,U),
     --c2_2(a1315,U),
     --ndr1_1(a1315),
     ++ssSkC24]).

input_clause(clause390,conjecture,
    [--c5_2(a1214,U),
     --ndr1_1(a1214),
     --c9_0,
     ++c7_2(a1214,U),
     ++c3_0]).

input_clause(clause391,conjecture,
    [--ndr1_1(a1353),
     ++c5_2(a1353,U),
     ++c3_2(a1353,U),
     ++c2_2(a1353,U),
     ++ssSkC32]).

input_clause(clause392,conjecture,
    [--c6_2(U,a1317),
     --c2_1(U),
     --c10_1(U),
     --ndr1_0,
     ++ssSkC25]).

input_clause(clause393,conjecture,
    [--c2_2(U,a1317),
     --c2_1(U),
     --c10_1(U),
     --ndr1_0,
     ++ssSkC25]).

input_clause(clause394,conjecture,
    [--ndr1_1(a1249),
     ++c3_2(a1249,U),
     ++c6_2(a1249,U),
     ++c5_2(a1249,U),
     ++ssSkC11]).

input_clause(clause395,conjecture,
    [--ndr1_1(a1240),
     ++c6_2(a1240,U),
     ++c4_2(a1240,U),
     ++c5_2(a1240,U),
     ++ssSkC8]).

input_clause(clause396,conjecture,
    [--ndr1_1(a1190),
     ++c6_2(a1190,U),
     ++c5_2(a1190,U),
     ++c4_2(a1190,U),
     ++ssSkC0]).

input_clause(clause397,conjecture,
    [--c10_2(a1363,U),
     --ndr1_1(a1363),
     ++c1_2(a1363,U),
     ++c3_2(a1363,U),
     ++c10_0]).

input_clause(clause398,conjecture,
    [--ssSkC30,
     --ssSkC31,
     --ndr1_1(a1350),
     ++c1_2(a1350,U),
     ++c7_2(a1350,U),
     ++c6_2(a1350,U)]).

input_clause(clause399,conjecture,
    [--ssSkP5(U),
     --c5_2(U,a1314),
     --c7_1(U),
     --ndr1_0,
     --c10_0,
     ++c6_0]).

input_clause(clause400,conjecture,
    [--c7_1(U),
     --c8_1(U),
     --c10_1(U),
     --ndr1_0,
     ++ndr1_1(a1303),
     ++c6_0]).

input_clause(clause401,conjecture,
    [--c7_1(U),
     --c8_1(U),
     --c10_1(U),
     --ndr1_0,
     ++c1_1(a1303),
     ++c6_0]).

input_clause(clause402,conjecture,
    [--ssSkC19,
     --c4_2(a1293,U),
     --ndr1_1(a1293),
     ++c5_2(a1293,U),
     ++c7_2(a1293,U)]).

input_clause(clause403,conjecture,
    [--c3_2(U,a1251),
     --ndr1_0,
     --c10_0,
     --c3_0,
     ++c10_1(U),
     ++c3_1(U)]).

input_clause(clause404,conjecture,
    [--c5_2(U,a1251),
     --ndr1_0,
     --c10_0,
     --c3_0,
     ++c10_1(U),
     ++c3_1(U)]).

input_clause(clause405,conjecture,
    [--c1_2(U,a1224),
     --c1_1(U),
     --ndr1_0,
     --c10_0,
     ++c7_1(U),
     ++c5_0]).

input_clause(clause406,conjecture,
    [--c8_2(U,a1224),
     --c1_1(U),
     --ndr1_0,
     --c10_0,
     ++c7_1(U),
     ++c5_0]).

input_clause(clause407,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c6_2(a1215,a1216),
     ++c4_1(U),
     ++c5_1(U),
     ++c7_0]).

input_clause(clause408,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c3_2(a1215,a1216),
     ++c4_1(U),
     ++c5_1(U),
     ++c7_0]).

input_clause(clause409,conjecture,
    [--c9_1(U),
     --c1_1(U),
     --ndr1_0,
     --c6_0,
     ++c6_2(U,a1199),
     ++c8_0]).

input_clause(clause410,conjecture,
    [--c9_1(U),
     --c1_1(U),
     --ndr1_0,
     --c6_0,
     ++c8_2(U,a1199),
     ++c8_0]).

input_clause(clause411,conjecture,
    [--c9_1(U),
     --c1_1(U),
     --ndr1_0,
     --c6_0,
     ++c4_2(U,a1199),
     ++c8_0]).

input_clause(clause412,conjecture,
    [--ssSkC8,
     --c9_2(a1241,U),
     --c10_2(a1241,U),
     --ndr1_1(a1241),
     --c3_0]).

input_clause(clause413,conjecture,
    [--ssSkC3,
     --c10_2(a1208,U),
     --c4_2(a1208,U),
     --ndr1_1(a1208),
     --c2_0]).

input_clause(clause414,conjecture,
    [--c5_2(a1240,U),
     --ndr1_1(a1240),
     ++c3_2(a1240,U),
     ++c4_2(a1240,U),
     ++ssSkC8]).

input_clause(clause415,conjecture,
    [--c4_2(a1229,U),
     --ndr1_1(a1229),
     ++c1_2(a1229,U),
     ++c6_2(a1229,U),
     ++ssSkC6]).

input_clause(clause416,conjecture,
    [--c8_2(a1193,U),
     --ndr1_1(a1193),
     ++c7_2(a1193,U),
     ++c2_2(a1193,U),
     ++ssSkC1]).

input_clause(clause417,conjecture,
    [--c9_2(a1338,U),
     --ndr1_1(a1338),
     ++c6_2(a1338,U),
     ++c3_2(a1338,U),
     ++c1_0,
     ++c3_0]).

input_clause(clause418,conjecture,
    [--c7_1(U),
     --c8_1(U),
     --c10_1(U),
     --ndr1_0,
     ++c10_2(a1303,a1304),
     ++c6_0]).

input_clause(clause419,conjecture,
    [--c7_1(U),
     --c8_1(U),
     --c10_1(U),
     --ndr1_0,
     ++c5_2(a1303,a1304),
     ++c6_0]).

input_clause(clause420,conjecture,
    [--ssSkC18,
     --c1_2(a1288,U),
     --ndr1_1(a1288),
     ++c3_2(a1288,U),
     ++c8_2(a1288,U),
     ++c10_0]).

input_clause(clause421,conjecture,
    [--ssSkC18,
     --c8_2(a1288,U),
     --ndr1_1(a1288),
     ++c4_2(a1288,U),
     ++c5_2(a1288,U),
     ++c10_0]).

input_clause(clause422,conjecture,
    [--ssSkC18,
     --c2_2(a1288,U),
     --ndr1_1(a1288),
     ++c1_2(a1288,U),
     ++c3_2(a1288,U),
     ++c10_0]).

input_clause(clause423,conjecture,
    [--c7_2(a1211,U),
     --ndr1_1(a1211),
     ++c1_2(a1211,U),
     ++c2_2(a1211,U),
     ++c8_0,
     ++c3_0]).

input_clause(clause424,conjecture,
    [--ssSkC1,
     --c1_1(U),
     --ndr1_0,
     --c9_1(V),
     ++c6_1(U),
     ++c10_1(U),
     ++ndr1_1(V),
     ++c8_1(V)]).

input_clause(clause425,conjecture,
    [--c5_2(a1343,U),
     --c2_2(a1343,U),
     --ndr1_1(a1343),
     ++c3_2(a1343,U),
     ++ssSkC29]).

input_clause(clause426,conjecture,
    [--c3_2(a1278,U),
     --c8_2(a1278,U),
     --ndr1_1(a1278),
     ++c1_2(a1278,U),
     ++ssSkC15]).

input_clause(clause427,conjecture,
    [--c8_2(a1278,U),
     --c10_2(a1278,U),
     --ndr1_1(a1278),
     ++c3_2(a1278,U),
     ++ssSkC15]).

input_clause(clause428,conjecture,
    [--c6_2(a1218,U),
     --c9_2(a1218,U),
     --ndr1_1(a1218),
     ++c10_2(a1218,U),
     ++ssSkC4]).

input_clause(clause429,conjecture,
    [--c6_2(a1207,U),
     --c4_2(a1207,U),
     --ndr1_1(a1207),
     ++c8_2(a1207,U),
     ++ssSkC3]).

input_clause(clause430,conjecture,
    [--ssSkC33,
     --c10_2(a1357,U),
     --c9_2(a1357,U),
     --ndr1_1(a1357),
     ++c1_2(a1357,U),
     ++c8_0]).

input_clause(clause431,conjecture,
    [--c6_2(a1346,U),
     --c10_2(a1346,U),
     --ndr1_1(a1346),
     --c1_0,
     ++c8_2(a1346,U)]).

input_clause(clause432,conjecture,
    [--c10_2(a1346,U),
     --c5_2(a1346,U),
     --ndr1_1(a1346),
     --c1_0,
     ++c9_2(a1346,U)]).

input_clause(clause433,conjecture,
    [--c6_2(a1331,U),
     --c5_2(a1331,U),
     --ndr1_1(a1331),
     --c6_0,
     ++c9_2(a1331,U)]).

input_clause(clause434,conjecture,
    [--ssSkC22,
     --c9_2(a1307,U),
     --c3_2(a1307,U),
     --ndr1_1(a1307),
     ++c5_2(a1307,U),
     ++c7_0]).

input_clause(clause435,conjecture,
    [--c7_1(U),
     --c8_1(U),
     --c10_1(U),
     --ndr1_0,
     --c6_2(a1303,a1304),
     ++c6_0]).

input_clause(clause436,conjecture,
    [--ssSkC19,
     --c9_2(a1293,U),
     --c6_2(a1293,U),
     --c8_2(a1293,U),
     --ndr1_1(a1293)]).

input_clause(clause437,conjecture,
    [--c3_2(a1274,U),
     --ndr1_1(a1274),
     --c6_0,
     ++c6_2(a1274,U),
     ++c5_2(a1274,U),
     ++c10_0]).

input_clause(clause438,conjecture,
    [--c4_2(a1252,U),
     --c3_2(a1252,U),
     --ndr1_1(a1252),
     ++c8_2(a1252,U),
     ++c6_0,
     ++c3_0]).

input_clause(clause439,conjecture,
    [--ssSkC8,
     --c8_2(a1241,U),
     --ndr1_1(a1241),
     --c3_0,
     ++c6_2(a1241,U),
     ++c7_2(a1241,U)]).

input_clause(clause440,conjecture,
    [--ssSkC7,
     --c9_2(a1235,U),
     --c4_2(a1235,U),
     --ndr1_1(a1235),
     ++c2_2(a1235,U),
     ++c1_0]).

input_clause(clause441,conjecture,
    [--ssSkC5,
     --c3_2(a1223,U),
     --c7_2(a1223,U),
     --ndr1_1(a1223),
     ++c8_2(a1223,U),
     ++c6_0]).

input_clause(clause442,conjecture,
    [--c1_2(a1210,U),
     --ndr1_1(a1210),
     --c4_0,
     ++c2_2(a1210,U),
     ++c5_2(a1210,U),
     ++c2_0]).

input_clause(clause443,conjecture,
    [--ssSkC1,
     --c1_1(U),
     --ndr1_0,
     --c9_1(V),
     ++c6_1(U),
     ++c10_1(U),
     ++c10_2(V,a1195),
     ++c8_1(V)]).

input_clause(clause444,conjecture,
    [--c7_2(a1349,U),
     --c3_2(a1349,U),
     --c5_2(a1349,U),
     --ndr1_1(a1349),
     ++ssSkC31]).

input_clause(clause445,conjecture,
    [--c9_2(a1333,U),
     --c10_2(a1333,U),
     --c4_2(a1333,U),
     --ndr1_1(a1333),
     ++ssSkC27]).

input_clause(clause446,conjecture,
    [--c5_2(a1315,U),
     --c6_2(a1315,U),
     --c9_2(a1315,U),
     --ndr1_1(a1315),
     ++ssSkC24]).

input_clause(clause447,conjecture,
    [--c7_2(a1287,U),
     --c6_2(a1287,U),
     --c1_2(a1287,U),
     --ndr1_1(a1287),
     ++ssSkC18]).

input_clause(clause448,conjecture,
    [--c10_2(a1193,U),
     --c9_2(a1193,U),
     --c8_2(a1193,U),
     --ndr1_1(a1193),
     ++ssSkC1]).

input_clause(clause449,conjecture,
    [--ssSkC34,
     --c5_2(a1361,U),
     --c7_2(a1361,U),
     --ndr1_1(a1361),
     --c10_0,
     ++c9_2(a1361,U)]).

input_clause(clause450,conjecture,
    [--ssSkC22,
     --c6_2(a1307,U),
     --c4_2(a1307,U),
     --c5_2(a1307,U),
     --ndr1_1(a1307),
     ++c7_0]).

input_clause(clause451,conjecture,
    [--c8_2(a1262,U),
     --c10_2(a1262,U),
     --ndr1_1(a1262),
     --c6_0,
     ++c2_2(a1262,U),
     ++c10_0]).

input_clause(clause452,conjecture,
    [--c10_2(a1247,U),
     --c2_2(a1247,U),
     --ndr1_1(a1247),
     --c10_0,
     ++c5_2(a1247,U),
     ++c5_0]).

input_clause(clause453,conjecture,
    [--ssSkC1,
     --c1_1(U),
     --ndr1_0,
     --c3_2(V,a1195),
     --c9_1(V),
     ++c6_1(U),
     ++c10_1(U),
     ++c8_1(V)]).

input_clause(clause454,conjecture,
    [--ssSkC1,
     --c1_1(U),
     --ndr1_0,
     --c4_2(V,a1195),
     --c9_1(V),
     ++c6_1(U),
     ++c10_1(U),
     ++c8_1(V)]).

input_clause(clause455,conjecture,
    [--c10_2(a1327,U),
     --c2_2(a1327,U),
     --c3_2(a1327,U),
     --ndr1_1(a1327),
     --c2_0,
     ++c3_0]).

input_clause(clause456,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++c4_2(U,a1348),
     ++c5_1(U),
     ++ssSkC30]).

input_clause(clause457,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++c5_2(U,a1348),
     ++c5_1(U),
     ++ssSkC30]).

input_clause(clause458,conjecture,
    [--c8_2(U,V),
     --c1_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c8_2(U,a1301),
     ++ssSkC21]).

input_clause(clause459,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c8_2(U,a1348),
     --ndr1_0,
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++c5_1(U),
     ++ssSkC30]).

input_clause(clause460,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c6_0,
     ++c10_2(U,V),
     ++c7_2(U,V),
     ++c6_1(U),
     ++c10_1(U),
     ++ndr1_1(a1272)]).

input_clause(clause461,conjecture,
    [--c7_1(U),
     --c3_1(U),
     --ndr1_0,
     --c7_2(a1261,V),
     --ndr1_1(a1261),
     ++c10_1(U),
     ++c1_2(a1261,V),
     ++c1_0]).

input_clause(clause462,conjecture,
    [--ssSkC6,
     --c3_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c9_2(U,V),
     ++c9_2(U,a1231)]).

input_clause(clause463,conjecture,
    [--ssSkC6,
     --c3_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c9_2(U,V),
     ++c6_2(U,a1231)]).

input_clause(clause464,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c6_0,
     ++c6_2(U,V),
     ++c4_2(U,V),
     ++c9_1(U),
     ++c1_1(U),
     ++ndr1_1(a1201)]).

input_clause(clause465,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     --c10_0,
     ++c9_2(U,V),
     ++c4_2(U,V),
     ++c3_1(U),
     ++c7_0]).

input_clause(clause466,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c10_1(U),
     --ndr1_0,
     --c2_0,
     ++c9_2(U,V),
     ++c5_2(U,V),
     ++c9_1(U),
     ++c1_0]).

input_clause(clause467,conjecture,
    [--c8_2(U,V),
     --c1_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c10_2(U,a1301),
     --ndr1_0,
     ++ssSkC21]).

input_clause(clause468,conjecture,
    [--c8_2(U,V),
     --c1_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c6_2(U,a1301),
     --ndr1_0,
     ++ssSkC21]).

input_clause(clause469,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     --c8_0,
     ++c9_2(U,V),
     ++c5_2(U,V),
     ++c4_2(U,a1362),
     ++c10_0]).

input_clause(clause470,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     --c8_0,
     ++c9_2(U,V),
     ++c5_2(U,V),
     ++c10_2(U,a1362),
     ++c10_0]).

input_clause(clause471,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c6_0,
     ++c10_2(U,V),
     ++c7_2(U,V),
     ++c6_1(U),
     ++c10_1(U),
     ++c7_2(a1272,a1273)]).

input_clause(clause472,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c6_0,
     ++c10_2(U,V),
     ++c7_2(U,V),
     ++c6_1(U),
     ++c10_1(U),
     ++c2_2(a1272,a1273)]).

input_clause(clause473,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c6_0,
     ++c10_2(U,V),
     ++c7_2(U,V),
     ++c6_1(U),
     ++c10_1(U),
     ++c8_2(a1272,a1273)]).

input_clause(clause474,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_1(a1272),
     --c6_0,
     ++c10_2(U,V),
     ++c7_2(U,V),
     ++c6_1(U),
     ++c10_1(U)]).

input_clause(clause475,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c8_1(a1272),
     --c6_0,
     ++c10_2(U,V),
     ++c7_2(U,V),
     ++c6_1(U),
     ++c10_1(U)]).

input_clause(clause476,conjecture,
    [--ssSkC6,
     --c3_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c7_2(U,a1231),
     --c5_1(U),
     --ndr1_0,
     ++c9_2(U,V)]).

input_clause(clause477,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c6_0,
     ++c6_2(U,V),
     ++c4_2(U,V),
     ++c9_1(U),
     ++c1_1(U),
     ++c7_2(a1201,a1203)]).

input_clause(clause478,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c6_0,
     ++c6_2(U,V),
     ++c4_2(U,V),
     ++c9_1(U),
     ++c1_1(U),
     ++c9_2(a1201,a1203)]).

input_clause(clause479,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c6_0,
     ++c6_2(U,V),
     ++c4_2(U,V),
     ++c9_1(U),
     ++c1_1(U),
     ++c5_2(a1201,a1203)]).

input_clause(clause480,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c6_0,
     ++c6_2(U,V),
     ++c4_2(U,V),
     ++c9_1(U),
     ++c1_1(U),
     ++c4_2(a1201,a1202)]).

input_clause(clause481,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c6_0,
     ++c6_2(U,V),
     ++c4_2(U,V),
     ++c9_1(U),
     ++c1_1(U),
     ++c2_2(a1201,a1202)]).

input_clause(clause482,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_1(a1201),
     --c6_0,
     ++c6_2(U,V),
     ++c4_2(U,V),
     ++c9_1(U),
     ++c1_1(U)]).

input_clause(clause483,conjecture,
    [--c6_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c10_0,
     ++c3_0]).

input_clause(clause484,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c6_2(a1215,V),
     --ndr1_1(a1215),
     ++c4_1(U),
     ++c5_1(U),
     ++c5_2(a1215,V),
     ++c1_2(a1215,V),
     ++c7_0]).

input_clause(clause485,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a1362),
     --c8_1(U),
     --ndr1_0,
     --c8_0,
     ++c9_2(U,V),
     ++c5_2(U,V),
     ++c10_0]).

input_clause(clause486,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c6_2(U,a1340),
     ++c6_1(U),
     ++c3_0]).

input_clause(clause487,conjecture,
    [--c1_2(U,V),
     --c10_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c2_0,
     ++c9_2(U,V),
     ++c6_2(U,a1312),
     ++c8_0]).

input_clause(clause488,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c6_2(a1201,a1202),
     --c6_0,
     ++c6_2(U,V),
     ++c4_2(U,V),
     ++c9_1(U),
     ++c1_1(U)]).

input_clause(clause489,conjecture,
    [--ssSkP7(U),
     --ssSkC26,
     --ndr1_1(V),
     --c2_1(V),
     --ndr1_0,
     --c2_1(U),
     ++c3_2(V,W),
     ++c6_2(V,W),
     ++c8_2(V,W),
     ++c7_1(V),
     ++ndr1_1(U)]).

input_clause(clause490,conjecture,
    [--c7_1(U),
     --c3_1(U),
     --ndr1_0,
     --c4_2(a1261,V),
     --ndr1_1(a1261),
     ++c10_1(U),
     ++c1_2(a1261,V),
     ++c3_2(a1261,V),
     ++c1_0]).

input_clause(clause491,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a1340),
     --ndr1_0,
     --c2_0,
     ++c6_1(U),
     ++c3_0]).

input_clause(clause492,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c9_2(U,a1340),
     --ndr1_0,
     --c2_0,
     ++c6_1(U),
     ++c3_0]).

input_clause(clause493,conjecture,
    [--c1_2(U,V),
     --c10_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a1312),
     --c4_1(U),
     --ndr1_0,
     --c2_0,
     ++c9_2(U,V),
     ++c8_0]).

input_clause(clause494,conjecture,
    [--c1_2(U,V),
     --c10_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a1312),
     --c4_1(U),
     --ndr1_0,
     --c2_0,
     ++c9_2(U,V),
     ++c8_0]).

input_clause(clause495,conjecture,
    [--ssSkP7(U),
     --ssSkC26,
     --ndr1_1(V),
     --c2_1(V),
     --ndr1_0,
     --c2_1(U),
     ++c3_2(V,W),
     ++c6_2(V,W),
     ++c8_2(V,W),
     ++c7_1(V),
     ++c2_2(U,a1326)]).

input_clause(clause496,conjecture,
    [--ssSkP6(U),
     --ssSkC25,
     --c2_1(V),
     --ndr1_0,
     --c1_2(U,W),
     --ndr1_1(U),
     ++c3_1(V),
     ++c7_1(V),
     ++c9_2(U,W),
     ++c3_2(U,W),
     ++c1_2(U,a1319)]).

input_clause(clause497,conjecture,
    [--ssSkP6(U),
     --ssSkC25,
     --c2_1(V),
     --ndr1_0,
     --c1_2(U,W),
     --ndr1_1(U),
     ++c3_1(V),
     ++c7_1(V),
     ++c9_2(U,W),
     ++c3_2(U,W),
     ++c8_2(U,a1319)]).

input_clause(clause498,conjecture,
    [--c7_1(U),
     --c8_1(U),
     --c10_1(U),
     --ndr1_0,
     --c5_2(a1303,V),
     --ndr1_1(a1303),
     ++c1_2(a1303,V),
     ++c2_2(a1303,V),
     ++c6_0]).

input_clause(clause499,conjecture,
    [--ndr1_1(U),
     --c7_2(U,V),
     --c10_2(U,V),
     --ndr1_0,
     ++c9_2(U,W),
     ++c1_2(U,W),
     ++c3_2(U,W),
     ++c6_2(U,V),
     ++c8_2(U,a1292),
     ++ssSkC19]).

input_clause(clause500,conjecture,
    [--ssSkP7(U),
     --ssSkC26,
     --ndr1_1(V),
     --c2_1(V),
     --ndr1_0,
     --c1_2(U,a1326),
     --c2_1(U),
     ++c3_2(V,W),
     ++c6_2(V,W),
     ++c8_2(V,W),
     ++c7_1(V)]).

input_clause(clause501,conjecture,
    [--ssSkP7(U),
     --ssSkC26,
     --ndr1_1(V),
     --c2_1(V),
     --ndr1_0,
     --c9_2(U,a1326),
     --c2_1(U),
     ++c3_2(V,W),
     ++c6_2(V,W),
     ++c8_2(V,W),
     ++c7_1(V)]).

input_clause(clause502,conjecture,
    [--ssSkP6(U),
     --ssSkC25,
     --c2_1(V),
     --ndr1_0,
     --c1_2(U,W),
     --ndr1_1(U),
     --c6_2(U,a1319),
     ++c3_1(V),
     ++c7_1(V),
     ++c9_2(U,W),
     ++c3_2(U,W)]).

input_clause(clause503,conjecture,
    [--ssSkC11,
     --c3_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c10_2(U,V),
     ++c7_2(U,V),
     ++c3_2(U,W),
     ++c5_2(U,W),
     ++c7_2(U,W),
     ++c2_1(a1250)]).

input_clause(clause504,conjecture,
    [--c7_2(U,V),
     --c10_2(U,V),
     --ndr1_1(U),
     --c9_2(U,W),
     --ndr1_0,
     --c2_0,
     ++c3_2(U,V),
     ++c6_2(U,W),
     ++c10_2(U,W),
     ++c7_1(U)]).

input_clause(clause505,conjecture,
    [--ndr1_1(U),
     --c7_2(U,V),
     --c10_2(U,V),
     --c6_2(U,a1292),
     --ndr1_0,
     ++c9_2(U,W),
     ++c1_2(U,W),
     ++c3_2(U,W),
     ++c6_2(U,V),
     ++ssSkC19]).

input_clause(clause506,conjecture,
    [--ndr1_1(U),
     --c7_2(U,V),
     --c10_2(U,V),
     --c10_2(U,a1292),
     --ndr1_0,
     ++c9_2(U,W),
     ++c1_2(U,W),
     ++c3_2(U,W),
     ++c6_2(U,V),
     ++ssSkC19]).

input_clause(clause507,conjecture,
    [--c6_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c7_1(W),
     --c4_0,
     ++c3_2(U,V),
     ++c7_1(U),
     ++ndr1_1(W),
     ++c9_1(W)]).

input_clause(clause508,conjecture,
    [--c6_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c7_1(W),
     --c4_0,
     ++c3_2(U,V),
     ++c7_1(U),
     ++c9_2(W,a1260),
     ++c9_1(W)]).

input_clause(clause509,conjecture,
    [--c9_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c9_2(U,W),
     --c8_2(U,W),
     --ndr1_0,
     --c6_0,
     ++c4_2(U,V),
     ++c6_2(U,W),
     ++c4_1(U),
     ++c2_0]).

input_clause(clause510,conjecture,
    [--c6_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c4_2(W,a1260),
     --c7_1(W),
     --c4_0,
     ++c3_2(U,V),
     ++c7_1(U),
     ++c9_1(W)]).

input_clause(clause511,conjecture,
    [--c6_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c1_2(W,a1260),
     --c7_1(W),
     --c4_0,
     ++c3_2(U,V),
     ++c7_1(U),
     ++c9_1(W)]).

input_clause(clause512,conjecture,
    [--c4_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c6_2(U,W),
     --c4_1(U),
     --ndr1_0,
     --c8_0,
     ++c10_2(U,V),
     ++c5_2(U,W),
     ++ndr1_1(a1276)]).

input_clause(clause513,conjecture,
    [--c4_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c6_2(U,W),
     --c4_1(U),
     --ndr1_0,
     --c8_0,
     ++c10_2(U,V),
     ++c5_2(U,W),
     ++c6_2(a1276,a1277)]).

input_clause(clause514,conjecture,
    [--c4_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c6_2(U,W),
     --c4_1(U),
     --ndr1_0,
     --c8_0,
     ++c10_2(U,V),
     ++c5_2(U,W),
     ++c8_2(a1276,a1277)]).

input_clause(clause515,conjecture,
    [--c4_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c6_2(U,W),
     --c4_1(U),
     --ndr1_0,
     --c8_1(a1276),
     --c8_0,
     ++c10_2(U,V),
     ++c5_2(U,W)]).

input_clause(clause516,conjecture,
    [--c4_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c6_2(U,W),
     --c4_1(U),
     --ndr1_0,
     --c10_2(a1276,a1277),
     --c8_0,
     ++c10_2(U,V),
     ++c5_2(U,W)]).

input_clause(clause517,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --c1_2(U,W),
     --c5_2(U,X),
     --ndr1_0,
     ++c8_2(U,V),
     ++c2_2(U,V),
     ++c8_2(U,W),
     ++c3_2(U,X),
     ++c4_2(U,X),
     ++ndr1_1(a1255),
     ++c7_0]).

input_clause(clause518,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --c1_2(U,W),
     --c5_2(U,X),
     --ndr1_0,
     ++c8_2(U,V),
     ++c2_2(U,V),
     ++c8_2(U,W),
     ++c3_2(U,X),
     ++c4_2(U,X),
     ++c9_1(a1255),
     ++c7_0]).

input_clause(clause519,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --c1_2(U,W),
     --c5_2(U,X),
     --ndr1_0,
     ++c8_2(U,V),
     ++c2_2(U,V),
     ++c8_2(U,W),
     ++c3_2(U,X),
     ++c4_2(U,X),
     ++c1_1(a1255),
     ++c7_0]).

input_clause(clause520,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --c1_2(U,W),
     --c5_2(U,X),
     --ndr1_0,
     ++c8_2(U,V),
     ++c2_2(U,V),
     ++c8_2(U,W),
     ++c3_2(U,X),
     ++c4_2(U,X),
     ++c10_2(a1255,a1256),
     ++c7_0]).

input_clause(clause521,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c10_1(U),
     --ndr1_0,
     --c6_2(W,X),
     --ndr1_1(W),
     --c2_1(W),
     ++c7_2(U,V),
     ++c3_2(U,V),
     ++c6_1(U),
     ++c10_2(W,X),
     ++c3_2(W,X),
     ++c7_2(W,a1309),
     ++c7_0]).

input_clause(clause522,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --c1_2(U,W),
     --c5_2(U,X),
     --ndr1_0,
     --c9_2(a1255,a1256),
     ++c8_2(U,V),
     ++c2_2(U,V),
     ++c8_2(U,W),
     ++c3_2(U,X),
     ++c4_2(U,X),
     ++c7_0]).

input_clause(clause523,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --c1_2(U,W),
     --c5_2(U,X),
     --ndr1_0,
     --c7_2(a1255,a1256),
     ++c8_2(U,V),
     ++c2_2(U,V),
     ++c8_2(U,W),
     ++c3_2(U,X),
     ++c4_2(U,X),
     ++c7_0]).

input_clause(clause524,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c10_1(U),
     --ndr1_0,
     --c6_2(W,X),
     --ndr1_1(W),
     --c4_2(W,a1309),
     --c2_1(W),
     ++c7_2(U,V),
     ++c3_2(U,V),
     ++c6_1(U),
     ++c10_2(W,X),
     ++c3_2(W,X),
     ++c7_0]).

input_clause(clause525,conjecture,
    [--ssSkC11,
     --c3_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c7_2(a1250,W),
     --ndr1_1(a1250),
     ++c10_2(U,V),
     ++c7_2(U,V),
     ++c3_2(U,X),
     ++c5_2(U,X),
     ++c7_2(U,X),
     ++c8_2(a1250,W),
     ++c5_2(a1250,W)]).

input_clause(clause526,conjecture,
    [--c2_2(U,V),
     --c4_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c10_1(U),
     --ndr1_0,
     --c9_2(W,X),
     --c5_2(W,X),
     --c6_2(W,X),
     --ndr1_1(W),
     --c1_0,
     ++c2_1(U),
     ++c9_1(W)]).

input_clause(clause527,conjecture,
    [--c9_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c9_2(W,X),
     --c2_2(W,X),
     --ndr1_1(W),
     --c2_1(W),
     --c6_0,
     ++c7_2(U,V),
     ++c4_1(U),
     ++c10_2(W,X),
     ++c7_1(W)]).

input_clause(clause528,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c10_1(U),
     --ndr1_0,
     --c8_2(W,X),
     --ndr1_1(W),
     --c2_1(W),
     --c1_0,
     ++c3_2(U,V),
     ++c1_2(U,V),
     ++c10_2(U,Y),
     ++c2_2(U,Y),
     ++c7_2(U,Y),
     ++c2_2(W,X),
     ++c5_2(W,X),
     ++c9_2(W,a1330)]).

input_clause(clause529,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c10_1(U),
     --ndr1_0,
     --c8_2(W,X),
     --ndr1_1(W),
     --c8_2(W,a1330),
     --c2_1(W),
     --c1_0,
     ++c3_2(U,V),
     ++c1_2(U,V),
     ++c10_2(U,Y),
     ++c2_2(U,Y),
     ++c7_2(U,Y),
     ++c2_2(W,X),
     ++c5_2(W,X)]).

input_clause(clause530,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c10_1(U),
     --ndr1_0,
     --c8_2(W,X),
     --ndr1_1(W),
     --c2_2(W,a1330),
     --c2_1(W),
     --c1_0,
     ++c3_2(U,V),
     ++c1_2(U,V),
     ++c10_2(U,Y),
     ++c2_2(U,Y),
     ++c7_2(U,Y),
     ++c2_2(W,X),
     ++c5_2(W,X)]).

input_clause(clause531,conjecture,
    [--c4_2(U,V),
     --c10_2(U,V),
     --ndr1_1(U),
     --c6_1(U),
     --c10_1(U),
     --ndr1_0,
     --c7_2(W,X),
     --c4_2(W,X),
     --ndr1_1(W),
     --c1_2(W,Y),
     ++c5_2(U,V),
     ++c2_2(W,X),
     ++c9_2(W,Y),
     ++c4_2(W,Y),
     ++c4_1(W),
     ++c2_0]).
%--------------------------------------------------------------------------
