%--------------------------------------------------------------------------
% File     : SYN430-1 : TPTP v2.2.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=16, K=3, D=1, P=0, Index=037
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-16-3-1-037.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.33 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :  116 (  16 non-Horn;   0 unit; 114 RR)
%            Number of literals   :  300 (   0 equality)
%            Maximal clause size  :   10 (   2 average)
%            Number of predicates :   30 (  26 propositional; 0-1 arity)
%            Number of functors   :   25 (  25 constant; 0-0 arity)
%            Number of variables  :   20 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--hskp24,++ndr1_0]).

input_clause(clause2,conjecture,
    [--hskp23,++ndr1_0]).

input_clause(clause3,conjecture,
    [--hskp22,++ndr1_0]).

input_clause(clause4,conjecture,
    [--hskp21,++ndr1_0]).

input_clause(clause5,conjecture,
    [--hskp20,++ndr1_0]).

input_clause(clause6,conjecture,
    [--hskp19,++ndr1_0]).

input_clause(clause7,conjecture,
    [--hskp18,++ndr1_0]).

input_clause(clause8,conjecture,
    [--hskp17,++ndr1_0]).

input_clause(clause9,conjecture,
    [--hskp16,++ndr1_0]).

input_clause(clause10,conjecture,
    [--hskp15,++ndr1_0]).

input_clause(clause11,conjecture,
    [--hskp14,++ndr1_0]).

input_clause(clause12,conjecture,
    [--hskp13,++ndr1_0]).

input_clause(clause13,conjecture,
    [--hskp12,++ndr1_0]).

input_clause(clause14,conjecture,
    [--hskp11,++ndr1_0]).

input_clause(clause15,conjecture,
    [--hskp10,++ndr1_0]).

input_clause(clause16,conjecture,
    [--hskp9,++ndr1_0]).

input_clause(clause17,conjecture,
    [--hskp8,++ndr1_0]).

input_clause(clause18,conjecture,
    [--hskp7,++ndr1_0]).

input_clause(clause19,conjecture,
    [--hskp6,++ndr1_0]).

input_clause(clause20,conjecture,
    [--hskp5,++ndr1_0]).

input_clause(clause21,conjecture,
    [--hskp4,++ndr1_0]).

input_clause(clause22,conjecture,
    [--hskp3,++ndr1_0]).

input_clause(clause23,conjecture,
    [--hskp2,++ndr1_0]).

input_clause(clause24,conjecture,
    [--hskp1,++ndr1_0]).

input_clause(clause25,conjecture,
    [--hskp0,++ndr1_0]).

input_clause(clause26,conjecture,
    [++hskp7,++hskp17,++hskp18]).

input_clause(clause27,conjecture,
    [++hskp8,++hskp20,++hskp9]).

input_clause(clause28,conjecture,
    [++hskp11,++hskp7,++hskp6]).

input_clause(clause29,conjecture,
    [--hskp24,
     ++c0_1(a131)]).

input_clause(clause30,conjecture,
    [--hskp24,
     ++c3_1(a131)]).

input_clause(clause31,conjecture,
    [--hskp23,
     ++c3_1(a130)]).

input_clause(clause32,conjecture,
    [--hskp22,
     ++c1_1(a129)]).

input_clause(clause33,conjecture,
    [--hskp21,
     ++c3_1(a121)]).

input_clause(clause34,conjecture,
    [--hskp21,
     ++c1_1(a121)]).

input_clause(clause35,conjecture,
    [--hskp21,
     ++c2_1(a121)]).

input_clause(clause36,conjecture,
    [--hskp20,
     ++c1_1(a119)]).

input_clause(clause37,conjecture,
    [--hskp20,
     ++c2_1(a119)]).

input_clause(clause38,conjecture,
    [--hskp19,
     ++c0_1(a117)]).

input_clause(clause39,conjecture,
    [--hskp18,
     ++c1_1(a116)]).

input_clause(clause40,conjecture,
    [--hskp18,
     ++c0_1(a116)]).

input_clause(clause41,conjecture,
    [--hskp17,
     ++c2_1(a115)]).

input_clause(clause42,conjecture,
    [--hskp17,
     ++c1_1(a115)]).

input_clause(clause43,conjecture,
    [--hskp16,
     ++c0_1(a113)]).

input_clause(clause44,conjecture,
    [--hskp15,
     ++c3_1(a106)]).

input_clause(clause45,conjecture,
    [--hskp14,
     ++c3_1(a128)]).

input_clause(clause46,conjecture,
    [--hskp12,
     ++c1_1(a126)]).

input_clause(clause47,conjecture,
    [--hskp12,
     ++c0_1(a126)]).

input_clause(clause48,conjecture,
    [--hskp11,
     ++c3_1(a123)]).

input_clause(clause49,conjecture,
    [--hskp10,
     ++c2_1(a122)]).

input_clause(clause50,conjecture,
    [--hskp7,
     ++c1_1(a114)]).

input_clause(clause51,conjecture,
    [--hskp7,
     ++c2_1(a114)]).

input_clause(clause52,conjecture,
    [--hskp5,
     ++c2_1(a111)]).

input_clause(clause53,conjecture,
    [--hskp5,
     ++c0_1(a111)]).

input_clause(clause54,conjecture,
    [--hskp3,
     ++c3_1(a109)]).

input_clause(clause55,conjecture,
    [--hskp2,
     ++c3_1(a108)]).

input_clause(clause56,conjecture,
    [--hskp0,
     ++c3_1(a105)]).

input_clause(clause57,conjecture,
    [--c1_1(a131),
     --hskp24]).

input_clause(clause58,conjecture,
    [--c2_1(a130),
     --hskp23]).

input_clause(clause59,conjecture,
    [--c1_1(a130),
     --hskp23]).

input_clause(clause60,conjecture,
    [--c0_1(a129),
     --hskp22]).

input_clause(clause61,conjecture,
    [--c3_1(a129),
     --hskp22]).

input_clause(clause62,conjecture,
    [--c0_1(a119),
     --hskp20]).

input_clause(clause63,conjecture,
    [--c2_1(a117),
     --hskp19]).

input_clause(clause64,conjecture,
    [--c1_1(a117),
     --hskp19]).

input_clause(clause65,conjecture,
    [--c3_1(a116),
     --hskp18]).

input_clause(clause66,conjecture,
    [--c0_1(a115),
     --hskp17]).

input_clause(clause67,conjecture,
    [--c3_1(a113),
     --hskp16]).

input_clause(clause68,conjecture,
    [--c1_1(a113),
     --hskp16]).

input_clause(clause69,conjecture,
    [--c0_1(a106),
     --hskp15]).

input_clause(clause70,conjecture,
    [--c2_1(a106),
     --hskp15]).

input_clause(clause71,conjecture,
    [--c2_1(a128),
     --hskp14]).

input_clause(clause72,conjecture,
    [--c0_1(a128),
     --hskp14]).

input_clause(clause73,conjecture,
    [--c2_1(a127),
     --hskp13]).

input_clause(clause74,conjecture,
    [--c3_1(a127),
     --hskp13]).

input_clause(clause75,conjecture,
    [--c1_1(a127),
     --hskp13]).

input_clause(clause76,conjecture,
    [--c3_1(a126),
     --hskp12]).

input_clause(clause77,conjecture,
    [--c0_1(a123),
     --hskp11]).

input_clause(clause78,conjecture,
    [--c1_1(a123),
     --hskp11]).

input_clause(clause79,conjecture,
    [--c1_1(a122),
     --hskp10]).

input_clause(clause80,conjecture,
    [--c3_1(a122),
     --hskp10]).

input_clause(clause81,conjecture,
    [--c1_1(a120),
     --hskp9]).

input_clause(clause82,conjecture,
    [--c2_1(a120),
     --hskp9]).

input_clause(clause83,conjecture,
    [--c0_1(a120),
     --hskp9]).

input_clause(clause84,conjecture,
    [--c2_1(a118),
     --hskp8]).

input_clause(clause85,conjecture,
    [--c1_1(a118),
     --hskp8]).

input_clause(clause86,conjecture,
    [--c0_1(a118),
     --hskp8]).

input_clause(clause87,conjecture,
    [--c0_1(a114),
     --hskp7]).

input_clause(clause88,conjecture,
    [--c1_1(a112),
     --hskp6]).

input_clause(clause89,conjecture,
    [--c0_1(a112),
     --hskp6]).

input_clause(clause90,conjecture,
    [--c2_1(a112),
     --hskp6]).

input_clause(clause91,conjecture,
    [--c1_1(a111),
     --hskp5]).

input_clause(clause92,conjecture,
    [--c3_1(a110),
     --hskp4]).

input_clause(clause93,conjecture,
    [--c1_1(a110),
     --hskp4]).

input_clause(clause94,conjecture,
    [--c2_1(a110),
     --hskp4]).

input_clause(clause95,conjecture,
    [--c2_1(a109),
     --hskp3]).

input_clause(clause96,conjecture,
    [--c1_1(a109),
     --hskp3]).

input_clause(clause97,conjecture,
    [--c2_1(a108),
     --hskp2]).

input_clause(clause98,conjecture,
    [--c1_1(a108),
     --hskp2]).

input_clause(clause99,conjecture,
    [--c3_1(a107),
     --hskp1]).

input_clause(clause100,conjecture,
    [--c1_1(a107),
     --hskp1]).

input_clause(clause101,conjecture,
    [--c0_1(a107),
     --hskp1]).

input_clause(clause102,conjecture,
    [--c1_1(a105),
     --hskp0]).

input_clause(clause103,conjecture,
    [--c2_1(a105),
     --hskp0]).

input_clause(clause104,conjecture,
    [--ndr1_0,
     ++c3_1(U),
     ++c0_1(U),
     ++c1_1(U),
     ++hskp6,
     ++hskp16]).

input_clause(clause105,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c0_1(U),
     ++hskp1,
     ++hskp2]).

input_clause(clause106,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c1_1(U),
     ++hskp21,
     ++hskp10]).

input_clause(clause107,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c2_1(U),
     ++hskp23,
     ++hskp24]).

input_clause(clause108,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp0,
     ++hskp15]).

input_clause(clause109,conjecture,
    [--c2_1(U),
     --c0_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp3,
     ++hskp4]).

input_clause(clause110,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp12,
     ++hskp13]).

input_clause(clause111,conjecture,
    [--c2_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp14,
     ++hskp22]).

input_clause(clause112,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c3_1(U),
     ++c2_1(U),
     ++c2_1(V),
     ++c0_1(V),
     ++hskp19]).

input_clause(clause113,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c3_1(U),
     ++c2_1(V),
     ++c3_1(V),
     ++hskp5]).

input_clause(clause114,conjecture,
    [--ndr1_0,
     --c0_1(U),
     --c1_1(U),
     --c3_1(V),
     --c3_1(U),
     ++c2_1(V),
     ++c0_1(V)]).

input_clause(clause115,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     ++c0_1(U),
     ++c1_1(W),
     ++c2_1(W),
     ++c0_1(W),
     ++c2_1(V)]).

input_clause(clause116,conjecture,
    [--c2_1(U),
     --c0_1(U),
     --c1_1(U),
     --ndr1_0,
     --c2_1(V),
     --c1_1(W),
     ++c1_1(V),
     ++c0_1(V),
     ++c0_1(W),
     ++c2_1(W)]).
%--------------------------------------------------------------------------
