%--------------------------------------------------------------------------
% File     : SYN431-1 : TPTP v2.2.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=16, K=3, D=1, P=0, Index=042
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-16-3-1-042.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.33 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :  132 (  16 non-Horn;   0 unit; 132 RR)
%            Number of literals   :  325 (   0 equality)
%            Maximal clause size  :   10 (   2 average)
%            Number of predicates :   34 (  30 propositional; 0-1 arity)
%            Number of functors   :   29 (  29 constant; 0-0 arity)
%            Number of variables  :   17 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--hskp28,++ndr1_0]).

input_clause(clause2,conjecture,
    [--hskp27,++ndr1_0]).

input_clause(clause3,conjecture,
    [--hskp26,++ndr1_0]).

input_clause(clause4,conjecture,
    [--hskp25,++ndr1_0]).

input_clause(clause5,conjecture,
    [--hskp24,++ndr1_0]).

input_clause(clause6,conjecture,
    [--hskp23,++ndr1_0]).

input_clause(clause7,conjecture,
    [--hskp22,++ndr1_0]).

input_clause(clause8,conjecture,
    [--hskp21,++ndr1_0]).

input_clause(clause9,conjecture,
    [--hskp20,++ndr1_0]).

input_clause(clause10,conjecture,
    [--hskp19,++ndr1_0]).

input_clause(clause11,conjecture,
    [--hskp18,++ndr1_0]).

input_clause(clause12,conjecture,
    [--hskp17,++ndr1_0]).

input_clause(clause13,conjecture,
    [--hskp16,++ndr1_0]).

input_clause(clause14,conjecture,
    [--hskp15,++ndr1_0]).

input_clause(clause15,conjecture,
    [--hskp14,++ndr1_0]).

input_clause(clause16,conjecture,
    [--hskp13,++ndr1_0]).

input_clause(clause17,conjecture,
    [--hskp12,++ndr1_0]).

input_clause(clause18,conjecture,
    [--hskp11,++ndr1_0]).

input_clause(clause19,conjecture,
    [--hskp10,++ndr1_0]).

input_clause(clause20,conjecture,
    [--hskp9,++ndr1_0]).

input_clause(clause21,conjecture,
    [--hskp8,++ndr1_0]).

input_clause(clause22,conjecture,
    [--hskp7,++ndr1_0]).

input_clause(clause23,conjecture,
    [--hskp6,++ndr1_0]).

input_clause(clause24,conjecture,
    [--hskp5,++ndr1_0]).

input_clause(clause25,conjecture,
    [--hskp4,++ndr1_0]).

input_clause(clause26,conjecture,
    [--hskp3,++ndr1_0]).

input_clause(clause27,conjecture,
    [--hskp2,++ndr1_0]).

input_clause(clause28,conjecture,
    [--hskp1,++ndr1_0]).

input_clause(clause29,conjecture,
    [--hskp0,++ndr1_0]).

input_clause(clause30,conjecture,
    [++hskp18,++hskp5,++hskp6]).

input_clause(clause31,conjecture,
    [++hskp22,++hskp23,++hskp24]).

input_clause(clause32,conjecture,
    [++hskp11,++hskp25,++hskp26]).

input_clause(clause33,conjecture,
    [++hskp3,++hskp13,++hskp27]).

input_clause(clause34,conjecture,
    [--hskp28,
     ++c1_1(a158)]).

input_clause(clause35,conjecture,
    [--hskp28,
     ++c2_1(a158)]).

input_clause(clause36,conjecture,
    [--hskp27,
     ++c3_1(a157)]).

input_clause(clause37,conjecture,
    [--hskp27,
     ++c2_1(a157)]).

input_clause(clause38,conjecture,
    [--hskp26,
     ++c1_1(a153)]).

input_clause(clause39,conjecture,
    [--hskp25,
     ++c3_1(a152)]).

input_clause(clause40,conjecture,
    [--hskp25,
     ++c2_1(a152)]).

input_clause(clause41,conjecture,
    [--hskp24,
     ++c1_1(a150)]).

input_clause(clause42,conjecture,
    [--hskp24,
     ++c0_1(a150)]).

input_clause(clause43,conjecture,
    [--hskp23,
     ++c1_1(a149)]).

input_clause(clause44,conjecture,
    [--hskp23,
     ++c0_1(a149)]).

input_clause(clause45,conjecture,
    [--hskp22,
     ++c1_1(a148)]).

input_clause(clause46,conjecture,
    [--hskp22,
     ++c2_1(a148)]).

input_clause(clause47,conjecture,
    [--hskp21,
     ++c2_1(a147)]).

input_clause(clause48,conjecture,
    [--hskp21,
     ++c3_1(a147)]).

input_clause(clause49,conjecture,
    [--hskp20,
     ++c2_1(a144)]).

input_clause(clause50,conjecture,
    [--hskp20,
     ++c3_1(a144)]).

input_clause(clause51,conjecture,
    [--hskp19,
     ++c2_1(a143)]).

input_clause(clause52,conjecture,
    [--hskp19,
     ++c0_1(a143)]).

input_clause(clause53,conjecture,
    [--hskp19,
     ++c1_1(a143)]).

input_clause(clause54,conjecture,
    [--hskp18,
     ++c0_1(a138)]).

input_clause(clause55,conjecture,
    [--hskp18,
     ++c3_1(a138)]).

input_clause(clause56,conjecture,
    [--hskp17,
     ++c2_1(a134)]).

input_clause(clause57,conjecture,
    [--hskp17,
     ++c0_1(a134)]).

input_clause(clause58,conjecture,
    [--hskp16,
     ++c0_1(a161)]).

input_clause(clause59,conjecture,
    [--hskp16,
     ++c2_1(a161)]).

input_clause(clause60,conjecture,
    [--hskp14,
     ++c1_1(a159)]).

input_clause(clause61,conjecture,
    [--hskp14,
     ++c2_1(a159)]).

input_clause(clause62,conjecture,
    [--hskp13,
     ++c1_1(a156)]).

input_clause(clause63,conjecture,
    [--hskp11,
     ++c1_1(a151)]).

input_clause(clause64,conjecture,
    [--hskp10,
     ++c0_1(a146)]).

input_clause(clause65,conjecture,
    [--hskp8,
     ++c3_1(a142)]).

input_clause(clause66,conjecture,
    [--hskp8,
     ++c1_1(a142)]).

input_clause(clause67,conjecture,
    [--hskp7,
     ++c2_1(a141)]).

input_clause(clause68,conjecture,
    [--hskp7,
     ++c3_1(a141)]).

input_clause(clause69,conjecture,
    [--hskp6,
     ++c1_1(a140)]).

input_clause(clause70,conjecture,
    [--hskp6,
     ++c0_1(a140)]).

input_clause(clause71,conjecture,
    [--hskp5,
     ++c2_1(a139)]).

input_clause(clause72,conjecture,
    [--hskp5,
     ++c0_1(a139)]).

input_clause(clause73,conjecture,
    [--hskp4,
     ++c1_1(a137)]).

input_clause(clause74,conjecture,
    [--hskp4,
     ++c3_1(a137)]).

input_clause(clause75,conjecture,
    [--hskp3,
     ++c2_1(a136)]).

input_clause(clause76,conjecture,
    [--hskp2,
     ++c1_1(a135)]).

input_clause(clause77,conjecture,
    [--hskp1,
     ++c2_1(a133)]).

input_clause(clause78,conjecture,
    [--c0_1(a158),
     --hskp28]).

input_clause(clause79,conjecture,
    [--c1_1(a157),
     --hskp27]).

input_clause(clause80,conjecture,
    [--c0_1(a153),
     --hskp26]).

input_clause(clause81,conjecture,
    [--c3_1(a153),
     --hskp26]).

input_clause(clause82,conjecture,
    [--c0_1(a152),
     --hskp25]).

input_clause(clause83,conjecture,
    [--c2_1(a150),
     --hskp24]).

input_clause(clause84,conjecture,
    [--c3_1(a149),
     --hskp23]).

input_clause(clause85,conjecture,
    [--c3_1(a148),
     --hskp22]).

input_clause(clause86,conjecture,
    [--c0_1(a147),
     --hskp21]).

input_clause(clause87,conjecture,
    [--c0_1(a144),
     --hskp20]).

input_clause(clause88,conjecture,
    [--c2_1(a138),
     --hskp18]).

input_clause(clause89,conjecture,
    [--c3_1(a134),
     --hskp17]).

input_clause(clause90,conjecture,
    [--c1_1(a161),
     --hskp16]).

input_clause(clause91,conjecture,
    [--c1_1(a160),
     --hskp15]).

input_clause(clause92,conjecture,
    [--c2_1(a160),
     --hskp15]).

input_clause(clause93,conjecture,
    [--c3_1(a160),
     --hskp15]).

input_clause(clause94,conjecture,
    [--c3_1(a159),
     --hskp14]).

input_clause(clause95,conjecture,
    [--c3_1(a156),
     --hskp13]).

input_clause(clause96,conjecture,
    [--c0_1(a156),
     --hskp13]).

input_clause(clause97,conjecture,
    [--c2_1(a154),
     --hskp12]).

input_clause(clause98,conjecture,
    [--c3_1(a154),
     --hskp12]).

input_clause(clause99,conjecture,
    [--c1_1(a154),
     --hskp12]).

input_clause(clause100,conjecture,
    [--c3_1(a151),
     --hskp11]).

input_clause(clause101,conjecture,
    [--c0_1(a151),
     --hskp11]).

input_clause(clause102,conjecture,
    [--c2_1(a146),
     --hskp10]).

input_clause(clause103,conjecture,
    [--c1_1(a146),
     --hskp10]).

input_clause(clause104,conjecture,
    [--c2_1(a145),
     --hskp9]).

input_clause(clause105,conjecture,
    [--c0_1(a145),
     --hskp9]).

input_clause(clause106,conjecture,
    [--c3_1(a145),
     --hskp9]).

input_clause(clause107,conjecture,
    [--c0_1(a142),
     --hskp8]).

input_clause(clause108,conjecture,
    [--c1_1(a141),
     --hskp7]).

input_clause(clause109,conjecture,
    [--c3_1(a140),
     --hskp6]).

input_clause(clause110,conjecture,
    [--c1_1(a139),
     --hskp5]).

input_clause(clause111,conjecture,
    [--c2_1(a137),
     --hskp4]).

input_clause(clause112,conjecture,
    [--c0_1(a136),
     --hskp3]).

input_clause(clause113,conjecture,
    [--c3_1(a136),
     --hskp3]).

input_clause(clause114,conjecture,
    [--c2_1(a135),
     --hskp2]).

input_clause(clause115,conjecture,
    [--c0_1(a135),
     --hskp2]).

input_clause(clause116,conjecture,
    [--c1_1(a133),
     --hskp1]).

input_clause(clause117,conjecture,
    [--c0_1(a133),
     --hskp1]).

input_clause(clause118,conjecture,
    [--c1_1(a132),
     --hskp0]).

input_clause(clause119,conjecture,
    [--c0_1(a132),
     --hskp0]).

input_clause(clause120,conjecture,
    [--c3_1(a132),
     --hskp0]).

input_clause(clause121,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c0_1(U),
     ++hskp0,
     ++hskp1]).

input_clause(clause122,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c0_1(U),
     ++hskp19,
     ++hskp20]).

input_clause(clause123,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c0_1(U),
     ++hskp28,
     ++hskp14]).

input_clause(clause124,conjecture,
    [--c3_1(U),
     --c0_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++hskp17,
     ++hskp2]).

input_clause(clause125,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp7,
     ++hskp8]).

input_clause(clause126,conjecture,
    [--c2_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp9,
     ++hskp10]).

input_clause(clause127,conjecture,
    [--c3_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp15,
     ++hskp16]).

input_clause(clause128,conjecture,
    [--c3_1(U),
     --c0_1(U),
     --c2_1(U),
     --ndr1_0,
     ++hskp3,
     ++hskp4]).

input_clause(clause129,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c0_1(U),
     ++c2_1(U),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp21]).

input_clause(clause130,conjecture,
    [--c3_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_1(V),
     --c1_1(V),
     ++c1_1(U),
     ++c3_1(V)]).

input_clause(clause131,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c2_1(V),
     ++c2_1(U),
     ++c3_1(V),
     ++hskp12]).

input_clause(clause132,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_1(V),
     --c0_1(V),
     --c1_1(W),
     ++c0_1(U),
     ++c2_1(V),
     ++c0_1(W),
     ++c2_1(W)]).
%--------------------------------------------------------------------------
