%--------------------------------------------------------------------------
% File     : SYN432-1 : TPTP v2.2.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=20, K=3, D=1, P=0, Index=020
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-20-3-1-020.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.33 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :  140 (  19 non-Horn;   0 unit; 138 RR)
%            Number of literals   :  369 (   0 equality)
%            Maximal clause size  :   10 (   2 average)
%            Number of predicates :   35 (  31 propositional; 0-1 arity)
%            Number of functors   :   30 (  30 constant; 0-0 arity)
%            Number of variables  :   26 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--hskp29,++ndr1_0]).

input_clause(clause2,conjecture,
    [--hskp28,++ndr1_0]).

input_clause(clause3,conjecture,
    [--hskp27,++ndr1_0]).

input_clause(clause4,conjecture,
    [--hskp26,++ndr1_0]).

input_clause(clause5,conjecture,
    [--hskp25,++ndr1_0]).

input_clause(clause6,conjecture,
    [--hskp24,++ndr1_0]).

input_clause(clause7,conjecture,
    [--hskp23,++ndr1_0]).

input_clause(clause8,conjecture,
    [--hskp22,++ndr1_0]).

input_clause(clause9,conjecture,
    [--hskp21,++ndr1_0]).

input_clause(clause10,conjecture,
    [--hskp20,++ndr1_0]).

input_clause(clause11,conjecture,
    [--hskp19,++ndr1_0]).

input_clause(clause12,conjecture,
    [--hskp18,++ndr1_0]).

input_clause(clause13,conjecture,
    [--hskp17,++ndr1_0]).

input_clause(clause14,conjecture,
    [--hskp16,++ndr1_0]).

input_clause(clause15,conjecture,
    [--hskp15,++ndr1_0]).

input_clause(clause16,conjecture,
    [--hskp14,++ndr1_0]).

input_clause(clause17,conjecture,
    [--hskp13,++ndr1_0]).

input_clause(clause18,conjecture,
    [--hskp12,++ndr1_0]).

input_clause(clause19,conjecture,
    [--hskp11,++ndr1_0]).

input_clause(clause20,conjecture,
    [--hskp10,++ndr1_0]).

input_clause(clause21,conjecture,
    [--hskp9,++ndr1_0]).

input_clause(clause22,conjecture,
    [--hskp8,++ndr1_0]).

input_clause(clause23,conjecture,
    [--hskp7,++ndr1_0]).

input_clause(clause24,conjecture,
    [--hskp6,++ndr1_0]).

input_clause(clause25,conjecture,
    [--hskp5,++ndr1_0]).

input_clause(clause26,conjecture,
    [--hskp4,++ndr1_0]).

input_clause(clause27,conjecture,
    [--hskp3,++ndr1_0]).

input_clause(clause28,conjecture,
    [--hskp2,++ndr1_0]).

input_clause(clause29,conjecture,
    [--hskp1,++ndr1_0]).

input_clause(clause30,conjecture,
    [--hskp0,++ndr1_0]).

input_clause(clause31,conjecture,
    [++hskp5,++hskp20,++hskp21]).

input_clause(clause32,conjecture,
    [++hskp6,++hskp17,++hskp22]).

input_clause(clause33,conjecture,
    [++hskp28,++hskp21,++hskp8]).

input_clause(clause34,conjecture,
    [--hskp29,
     ++c2_1(a193)]).

input_clause(clause35,conjecture,
    [--hskp29,
     ++c3_1(a193)]).

input_clause(clause36,conjecture,
    [--hskp29,
     ++c0_1(a193)]).

input_clause(clause37,conjecture,
    [--hskp28,
     ++c2_1(a190)]).

input_clause(clause38,conjecture,
    [--hskp28,
     ++c0_1(a190)]).

input_clause(clause39,conjecture,
    [--hskp27,
     ++c1_1(a188)]).

input_clause(clause40,conjecture,
    [--hskp27,
     ++c0_1(a188)]).

input_clause(clause41,conjecture,
    [--hskp26,
     ++c3_1(a187)]).

input_clause(clause42,conjecture,
    [--hskp25,
     ++c1_1(a186)]).

input_clause(clause43,conjecture,
    [--hskp24,
     ++c1_1(a185)]).

input_clause(clause44,conjecture,
    [--hskp24,
     ++c3_1(a185)]).

input_clause(clause45,conjecture,
    [--hskp24,
     ++c0_1(a185)]).

input_clause(clause46,conjecture,
    [--hskp23,
     ++c1_1(a184)]).

input_clause(clause47,conjecture,
    [--hskp23,
     ++c2_1(a184)]).

input_clause(clause48,conjecture,
    [--hskp23,
     ++c0_1(a184)]).

input_clause(clause49,conjecture,
    [--hskp22,
     ++c2_1(a183)]).

input_clause(clause50,conjecture,
    [--hskp22,
     ++c0_1(a183)]).

input_clause(clause51,conjecture,
    [--hskp21,
     ++c3_1(a180)]).

input_clause(clause52,conjecture,
    [--hskp20,
     ++c3_1(a179)]).

input_clause(clause53,conjecture,
    [--hskp20,
     ++c2_1(a179)]).

input_clause(clause54,conjecture,
    [--hskp20,
     ++c0_1(a179)]).

input_clause(clause55,conjecture,
    [--hskp19,
     ++c3_1(a177)]).

input_clause(clause56,conjecture,
    [--hskp19,
     ++c1_1(a177)]).

input_clause(clause57,conjecture,
    [--hskp18,
     ++c1_1(a175)]).

input_clause(clause58,conjecture,
    [--hskp18,
     ++c3_1(a175)]).

input_clause(clause59,conjecture,
    [--hskp18,
     ++c2_1(a175)]).

input_clause(clause60,conjecture,
    [--hskp17,
     ++c0_1(a174)]).

input_clause(clause61,conjecture,
    [--hskp17,
     ++c2_1(a174)]).

input_clause(clause62,conjecture,
    [--hskp16,
     ++c1_1(a171)]).

input_clause(clause63,conjecture,
    [--hskp16,
     ++c0_1(a171)]).

input_clause(clause64,conjecture,
    [--hskp15,
     ++c1_1(a170)]).

input_clause(clause65,conjecture,
    [--hskp15,
     ++c0_1(a170)]).

input_clause(clause66,conjecture,
    [--hskp15,
     ++c2_1(a170)]).

input_clause(clause67,conjecture,
    [--hskp14,
     ++c0_1(a167)]).

input_clause(clause68,conjecture,
    [--hskp14,
     ++c3_1(a167)]).

input_clause(clause69,conjecture,
    [--hskp13,
     ++c1_1(a166)]).

input_clause(clause70,conjecture,
    [--hskp13,
     ++c3_1(a166)]).

input_clause(clause71,conjecture,
    [--hskp12,
     ++c2_1(a164)]).

input_clause(clause72,conjecture,
    [--hskp11,
     ++c0_1(a163)]).

input_clause(clause73,conjecture,
    [--hskp11,
     ++c3_1(a163)]).

input_clause(clause74,conjecture,
    [--hskp10,
     ++c2_1(a162)]).

input_clause(clause75,conjecture,
    [--hskp9,
     ++c3_1(a195)]).

input_clause(clause76,conjecture,
    [--hskp9,
     ++c2_1(a195)]).

input_clause(clause77,conjecture,
    [--hskp8,
     ++c3_1(a192)]).

input_clause(clause78,conjecture,
    [--hskp7,
     ++c2_1(a189)]).

input_clause(clause79,conjecture,
    [--hskp7,
     ++c1_1(a189)]).

input_clause(clause80,conjecture,
    [--hskp6,
     ++c0_1(a181)]).

input_clause(clause81,conjecture,
    [--hskp3,
     ++c3_1(a173)]).

input_clause(clause82,conjecture,
    [--hskp2,
     ++c3_1(a172)]).

input_clause(clause83,conjecture,
    [--hskp1,
     ++c3_1(a169)]).

input_clause(clause84,conjecture,
    [--c1_1(a190),
     --hskp28]).

input_clause(clause85,conjecture,
    [--c2_1(a188),
     --hskp27]).

input_clause(clause86,conjecture,
    [--c2_1(a187),
     --hskp26]).

input_clause(clause87,conjecture,
    [--c1_1(a187),
     --hskp26]).

input_clause(clause88,conjecture,
    [--c0_1(a186),
     --hskp25]).

input_clause(clause89,conjecture,
    [--c2_1(a186),
     --hskp25]).

input_clause(clause90,conjecture,
    [--c3_1(a183),
     --hskp22]).

input_clause(clause91,conjecture,
    [--c1_1(a180),
     --hskp21]).

input_clause(clause92,conjecture,
    [--c2_1(a180),
     --hskp21]).

input_clause(clause93,conjecture,
    [--c0_1(a177),
     --hskp19]).

input_clause(clause94,conjecture,
    [--c3_1(a174),
     --hskp17]).

input_clause(clause95,conjecture,
    [--c3_1(a171),
     --hskp16]).

input_clause(clause96,conjecture,
    [--c2_1(a167),
     --hskp14]).

input_clause(clause97,conjecture,
    [--c2_1(a166),
     --hskp13]).

input_clause(clause98,conjecture,
    [--c0_1(a164),
     --hskp12]).

input_clause(clause99,conjecture,
    [--c1_1(a164),
     --hskp12]).

input_clause(clause100,conjecture,
    [--c1_1(a163),
     --hskp11]).

input_clause(clause101,conjecture,
    [--c0_1(a162),
     --hskp10]).

input_clause(clause102,conjecture,
    [--c3_1(a162),
     --hskp10]).

input_clause(clause103,conjecture,
    [--c1_1(a195),
     --hskp9]).

input_clause(clause104,conjecture,
    [--c0_1(a192),
     --hskp8]).

input_clause(clause105,conjecture,
    [--c2_1(a192),
     --hskp8]).

input_clause(clause106,conjecture,
    [--c3_1(a189),
     --hskp7]).

input_clause(clause107,conjecture,
    [--c1_1(a181),
     --hskp6]).

input_clause(clause108,conjecture,
    [--c2_1(a181),
     --hskp6]).

input_clause(clause109,conjecture,
    [--c3_1(a178),
     --hskp5]).

input_clause(clause110,conjecture,
    [--c0_1(a178),
     --hskp5]).

input_clause(clause111,conjecture,
    [--c1_1(a178),
     --hskp5]).

input_clause(clause112,conjecture,
    [--c1_1(a176),
     --hskp4]).

input_clause(clause113,conjecture,
    [--c3_1(a176),
     --hskp4]).

input_clause(clause114,conjecture,
    [--c0_1(a176),
     --hskp4]).

input_clause(clause115,conjecture,
    [--c1_1(a173),
     --hskp3]).

input_clause(clause116,conjecture,
    [--c2_1(a173),
     --hskp3]).

input_clause(clause117,conjecture,
    [--c2_1(a172),
     --hskp2]).

input_clause(clause118,conjecture,
    [--c1_1(a172),
     --hskp2]).

input_clause(clause119,conjecture,
    [--c1_1(a169),
     --hskp1]).

input_clause(clause120,conjecture,
    [--c0_1(a169),
     --hskp1]).

input_clause(clause121,conjecture,
    [--c0_1(a168),
     --hskp0]).

input_clause(clause122,conjecture,
    [--c2_1(a168),
     --hskp0]).

input_clause(clause123,conjecture,
    [--c1_1(a168),
     --hskp0]).

input_clause(clause124,conjecture,
    [--ndr1_0,
     ++c1_1(U),
     ++c2_1(U),
     ++c0_1(U),
     ++hskp12,
     ++hskp11]).

input_clause(clause125,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c1_1(U),
     ++hskp1,
     ++hskp15]).

input_clause(clause126,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c0_1(U),
     ++hskp4,
     ++hskp19]).

input_clause(clause127,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++hskp23,
     ++hskp24]).

input_clause(clause128,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp16,
     ++hskp2]).

input_clause(clause129,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp25,
     ++hskp26]).

input_clause(clause130,conjecture,
    [--c2_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp27,
     ++hskp7]).

input_clause(clause131,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp29,
     ++hskp25]).

input_clause(clause132,conjecture,
    [--c2_1(U),
     --c0_1(U),
     --c1_1(U),
     --ndr1_0,
     ++hskp14,
     ++hskp0]).

input_clause(clause133,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c1_1(U),
     ++c2_1(V),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp10]).

input_clause(clause134,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c3_1(U),
     ++c2_1(U),
     ++c3_1(V),
     ++c2_1(V),
     ++hskp3]).

input_clause(clause135,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c1_1(U),
     ++c2_1(V),
     ++c0_1(V),
     ++hskp17]).

input_clause(clause136,conjecture,
    [--c3_1(U),
     --c2_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c1_1(U),
     ++c2_1(V),
     ++c1_1(V),
     ++hskp18]).

input_clause(clause137,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c3_1(V),
     --c1_1(V),
     ++c1_1(U),
     ++c0_1(U),
     ++c0_1(V),
     ++hskp9]).

input_clause(clause138,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c3_1(V),
     --c0_1(V),
     --c2_1(V),
     ++c3_1(U),
     ++c1_1(U),
     ++hskp13]).

input_clause(clause139,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --c0_1(U),
     --ndr1_0,
     --c3_1(V),
     --c1_1(V),
     --c0_1(V),
     ++hskp11]).

input_clause(clause140,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c1_1(V),
     --c2_1(V),
     --c1_1(W),
     ++c0_1(U),
     ++c3_1(U),
     ++c3_1(V),
     ++c2_1(W),
     ++c3_1(W)]).
%--------------------------------------------------------------------------
