%--------------------------------------------------------------------------
% File     : SYN459-1 : TPTP v2.2.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=073
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-073.cnf [Wei97]

% Status   : unsatisfiable
% Rating   : 0.00 v2.2.0, 0.67 v2.1.0
% Syntax   : Number of clauses    :  163 (  59 non-Horn;   0 unit; 155 RR)
%            Number of literals   :  631 (   0 equality)
%            Maximal clause size  :   10 (   3 average)
%            Number of predicates :   31 (  27 propositional; 0-1 arity)
%            Number of functors   :   26 (  26 constant; 0-0 arity)
%            Number of variables  :   98 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--hskp25,++ndr1_0]).

input_clause(clause2,conjecture,
    [--hskp24,++ndr1_0]).

input_clause(clause3,conjecture,
    [--hskp23,++ndr1_0]).

input_clause(clause4,conjecture,
    [--hskp22,++ndr1_0]).

input_clause(clause5,conjecture,
    [--hskp21,++ndr1_0]).

input_clause(clause6,conjecture,
    [--hskp20,++ndr1_0]).

input_clause(clause7,conjecture,
    [--hskp19,++ndr1_0]).

input_clause(clause8,conjecture,
    [--hskp18,++ndr1_0]).

input_clause(clause9,conjecture,
    [--hskp17,++ndr1_0]).

input_clause(clause10,conjecture,
    [--hskp16,++ndr1_0]).

input_clause(clause11,conjecture,
    [--hskp15,++ndr1_0]).

input_clause(clause12,conjecture,
    [--hskp14,++ndr1_0]).

input_clause(clause13,conjecture,
    [--hskp13,++ndr1_0]).

input_clause(clause14,conjecture,
    [--hskp12,++ndr1_0]).

input_clause(clause15,conjecture,
    [--hskp11,++ndr1_0]).

input_clause(clause16,conjecture,
    [--hskp10,++ndr1_0]).

input_clause(clause17,conjecture,
    [--hskp9,++ndr1_0]).

input_clause(clause18,conjecture,
    [--hskp8,++ndr1_0]).

input_clause(clause19,conjecture,
    [--hskp7,++ndr1_0]).

input_clause(clause20,conjecture,
    [--hskp6,++ndr1_0]).

input_clause(clause21,conjecture,
    [--hskp5,++ndr1_0]).

input_clause(clause22,conjecture,
    [--hskp4,++ndr1_0]).

input_clause(clause23,conjecture,
    [--hskp3,++ndr1_0]).

input_clause(clause24,conjecture,
    [--hskp2,++ndr1_0]).

input_clause(clause25,conjecture,
    [--hskp1,++ndr1_0]).

input_clause(clause26,conjecture,
    [--hskp0,++ndr1_0]).

input_clause(clause27,conjecture,
    [++hskp25,++hskp15,++hskp2]).

input_clause(clause28,conjecture,
    [++hskp23,++hskp9,++hskp2]).

input_clause(clause29,conjecture,
    [++hskp1,++hskp9,++hskp0]).

input_clause(clause30,conjecture,
    [++hskp5,++hskp15,++hskp21]).

input_clause(clause31,conjecture,
    [++hskp24,++hskp22,++hskp2]).

input_clause(clause32,conjecture,
    [++hskp7,++hskp14,++hskp9]).

input_clause(clause33,conjecture,
    [++hskp14,++hskp15,++hskp12]).

input_clause(clause34,conjecture,
    [--hskp25,
     ++c0_1(a230)]).

input_clause(clause35,conjecture,
    [--hskp25,
     ++c1_1(a230)]).

input_clause(clause36,conjecture,
    [--hskp25,
     ++c2_1(a230)]).

input_clause(clause37,conjecture,
    [--hskp24,
     ++c1_1(a215)]).

input_clause(clause38,conjecture,
    [--hskp24,
     ++c2_1(a215)]).

input_clause(clause39,conjecture,
    [--hskp24,
     ++c3_1(a215)]).

input_clause(clause40,conjecture,
    [--hskp23,
     ++c0_1(a189)]).

input_clause(clause41,conjecture,
    [--hskp23,
     ++c1_1(a189)]).

input_clause(clause42,conjecture,
    [--hskp23,
     ++c3_1(a189)]).

input_clause(clause43,conjecture,
    [--hskp22,
     ++c3_1(a259)]).

input_clause(clause44,conjecture,
    [--hskp21,
     ++c2_1(a257)]).

input_clause(clause45,conjecture,
    [--hskp20,
     ++c2_1(a233)]).

input_clause(clause46,conjecture,
    [--hskp20,
     ++c3_1(a233)]).

input_clause(clause47,conjecture,
    [--hskp19,
     ++c3_1(a225)]).

input_clause(clause48,conjecture,
    [--hskp18,
     ++c3_1(a223)]).

input_clause(clause49,conjecture,
    [--hskp17,
     ++c1_1(a222)]).

input_clause(clause50,conjecture,
    [--hskp17,
     ++c2_1(a222)]).

input_clause(clause51,conjecture,
    [--hskp15,
     ++c2_1(a214)]).

input_clause(clause52,conjecture,
    [--hskp14,
     ++c2_1(a210)]).

input_clause(clause53,conjecture,
    [--hskp14,
     ++c3_1(a210)]).

input_clause(clause54,conjecture,
    [--hskp13,
     ++c1_1(a209)]).

input_clause(clause55,conjecture,
    [--hskp13,
     ++c3_1(a209)]).

input_clause(clause56,conjecture,
    [--hskp11,
     ++c0_1(a202)]).

input_clause(clause57,conjecture,
    [--hskp10,
     ++c0_1(a200)]).

input_clause(clause58,conjecture,
    [--hskp10,
     ++c3_1(a200)]).

input_clause(clause59,conjecture,
    [--hskp9,
     ++c2_1(a199)]).

input_clause(clause60,conjecture,
    [--hskp8,
     ++c1_1(a198)]).

input_clause(clause61,conjecture,
    [--hskp8,
     ++c3_1(a198)]).

input_clause(clause62,conjecture,
    [--hskp7,
     ++c1_1(a197)]).

input_clause(clause63,conjecture,
    [--hskp6,
     ++c0_1(a195)]).

input_clause(clause64,conjecture,
    [--hskp5,
     ++c0_1(a194)]).

input_clause(clause65,conjecture,
    [--hskp4,
     ++c1_1(a193)]).

input_clause(clause66,conjecture,
    [--hskp3,
     ++c0_1(a192)]).

input_clause(clause67,conjecture,
    [--hskp3,
     ++c1_1(a192)]).

input_clause(clause68,conjecture,
    [--hskp1,
     ++c0_1(a190)]).

input_clause(clause69,conjecture,
    [--hskp1,
     ++c2_1(a190)]).

input_clause(clause70,conjecture,
    [--c0_1(a259),
     --hskp22]).

input_clause(clause71,conjecture,
    [--c2_1(a259),
     --hskp22]).

input_clause(clause72,conjecture,
    [--c1_1(a257),
     --hskp21]).

input_clause(clause73,conjecture,
    [--c3_1(a257),
     --hskp21]).

input_clause(clause74,conjecture,
    [--c0_1(a233),
     --hskp20]).

input_clause(clause75,conjecture,
    [--c0_1(a225),
     --hskp19]).

input_clause(clause76,conjecture,
    [--c1_1(a225),
     --hskp19]).

input_clause(clause77,conjecture,
    [--c1_1(a223),
     --hskp18]).

input_clause(clause78,conjecture,
    [--c2_1(a223),
     --hskp18]).

input_clause(clause79,conjecture,
    [--c3_1(a222),
     --hskp17]).

input_clause(clause80,conjecture,
    [--c0_1(a221),
     --hskp16]).

input_clause(clause81,conjecture,
    [--c1_1(a221),
     --hskp16]).

input_clause(clause82,conjecture,
    [--c2_1(a221),
     --hskp16]).

input_clause(clause83,conjecture,
    [--c0_1(a214),
     --hskp15]).

input_clause(clause84,conjecture,
    [--c3_1(a214),
     --hskp15]).

input_clause(clause85,conjecture,
    [--c1_1(a210),
     --hskp14]).

input_clause(clause86,conjecture,
    [--c0_1(a209),
     --hskp13]).

input_clause(clause87,conjecture,
    [--c0_1(a206),
     --hskp12]).

input_clause(clause88,conjecture,
    [--c2_1(a206),
     --hskp12]).

input_clause(clause89,conjecture,
    [--c3_1(a206),
     --hskp12]).

input_clause(clause90,conjecture,
    [--c2_1(a202),
     --hskp11]).

input_clause(clause91,conjecture,
    [--c3_1(a202),
     --hskp11]).

input_clause(clause92,conjecture,
    [--c1_1(a200),
     --hskp10]).

input_clause(clause93,conjecture,
    [--c0_1(a199),
     --hskp9]).

input_clause(clause94,conjecture,
    [--c1_1(a199),
     --hskp9]).

input_clause(clause95,conjecture,
    [--c2_1(a198),
     --hskp8]).

input_clause(clause96,conjecture,
    [--c0_1(a197),
     --hskp7]).

input_clause(clause97,conjecture,
    [--c2_1(a197),
     --hskp7]).

input_clause(clause98,conjecture,
    [--c1_1(a195),
     --hskp6]).

input_clause(clause99,conjecture,
    [--c3_1(a195),
     --hskp6]).

input_clause(clause100,conjecture,
    [--c1_1(a194),
     --hskp5]).

input_clause(clause101,conjecture,
    [--c2_1(a194),
     --hskp5]).

input_clause(clause102,conjecture,
    [--c0_1(a193),
     --hskp4]).

input_clause(clause103,conjecture,
    [--c3_1(a193),
     --hskp4]).

input_clause(clause104,conjecture,
    [--c3_1(a192),
     --hskp3]).

input_clause(clause105,conjecture,
    [--c1_1(a191),
     --hskp2]).

input_clause(clause106,conjecture,
    [--c2_1(a191),
     --hskp2]).

input_clause(clause107,conjecture,
    [--c3_1(a191),
     --hskp2]).

input_clause(clause108,conjecture,
    [--c3_1(a190),
     --hskp1]).

input_clause(clause109,conjecture,
    [--c0_1(a188),
     --hskp0]).

input_clause(clause110,conjecture,
    [--c1_1(a188),
     --hskp0]).

input_clause(clause111,conjecture,
    [--c3_1(a188),
     --hskp0]).

input_clause(clause112,conjecture,
    [--ndr1_0,
     ++c0_1(U),
     ++c1_1(U),
     ++c3_1(U),
     ++hskp1]).

input_clause(clause113,conjecture,
    [--ndr1_0,
     ++c0_1(U),
     ++c2_1(U),
     ++c3_1(U),
     ++hskp6]).

input_clause(clause114,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c1_1(U),
     ++hskp3,
     ++hskp4]).

input_clause(clause115,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c2_1(U),
     ++hskp8,
     ++hskp9]).

input_clause(clause116,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c3_1(U),
     ++hskp11,
     ++hskp9]).

input_clause(clause117,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++hskp23,
     ++hskp16]).

input_clause(clause118,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++hskp17,
     ++hskp18]).

input_clause(clause119,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c3_1(U),
     ++hskp3,
     ++hskp12]).

input_clause(clause120,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp8,
     ++hskp4]).

input_clause(clause121,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp25,
     ++hskp16]).

input_clause(clause122,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp4,
     ++hskp20]).

input_clause(clause123,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp7,
     ++hskp4]).

input_clause(clause124,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp7,
     ++hskp9]).

input_clause(clause125,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp10,
     ++hskp24]).

input_clause(clause126,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++hskp1,
     ++hskp2]).

input_clause(clause127,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++hskp23,
     ++hskp5]).

input_clause(clause128,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++hskp16,
     ++hskp12]).

input_clause(clause129,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c2_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp23]).

input_clause(clause130,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c3_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++c3_1(V),
     ++hskp15]).

input_clause(clause131,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++c2_1(V),
     ++hskp0]).

input_clause(clause132,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c2_1(U),
     ++c3_1(U),
     ++c0_1(V),
     ++c2_1(V),
     ++hskp10]).

input_clause(clause133,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c0_1(U),
     ++c3_1(U),
     ++c0_1(V),
     ++c3_1(V),
     ++hskp5]).

input_clause(clause134,conjecture,
    [--ndr1_0,
     --c1_1(U),
     --c3_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++c3_1(V),
     ++c0_1(U),
     ++hskp10]).

input_clause(clause135,conjecture,
    [--ndr1_0,
     --c2_1(U),
     --c3_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++c3_1(V),
     ++c0_1(U),
     ++hskp13]).

input_clause(clause136,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c2_1(U),
     ++c3_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++hskp1]).

input_clause(clause137,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c3_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++hskp2]).

input_clause(clause138,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c1_1(V),
     --c2_1(V),
     ++c1_1(U),
     ++c2_1(U),
     ++c0_1(V),
     ++hskp2]).

input_clause(clause139,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c1_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++hskp24]).

input_clause(clause140,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c3_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++hskp1]).

input_clause(clause141,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c3_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++hskp13]).

input_clause(clause142,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c2_1(U),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp24]).

input_clause(clause143,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c3_1(U),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp19]).

input_clause(clause144,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c0_1(V),
     ++c2_1(V),
     ++hskp7]).

input_clause(clause145,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_1(V),
     --c2_1(V),
     ++c2_1(U),
     ++c0_1(V),
     ++hskp0]).

input_clause(clause146,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     --c1_1(V),
     --c2_1(V),
     ++c3_1(U),
     ++c0_1(V),
     ++hskp12]).

input_clause(clause147,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c2_1(V),
     --c3_1(V),
     ++c1_1(U),
     ++c0_1(V),
     ++hskp14]).

input_clause(clause148,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c1_1(V),
     ++c2_1(V),
     ++hskp9]).

input_clause(clause149,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c2_1(V),
     ++c3_1(V),
     ++hskp13]).

input_clause(clause150,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     ++c3_1(U),
     ++c2_1(V),
     ++hskp12]).

input_clause(clause151,conjecture,
    [--ndr1_0,
     --c3_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++c3_1(V),
     ++c0_1(U),
     ++c2_1(U),
     ++c0_1(W),
     ++c1_1(W),
     ++c2_1(W)]).

input_clause(clause152,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_1(V),
     --c2_1(V),
     ++c0_1(V),
     ++hskp6]).

input_clause(clause153,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_1(V),
     --c3_1(V),
     ++c0_1(V),
     ++hskp7]).

input_clause(clause154,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c1_1(V),
     --c2_1(V),
     --c2_1(W),
     ++c1_1(U),
     ++c2_1(U),
     ++c0_1(V),
     ++c0_1(W),
     ++c1_1(W)]).

input_clause(clause155,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c1_1(V),
     --c3_1(V),
     --c2_1(W),
     ++c1_1(U),
     ++c2_1(U),
     ++c0_1(V),
     ++c0_1(W),
     ++c1_1(W)]).

input_clause(clause156,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_1(V),
     --c3_1(W),
     ++c3_1(U),
     ++c1_1(V),
     ++c3_1(V),
     ++c0_1(W),
     ++c2_1(W)]).

input_clause(clause157,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_1(V),
     --c2_1(V),
     --c3_1(W),
     ++c1_1(U),
     ++c0_1(V),
     ++c0_1(W),
     ++c2_1(W)]).

input_clause(clause158,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c0_1(V),
     --c2_1(W),
     ++c2_1(V),
     ++c3_1(V),
     ++c0_1(W),
     ++c3_1(W)]).

input_clause(clause159,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c0_1(V),
     --c0_1(W),
     ++c2_1(V),
     ++c3_1(V),
     ++c1_1(W),
     ++c2_1(W)]).

input_clause(clause160,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c0_1(V),
     --c0_1(W),
     --c2_1(W),
     ++c2_1(V),
     ++c3_1(V),
     ++c1_1(W)]).

input_clause(clause161,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     --c0_1(V),
     --c3_1(V),
     --c2_1(W),
     --c3_1(W),
     ++c3_1(U),
     ++c2_1(V),
     ++c1_1(W)]).

input_clause(clause162,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_1(V),
     --c2_1(V),
     --c0_1(W),
     ++c3_1(V),
     ++c2_1(W),
     ++c3_1(W)]).

input_clause(clause163,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     --c3_1(V),
     --c0_1(W),
     ++c1_1(W),
     ++c3_1(W)]).
%--------------------------------------------------------------------------
