%--------------------------------------------------------------------------
% File     : SYN514-1 : TPTP v2.2.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=110, K=3, D=2, P=0, Index=042
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-110-3-2-042.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.67 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :  281 ( 192 non-Horn;   1 unit; 243 RR)
%            Number of literals   : 1417 (   0 equality)
%            Maximal clause size  :   18 (   5 average)
%            Number of predicates :   40 (  23 propositional; 0-2 arity)
%            Number of functors   :   89 (  89 constant; 0-0 arity)
%            Number of variables  :  302 (   1 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--ssSkC4,++ndr1_0]).

input_clause(clause2,conjecture,
    [++ndr1_0,++c5_0]).

input_clause(clause3,conjecture,
    [++ndr1_0,++c3_0]).

input_clause(clause4,conjecture,
    [++ndr1_0,++c2_0]).

input_clause(clause5,conjecture,
    [++ndr1_0,++c1_0]).

input_clause(clause6,conjecture,
    [--c4_0]).

input_clause(clause7,conjecture,
    [++ndr1_0,++ssSkC16]).

input_clause(clause8,conjecture,
    [++ndr1_0,++ssSkC15]).

input_clause(clause9,conjecture,
    [++ndr1_0,++ssSkC14]).

input_clause(clause10,conjecture,
    [++ndr1_0,++ssSkC12]).

input_clause(clause11,conjecture,
    [++ndr1_0,++ssSkC7]).

input_clause(clause12,conjecture,
    [++ndr1_0,++ssSkC3]).

input_clause(clause13,conjecture,
    [++ndr1_0,++ssSkC0]).

input_clause(clause14,conjecture,
    [--ssSkC15,--ssSkC16,++ndr1_0]).

input_clause(clause15,conjecture,
    [--ssSkC13,--ssSkC14,++ndr1_0]).

input_clause(clause16,conjecture,
    [--ssSkC11,--ssSkC12,++ndr1_0]).

input_clause(clause17,conjecture,
    [--ssSkC9,--ssSkC10,++ndr1_0]).

input_clause(clause18,conjecture,
    [--c2_0,++ndr1_0]).

input_clause(clause19,conjecture,
    [--ssSkC4,
     ++ndr1_1(a207)]).

input_clause(clause20,conjecture,
    [--ssSkC4,
     ++c4_1(a207)]).

input_clause(clause21,conjecture,
    [++c3_1(a202),
     ++c5_0]).

input_clause(clause22,conjecture,
    [++c5_1(a188),
     ++c2_0]).

input_clause(clause23,conjecture,
    [++ndr1_1(a179),
     ++c1_0]).

input_clause(clause24,conjecture,
    [--c5_0,++c2_0]).

input_clause(clause25,conjecture,
    [--c2_0,++c5_0]).

input_clause(clause26,conjecture,
    [++c5_1(a262),
     ++ssSkC16]).

input_clause(clause27,conjecture,
    [++ndr1_1(a260),
     ++ssSkC15]).

input_clause(clause28,conjecture,
    [++c1_1(a260),
     ++ssSkC15]).

input_clause(clause29,conjecture,
    [++ndr1_1(a257),
     ++ssSkC14]).

input_clause(clause30,conjecture,
    [++c4_1(a257),
     ++ssSkC14]).

input_clause(clause31,conjecture,
    [++ndr1_1(a253),
     ++ssSkC12]).

input_clause(clause32,conjecture,
    [++c1_1(a253),
     ++ssSkC12]).

input_clause(clause33,conjecture,
    [++ndr1_1(U),
     ++ssSkP5(U)]).

input_clause(clause34,conjecture,
    [++ndr1_1(U),
     ++ssSkP4(U)]).

input_clause(clause35,conjecture,
    [++c3_1(a225),
     ++ssSkC7]).

input_clause(clause36,conjecture,
    [++c4_1(a225),
     ++ssSkC7]).

input_clause(clause37,conjecture,
    [++ndr1_1(U),
     ++ssSkP3(U)]).

input_clause(clause38,conjecture,
    [++ndr1_1(U),
     ++ssSkP2(U)]).

input_clause(clause39,conjecture,
    [++ndr1_1(U),
     ++ssSkP1(U)]).

input_clause(clause40,conjecture,
    [++c2_1(a200),
     ++ssSkC3]).

input_clause(clause41,conjecture,
    [++c2_1(a185),
     ++ssSkC0]).

input_clause(clause42,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause43,conjecture,
    [--ssSkC15,
     --ssSkC16,
     ++ndr1_1(a263)]).

input_clause(clause44,conjecture,
    [--ssSkC9,
     --ssSkC10,
     ++c4_1(a248)]).

input_clause(clause45,conjecture,
    [--c2_0,
     ++c3_1(a237)]).

input_clause(clause46,conjecture,
    [--ssSkC8,--c1_0,++ndr1_0]).

input_clause(clause47,conjecture,
    [--ssSkC6,
     ++ndr1_1(a219),
     ++c5_0]).

input_clause(clause48,conjecture,
    [--ssSkC5,
     ++ndr1_1(a214),
     ++c5_0]).

input_clause(clause49,conjecture,
    [--ssSkC4,
     ++c4_2(a207,a208)]).

input_clause(clause50,conjecture,
    [--ssSkC4,
     ++c5_2(a207,a208)]).

input_clause(clause51,conjecture,
    [--ssSkC4,
     --c2_1(a207)]).

input_clause(clause52,conjecture,
    [--ssSkC3,
     ++c2_1(a201),
     ++c3_0]).

input_clause(clause53,conjecture,
    [++c5_1(a193),
     ++c3_0,
     ++c5_0]).

input_clause(clause54,conjecture,
    [++c2_1(a192),
     ++c3_0,
     ++c5_0]).

input_clause(clause55,conjecture,
    [++c2_1(a191),
     ++c3_0,
     ++c5_0]).

input_clause(clause56,conjecture,
    [--c3_1(a189),
     ++c3_0]).

input_clause(clause57,conjecture,
    [--ssSkC0,
     ++ndr1_1(a186),
     ++c2_0]).

input_clause(clause58,conjecture,
    [++c5_2(a179,a180),
     ++c1_0]).

input_clause(clause59,conjecture,
    [--c3_1(a179),
     ++c1_0]).

input_clause(clause60,conjecture,
    [--c1_0,--c2_0]).

input_clause(clause61,conjecture,
    [--c3_0,--c5_0]).

input_clause(clause62,conjecture,
    [++c1_2(a260,a261),
     ++ssSkC15]).

input_clause(clause63,conjecture,
    [++c2_2(a260,a261),
     ++ssSkC15]).

input_clause(clause64,conjecture,
    [++c4_2(a260,a261),
     ++ssSkC15]).

input_clause(clause65,conjecture,
    [--c4_1(a260),
     ++ssSkC15]).

input_clause(clause66,conjecture,
    [++c5_2(a257,a258),
     ++ssSkC14]).

input_clause(clause67,conjecture,
    [--c1_1(a257),
     ++ssSkC14]).

input_clause(clause68,conjecture,
    [++c2_2(a253,a254),
     ++ssSkC12]).

input_clause(clause69,conjecture,
    [++c3_2(a253,a254),
     ++ssSkC12]).

input_clause(clause70,conjecture,
    [++c5_2(a253,a254),
     ++ssSkC12]).

input_clause(clause71,conjecture,
    [--c4_1(a253),
     ++ssSkC12]).

input_clause(clause72,conjecture,
    [++c1_2(U,a251),
     ++ssSkP5(U)]).

input_clause(clause73,conjecture,
    [++c1_2(U,a245),
     ++ssSkP4(U)]).

input_clause(clause74,conjecture,
    [++c4_2(U,a245),
     ++ssSkP4(U)]).

input_clause(clause75,conjecture,
    [++c5_2(U,a245),
     ++ssSkP4(U)]).

input_clause(clause76,conjecture,
    [++c1_2(U,a222),
     ++ssSkP3(U)]).

input_clause(clause77,conjecture,
    [++c2_2(U,a216),
     ++ssSkP2(U)]).

input_clause(clause78,conjecture,
    [++c4_2(U,a203),
     ++ssSkP1(U)]).

input_clause(clause79,conjecture,
    [++c3_2(U,a175),
     ++ssSkP0(U)]).

input_clause(clause80,conjecture,
    [++c5_2(U,a175),
     ++ssSkP0(U)]).

input_clause(clause81,conjecture,
    [--ssSkC15,
     --ssSkC16,
     ++c1_2(a263,a264)]).

input_clause(clause82,conjecture,
    [--ssSkC15,
     --ssSkC16,
     ++c3_2(a263,a264)]).

input_clause(clause83,conjecture,
    [--ssSkC15,
     --ssSkC16,
     --c1_1(a263)]).

input_clause(clause84,conjecture,
    [--ssSkC13,
     --ssSkC14,
     --c1_1(a259)]).

input_clause(clause85,conjecture,
    [--ssSkC11,
     --ssSkC12,
     --c3_1(a255)]).

input_clause(clause86,conjecture,
    [--ssSkC9,
     --ssSkC10,
     --c5_1(a248)]).

input_clause(clause87,conjecture,
    [--c4_1(a237),
     --c2_0]).

input_clause(clause88,conjecture,
    [--ssSkC8,
     --c1_0,
     ++ndr1_1(a235)]).

input_clause(clause89,conjecture,
    [--c1_0,--c5_0,++ndr1_0]).

input_clause(clause90,conjecture,
    [--c1_0,--c3_0,++ndr1_0]).

input_clause(clause91,conjecture,
    [--ssSkC6,
     ++c2_2(a219,a220),
     ++c5_0]).

input_clause(clause92,conjecture,
    [--ssSkC6,
     --c3_1(a219),
     ++c5_0]).

input_clause(clause93,conjecture,
    [--ssSkC5,
     --c3_1(a214),
     ++c5_0]).

input_clause(clause94,conjecture,
    [--c3_0,
     ++ndr1_1(a211),
     ++c5_0]).

input_clause(clause95,conjecture,
    [--c3_0,
     ++c3_1(a211),
     ++c5_0]).

input_clause(clause96,conjecture,
    [--c1_0,
     ++ndr1_1(a209),
     ++c5_0]).

input_clause(clause97,conjecture,
    [--c1_0,
     ++c3_1(a209),
     ++c5_0]).

input_clause(clause98,conjecture,
    [--ssSkC4,
     --c3_2(a207,a208)]).

input_clause(clause99,conjecture,
    [--ssSkC3,
     --c1_1(a201),
     ++c3_0]).

input_clause(clause100,conjecture,
    [--ssSkC2,
     --c1_1(a199),
     ++c3_0]).

input_clause(clause101,conjecture,
    [--ssSkC2,
     --c4_1(a199),
     ++c3_0]).

input_clause(clause102,conjecture,
    [--c5_0,
     ++c1_1(a194),
     ++c3_0]).

input_clause(clause103,conjecture,
    [--c4_1(a192),
     ++c3_0,
     ++c5_0]).

input_clause(clause104,conjecture,
    [--c1_1(a191),
     ++c3_0,
     ++c5_0]).

input_clause(clause105,conjecture,
    [--ssSkC0,
     ++c1_2(a186,a187),
     ++c2_0]).

input_clause(clause106,conjecture,
    [--ssSkC0,
     --c1_1(a186),
     ++c2_0]).

input_clause(clause107,conjecture,
    [--c1_2(a179,a180),
     ++c1_0]).

input_clause(clause108,conjecture,
    [--c3_2(a179,a180),
     ++c1_0]).

input_clause(clause109,conjecture,
    [--c3_0,
     ++c3_1(a177),
     ++c1_0]).

input_clause(clause110,conjecture,
    [--c2_0,--c5_0,++c1_0]).

input_clause(clause111,conjecture,
    [--c4_2(a257,a258),
     ++ssSkC14]).

input_clause(clause112,conjecture,
    [--c5_2(U,a251),
     ++ssSkP5(U)]).

input_clause(clause113,conjecture,
    [--c2_2(U,a222),
     ++ssSkP3(U)]).

input_clause(clause114,conjecture,
    [--c3_2(U,a216),
     ++ssSkP2(U)]).

input_clause(clause115,conjecture,
    [--c1_2(U,a203),
     ++ssSkP1(U)]).

input_clause(clause116,conjecture,
    [--c4_2(U,a175),
     ++ssSkP0(U)]).

input_clause(clause117,conjecture,
    [--ssSkC15,
     --ssSkC16,
     --c4_2(a263,a264)]).

input_clause(clause118,conjecture,
    [--ssSkC8,
     --c1_1(a235),
     --c1_0]).

input_clause(clause119,conjecture,
    [--c1_0,
     --c5_0,
     ++ndr1_1(a229)]).

input_clause(clause120,conjecture,
    [--c1_0,
     --c3_0,
     ++ndr1_1(a227)]).

input_clause(clause121,conjecture,
    [--c1_0,
     --c3_0,
     ++c3_1(a227)]).

input_clause(clause122,conjecture,
    [--ssSkC6,
     --c3_2(a219,a220),
     ++c5_0]).

input_clause(clause123,conjecture,
    [--ssSkC5,
     --c1_2(a214,a215),
     ++c5_0]).

input_clause(clause124,conjecture,
    [--ssSkC5,
     --c3_2(a214,a215),
     ++c5_0]).

input_clause(clause125,conjecture,
    [--ssSkC5,
     --c5_2(a214,a215),
     ++c5_0]).

input_clause(clause126,conjecture,
    [--c3_0,
     ++c2_2(a211,a212),
     ++c5_0]).

input_clause(clause127,conjecture,
    [--c3_0,
     ++c5_2(a211,a212),
     ++c5_0]).

input_clause(clause128,conjecture,
    [--c1_0,
     ++c2_2(a209,a210),
     ++c5_0]).

input_clause(clause129,conjecture,
    [--c4_1(a209),
     --c1_0,
     ++c5_0]).

input_clause(clause130,conjecture,
    [--c3_1(a194),
     --c5_0,
     ++c3_0]).

input_clause(clause131,conjecture,
    [--ssSkC0,
     --c2_2(a186,a187),
     ++c2_0]).

input_clause(clause132,conjecture,
    [--ssSkC0,
     --c3_2(a186,a187),
     ++c2_0]).

input_clause(clause133,conjecture,
    [--c2_1(a182),
     --c3_0,
     ++c2_0]).

input_clause(clause134,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c2_1(U),
     ++ssSkC5]).

input_clause(clause135,conjecture,
    [--ssSkC8,
     --c2_2(a235,a236),
     --c1_0]).

input_clause(clause136,conjecture,
    [--ssSkC8,
     --c4_2(a235,a236),
     --c1_0]).

input_clause(clause137,conjecture,
    [--ssSkC8,
     --c5_2(a235,a236),
     --c1_0]).

input_clause(clause138,conjecture,
    [--c1_0,
     --c5_0,
     ++c3_2(a229,a230)]).

input_clause(clause139,conjecture,
    [--c1_0,
     --c5_0,
     ++c4_2(a229,a230)]).

input_clause(clause140,conjecture,
    [--c3_1(a229),
     --c1_0,
     --c5_0]).

input_clause(clause141,conjecture,
    [--c4_1(a229),
     --c1_0,
     --c5_0]).

input_clause(clause142,conjecture,
    [--c1_0,
     --c3_0,
     ++c4_2(a227,a228)]).

input_clause(clause143,conjecture,
    [--c1_2(a211,a212),
     --c3_0,
     ++c5_0]).

input_clause(clause144,conjecture,
    [--c3_2(a209,a210),
     --c1_0,
     ++c5_0]).

input_clause(clause145,conjecture,
    [--c5_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c1_0]).

input_clause(clause146,conjecture,
    [--ssSkP2(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++c5_0]).

input_clause(clause147,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC13]).

input_clause(clause148,conjecture,
    [--ndr1_0,
     ++c4_2(U,a213),
     ++c2_1(U),
     ++ssSkC5]).

input_clause(clause149,conjecture,
    [--c2_2(a227,a228),
     --c1_0,
     --c3_0]).

input_clause(clause150,conjecture,
    [--c5_2(a227,a228),
     --c1_0,
     --c3_0]).

input_clause(clause151,conjecture,
    [--c5_1(U),
     --ndr1_0,
     ++c3_2(U,a178),
     ++c1_0]).

input_clause(clause152,conjecture,
    [--c5_1(U),
     --ndr1_0,
     ++c4_2(U,a178),
     ++c1_0]).

input_clause(clause153,conjecture,
    [--c5_1(U),
     --ndr1_0,
     ++c5_2(U,a178),
     ++c1_0]).

input_clause(clause154,conjecture,
    [--ssSkP0(U),
     --ndr1_0,
     --c2_0,
     ++ndr1_1(U),
     ++c1_0]).

input_clause(clause155,conjecture,
    [--ssSkP5(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c5_1(U),
     ++ssSkC11]).

input_clause(clause156,conjecture,
    [--ssSkP4(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++ssSkC9]).

input_clause(clause157,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++c2_1(U),
     ++ssSkC1]).

input_clause(clause158,conjecture,
    [--ssSkP2(U),
     --ndr1_0,
     ++c3_2(U,a217),
     ++c3_1(U),
     ++c5_0]).

input_clause(clause159,conjecture,
    [--ssSkP1(U),
     --ndr1_0,
     --c5_0,
     ++ndr1_1(U),
     ++c2_1(U)]).

input_clause(clause160,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c1_2(U,a256),
     ++ssSkC13]).

input_clause(clause161,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c3_2(U,a256),
     ++ssSkC13]).

input_clause(clause162,conjecture,
    [--c2_2(U,a213),
     --ndr1_0,
     ++c2_1(U),
     ++ssSkC5]).

input_clause(clause163,conjecture,
    [--ssSkP0(U),
     --ndr1_0,
     --c2_0,
     ++c3_2(U,a176),
     ++c1_0]).

input_clause(clause164,conjecture,
    [--ssSkP5(U),
     --ndr1_0,
     ++c2_2(U,a252),
     ++c5_1(U),
     ++ssSkC11]).

input_clause(clause165,conjecture,
    [--ssSkP5(U),
     --ndr1_0,
     ++c5_2(U,a252),
     ++c5_1(U),
     ++ssSkC11]).

input_clause(clause166,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c4_1(U),
     ++ssSkC10]).

input_clause(clause167,conjecture,
    [--ndr1_0,
     ++c1_2(U,a195),
     ++c1_1(U),
     ++c2_1(U),
     ++ssSkC1]).

input_clause(clause168,conjecture,
    [--ndr1_0,
     ++c3_2(U,a195),
     ++c1_1(U),
     ++c2_1(U),
     ++ssSkC1]).

input_clause(clause169,conjecture,
    [--ndr1_0,
     ++c5_2(U,a195),
     ++c1_1(U),
     ++c2_1(U),
     ++ssSkC1]).

input_clause(clause170,conjecture,
    [--ssSkP2(U),
     --c2_2(U,a217),
     --ndr1_0,
     ++c3_1(U),
     ++c5_0]).

input_clause(clause171,conjecture,
    [--ssSkP1(U),
     --ndr1_0,
     --c5_0,
     ++c4_2(U,a204),
     ++c2_1(U)]).

input_clause(clause172,conjecture,
    [--c3_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c2_0]).

input_clause(clause173,conjecture,
    [--c4_2(a188,U),
     --ndr1_1(a188),
     ++c2_2(a188,U),
     ++c2_0]).

input_clause(clause174,conjecture,
    [--ssSkP0(U),
     --c2_2(U,a176),
     --ndr1_0,
     --c2_0,
     ++c1_0]).

input_clause(clause175,conjecture,
    [--ssSkP0(U),
     --c5_2(U,a176),
     --ndr1_0,
     --c2_0,
     ++c1_0]).

input_clause(clause176,conjecture,
    [--ssSkP5(U),
     --c1_2(U,a252),
     --ndr1_0,
     ++c5_1(U),
     ++ssSkC11]).

input_clause(clause177,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c3_2(U,a247),
     ++c4_1(U),
     ++ssSkC10]).

input_clause(clause178,conjecture,
    [--ssSkP4(U),
     --c1_2(U,a246),
     --ndr1_0,
     ++c3_1(U),
     ++ssSkC9]).

input_clause(clause179,conjecture,
    [--ssSkP4(U),
     --c4_2(U,a246),
     --ndr1_0,
     ++c3_1(U),
     ++ssSkC9]).

input_clause(clause180,conjecture,
    [--ssSkP4(U),
     --c5_2(U,a246),
     --ndr1_0,
     ++c3_1(U),
     ++ssSkC9]).

input_clause(clause181,conjecture,
    [--c4_1(U),
     --c5_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC2]).

input_clause(clause182,conjecture,
    [--ssSkP1(U),
     --c2_2(U,a204),
     --ndr1_0,
     --c5_0,
     ++c2_1(U)]).

input_clause(clause183,conjecture,
    [--c2_2(a225,U),
     --ndr1_1(a225),
     ++c1_2(a225,U),
     ++ssSkC7]).

input_clause(clause184,conjecture,
    [--c2_2(a185,U),
     --ndr1_1(a185),
     ++c4_2(a185,U),
     ++ssSkC0]).

input_clause(clause185,conjecture,
    [--c3_2(a237,U),
     --ndr1_1(a237),
     --c2_0,
     ++c5_2(a237,U)]).

input_clause(clause186,conjecture,
    [--c4_2(U,a247),
     --c3_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++ssSkC10]).

input_clause(clause187,conjecture,
    [--c4_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c5_2(U,a198),
     ++ssSkC2]).

input_clause(clause188,conjecture,
    [--ssSkC13,
     --ssSkC14,
     --c1_2(a259,U),
     --c5_2(a259,U),
     --ndr1_1(a259)]).

input_clause(clause189,conjecture,
    [--c5_2(a177,U),
     --ndr1_1(a177),
     --c3_0,
     ++c2_2(a177,U),
     ++c1_0]).

input_clause(clause190,conjecture,
    [--c1_2(U,a198),
     --c4_1(U),
     --c5_1(U),
     --ndr1_0,
     ++ssSkC2]).

input_clause(clause191,conjecture,
    [--c1_2(a202,U),
     --ndr1_1(a202),
     ++c2_2(a202,U),
     ++c5_2(a202,U),
     ++c5_0]).

input_clause(clause192,conjecture,
    [--ndr1_1(a193),
     ++c1_2(a193,U),
     ++c3_2(a193,U),
     ++c4_2(a193,U),
     ++c3_0,
     ++c5_0]).

input_clause(clause193,conjecture,
    [--c5_2(a192,U),
     --ndr1_1(a192),
     ++c2_2(a192,U),
     ++c3_2(a192,U),
     ++c3_0,
     ++c5_0]).

input_clause(clause194,conjecture,
    [--c4_2(a189,U),
     --c5_2(a189,U),
     --ndr1_1(a189),
     ++c1_2(a189,U),
     ++c3_0]).

input_clause(clause195,conjecture,
    [--c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_0,
     ++c1_1(U)]).

input_clause(clause196,conjecture,
    [--c3_2(a262,U),
     --c5_2(a262,U),
     --ndr1_1(a262),
     ++c4_2(a262,U),
     ++ssSkC16]).

input_clause(clause197,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c3_1(V),
     --c5_1(V),
     --c3_0,
     ++c4_1(U),
     ++ndr1_1(V)]).

input_clause(clause198,conjecture,
    [--ssSkC8,
     --c5_2(a235,U),
     --ndr1_1(a235),
     --c1_0,
     ++c3_2(a235,U),
     ++c4_2(a235,U)]).

input_clause(clause199,conjecture,
    [--ssSkC7,
     --c2_2(a226,U),
     --c4_2(a226,U),
     --ndr1_1(a226),
     ++c1_2(a226,U),
     ++c5_0]).

input_clause(clause200,conjecture,
    [--ssSkP3(U),
     --c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c2_2(U,a223),
     ++c5_0]).

input_clause(clause201,conjecture,
    [--ssSkP3(U),
     --c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c3_2(U,a223),
     ++c5_0]).

input_clause(clause202,conjecture,
    [--ssSkC5,
     --c2_2(a214,U),
     --c4_2(a214,U),
     --ndr1_1(a214),
     ++c3_2(a214,U),
     ++c5_0]).

input_clause(clause203,conjecture,
    [--c1_2(a211,U),
     --ndr1_1(a211),
     --c3_0,
     ++c2_2(a211,U),
     ++c5_2(a211,U),
     ++c5_0]).

input_clause(clause204,conjecture,
    [--ssSkC2,
     --c1_2(a199,U),
     --c4_2(a199,U),
     --ndr1_1(a199),
     ++c3_2(a199,U),
     ++c3_0]).

input_clause(clause205,conjecture,
    [--c4_2(a193,U),
     --c5_2(a193,U),
     --ndr1_1(a193),
     ++c3_2(a193,U),
     ++c3_0,
     ++c5_0]).

input_clause(clause206,conjecture,
    [--c4_2(a182,U),
     --ndr1_1(a182),
     --c3_0,
     ++c1_2(a182,U),
     ++c5_2(a182,U),
     ++c2_0]).

input_clause(clause207,conjecture,
    [--c1_2(a177,U),
     --ndr1_1(a177),
     --c3_0,
     ++c4_2(a177,U),
     ++c5_2(a177,U),
     ++c1_0]).

input_clause(clause208,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c3_2(U,a206),
     ++c4_1(U),
     ++ssSkC4]).

input_clause(clause209,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c5_2(U,a206),
     ++c4_1(U),
     ++ssSkC4]).

input_clause(clause210,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c3_1(V),
     --c5_1(V),
     --c3_0,
     ++c4_1(U),
     ++c1_2(V,a239)]).

input_clause(clause211,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c3_1(V),
     --c5_1(V),
     --c3_0,
     ++c4_1(U),
     ++c3_2(V,a239)]).

input_clause(clause212,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c3_1(V),
     --c5_1(V),
     --c3_0,
     ++c4_1(U),
     ++c4_2(V,a239)]).

input_clause(clause213,conjecture,
    [--ssSkC7,
     --c2_2(a226,U),
     --c3_2(a226,U),
     --c4_2(a226,U),
     --ndr1_1(a226),
     ++c5_0]).

input_clause(clause214,conjecture,
    [--ssSkP3(U),
     --c5_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a223),
     --ndr1_0,
     ++c1_2(U,V),
     ++c5_0]).

input_clause(clause215,conjecture,
    [--c1_2(a194,U),
     --c4_2(a194,U),
     --ndr1_1(a194),
     --c5_0,
     ++c5_2(a194,U),
     ++c3_0]).

input_clause(clause216,conjecture,
    [--ssSkC0,
     --c1_2(a186,U),
     --c2_2(a186,U),
     --c3_2(a186,U),
     --ndr1_1(a186),
     ++c2_0]).

input_clause(clause217,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c1_2(U,a181),
     ++c5_1(U),
     ++c2_0,
     ++c5_0]).

input_clause(clause218,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c5_2(U,a181),
     ++c5_1(U),
     ++c2_0,
     ++c5_0]).

input_clause(clause219,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c5_2(U,a234),
     ++ssSkC8]).

input_clause(clause220,conjecture,
    [--c3_2(a227,U),
     --c4_2(a227,U),
     --ndr1_1(a227),
     --c1_0,
     --c3_0,
     ++c2_2(a227,U)]).

input_clause(clause221,conjecture,
    [--ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c4_2(U,V),
     ++c5_2(U,V),
     ++c1_2(U,a184),
     ++c2_0]).

input_clause(clause222,conjecture,
    [--ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c4_2(U,V),
     ++c5_2(U,V),
     ++c3_2(U,a184),
     ++c2_0]).

input_clause(clause223,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a181),
     --ndr1_0,
     ++c1_2(U,V),
     ++c5_1(U),
     ++c2_0,
     ++c5_0]).

input_clause(clause224,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a234),
     --c5_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++ssSkC8]).

input_clause(clause225,conjecture,
    [--ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c4_2(U,V),
     ++c5_2(U,V),
     ++c1_2(U,a218),
     ++ssSkC6]).

input_clause(clause226,conjecture,
    [--ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c4_2(U,V),
     ++c5_2(U,V),
     ++c2_2(U,a218),
     ++ssSkC6]).

input_clause(clause227,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c1_0,
     ++c1_2(U,V),
     ++c4_1(U),
     ++ndr1_1(a231)]).

input_clause(clause228,conjecture,
    [--ndr1_1(U),
     --c4_2(U,a184),
     --c5_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c4_2(U,V),
     ++c5_2(U,V),
     ++c2_0]).

input_clause(clause229,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c5_1(U),
     ++c2_0,
     ++c3_0]).

input_clause(clause230,conjecture,
    [--ndr1_1(U),
     --c5_2(U,a218),
     --c1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c4_2(U,V),
     ++c5_2(U,V),
     ++ssSkC6]).

input_clause(clause231,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c1_0,
     ++c1_2(U,V),
     ++c4_1(U),
     ++c1_2(a231,a232)]).

input_clause(clause232,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c1_0,
     ++c1_2(U,V),
     ++c4_1(U),
     ++c2_2(a231,a232)]).

input_clause(clause233,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c1_0,
     ++c1_2(U,V),
     ++c4_1(U),
     ++c5_2(a231,a232)]).

input_clause(clause234,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c2_1(a231),
     --c1_0,
     ++c1_2(U,V),
     ++c4_1(U)]).

input_clause(clause235,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c4_2(U,V),
     ++c1_2(U,a190),
     ++c3_0,
     ++c5_0]).

input_clause(clause236,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c4_2(U,V),
     ++c2_2(U,a190),
     ++c3_0,
     ++c5_0]).

input_clause(clause237,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a190),
     --c5_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c4_2(U,V),
     ++c3_0,
     ++c5_0]).

input_clause(clause238,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c5_1(W),
     ++c5_2(U,V),
     ++ndr1_1(W),
     ++c4_1(W)]).

input_clause(clause239,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_1(W),
     --c3_0,
     ++c2_2(U,V),
     ++c5_2(U,V),
     ++c5_1(U),
     ++c4_1(W),
     ++c5_1(W)]).

input_clause(clause240,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c5_1(W),
     ++c5_2(U,V),
     ++c1_2(W,a250),
     ++c4_1(W)]).

input_clause(clause241,conjecture,
    [--c2_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c5_2(U,W),
     --c1_1(U),
     --ndr1_0,
     --c5_0,
     ++c3_2(U,W),
     ++c1_0]).

input_clause(clause242,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c4_2(W,a250),
     --c5_1(W),
     ++c5_2(U,V),
     ++c4_1(W)]).

input_clause(clause243,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_1(W),
     ++c4_2(U,V),
     ++c2_1(U),
     ++c4_1(U),
     ++ndr1_1(W),
     ++c5_1(W),
     ++c3_0]).

input_clause(clause244,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c5_2(U,W),
     --ndr1_0,
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c2_2(U,W),
     ++c1_2(U,a224),
     ++c5_0]).

input_clause(clause245,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c5_2(U,W),
     --ndr1_0,
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c2_2(U,W),
     ++c4_2(U,a224),
     ++c5_0]).

input_clause(clause246,conjecture,
    [--c1_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --ndr1_0,
     ++c2_2(U,V),
     ++c1_2(U,W),
     ++c5_2(U,W),
     ++c2_2(U,a221),
     ++c5_0]).

input_clause(clause247,conjecture,
    [--c1_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --ndr1_0,
     ++c2_2(U,V),
     ++c1_2(U,W),
     ++c5_2(U,W),
     ++c4_2(U,a221),
     ++c5_0]).

input_clause(clause248,conjecture,
    [--c1_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --ndr1_0,
     ++c2_2(U,V),
     ++c1_2(U,W),
     ++c5_2(U,W),
     ++c5_2(U,a221),
     ++c5_0]).

input_clause(clause249,conjecture,
    [--c1_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c2_2(U,W),
     --ndr1_0,
     --c3_0,
     ++c4_2(U,W),
     ++c5_1(U),
     ++c2_1(a240)]).

input_clause(clause250,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c5_2(U,W),
     --c5_2(U,a224),
     --ndr1_0,
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c2_2(U,W),
     ++c5_0]).

input_clause(clause251,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_2(W,a197),
     --c2_1(W),
     ++c4_2(U,V),
     ++c2_1(U),
     ++c4_1(U),
     ++c5_1(W),
     ++c3_0]).

input_clause(clause252,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_2(W,a197),
     --c2_1(W),
     ++c4_2(U,V),
     ++c2_1(U),
     ++c4_1(U),
     ++c5_1(W),
     ++c3_0]).

input_clause(clause253,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c5_2(W,a197),
     --c2_1(W),
     ++c4_2(U,V),
     ++c2_1(U),
     ++c4_1(U),
     ++c5_1(W),
     ++c3_0]).

input_clause(clause254,conjecture,
    [--ssSkC1,
     --c3_2(U,V),
     --c4_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c2_2(U,W),
     --ndr1_0,
     ++c4_2(U,a196),
     ++c3_0]).

input_clause(clause255,conjecture,
    [--c1_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c2_2(U,W),
     --ndr1_0,
     --c3_1(a240),
     --c3_0,
     ++c4_2(U,W),
     ++c5_1(U)]).

input_clause(clause256,conjecture,
    [--ssSkC1,
     --c3_2(U,V),
     --c4_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c2_2(U,W),
     --c3_2(U,a196),
     --ndr1_0,
     ++c3_0]).

input_clause(clause257,conjecture,
    [--ssSkC1,
     --c3_2(U,V),
     --c4_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c2_2(U,W),
     --c5_2(U,a196),
     --ndr1_0,
     ++c3_0]).

input_clause(clause258,conjecture,
    [--c1_2(U,V),
     --c3_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c4_2(U,W),
     --c2_1(U),
     --ndr1_0,
     ++c5_2(U,W),
     ++c1_0,
     ++c3_0]).

input_clause(clause259,conjecture,
    [--ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c4_2(V,W),
     --ndr1_1(V),
     --c2_1(V),
     ++c1_2(U,X),
     ++c4_2(U,X),
     ++c1_1(U),
     ++c1_2(V,W),
     ++c3_2(V,W),
     ++c1_1(V),
     ++ndr1_1(a241)]).

input_clause(clause260,conjecture,
    [--ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c4_2(V,W),
     --ndr1_1(V),
     --c2_1(V),
     ++c1_2(U,X),
     ++c4_2(U,X),
     ++c1_1(U),
     ++c1_2(V,W),
     ++c3_2(V,W),
     ++c1_1(V),
     ++c4_1(a241)]).

input_clause(clause261,conjecture,
    [--ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c4_2(V,W),
     --ndr1_1(V),
     --c2_1(V),
     ++c1_2(U,X),
     ++c4_2(U,X),
     ++c1_1(U),
     ++c1_2(V,W),
     ++c3_2(V,W),
     ++c1_1(V),
     ++c3_2(a241,a242)]).

input_clause(clause262,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --c5_1(U),
     --ndr1_0,
     --c1_1(W),
     --c5_2(a249,X),
     --ndr1_1(a249),
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c4_1(W),
     ++c1_2(a249,X)]).

input_clause(clause263,conjecture,
    [--c1_2(U,V),
     --c3_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c3_2(U,W),
     --ndr1_0,
     --c3_0,
     ++c4_2(U,W),
     ++c5_1(U),
     ++ndr1_1(X),
     ++c3_1(X),
     ++c5_1(X)]).

input_clause(clause264,conjecture,
    [--ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c4_2(V,W),
     --ndr1_1(V),
     --c2_1(V),
     --c2_2(a241,a242),
     ++c1_2(U,X),
     ++c4_2(U,X),
     ++c1_1(U),
     ++c1_2(V,W),
     ++c3_2(V,W),
     ++c1_1(V)]).

input_clause(clause265,conjecture,
    [--ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c4_2(V,W),
     --ndr1_1(V),
     --c2_1(V),
     --c4_2(a241,a242),
     ++c1_2(U,X),
     ++c4_2(U,X),
     ++c1_1(U),
     ++c1_2(V,W),
     ++c3_2(V,W),
     ++c1_1(V)]).

input_clause(clause266,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c4_2(W,X),
     --c5_2(W,X),
     --ndr1_1(W),
     --c1_0,
     ++c2_2(U,V),
     ++c5_1(U),
     ++c3_2(W,X),
     ++c3_2(W,a233),
     ++c4_1(W)]).

input_clause(clause267,conjecture,
    [--c2_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_2(W,X),
     --c3_2(W,X),
     --ndr1_1(W),
     ++c3_2(U,V),
     ++c2_1(U),
     ++c5_1(U),
     ++c2_2(W,X),
     ++c3_2(W,a205),
     ++c4_1(W)]).

input_clause(clause268,conjecture,
    [--c2_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_2(W,X),
     --c3_2(W,X),
     --ndr1_1(W),
     ++c3_2(U,V),
     ++c2_1(U),
     ++c5_1(U),
     ++c2_2(W,X),
     ++c4_2(W,a205),
     ++c4_1(W)]).

input_clause(clause269,conjecture,
    [--c2_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_2(W,X),
     --c3_2(W,X),
     --ndr1_1(W),
     ++c3_2(U,V),
     ++c2_1(U),
     ++c5_1(U),
     ++c2_2(W,X),
     ++c5_2(W,a205),
     ++c4_1(W)]).

input_clause(clause270,conjecture,
    [--c1_2(U,V),
     --c3_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c3_2(U,W),
     --ndr1_0,
     --c3_0,
     ++c4_2(U,W),
     ++c5_1(U),
     ++c4_2(X,a238),
     ++c3_1(X),
     ++c5_1(X)]).

input_clause(clause271,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --c5_1(U),
     --ndr1_0,
     --c1_1(W),
     --ndr1_1(a249),
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c4_1(W),
     ++c1_2(a249,X),
     ++c2_2(a249,X),
     ++c4_2(a249,X)]).

input_clause(clause272,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c4_2(W,X),
     --c5_2(W,X),
     --ndr1_1(W),
     --c5_2(W,a233),
     --c1_0,
     ++c2_2(U,V),
     ++c5_1(U),
     ++c3_2(W,X),
     ++c4_1(W)]).

input_clause(clause273,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c2_2(W,X),
     --c4_2(W,X),
     --ndr1_1(W),
     ++c3_2(W,X),
     ++c2_1(W),
     ++c3_1(W),
     ++ndr1_1(a243)]).

input_clause(clause274,conjecture,
    [--c1_2(U,V),
     --c3_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c3_2(U,W),
     --ndr1_0,
     --c1_2(X,a238),
     --c3_0,
     ++c4_2(U,W),
     ++c5_1(U),
     ++c3_1(X),
     ++c5_1(X)]).

input_clause(clause275,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c2_2(W,X),
     --c4_2(W,X),
     --ndr1_1(W),
     ++c3_2(W,X),
     ++c2_1(W),
     ++c3_1(W),
     ++c2_2(a243,a244)]).

input_clause(clause276,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c2_2(W,X),
     --c4_2(W,X),
     --ndr1_1(W),
     --c2_1(a243),
     ++c3_2(W,X),
     ++c2_1(W),
     ++c3_1(W)]).

input_clause(clause277,conjecture,
    [--ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c4_2(V,W),
     --ndr1_1(V),
     --c2_1(V),
     --c4_2(a241,X),
     --ndr1_1(a241),
     ++c1_2(U,Y),
     ++c4_2(U,Y),
     ++c1_1(U),
     ++c1_2(V,W),
     ++c3_2(V,W),
     ++c1_1(V)]).

input_clause(clause278,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --c5_1(U),
     --ndr1_0,
     --c1_1(W),
     --c1_2(a249,X),
     --c2_2(a249,X),
     --ndr1_1(a249),
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c4_1(W),
     ++c4_2(a249,X)]).

input_clause(clause279,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c2_2(W,X),
     --c4_2(W,X),
     --ndr1_1(W),
     --c3_2(a243,a244),
     ++c3_2(W,X),
     ++c2_1(W),
     ++c3_1(W)]).

input_clause(clause280,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --ndr1_1(W),
     --c5_2(X,Y),
     --ndr1_1(X),
     --c4_2(X,Z),
     ++c2_2(U,V),
     ++c4_2(U,V),
     ++c4_1(U),
     ++c1_2(W,X1),
     ++c2_2(W,X1),
     ++c3_1(W),
     ++c2_2(X,Y),
     ++c1_2(X,Z),
     ++c5_2(X,Z),
     ++c2_1(X)]).

input_clause(clause281,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c2_2(W,X),
     --c4_2(W,X),
     --ndr1_1(W),
     --c3_2(a243,Y),
     --ndr1_1(a243),
     ++c3_2(W,X),
     ++c2_1(W),
     ++c3_1(W),
     ++c1_2(a243,Y),
     ++c4_2(a243,Y)]).
%--------------------------------------------------------------------------
