%--------------------------------------------------------------------------
% File     : SYN515-1 : TPTP v2.2.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=15, K=3, D=2, P=0, Index=016
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-15-3-2-016.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.33 v2.2.0, 0.00 v2.1.0
% Syntax   : Number of clauses    :   89 (  55 non-Horn;   0 unit;  74 RR)
%            Number of literals   :  369 (   0 equality)
%            Maximal clause size  :   12 (   4 average)
%            Number of predicates :   27 (  13 propositional; 0-2 arity)
%            Number of functors   :   26 (  26 constant; 0-0 arity)
%            Number of variables  :   65 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ndr1_0,++ssSkC6]).

input_clause(clause2,conjecture,
    [++ndr1_0,++ssSkC3]).

input_clause(clause3,conjecture,
    [++ndr1_0,++ssSkC2]).

input_clause(clause4,conjecture,
    [++ndr1_0,++ssSkC1]).

input_clause(clause5,conjecture,
    [++ndr1_0,++ssSkC0]).

input_clause(clause6,conjecture,
    [--ssSkC5,--ssSkC6,++ndr1_0]).

input_clause(clause7,conjecture,
    [--ssSkC2,++ndr1_0,++c4_0]).

input_clause(clause8,conjecture,
    [++ndr1_1(a24),
     ++ssSkC6]).

input_clause(clause9,conjecture,
    [++ndr1_1(U),
     ++ssSkP2(U)]).

input_clause(clause10,conjecture,
    [++ndr1_1(a14),
     ++ssSkC3]).

input_clause(clause11,conjecture,
    [++c5_1(a14),
     ++ssSkC3]).

input_clause(clause12,conjecture,
    [++c4_1(a12),
     ++ssSkC2]).

input_clause(clause13,conjecture,
    [++c3_1(a12),
     ++ssSkC2]).

input_clause(clause14,conjecture,
    [++ndr1_1(a8),
     ++ssSkC1]).

input_clause(clause15,conjecture,
    [++c1_1(a8),
     ++ssSkC1]).

input_clause(clause16,conjecture,
    [++ndr1_1(U),
     ++ssSkP1(U)]).

input_clause(clause17,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause18,conjecture,
    [--ssSkC1,--c4_0,++ndr1_0]).

input_clause(clause19,conjecture,
    [--c1_0,++ndr1_0,++c2_0]).

input_clause(clause20,conjecture,
    [++c1_2(a24,a25),
     ++ssSkC6]).

input_clause(clause21,conjecture,
    [++c3_2(a24,a25),
     ++ssSkC6]).

input_clause(clause22,conjecture,
    [++c4_2(U,a22),
     ++ssSkP2(U)]).

input_clause(clause23,conjecture,
    [++c5_2(U,a22),
     ++ssSkP2(U)]).

input_clause(clause24,conjecture,
    [++c2_2(U,a22),
     ++ssSkP2(U)]).

input_clause(clause25,conjecture,
    [++c1_2(a14,a15),
     ++ssSkC3]).

input_clause(clause26,conjecture,
    [--c5_1(a12),
     ++ssSkC2]).

input_clause(clause27,conjecture,
    [++c3_2(a8,a9),
     ++ssSkC1]).

input_clause(clause28,conjecture,
    [++c1_2(a8,a9),
     ++ssSkC1]).

input_clause(clause29,conjecture,
    [--c3_1(a8),
     ++ssSkC1]).

input_clause(clause30,conjecture,
    [++c4_2(U,a5),
     ++ssSkP1(U)]).

input_clause(clause31,conjecture,
    [++c5_2(U,a1),
     ++ssSkP0(U)]).

input_clause(clause32,conjecture,
    [--ssSkC5,
     --ssSkC6,
     --c5_1(a26)]).

input_clause(clause33,conjecture,
    [--ssSkC2,
     --c4_1(a13),
     ++c4_0]).

input_clause(clause34,conjecture,
    [--ssSkC1,
     --c4_0,
     ++ndr1_1(a10)]).

input_clause(clause35,conjecture,
    [--ssSkC1,
     --c4_0,
     ++c5_1(a10)]).

input_clause(clause36,conjecture,
    [--ssSkC1,
     --c4_0,
     ++c1_1(a10)]).

input_clause(clause37,conjecture,
    [--c1_0,
     ++c4_1(a7),
     ++c2_0]).

input_clause(clause38,conjecture,
    [--c4_0,--c1_0,++c5_0]).

input_clause(clause39,conjecture,
    [--c3_2(a14,a15),
     ++ssSkC3]).

input_clause(clause40,conjecture,
    [--c2_2(a14,a15),
     ++ssSkC3]).

input_clause(clause41,conjecture,
    [--c2_2(a8,a9),
     ++ssSkC1]).

input_clause(clause42,conjecture,
    [--c5_2(U,a5),
     ++ssSkP1(U)]).

input_clause(clause43,conjecture,
    [--c1_2(U,a5),
     ++ssSkP1(U)]).

input_clause(clause44,conjecture,
    [--c3_2(U,a1),
     ++ssSkP0(U)]).

input_clause(clause45,conjecture,
    [--c1_2(U,a1),
     ++ssSkP0(U)]).

input_clause(clause46,conjecture,
    [--ssSkC1,
     --c4_0,
     ++c5_2(a10,a11)]).

input_clause(clause47,conjecture,
    [--ssSkC1,
     --c4_0,
     ++c2_2(a10,a11)]).

input_clause(clause48,conjecture,
    [--c1_1(a7),
     --c1_0,
     ++c2_0]).

input_clause(clause49,conjecture,
    [--c3_1(a7),
     --c1_0,
     ++c2_0]).

input_clause(clause50,conjecture,
    [--ssSkC1,
     --c1_2(a10,a11),
     --c4_0]).

input_clause(clause51,conjecture,
    [--ssSkC3,
     --ndr1_0,
     --c3_1(a16),
     ++c2_1(U),
     ++c5_1(U)]).

input_clause(clause52,conjecture,
    [--ssSkC3,
     --ndr1_0,
     --c5_1(a16),
     ++c2_1(U),
     ++c5_1(U)]).

input_clause(clause53,conjecture,
    [--ssSkP1(U),
     --ssSkC0,
     --c3_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c4_0]).

input_clause(clause54,conjecture,
    [--ssSkC2,
     --ndr1_1(a13),
     ++c4_2(a13,U),
     ++c3_2(a13,U),
     ++c4_0]).

input_clause(clause55,conjecture,
    [--c5_1(U),
     --c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC4]).

input_clause(clause56,conjecture,
    [--ssSkP1(U),
     --ssSkC0,
     --c3_1(U),
     --ndr1_0,
     ++c3_2(U,a6),
     ++c4_0]).

input_clause(clause57,conjecture,
    [--ssSkP1(U),
     --ssSkC0,
     --c3_1(U),
     --ndr1_0,
     ++c2_2(U,a6),
     ++c4_0]).

input_clause(clause58,conjecture,
    [--ssSkP0(U),
     --c1_1(U),
     --ndr1_0,
     --c3_0,
     ++ndr1_1(U),
     ++c5_0]).

input_clause(clause59,conjecture,
    [--c3_2(a14,U),
     --ndr1_1(a14),
     ++c5_2(a14,U),
     ++ssSkC3]).

input_clause(clause60,conjecture,
    [--c2_2(a4,U),
     --ndr1_1(a4),
     ++c3_2(a4,U),
     ++ssSkC0]).

input_clause(clause61,conjecture,
    [--c5_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c5_2(U,a17),
     ++ssSkC4]).

input_clause(clause62,conjecture,
    [--c5_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c1_2(U,a17),
     ++ssSkC4]).

input_clause(clause63,conjecture,
    [--ssSkP1(U),
     --ssSkC0,
     --c5_2(U,a6),
     --c3_1(U),
     --ndr1_0,
     ++c4_0]).

input_clause(clause64,conjecture,
    [--ssSkP0(U),
     --c1_1(U),
     --ndr1_0,
     --c3_0,
     ++c3_2(U,a2),
     ++c5_0]).

input_clause(clause65,conjecture,
    [--c4_2(U,a17),
     --c5_1(U),
     --c2_1(U),
     --ndr1_0,
     ++ssSkC4]).

input_clause(clause66,conjecture,
    [--ssSkP0(U),
     --c5_2(U,a2),
     --c1_1(U),
     --ndr1_0,
     --c3_0,
     ++c5_0]).

input_clause(clause67,conjecture,
    [--ssSkC5,
     --ssSkC6,
     --c1_2(a26,U),
     --ndr1_1(a26),
     ++c2_2(a26,U),
     ++c4_2(a26,U)]).

input_clause(clause68,conjecture,
    [--c4_1(U),
     --c3_1(U),
     --c2_1(U),
     --ndr1_0,
     --c4_0,
     ++ndr1_1(a19)]).

input_clause(clause69,conjecture,
    [--ssSkC2,
     --c5_2(a13,U),
     --ndr1_1(a13),
     ++c1_2(a13,U),
     ++c3_2(a13,U),
     ++c4_0]).

input_clause(clause70,conjecture,
    [--c1_2(a24,U),
     --c2_2(a24,U),
     --ndr1_1(a24),
     ++c4_2(a24,U),
     ++ssSkC6]).

input_clause(clause71,conjecture,
    [--c4_2(a24,U),
     --c3_2(a24,U),
     --ndr1_1(a24),
     ++c1_2(a24,U),
     ++ssSkC6]).

input_clause(clause72,conjecture,
    [--ssSkP2(U),
     --ndr1_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c4_2(U,V),
     ++c2_2(U,a23),
     ++ssSkC5]).

input_clause(clause73,conjecture,
    [--ssSkP2(U),
     --ndr1_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c4_2(U,V),
     ++c4_2(U,a23),
     ++ssSkC5]).

input_clause(clause74,conjecture,
    [--c4_2(a4,U),
     --c5_2(a4,U),
     --ndr1_1(a4),
     ++c3_2(a4,U),
     ++ssSkC0]).

input_clause(clause75,conjecture,
    [--c3_2(a4,U),
     --c5_2(a4,U),
     --ndr1_1(a4),
     ++c4_2(a4,U),
     ++ssSkC0]).

input_clause(clause76,conjecture,
    [--c4_1(U),
     --c3_1(U),
     --c2_1(U),
     --ndr1_0,
     --c4_0,
     ++c3_2(a19,a20)]).

input_clause(clause77,conjecture,
    [--c4_1(U),
     --c3_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_1(a19),
     --c4_0]).

input_clause(clause78,conjecture,
    [--ssSkP2(U),
     --ndr1_1(U),
     --c5_2(U,a23),
     --ndr1_0,
     ++c5_2(U,V),
     ++c4_2(U,V),
     ++ssSkC5]).

input_clause(clause79,conjecture,
    [--c4_1(U),
     --c3_1(U),
     --c2_1(U),
     --ndr1_0,
     --c4_2(a19,a20),
     --c4_0]).

input_clause(clause80,conjecture,
    [--ssSkC4,
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c5_0,
     ++c3_2(U,V),
     ++c1_2(U,V),
     ++c2_2(U,a18),
     ++c1_1(U)]).

input_clause(clause81,conjecture,
    [--ssSkC4,
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c5_0,
     ++c3_2(U,V),
     ++c1_2(U,V),
     ++c3_2(U,a18),
     ++c1_1(U)]).

input_clause(clause82,conjecture,
    [--ssSkC3,
     --ndr1_0,
     --c4_2(a16,U),
     --c1_2(a16,U),
     --c3_2(a16,U),
     --ndr1_1(a16),
     ++c2_1(V),
     ++c5_1(V)]).

input_clause(clause83,conjecture,
    [--c2_2(U,V),
     --c4_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c3_0,
     ++c5_2(U,a21),
     ++c4_0]).

input_clause(clause84,conjecture,
    [--c4_1(U),
     --c3_1(U),
     --c2_1(U),
     --ndr1_0,
     --c3_2(a19,V),
     --c4_2(a19,V),
     --ndr1_1(a19),
     --c4_0]).

input_clause(clause85,conjecture,
    [--c2_2(U,V),
     --c4_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a21),
     --c5_1(U),
     --ndr1_0,
     --c3_0,
     ++c4_0]).

input_clause(clause86,conjecture,
    [--c2_2(U,V),
     --c4_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a21),
     --c5_1(U),
     --ndr1_0,
     --c3_0,
     ++c4_0]).

input_clause(clause87,conjecture,
    [--c5_2(U,V),
     --c3_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --c5_1(U),
     --ndr1_0,
     --c5_1(a3),
     ++c1_0]).

input_clause(clause88,conjecture,
    [--c5_2(U,V),
     --c3_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --c5_1(U),
     --ndr1_0,
     --c3_1(a3),
     ++c1_0]).

input_clause(clause89,conjecture,
    [--c5_2(U,V),
     --c3_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --c5_1(U),
     --ndr1_0,
     --c5_2(a3,W),
     --c1_2(a3,W),
     --ndr1_1(a3),
     ++c3_2(a3,W),
     ++c1_0]).
%--------------------------------------------------------------------------
