%--------------------------------------------------------------------------
% File     : SYN517-1 : TPTP v2.2.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=15, K=3, D=2, P=0, Index=061
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-15-3-2-061.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.00 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :   68 (  43 non-Horn;   0 unit;  62 RR)
%            Number of literals   :  282 (   0 equality)
%            Maximal clause size  :   11 (   4 average)
%            Number of predicates :   20 (   9 propositional; 0-2 arity)
%            Number of functors   :   20 (  20 constant; 0-0 arity)
%            Number of variables  :   38 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ndr1_0,++c2_0]).

input_clause(clause2,conjecture,
    [++c4_0,++c5_0]).

input_clause(clause3,conjecture,
    [++ndr1_0,++ssSkC2]).

input_clause(clause4,conjecture,
    [++ndr1_0,++ssSkC1]).

input_clause(clause5,conjecture,
    [++ndr1_0,++ssSkC0]).

input_clause(clause6,conjecture,
    [--ssSkC2,++ndr1_0,++c3_0]).

input_clause(clause7,conjecture,
    [++ndr1_1(a65),
     ++c2_0]).

input_clause(clause8,conjecture,
    [--ssSkC0,++ndr1_0,++c3_0]).

input_clause(clause9,conjecture,
    [++ndr1_1(a62),
     ++ssSkC1]).

input_clause(clause10,conjecture,
    [++c1_1(a62),
     ++ssSkC1]).

input_clause(clause11,conjecture,
    [++ndr1_1(a57),
     ++ssSkC0]).

input_clause(clause12,conjecture,
    [++c5_2(a65,a66),
     ++c2_0]).

input_clause(clause13,conjecture,
    [++c4_2(a65,a66),
     ++c2_0]).

input_clause(clause14,conjecture,
    [--ssSkC1,--c5_0,++ndr1_0]).

input_clause(clause15,conjecture,
    [--ssSkC0,
     ++c2_1(a59),
     ++c3_0]).

input_clause(clause16,conjecture,
    [--ssSkC0,
     ++c5_1(a59),
     ++c3_0]).

input_clause(clause17,conjecture,
    [++ndr1_1(a53),
     ++c1_0,
     ++c2_0]).

input_clause(clause18,conjecture,
    [++c5_1(a53),
     ++c1_0,
     ++c2_0]).

input_clause(clause19,conjecture,
    [++c1_1(a53),
     ++c1_0,
     ++c2_0]).

input_clause(clause20,conjecture,
    [--c1_1(a67),
     ++ssSkC2]).

input_clause(clause21,conjecture,
    [++c3_2(a62,a63),
     ++ssSkC1]).

input_clause(clause22,conjecture,
    [++c4_2(a57,a58),
     ++ssSkC0]).

input_clause(clause23,conjecture,
    [++c2_2(a57,a58),
     ++ssSkC0]).

input_clause(clause24,conjecture,
    [--c5_1(a57),
     ++ssSkC0]).

input_clause(clause25,conjecture,
    [--ssSkC2,
     --c3_1(a68),
     ++c3_0]).

input_clause(clause26,conjecture,
    [--c3_2(a65,a66),
     ++c2_0]).

input_clause(clause27,conjecture,
    [--ssSkC1,
     --c5_0,
     ++c2_1(a64)]).

input_clause(clause28,conjecture,
    [--c5_0,--c3_0,++ndr1_0]).

input_clause(clause29,conjecture,
    [--ssSkC0,
     --c4_1(a59),
     ++c3_0]).

input_clause(clause30,conjecture,
    [--c2_0,--c4_0,++ndr1_0]).

input_clause(clause31,conjecture,
    [++c3_2(a53,a54),
     ++c1_0,
     ++c2_0]).

input_clause(clause32,conjecture,
    [++c2_2(a53,a54),
     ++c1_0,
     ++c2_0]).

input_clause(clause33,conjecture,
    [--c2_0,--c3_0,++c5_0]).

input_clause(clause34,conjecture,
    [--c5_2(a62,a63),
     ++ssSkC1]).

input_clause(clause35,conjecture,
    [--c2_2(a62,a63),
     ++ssSkC1]).

input_clause(clause36,conjecture,
    [--c1_2(a57,a58),
     ++ssSkC0]).

input_clause(clause37,conjecture,
    [--ssSkC1,
     --c5_1(a64),
     --c5_0]).

input_clause(clause38,conjecture,
    [--c5_0,
     --c3_0,
     ++ndr1_1(a60)]).

input_clause(clause39,conjecture,
    [--c5_0,
     --c3_0,
     ++c5_1(a60)]).

input_clause(clause40,conjecture,
    [--c2_0,
     --c4_0,
     ++ndr1_1(a55)]).

input_clause(clause41,conjecture,
    [--c2_0,
     --c4_0,
     ++c5_1(a55)]).

input_clause(clause42,conjecture,
    [--c1_2(a53,a54),
     ++c1_0,
     ++c2_0]).

input_clause(clause43,conjecture,
    [--c2_0,
     --c4_0,
     ++c4_2(a55,a56)]).

input_clause(clause44,conjecture,
    [--c2_0,
     --c4_0,
     ++c1_2(a55,a56)]).

input_clause(clause45,conjecture,
    [--c4_2(a60,a61),
     --c5_0,
     --c3_0]).

input_clause(clause46,conjecture,
    [--c1_2(a60,a61),
     --c5_0,
     --c3_0]).

input_clause(clause47,conjecture,
    [--c5_2(a60,a61),
     --c5_0,
     --c3_0]).

input_clause(clause48,conjecture,
    [--c3_2(a55,a56),
     --c2_0,
     --c4_0]).

input_clause(clause49,conjecture,
    [--c1_2(a65,U),
     --c3_2(a65,U),
     --ndr1_1(a65),
     ++c2_0]).

input_clause(clause50,conjecture,
    [--ndr1_1(a60),
     --c5_0,
     --c3_0,
     ++c5_2(a60,U),
     ++c4_2(a60,U)]).

input_clause(clause51,conjecture,
    [--c5_2(a62,U),
     --ndr1_1(a62),
     ++c2_2(a62,U),
     ++c1_2(a62,U),
     ++ssSkC1]).

input_clause(clause52,conjecture,
    [--c3_2(a57,U),
     --ndr1_1(a57),
     ++c5_2(a57,U),
     ++c2_2(a57,U),
     ++ssSkC0]).

input_clause(clause53,conjecture,
    [--c2_2(a67,U),
     --c3_2(a67,U),
     --ndr1_1(a67),
     ++c1_2(a67,U),
     ++ssSkC2]).

input_clause(clause54,conjecture,
    [--ssSkC2,
     --c4_2(a68,U),
     --c5_2(a68,U),
     --ndr1_1(a68),
     ++c3_2(a68,U),
     ++c3_0]).

input_clause(clause55,conjecture,
    [--ndr1_1(a55),
     --c2_0,
     --c4_0,
     ++c3_2(a55,U),
     ++c5_2(a55,U),
     ++c1_2(a55,U)]).

input_clause(clause56,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c5_1(U),
     ++c3_1(U),
     ++ndr1_1(a50),
     ++c1_0]).

input_clause(clause57,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c5_1(U),
     ++c3_1(U),
     ++c3_1(a50),
     ++c1_0]).

input_clause(clause58,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c5_1(U),
     ++c3_1(U),
     ++c3_2(a50,a51),
     ++c1_0]).

input_clause(clause59,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_2(a50,a51),
     ++c4_2(U,V),
     ++c5_1(U),
     ++c3_1(U),
     ++c1_0]).

input_clause(clause60,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_2(a50,a51),
     ++c4_2(U,V),
     ++c5_1(U),
     ++c3_1(U),
     ++c1_0]).

input_clause(clause61,conjecture,
    [--ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++c3_1(U),
     ++ndr1_1(W),
     ++c4_1(W),
     ++c3_1(W),
     ++c4_0]).

input_clause(clause62,conjecture,
    [--c4_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c5_0,
     --c1_0,
     ++c3_2(U,V),
     ++c1_2(U,a52),
     ++c4_1(U)]).

input_clause(clause63,conjecture,
    [--ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++c3_1(U),
     ++c5_2(W,a69),
     ++c4_1(W),
     ++c3_1(W),
     ++c4_0]).

input_clause(clause64,conjecture,
    [--ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++c3_1(U),
     ++c4_2(W,a69),
     ++c4_1(W),
     ++c3_1(W),
     ++c4_0]).

input_clause(clause65,conjecture,
    [--c4_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a52),
     --ndr1_0,
     --c5_0,
     --c1_0,
     ++c3_2(U,V),
     ++c4_1(U)]).

input_clause(clause66,conjecture,
    [--c4_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a52),
     --ndr1_0,
     --c5_0,
     --c1_0,
     ++c3_2(U,V),
     ++c4_1(U)]).

input_clause(clause67,conjecture,
    [--ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c1_2(V,a69),
     ++c2_2(U,W),
     ++c4_2(U,W),
     ++c3_2(U,W),
     ++c3_1(U),
     ++c4_1(V),
     ++c3_1(V),
     ++c4_0]).

input_clause(clause68,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_2(a50,W),
     --ndr1_1(a50),
     ++c4_2(U,V),
     ++c5_1(U),
     ++c3_1(U),
     ++c4_2(a50,W),
     ++c3_2(a50,W),
     ++c1_0]).
%--------------------------------------------------------------------------
