%--------------------------------------------------------------------------
% File     : SYN519-1 : TPTP v2.2.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=175, K=3, D=2, P=0, Index=057
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-175-3-2-057.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.67 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :  530 ( 308 non-Horn;   3 unit; 471 RR)
%            Number of literals   : 2255 (   0 equality)
%            Maximal clause size  :   17 (   4 average)
%            Number of predicates :   74 (  52 propositional; 0-2 arity)
%            Number of functors   :  171 ( 171 constant; 0-0 arity)
%            Number of variables  :  449 (   6 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++c1_0]).

input_clause(clause2,conjecture,
    [++c4_0]).

input_clause(clause3,conjecture,
    [--ssSkC45,++ndr1_0]).

input_clause(clause4,conjecture,
    [--ssSkC40,++ndr1_0]).

input_clause(clause5,conjecture,
    [--ssSkC27,++ndr1_0]).

input_clause(clause6,conjecture,
    [--ssSkC25,++ndr1_0]).

input_clause(clause7,conjecture,
    [--ssSkC16,++ndr1_0]).

input_clause(clause8,conjecture,
    [--ssSkC15,++ndr1_0]).

input_clause(clause9,conjecture,
    [--ssSkC10,++ndr1_0]).

input_clause(clause10,conjecture,
    [--ssSkC9,++ndr1_0]).

input_clause(clause11,conjecture,
    [--ssSkC8,++ndr1_0]).

input_clause(clause12,conjecture,
    [++ndr1_0,++c5_0]).

input_clause(clause13,conjecture,
    [++ndr1_0,++c3_0]).

input_clause(clause14,conjecture,
    [++ndr1_0,++c2_0]).

input_clause(clause15,conjecture,
    [--c3_0]).

input_clause(clause16,conjecture,
    [++ndr1_0,++ssSkC45]).

input_clause(clause17,conjecture,
    [++ndr1_0,++ssSkC44]).

input_clause(clause18,conjecture,
    [++ndr1_0,++ssSkC43]).

input_clause(clause19,conjecture,
    [++ndr1_0,++ssSkC42]).

input_clause(clause20,conjecture,
    [++ndr1_0,++ssSkC41]).

input_clause(clause21,conjecture,
    [++ndr1_0,++ssSkC40]).

input_clause(clause22,conjecture,
    [++ndr1_0,++ssSkC39]).

input_clause(clause23,conjecture,
    [++ndr1_0,++ssSkC38]).

input_clause(clause24,conjecture,
    [++ndr1_0,++ssSkC37]).

input_clause(clause25,conjecture,
    [++ndr1_0,++ssSkC36]).

input_clause(clause26,conjecture,
    [++ndr1_0,++ssSkC35]).

input_clause(clause27,conjecture,
    [++ndr1_0,++ssSkC28]).

input_clause(clause28,conjecture,
    [++ndr1_0,++ssSkC26]).

input_clause(clause29,conjecture,
    [++ndr1_0,++ssSkC24]).

input_clause(clause30,conjecture,
    [++ndr1_0,++ssSkC19]).

input_clause(clause31,conjecture,
    [++ndr1_0,++ssSkC16]).

input_clause(clause32,conjecture,
    [++ndr1_0,++ssSkC14]).

input_clause(clause33,conjecture,
    [++ndr1_0,++ssSkC10]).

input_clause(clause34,conjecture,
    [++ndr1_0,++ssSkC7]).

input_clause(clause35,conjecture,
    [--ssSkC45,
     ++ndr1_1(a173)]).

input_clause(clause36,conjecture,
    [--ssSkC43,--ssSkC44,++ndr1_0]).

input_clause(clause37,conjecture,
    [--ssSkC41,--ssSkC42,++ndr1_0]).

input_clause(clause38,conjecture,
    [--ssSkC40,
     ++c3_1(a159)]).

input_clause(clause39,conjecture,
    [--ssSkC40,
     ++c4_1(a159)]).

input_clause(clause40,conjecture,
    [--ssSkC40,
     ++c5_1(a159)]).

input_clause(clause41,conjecture,
    [--ssSkC38,--ssSkC39,++ndr1_0]).

input_clause(clause42,conjecture,
    [--ssSkC36,--ssSkC37,++ndr1_0]).

input_clause(clause43,conjecture,
    [--ssSkC34,--ssSkC35,++ndr1_0]).

input_clause(clause44,conjecture,
    [--ssSkC31,--ssSkC32,++ndr1_0]).

input_clause(clause45,conjecture,
    [--ssSkC29,--ssSkC30,++ndr1_0]).

input_clause(clause46,conjecture,
    [--ssSkC25,
     ++ndr1_1(a125)]).

input_clause(clause47,conjecture,
    [--ssSkC23,--ssSkC24,++ndr1_0]).

input_clause(clause48,conjecture,
    [--ssSkC20,--ssSkC21,++ndr1_0]).

input_clause(clause49,conjecture,
    [--ssSkC18,--ssSkC19,++ndr1_0]).

input_clause(clause50,conjecture,
    [--c5_0,++ndr1_0]).

input_clause(clause51,conjecture,
    [--ssSkC16,
     ++ndr1_1(a103)]).

input_clause(clause52,conjecture,
    [--ssSkC16,
     ++c4_1(a103)]).

input_clause(clause53,conjecture,
    [--c2_0,++ndr1_0]).

input_clause(clause54,conjecture,
    [--ssSkC10,
     ++ndr1_1(a72)]).

input_clause(clause55,conjecture,
    [--ssSkC9,
     ++c2_1(a70)]).

input_clause(clause56,conjecture,
    [--ssSkC8,
     ++ndr1_1(a66)]).

input_clause(clause57,conjecture,
    [--ssSkC8,
     ++c5_1(a66)]).

input_clause(clause58,conjecture,
    [++ndr1_1(a51),
     ++c5_0]).

input_clause(clause59,conjecture,
    [++c1_1(a46),
     ++c3_0]).

input_clause(clause60,conjecture,
    [++c2_1(a46),
     ++c3_0]).

input_clause(clause61,conjecture,
    [++c1_1(a27),
     ++c3_0]).

input_clause(clause62,conjecture,
    [++ndr1_1(a23),
     ++c2_0]).

input_clause(clause63,conjecture,
    [++ndr1_1(a2),
     ++c2_0]).

input_clause(clause64,conjecture,
    [++c5_1(a2),
     ++c2_0]).

input_clause(clause65,conjecture,
    [--c4_0,++c2_0]).

input_clause(clause66,conjecture,
    [++c5_1(a172),
     ++ssSkC45]).

input_clause(clause67,conjecture,
    [++ndr1_1(a164),
     ++ssSkC43]).

input_clause(clause68,conjecture,
    [++c3_1(a164),
     ++ssSkC43]).

input_clause(clause69,conjecture,
    [++ndr1_1(a161),
     ++ssSkC42]).

input_clause(clause70,conjecture,
    [++c2_1(a161),
     ++ssSkC42]).

input_clause(clause71,conjecture,
    [++c2_1(a160),
     ++ssSkC41]).

input_clause(clause72,conjecture,
    [++c3_1(a160),
     ++ssSkC41]).

input_clause(clause73,conjecture,
    [++c1_1(a158),
     ++ssSkC40]).

input_clause(clause74,conjecture,
    [++ndr1_1(a154),
     ++ssSkC39]).

input_clause(clause75,conjecture,
    [++c1_1(a154),
     ++ssSkC39]).

input_clause(clause76,conjecture,
    [++c1_1(a153),
     ++ssSkC38]).

input_clause(clause77,conjecture,
    [++c5_1(a153),
     ++ssSkC38]).

input_clause(clause78,conjecture,
    [++ndr1_1(a147),
     ++ssSkC37]).

input_clause(clause79,conjecture,
    [++c1_1(a146),
     ++ssSkC36]).

input_clause(clause80,conjecture,
    [++c3_1(a146),
     ++ssSkC36]).

input_clause(clause81,conjecture,
    [++c4_1(a144),
     ++ssSkC35]).

input_clause(clause82,conjecture,
    [++ndr1_1(U),
     ++ssSkP9(U)]).

input_clause(clause83,conjecture,
    [++c1_1(a131),
     ++ssSkC28]).

input_clause(clause84,conjecture,
    [++c4_1(a127),
     ++ssSkC26]).

input_clause(clause85,conjecture,
    [++c5_1(a127),
     ++ssSkC26]).

input_clause(clause86,conjecture,
    [++ndr1_1(U),
     ++ssSkP8(U)]).

input_clause(clause87,conjecture,
    [++c4_1(a109),
     ++ssSkC19]).

input_clause(clause88,conjecture,
    [++c3_1(a102),
     ++ssSkC16]).

input_clause(clause89,conjecture,
    [++c5_1(a102),
     ++ssSkC16]).

input_clause(clause90,conjecture,
    [++ndr1_1(U),
     ++ssSkP7(U)]).

input_clause(clause91,conjecture,
    [++c4_1(a86),
     ++ssSkC14]).

input_clause(clause92,conjecture,
    [++c5_1(a86),
     ++ssSkC14]).

input_clause(clause93,conjecture,
    [++ndr1_1(U),
     ++ssSkP6(U)]).

input_clause(clause94,conjecture,
    [++c3_1(a71),
     ++ssSkC10]).

input_clause(clause95,conjecture,
    [++ndr1_1(U),
     ++ssSkP5(U)]).

input_clause(clause96,conjecture,
    [++ndr1_1(U),
     ++ssSkP4(U)]).

input_clause(clause97,conjecture,
    [++ndr1_1(U),
     ++ssSkP3(U)]).

input_clause(clause98,conjecture,
    [++ndr1_1(U),
     ++ssSkP2(U)]).

input_clause(clause99,conjecture,
    [++ndr1_1(U),
     ++ssSkP1(U)]).

input_clause(clause100,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause101,conjecture,
    [--ssSkC45,
     --c2_1(a173)]).

input_clause(clause102,conjecture,
    [--ssSkC45,
     --c5_1(a173)]).

input_clause(clause103,conjecture,
    [--ssSkC43,
     --ssSkC44,
     ++ndr1_1(a168)]).

input_clause(clause104,conjecture,
    [--ssSkC38,
     --ssSkC39,
     ++ndr1_1(a156)]).

input_clause(clause105,conjecture,
    [--ssSkC38,
     --ssSkC39,
     ++c2_1(a156)]).

input_clause(clause106,conjecture,
    [--ssSkC36,
     --ssSkC37,
     ++ndr1_1(a149)]).

input_clause(clause107,conjecture,
    [--ssSkC31,
     --ssSkC32,
     ++c2_1(a139)]).

input_clause(clause108,conjecture,
    [--ssSkC29,
     --ssSkC30,
     ++c5_1(a135)]).

input_clause(clause109,conjecture,
    [--ssSkC27,
     --c1_1(a130)]).

input_clause(clause110,conjecture,
    [--ssSkC27,
     --c5_1(a130)]).

input_clause(clause111,conjecture,
    [--ssSkC25,
     ++c3_2(a125,a126)]).

input_clause(clause112,conjecture,
    [--ssSkC20,
     --ssSkC21,
     ++c1_1(a114)]).

input_clause(clause113,conjecture,
    [--ssSkC18,
     --ssSkC19,
     ++ndr1_1(a110)]).

input_clause(clause114,conjecture,
    [--c5_0,
     ++ndr1_1(a107)]).

input_clause(clause115,conjecture,
    [--ssSkC16,
     ++c4_2(a103,a104)]).

input_clause(clause116,conjecture,
    [--ssSkC16,
     --c2_1(a103)]).

input_clause(clause117,conjecture,
    [--ssSkC15,
     --c1_1(a99)]).

input_clause(clause118,conjecture,
    [--c5_0,
     ++ndr1_1(a91)]).

input_clause(clause119,conjecture,
    [--c5_0,
     ++c5_1(a91)]).

input_clause(clause120,conjecture,
    [--c2_0,
     ++c3_1(a85)]).

input_clause(clause121,conjecture,
    [--ssSkC10,
     ++c2_2(a72,a73)]).

input_clause(clause122,conjecture,
    [--ssSkC10,
     ++c3_2(a72,a73)]).

input_clause(clause123,conjecture,
    [--ssSkC10,
     --c3_1(a72)]).

input_clause(clause124,conjecture,
    [--ssSkC9,
     --c4_1(a70)]).

input_clause(clause125,conjecture,
    [--ssSkC9,
     --c5_1(a70)]).

input_clause(clause126,conjecture,
    [--ssSkC8,
     ++c3_2(a66,a67)]).

input_clause(clause127,conjecture,
    [--ssSkC8,
     ++c5_2(a66,a67)]).

input_clause(clause128,conjecture,
    [++c2_2(a51,a52),
     ++c5_0]).

input_clause(clause129,conjecture,
    [++c3_2(a51,a52),
     ++c5_0]).

input_clause(clause130,conjecture,
    [--c4_1(a51),
     ++c5_0]).

input_clause(clause131,conjecture,
    [--c1_1(a47),
     ++c3_0]).

input_clause(clause132,conjecture,
    [--ssSkC6,
     ++c4_1(a43),
     ++c3_0]).

input_clause(clause133,conjecture,
    [--ssSkC6,
     ++c5_1(a43),
     ++c3_0]).

input_clause(clause134,conjecture,
    [--ssSkC5,
     ++c2_1(a41),
     ++c3_0]).

input_clause(clause135,conjecture,
    [--ssSkC5,
     ++c5_1(a41),
     ++c3_0]).

input_clause(clause136,conjecture,
    [--ssSkC4,
     ++ndr1_1(a38),
     ++c3_0]).

input_clause(clause137,conjecture,
    [--c2_1(a27),
     ++c3_0]).

input_clause(clause138,conjecture,
    [++c2_2(a23,a24),
     ++c2_0]).

input_clause(clause139,conjecture,
    [++c3_2(a23,a24),
     ++c2_0]).

input_clause(clause140,conjecture,
    [--c4_1(a23),
     ++c2_0]).

input_clause(clause141,conjecture,
    [--ssSkC3,
     ++c3_1(a19),
     ++c2_0]).

input_clause(clause142,conjecture,
    [--ssSkC2,
     ++ndr1_1(a16),
     ++c2_0]).

input_clause(clause143,conjecture,
    [--ssSkC2,
     ++c5_1(a16),
     ++c2_0]).

input_clause(clause144,conjecture,
    [--ssSkC1,
     ++ndr1_1(a10),
     ++c2_0]).

input_clause(clause145,conjecture,
    [--ssSkC0,
     ++ndr1_1(a7),
     ++c2_0]).

input_clause(clause146,conjecture,
    [++c5_2(a2,a3),
     ++c2_0]).

input_clause(clause147,conjecture,
    [--c1_1(a167),
     ++ssSkC44]).

input_clause(clause148,conjecture,
    [--c4_1(a167),
     ++ssSkC44]).

input_clause(clause149,conjecture,
    [++c3_2(a164,a166),
     ++ssSkC43]).

input_clause(clause150,conjecture,
    [++c5_2(a164,a166),
     ++ssSkC43]).

input_clause(clause151,conjecture,
    [++c1_2(a164,a165),
     ++ssSkC43]).

input_clause(clause152,conjecture,
    [++c4_2(a164,a165),
     ++ssSkC43]).

input_clause(clause153,conjecture,
    [++c1_2(a161,a162),
     ++ssSkC42]).

input_clause(clause154,conjecture,
    [++c2_2(a161,a162),
     ++ssSkC42]).

input_clause(clause155,conjecture,
    [++c5_2(a161,a162),
     ++ssSkC42]).

input_clause(clause156,conjecture,
    [--c4_1(a161),
     ++ssSkC42]).

input_clause(clause157,conjecture,
    [--c2_1(a158),
     ++ssSkC40]).

input_clause(clause158,conjecture,
    [++c4_2(a154,a155),
     ++ssSkC39]).

input_clause(clause159,conjecture,
    [--c4_1(a154),
     ++ssSkC39]).

input_clause(clause160,conjecture,
    [++c2_2(a147,a148),
     ++ssSkC37]).

input_clause(clause161,conjecture,
    [++c4_2(a147,a148),
     ++ssSkC37]).

input_clause(clause162,conjecture,
    [--c3_1(a147),
     ++ssSkC37]).

input_clause(clause163,conjecture,
    [--c4_1(a147),
     ++ssSkC37]).

input_clause(clause164,conjecture,
    [++c1_2(U,a136),
     ++ssSkP9(U)]).

input_clause(clause165,conjecture,
    [++c5_2(U,a136),
     ++ssSkP9(U)]).

input_clause(clause166,conjecture,
    [--c3_1(a127),
     ++ssSkC26]).

input_clause(clause167,conjecture,
    [--c3_1(a120),
     ++ssSkC24]).

input_clause(clause168,conjecture,
    [--c4_1(a120),
     ++ssSkC24]).

input_clause(clause169,conjecture,
    [++c1_2(U,a115),
     ++ssSkP8(U)]).

input_clause(clause170,conjecture,
    [++c2_2(U,a115),
     ++ssSkP8(U)]).

input_clause(clause171,conjecture,
    [--c1_1(a109),
     ++ssSkC19]).

input_clause(clause172,conjecture,
    [++c1_2(U,a100),
     ++ssSkP7(U)]).

input_clause(clause173,conjecture,
    [++c4_2(U,a100),
     ++ssSkP7(U)]).

input_clause(clause174,conjecture,
    [--c1_1(a86),
     ++ssSkC14]).

input_clause(clause175,conjecture,
    [++c2_2(U,a81),
     ++ssSkP6(U)]).

input_clause(clause176,conjecture,
    [--c2_1(a71),
     ++ssSkC10]).

input_clause(clause177,conjecture,
    [--c5_1(a71),
     ++ssSkC10]).

input_clause(clause178,conjecture,
    [++c1_2(U,a68),
     ++ssSkP5(U)]).

input_clause(clause179,conjecture,
    [++c3_2(U,a68),
     ++ssSkP5(U)]).

input_clause(clause180,conjecture,
    [++c2_2(U,a59),
     ++ssSkP4(U)]).

input_clause(clause181,conjecture,
    [++c3_2(U,a59),
     ++ssSkP4(U)]).

input_clause(clause182,conjecture,
    [++c3_2(U,a44),
     ++ssSkP3(U)]).

input_clause(clause183,conjecture,
    [++c2_2(U,a31),
     ++ssSkP2(U)]).

input_clause(clause184,conjecture,
    [++c1_2(U,a12),
     ++ssSkP0(U)]).

input_clause(clause185,conjecture,
    [++c2_2(U,a12),
     ++ssSkP0(U)]).

input_clause(clause186,conjecture,
    [--ssSkC45,
     --c3_2(a173,a174)]).

input_clause(clause187,conjecture,
    [--ssSkC45,
     --c5_2(a173,a174)]).

input_clause(clause188,conjecture,
    [--ssSkC43,
     --ssSkC44,
     ++c3_2(a168,a170)]).

input_clause(clause189,conjecture,
    [--ssSkC43,
     --ssSkC44,
     ++c5_2(a168,a170)]).

input_clause(clause190,conjecture,
    [--ssSkC43,
     --ssSkC44,
     ++c1_2(a168,a169)]).

input_clause(clause191,conjecture,
    [--ssSkC38,
     --ssSkC39,
     ++c2_2(a156,a157)]).

input_clause(clause192,conjecture,
    [--ssSkC38,
     --ssSkC39,
     --c4_1(a156)]).

input_clause(clause193,conjecture,
    [--ssSkC36,
     --ssSkC37,
     ++c3_2(a149,a151)]).

input_clause(clause194,conjecture,
    [--ssSkC36,
     --ssSkC37,
     ++c2_2(a149,a150)]).

input_clause(clause195,conjecture,
    [--ssSkC36,
     --ssSkC37,
     ++c3_2(a149,a150)]).

input_clause(clause196,conjecture,
    [--ssSkC34,
     --ssSkC35,
     --c1_1(a145)]).

input_clause(clause197,conjecture,
    [--ssSkC31,
     --ssSkC32,
     --c1_1(a139)]).

input_clause(clause198,conjecture,
    [--ssSkC29,
     --ssSkC30,
     --c3_1(a135)]).

input_clause(clause199,conjecture,
    [--ssSkC25,
     --c4_2(a125,a126)]).

input_clause(clause200,conjecture,
    [--ssSkC23,
     --ssSkC24,
     --c5_1(a121)]).

input_clause(clause201,conjecture,
    [--ssSkC20,
     --ssSkC21,
     --c4_1(a114)]).

input_clause(clause202,conjecture,
    [--ssSkC20,
     --ssSkC21,
     --c5_1(a114)]).

input_clause(clause203,conjecture,
    [--ssSkC18,
     --ssSkC19,
     ++c3_2(a110,a111)]).

input_clause(clause204,conjecture,
    [--ssSkC18,
     --ssSkC19,
     --c5_1(a110)]).

input_clause(clause205,conjecture,
    [--c5_0,
     ++c4_2(a107,a108)]).

input_clause(clause206,conjecture,
    [--ssSkC16,
     --c3_2(a103,a104)]).

input_clause(clause207,conjecture,
    [--c4_1(a91),
     --c5_0]).

input_clause(clause208,conjecture,
    [--c3_1(a90),
     --c2_0]).

input_clause(clause209,conjecture,
    [--c4_1(a90),
     --c2_0]).

input_clause(clause210,conjecture,
    [--ssSkC14,
     --c2_0,
     ++ndr1_1(a87)]).

input_clause(clause211,conjecture,
    [--ssSkC13,
     --c2_0,
     ++ndr1_1(a83)]).

input_clause(clause212,conjecture,
    [--ssSkC13,
     --c2_0,
     ++c2_1(a83)]).

input_clause(clause213,conjecture,
    [--ssSkC10,
     --c4_2(a72,a73)]).

input_clause(clause214,conjecture,
    [--ssSkC8,
     --c2_2(a66,a67)]).

input_clause(clause215,conjecture,
    [--c4_2(a51,a52),
     ++c5_0]).

input_clause(clause216,conjecture,
    [--ssSkC4,
     ++c3_2(a38,a39),
     ++c3_0]).

input_clause(clause217,conjecture,
    [--ssSkC4,
     --c1_1(a38),
     ++c3_0]).

input_clause(clause218,conjecture,
    [--c5_0,
     ++ndr1_1(a34),
     ++c3_0]).

input_clause(clause219,conjecture,
    [--c5_0,
     ++c2_1(a33),
     ++c3_0]).

input_clause(clause220,conjecture,
    [--c5_0,
     ++c5_1(a33),
     ++c3_0]).

input_clause(clause221,conjecture,
    [--c2_0,
     ++ndr1_1(a29),
     ++c3_0]).

input_clause(clause222,conjecture,
    [--c1_1(a26),
     ++c3_0,
     ++c5_0]).

input_clause(clause223,conjecture,
    [--c1_2(a23,a24),
     ++c2_0]).

input_clause(clause224,conjecture,
    [--ssSkC2,
     ++c5_2(a16,a17),
     ++c2_0]).

input_clause(clause225,conjecture,
    [--ssSkC1,
     --c1_1(a10),
     ++c2_0]).

input_clause(clause226,conjecture,
    [--ssSkC0,
     ++c4_2(a7,a8),
     ++c2_0]).

input_clause(clause227,conjecture,
    [--ssSkC0,
     ++c5_2(a7,a8),
     ++c2_0]).

input_clause(clause228,conjecture,
    [--ssSkC0,
     --c1_1(a7),
     ++c2_0]).

input_clause(clause229,conjecture,
    [--c4_2(a2,a3),
     ++c2_0]).

input_clause(clause230,conjecture,
    [--ndr1_0,
     ++c0_1(U),
     ++ssSkC18]).

input_clause(clause231,conjecture,
    [--ndr1_0,
     ++c2_1(U),
     ++c2_0,
     ++c3_0]).

input_clause(clause232,conjecture,
    [--c3_2(a154,a155),
     ++ssSkC39]).

input_clause(clause233,conjecture,
    [--c5_2(a154,a155),
     ++ssSkC39]).

input_clause(clause234,conjecture,
    [--c3_2(a147,a148),
     ++ssSkC37]).

input_clause(clause235,conjecture,
    [--c2_2(U,a136),
     ++ssSkP9(U)]).

input_clause(clause236,conjecture,
    [--c4_2(U,a115),
     ++ssSkP8(U)]).

input_clause(clause237,conjecture,
    [--c3_2(U,a100),
     ++ssSkP7(U)]).

input_clause(clause238,conjecture,
    [--c1_2(U,a81),
     ++ssSkP6(U)]).

input_clause(clause239,conjecture,
    [--c5_2(U,a81),
     ++ssSkP6(U)]).

input_clause(clause240,conjecture,
    [--c2_2(U,a68),
     ++ssSkP5(U)]).

input_clause(clause241,conjecture,
    [--c2_2(U,a44),
     ++ssSkP3(U)]).

input_clause(clause242,conjecture,
    [--c4_2(U,a44),
     ++ssSkP3(U)]).

input_clause(clause243,conjecture,
    [--c4_2(U,a31),
     ++ssSkP2(U)]).

input_clause(clause244,conjecture,
    [--c5_2(U,a31),
     ++ssSkP2(U)]).

input_clause(clause245,conjecture,
    [--c2_2(U,a14),
     ++ssSkP1(U)]).

input_clause(clause246,conjecture,
    [--c4_2(U,a14),
     ++ssSkP1(U)]).

input_clause(clause247,conjecture,
    [--c3_2(U,a12),
     ++ssSkP0(U)]).

input_clause(clause248,conjecture,
    [--ssSkC43,
     --ssSkC44,
     --c2_2(a168,a171)]).

input_clause(clause249,conjecture,
    [--ssSkC43,
     --ssSkC44,
     --c3_2(a168,a171)]).

input_clause(clause250,conjecture,
    [--ssSkC43,
     --ssSkC44,
     --c1_2(a168,a170)]).

input_clause(clause251,conjecture,
    [--ssSkC43,
     --ssSkC44,
     --c3_2(a168,a169)]).

input_clause(clause252,conjecture,
    [--ssSkC43,
     --ssSkC44,
     --c4_2(a168,a169)]).

input_clause(clause253,conjecture,
    [--ssSkC38,
     --ssSkC39,
     --c5_2(a156,a157)]).

input_clause(clause254,conjecture,
    [--ssSkC36,
     --ssSkC37,
     --c1_2(a149,a152)]).

input_clause(clause255,conjecture,
    [--ssSkC36,
     --ssSkC37,
     --c2_2(a149,a152)]).

input_clause(clause256,conjecture,
    [--ssSkC36,
     --ssSkC37,
     --c4_2(a149,a152)]).

input_clause(clause257,conjecture,
    [--ssSkC36,
     --ssSkC37,
     --c2_2(a149,a151)]).

input_clause(clause258,conjecture,
    [--ssSkC36,
     --ssSkC37,
     --c5_2(a149,a151)]).

input_clause(clause259,conjecture,
    [--ssSkC36,
     --ssSkC37,
     --c4_2(a149,a150)]).

input_clause(clause260,conjecture,
    [--ssSkC18,
     --ssSkC19,
     --c2_2(a110,a111)]).

input_clause(clause261,conjecture,
    [--ssSkC18,
     --ssSkC19,
     --c5_2(a110,a111)]).

input_clause(clause262,conjecture,
    [--c1_2(a107,a108),
     --c5_0]).

input_clause(clause263,conjecture,
    [--c1_2(a91,a92),
     --c5_0]).

input_clause(clause264,conjecture,
    [--c2_2(a91,a92),
     --c5_0]).

input_clause(clause265,conjecture,
    [--c4_2(a91,a92),
     --c5_0]).

input_clause(clause266,conjecture,
    [--ssSkC14,
     --c2_0,
     ++c2_2(a87,a89)]).

input_clause(clause267,conjecture,
    [--ssSkC14,
     --c2_0,
     ++c3_2(a87,a89)]).

input_clause(clause268,conjecture,
    [--ssSkC14,
     --c2_0,
     ++c2_2(a87,a88)]).

input_clause(clause269,conjecture,
    [--ssSkC14,
     --c2_0,
     ++c3_2(a87,a88)]).

input_clause(clause270,conjecture,
    [--ssSkC14,
     --c2_0,
     ++c5_2(a87,a88)]).

input_clause(clause271,conjecture,
    [--ssSkC14,
     --c4_1(a87),
     --c2_0]).

input_clause(clause272,conjecture,
    [--ssSkC13,
     --c2_0,
     ++c1_2(a83,a84)]).

input_clause(clause273,conjecture,
    [--ssSkC13,
     --c2_0,
     ++c2_2(a83,a84)]).

input_clause(clause274,conjecture,
    [--ssSkC13,
     --c2_0,
     ++c3_2(a83,a84)]).

input_clause(clause275,conjecture,
    [--ssSkC13,
     --c4_1(a83),
     --c2_0]).

input_clause(clause276,conjecture,
    [--ssSkC12,
     --c3_1(a80),
     --c2_0]).

input_clause(clause277,conjecture,
    [--ssSkC12,
     --c5_1(a80),
     --c2_0]).

input_clause(clause278,conjecture,
    [--ssSkP3(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c3_0]).

input_clause(clause279,conjecture,
    [--ssSkC4,
     --c5_2(a38,a39),
     ++c3_0]).

input_clause(clause280,conjecture,
    [--c5_0,
     ++c2_2(a34,a35),
     ++c3_0]).

input_clause(clause281,conjecture,
    [--c5_0,
     ++c5_2(a34,a35),
     ++c3_0]).

input_clause(clause282,conjecture,
    [--c2_1(a34),
     --c5_0,
     ++c3_0]).

input_clause(clause283,conjecture,
    [--c2_0,
     ++c3_2(a29,a30),
     ++c3_0]).

input_clause(clause284,conjecture,
    [--c1_1(a29),
     --c2_0,
     ++c3_0]).

input_clause(clause285,conjecture,
    [--ssSkC2,
     --c1_2(a16,a17),
     ++c2_0]).

input_clause(clause286,conjecture,
    [--ssSkC1,
     --c3_2(a10,a11),
     ++c2_0]).

input_clause(clause287,conjecture,
    [--ssSkC1,
     --c5_2(a10,a11),
     ++c2_0]).

input_clause(clause288,conjecture,
    [--ssSkC0,
     --c1_2(a7,a8),
     ++c2_0]).

input_clause(clause289,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++ssSkC18]).

input_clause(clause290,conjecture,
    [--ssSkP4(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c4_1(U)]).

input_clause(clause291,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c5_1(U),
     ++ssSkC21]).

input_clause(clause292,conjecture,
    [--ssSkC14,
     --c4_2(a87,a89),
     --c2_0]).

input_clause(clause293,conjecture,
    [--ssSkP3(U),
     --ndr1_0,
     ++c5_2(U,a45),
     ++c3_0]).

input_clause(clause294,conjecture,
    [--c1_2(a34,a35),
     --c5_0,
     ++c3_0]).

input_clause(clause295,conjecture,
    [--c5_2(a29,a30),
     --c2_0,
     ++c3_0]).

input_clause(clause296,conjecture,
    [--ssSkP7(U),
     --c3_1(U),
     --ndr1_0,
     ++ndr1_1(U)]).

input_clause(clause297,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c5_1(U)]).

input_clause(clause298,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC32]).

input_clause(clause299,conjecture,
    [--ndr1_0,
     ++c3_2(U,a113),
     ++c5_1(U),
     ++ssSkC21]).

input_clause(clause300,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC8]).

input_clause(clause301,conjecture,
    [--ssSkP3(U),
     --c4_2(U,a45),
     --ndr1_0,
     ++c3_0]).

input_clause(clause302,conjecture,
    [--ssSkP2(U),
     --ndr1_0,
     --c4_0,
     ++ndr1_1(U),
     ++c3_0]).

input_clause(clause303,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c3_0,
     ++c5_0]).

input_clause(clause304,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c2_1(U),
     ++c3_1(U),
     ++ssSkC23]).

input_clause(clause305,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++c3_1(U),
     ++ssSkC17]).

input_clause(clause306,conjecture,
    [--ssSkP7(U),
     --c3_1(U),
     --ndr1_0,
     ++c2_2(U,a101)]).

input_clause(clause307,conjecture,
    [--ssSkP4(U),
     --c2_2(U,a60),
     --ndr1_0,
     ++c4_1(U)]).

input_clause(clause308,conjecture,
    [--ssSkP4(U),
     --c4_2(U,a60),
     --ndr1_0,
     ++c4_1(U)]).

input_clause(clause309,conjecture,
    [--ssSkP4(U),
     --c5_2(U,a60),
     --ndr1_0,
     ++c4_1(U)]).

input_clause(clause310,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++c1_2(U,a56),
     ++c5_1(U)]).

input_clause(clause311,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++c5_2(U,a56),
     ++c5_1(U)]).

input_clause(clause312,conjecture,
    [--c5_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c2_1(U),
     ++c3_0]).

input_clause(clause313,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c5_2(U,a138),
     ++ssSkC32]).

input_clause(clause314,conjecture,
    [--c4_2(U,a113),
     --ndr1_0,
     ++c5_1(U),
     ++ssSkC21]).

input_clause(clause315,conjecture,
    [--c5_2(U,a113),
     --ndr1_0,
     ++c5_1(U),
     ++ssSkC21]).

input_clause(clause316,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++c1_2(U,a65),
     ++ssSkC8]).

input_clause(clause317,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++c2_2(U,a65),
     ++ssSkC8]).

input_clause(clause318,conjecture,
    [--ssSkC26,
     --c1_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++c5_1(a128)]).

input_clause(clause319,conjecture,
    [--ssSkC17,
     --c1_1(U),
     --ndr1_0,
     --c5_0,
     ++ndr1_1(U)]).

input_clause(clause320,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++ndr1_1(a96)]).

input_clause(clause321,conjecture,
    [--ssSkC11,
     --c4_1(U),
     --ndr1_0,
     --c2_0,
     ++ndr1_1(U)]).

input_clause(clause322,conjecture,
    [--ssSkP2(U),
     --ndr1_0,
     --c4_0,
     ++c4_2(U,a32),
     ++c3_0]).

input_clause(clause323,conjecture,
    [--ssSkP2(U),
     --ndr1_0,
     --c4_0,
     ++c5_2(U,a32),
     ++c3_0]).

input_clause(clause324,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++c3_2(U,a25),
     ++c3_0,
     ++c5_0]).

input_clause(clause325,conjecture,
    [--ssSkP9(U),
     --c1_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC31]).

input_clause(clause326,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c4_1(U),
     ++ssSkC25]).

input_clause(clause327,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++ssSkC20]).

input_clause(clause328,conjecture,
    [--ssSkP1(U),
     --c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC2]).

input_clause(clause329,conjecture,
    [--c5_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++ssSkC0]).

input_clause(clause330,conjecture,
    [--ssSkP7(U),
     --c3_2(U,a101),
     --c3_1(U),
     --ndr1_0]).

input_clause(clause331,conjecture,
    [--ssSkP7(U),
     --c5_2(U,a101),
     --c3_1(U),
     --ndr1_0]).

input_clause(clause332,conjecture,
    [--c3_2(U,a56),
     --c4_1(U),
     --ndr1_0,
     ++c5_1(U)]).

input_clause(clause333,conjecture,
    [--ndr1_1(a172),
     ++c2_2(a172,U),
     ++c5_2(a172,U),
     ++ssSkC45]).

input_clause(clause334,conjecture,
    [--c1_2(U,a138),
     --c3_1(U),
     --ndr1_0,
     ++ssSkC32]).

input_clause(clause335,conjecture,
    [--c2_2(U,a138),
     --c3_1(U),
     --ndr1_0,
     ++ssSkC32]).

input_clause(clause336,conjecture,
    [--ndr1_1(a107),
     --c5_0,
     ++c1_2(a107,U),
     ++c2_2(a107,U)]).

input_clause(clause337,conjecture,
    [--ssSkC17,
     --c1_1(U),
     --ndr1_0,
     --c5_0,
     ++c4_2(U,a106)]).

input_clause(clause338,conjecture,
    [--ssSkC15,
     --c2_2(a99,U),
     --ndr1_1(a99),
     ++c4_2(a99,U)]).

input_clause(clause339,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c3_2(a96,a97)]).

input_clause(clause340,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c3_1(a96)]).

input_clause(clause341,conjecture,
    [--ssSkC11,
     --c4_1(U),
     --ndr1_0,
     --c2_0,
     ++c4_2(U,a78)]).

input_clause(clause342,conjecture,
    [--ssSkC11,
     --c4_1(U),
     --ndr1_0,
     --c2_0,
     ++c5_2(U,a78)]).

input_clause(clause343,conjecture,
    [--c5_2(a47,U),
     --ndr1_1(a47),
     ++c1_2(a47,U),
     ++c3_0]).

input_clause(clause344,conjecture,
    [--c2_2(a46,U),
     --ndr1_1(a46),
     ++c4_2(a46,U),
     ++c3_0]).

input_clause(clause345,conjecture,
    [--c2_2(U,a25),
     --c4_1(U),
     --ndr1_0,
     ++c3_0,
     ++c5_0]).

input_clause(clause346,conjecture,
    [--c4_2(U,a25),
     --c4_1(U),
     --ndr1_0,
     ++c3_0,
     ++c5_0]).

input_clause(clause347,conjecture,
    [--ssSkC2,
     --ndr1_1(a16),
     ++c4_2(a16,U),
     ++c5_2(a16,U),
     ++c2_0]).

input_clause(clause348,conjecture,
    [--ssSkC0,
     --ndr1_1(a7),
     ++c2_2(a7,U),
     ++c5_2(a7,U),
     ++c2_0]).

input_clause(clause349,conjecture,
    [--ssSkP9(U),
     --c1_1(U),
     --ndr1_0,
     ++c4_2(U,a137),
     ++ssSkC31]).

input_clause(clause350,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c1_2(U,a124),
     ++c4_1(U),
     ++ssSkC25]).

input_clause(clause351,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c3_2(U,a124),
     ++c4_1(U),
     ++ssSkC25]).

input_clause(clause352,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c5_2(U,a124),
     ++c4_1(U),
     ++ssSkC25]).

input_clause(clause353,conjecture,
    [--c3_2(U,a119),
     --ndr1_0,
     ++c2_1(U),
     ++c3_1(U),
     ++ssSkC23]).

input_clause(clause354,conjecture,
    [--c4_2(U,a119),
     --ndr1_0,
     ++c2_1(U),
     ++c3_1(U),
     ++ssSkC23]).

input_clause(clause355,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c3_2(U,a112),
     ++c1_1(U),
     ++ssSkC20]).

input_clause(clause356,conjecture,
    [--c2_2(U,a105),
     --ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++ssSkC17]).

input_clause(clause357,conjecture,
    [--c3_2(U,a105),
     --ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++ssSkC17]).

input_clause(clause358,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC15]).

input_clause(clause359,conjecture,
    [--c4_1(U),
     --c5_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC4]).

input_clause(clause360,conjecture,
    [--c3_1(U),
     --c4_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC3]).

input_clause(clause361,conjecture,
    [--c5_1(U),
     --ndr1_0,
     ++c2_2(U,a6),
     ++c1_1(U),
     ++ssSkC0]).

input_clause(clause362,conjecture,
    [--c5_1(U),
     --ndr1_0,
     ++c4_2(U,a6),
     ++c1_1(U),
     ++ssSkC0]).

input_clause(clause363,conjecture,
    [--ssSkC22,
     --c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c4_1(U),
     ++c5_1(a118)]).

input_clause(clause364,conjecture,
    [--c5_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c4_1(U),
     ++c3_1(a54),
     ++c5_0]).

input_clause(clause365,conjecture,
    [--c5_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c4_1(U),
     ++c4_1(a54),
     ++c5_0]).

input_clause(clause366,conjecture,
    [--c3_2(a48,U),
     --ndr1_1(a48),
     ++c1_2(a48,U),
     ++ssSkC7]).

input_clause(clause367,conjecture,
    [--c2_2(a48,U),
     --ndr1_1(a48),
     ++c3_2(a48,U),
     ++ssSkC7]).

input_clause(clause368,conjecture,
    [--ssSkC34,
     --ssSkC35,
     --c1_2(a145,U),
     --ndr1_1(a145),
     ++c3_2(a145,U)]).

input_clause(clause369,conjecture,
    [--ssSkC28,
     --c1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c1_1(a132)]).

input_clause(clause370,conjecture,
    [--ssSkC28,
     --c1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c3_1(a132)]).

input_clause(clause371,conjecture,
    [--ssSkC23,
     --ssSkC24,
     --c1_2(a121,U),
     --ndr1_1(a121),
     ++c3_2(a121,U)]).

input_clause(clause372,conjecture,
    [--ssSkC17,
     --c1_2(U,a106),
     --c1_1(U),
     --ndr1_0,
     --c5_0]).

input_clause(clause373,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c5_2(a96,a97)]).

input_clause(clause374,conjecture,
    [--ssSkC11,
     --c3_2(U,a78),
     --c4_1(U),
     --ndr1_0,
     --c2_0]).

input_clause(clause375,conjecture,
    [--c5_2(a1,U),
     --ndr1_1(a1),
     ++c3_2(a1,U),
     ++c2_0,
     ++c3_0]).

input_clause(clause376,conjecture,
    [--ssSkP9(U),
     --c1_2(U,a137),
     --c1_1(U),
     --ndr1_0,
     ++ssSkC31]).

input_clause(clause377,conjecture,
    [--ssSkP9(U),
     --c5_2(U,a137),
     --c1_1(U),
     --ndr1_0,
     ++ssSkC31]).

input_clause(clause378,conjecture,
    [--c3_2(U,a129),
     --c4_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++ssSkC27]).

input_clause(clause379,conjecture,
    [--c4_2(U,a129),
     --c4_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++ssSkC27]).

input_clause(clause380,conjecture,
    [--c5_2(U,a129),
     --c4_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++ssSkC27]).

input_clause(clause381,conjecture,
    [--c4_2(U,a112),
     --c2_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++ssSkC20]).

input_clause(clause382,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c1_2(U,a98),
     ++ssSkC15]).

input_clause(clause383,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c4_2(U,a98),
     ++ssSkC15]).

input_clause(clause384,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c5_2(U,a98),
     ++ssSkC15]).

input_clause(clause385,conjecture,
    [--c3_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c2_2(U,a18),
     ++ssSkC3]).

input_clause(clause386,conjecture,
    [--c3_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c5_2(U,a18),
     ++ssSkC3]).

input_clause(clause387,conjecture,
    [--ssSkP1(U),
     --c4_2(U,a15),
     --c2_1(U),
     --ndr1_0,
     ++ssSkC2]).

input_clause(clause388,conjecture,
    [--ssSkP1(U),
     --c5_2(U,a15),
     --c2_1(U),
     --ndr1_0,
     ++ssSkC2]).

input_clause(clause389,conjecture,
    [--c1_2(U,a6),
     --c5_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++ssSkC0]).

input_clause(clause390,conjecture,
    [--ssSkC27,
     --ndr1_1(a130),
     ++c1_2(a130,U),
     ++c4_2(a130,U),
     ++c5_2(a130,U)]).

input_clause(clause391,conjecture,
    [--ssSkC22,
     --c3_1(U),
     --ndr1_0,
     --c3_1(a118),
     ++c2_1(U),
     ++c4_1(U)]).

input_clause(clause392,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c2_0,
     ++c2_1(U),
     ++c3_1(U),
     ++ndr1_1(a74)]).

input_clause(clause393,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c2_0,
     ++c2_1(U),
     ++c3_1(U),
     ++c2_1(a74)]).

input_clause(clause394,conjecture,
    [--ndr1_1(a47),
     ++c1_2(a47,U),
     ++c4_2(a47,U),
     ++c5_2(a47,U),
     ++c3_0]).

input_clause(clause395,conjecture,
    [--ndr1_1(a23),
     ++c1_2(a23,U),
     ++c3_2(a23,U),
     ++c5_2(a23,U),
     ++c2_0]).

input_clause(clause396,conjecture,
    [--ssSkC5,
     --c3_2(a41,U),
     --c5_2(a41,U),
     --ndr1_1(a41),
     ++c3_0]).

input_clause(clause397,conjecture,
    [--ndr1_1(a144),
     ++c2_2(a144,U),
     ++c3_2(a144,U),
     ++c4_2(a144,U),
     ++ssSkC35]).

input_clause(clause398,conjecture,
    [--ndr1_1(a120),
     ++c1_2(a120,U),
     ++c3_2(a120,U),
     ++c5_2(a120,U),
     ++ssSkC24]).

input_clause(clause399,conjecture,
    [--c2_2(U,a37),
     --c4_1(U),
     --c5_1(U),
     --ndr1_0,
     ++ssSkC4]).

input_clause(clause400,conjecture,
    [--c3_2(U,a37),
     --c4_1(U),
     --c5_1(U),
     --ndr1_0,
     ++ssSkC4]).

input_clause(clause401,conjecture,
    [--c4_2(U,a37),
     --c4_1(U),
     --c5_1(U),
     --ndr1_0,
     ++ssSkC4]).

input_clause(clause402,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c2_0,
     ++c2_1(U),
     ++c3_1(U),
     ++c2_2(a74,a76)]).

input_clause(clause403,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c2_0,
     ++c2_1(U),
     ++c3_1(U),
     ++c3_2(a74,a76)]).

input_clause(clause404,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c2_0,
     ++c2_1(U),
     ++c3_1(U),
     ++c1_2(a74,a75)]).

input_clause(clause405,conjecture,
    [--c3_2(a51,U),
     --ndr1_1(a51),
     ++c2_2(a51,U),
     ++c4_2(a51,U),
     ++c5_0]).

input_clause(clause406,conjecture,
    [--ssSkC7,
     --ndr1_1(a49),
     ++c1_2(a49,U),
     ++c2_2(a49,U),
     ++c4_2(a49,U),
     ++c3_0]).

input_clause(clause407,conjecture,
    [--ndr1_1(a1),
     ++c1_2(a1,U),
     ++c2_2(a1,U),
     ++c3_2(a1,U),
     ++c2_0,
     ++c3_0]).

input_clause(clause408,conjecture,
    [--c1_2(a167,U),
     --ndr1_1(a167),
     ++c2_2(a167,U),
     ++c5_2(a167,U),
     ++ssSkC44]).

input_clause(clause409,conjecture,
    [--c3_2(a158,U),
     --ndr1_1(a158),
     ++c1_2(a158,U),
     ++c2_2(a158,U),
     ++ssSkC40]).

input_clause(clause410,conjecture,
    [--c1_2(a144,U),
     --ndr1_1(a144),
     ++c2_2(a144,U),
     ++c4_2(a144,U),
     ++ssSkC35]).

input_clause(clause411,conjecture,
    [--c3_2(a131,U),
     --ndr1_1(a131),
     ++c1_2(a131,U),
     ++c4_2(a131,U),
     ++ssSkC28]).

input_clause(clause412,conjecture,
    [--ssSkC41,
     --ssSkC42,
     --c1_2(a163,U),
     --ndr1_1(a163),
     ++c4_2(a163,U),
     ++c5_2(a163,U)]).

input_clause(clause413,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c1_2(a74,a76),
     --c2_0,
     ++c2_1(U),
     ++c3_1(U)]).

input_clause(clause414,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c4_2(a74,a75),
     --c2_0,
     ++c2_1(U),
     ++c3_1(U)]).

input_clause(clause415,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c5_2(a74,a75),
     --c2_0,
     ++c2_1(U),
     ++c3_1(U)]).

input_clause(clause416,conjecture,
    [--ndr1_1(U),
     --c2_2(U,V),
     --c5_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++c4_1(a58)]).

input_clause(clause417,conjecture,
    [--ssSkC4,
     --c3_2(a38,U),
     --ndr1_1(a38),
     ++c4_2(a38,U),
     ++c5_2(a38,U),
     ++c3_0]).

input_clause(clause418,conjecture,
    [--c3_2(a26,U),
     --ndr1_1(a26),
     ++c2_2(a26,U),
     ++c5_2(a26,U),
     ++c3_0,
     ++c5_0]).

input_clause(clause419,conjecture,
    [--ssSkC3,
     --c5_2(a19,U),
     --ndr1_1(a19),
     ++c2_2(a19,U),
     ++c4_2(a19,U),
     ++c2_0]).

input_clause(clause420,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c2_2(U,a134),
     ++ssSkC30]).

input_clause(clause421,conjecture,
    [--c3_2(a146,U),
     --c4_2(a146,U),
     --ndr1_1(a146),
     ++c2_2(a146,U),
     ++ssSkC36]).

input_clause(clause422,conjecture,
    [--ssSkC15,
     --c1_2(a99,U),
     --c2_2(a99,U),
     --c3_2(a99,U),
     --ndr1_1(a99)]).

input_clause(clause423,conjecture,
    [--c1_2(a85,U),
     --c4_2(a85,U),
     --ndr1_1(a85),
     --c2_0,
     ++c3_2(a85,U)]).

input_clause(clause424,conjecture,
    [--c1_2(a85,U),
     --c5_2(a85,U),
     --ndr1_1(a85),
     --c2_0,
     ++c3_2(a85,U)]).

input_clause(clause425,conjecture,
    [--ndr1_1(U),
     --c2_2(U,V),
     --c5_1(U),
     --ndr1_0,
     --c2_1(a58),
     ++c4_1(U)]).

input_clause(clause426,conjecture,
    [--ssSkC6,
     --c3_2(a43,U),
     --c4_2(a43,U),
     --ndr1_1(a43),
     ++c1_2(a43,U),
     ++c3_0]).

input_clause(clause427,conjecture,
    [--c1_2(a34,U),
     --ndr1_1(a34),
     --c5_0,
     ++c2_2(a34,U),
     ++c5_2(a34,U),
     ++c3_0]).

input_clause(clause428,conjecture,
    [--c1_2(a33,U),
     --ndr1_1(a33),
     --c5_0,
     ++c3_2(a33,U),
     ++c4_2(a33,U),
     ++c3_0]).

input_clause(clause429,conjecture,
    [--ssSkC3,
     --c4_2(a19,U),
     --c5_2(a19,U),
     --ndr1_1(a19),
     ++c3_2(a19,U),
     ++c2_0]).

input_clause(clause430,conjecture,
    [--ssSkC1,
     --c1_2(a10,U),
     --c4_2(a10,U),
     --ndr1_1(a10),
     ++c5_2(a10,U),
     ++c2_0]).

input_clause(clause431,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c5_0,
     ++c2_2(U,V),
     ++c5_2(U,V),
     ++c1_1(U),
     ++c2_1(U),
     ++c3_0]).

input_clause(clause432,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c2_1(U),
     ++c3_1(U)]).

input_clause(clause433,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a134),
     --ndr1_0,
     ++c3_2(U,V),
     ++ssSkC30]).

input_clause(clause434,conjecture,
    [--ssSkC26,
     --c1_1(U),
     --ndr1_0,
     --ndr1_1(a128),
     ++c5_1(U),
     ++c3_2(a128,V),
     ++c4_2(a128,V)]).

input_clause(clause435,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c1_2(U,a117),
     ++c1_1(U),
     ++ssSkC22]).

input_clause(clause436,conjecture,
    [--ssSkP6(U),
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c4_2(U,a82),
     ++ssSkC13]).

input_clause(clause437,conjecture,
    [--c1_2(a107,U),
     --c3_2(a107,U),
     --c4_2(a107,U),
     --ndr1_1(a107),
     --c5_0]).

input_clause(clause438,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c1_2(U,a143),
     ++ssSkC34]).

input_clause(clause439,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c2_2(U,a143),
     ++ssSkC34]).

input_clause(clause440,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c4_2(U,a143),
     ++ssSkC34]).

input_clause(clause441,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c4_2(U,V),
     ++c3_2(U,a42),
     ++ssSkC6]).

input_clause(clause442,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c4_2(U,V),
     ++c4_2(U,a42),
     ++ssSkC6]).

input_clause(clause443,conjecture,
    [--c3_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c2_1(U),
     ++ndr1_1(a94)]).

input_clause(clause444,conjecture,
    [--c3_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c2_1(U),
     ++c5_1(a94)]).

input_clause(clause445,conjecture,
    [--ssSkP0(U),
     --c2_1(V),
     --c3_1(V),
     --c5_1(V),
     --ndr1_0,
     --c2_1(U),
     ++ndr1_1(U),
     ++c2_0]).

input_clause(clause446,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a117),
     --ndr1_0,
     ++c4_2(U,V),
     ++c1_1(U),
     ++ssSkC22]).

input_clause(clause447,conjecture,
    [--ssSkP6(U),
     --c4_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a82),
     --ndr1_0,
     ++c5_2(U,V),
     ++ssSkC13]).

input_clause(clause448,conjecture,
    [--ssSkP6(U),
     --c4_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a82),
     --ndr1_0,
     ++c5_2(U,V),
     ++ssSkC13]).

input_clause(clause449,conjecture,
    [--ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c4_2(U,V),
     ++c5_2(U,V),
     ++c3_2(U,a22),
     ++c2_0]).

input_clause(clause450,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a42),
     --ndr1_0,
     ++c2_2(U,V),
     ++c4_2(U,V),
     ++ssSkC6]).

input_clause(clause451,conjecture,
    [--c3_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c2_1(U),
     ++c2_2(a94,a95)]).

input_clause(clause452,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a79),
     --c5_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++ssSkC12]).

input_clause(clause453,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a79),
     --c5_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++ssSkC12]).

input_clause(clause454,conjecture,
    [--c2_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c2_2(U,a77),
     ++ssSkC11]).

input_clause(clause455,conjecture,
    [--c2_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c3_2(U,a77),
     ++ssSkC11]).

input_clause(clause456,conjecture,
    [--ssSkP5(U),
     --c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c4_2(U,V),
     ++c3_2(U,a69),
     ++ssSkC9]).

input_clause(clause457,conjecture,
    [--c1_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c1_2(U,a40),
     ++ssSkC5]).

input_clause(clause458,conjecture,
    [--c1_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c4_2(U,a40),
     ++ssSkC5]).

input_clause(clause459,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c4_2(U,V),
     ++c3_1(U),
     ++c5_1(a123)]).

input_clause(clause460,conjecture,
    [--ndr1_1(U),
     --c2_2(U,a22),
     --c4_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c4_2(U,V),
     ++c5_2(U,V),
     ++c2_0]).

input_clause(clause461,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c5_0,
     ++c1_2(U,V),
     ++c4_2(U,V),
     ++c2_1(U)]).

input_clause(clause462,conjecture,
    [--c3_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_2(a94,a95),
     ++c1_2(U,V),
     ++c2_1(U)]).

input_clause(clause463,conjecture,
    [--ssSkP0(U),
     --c2_1(V),
     --c3_1(V),
     --c5_1(V),
     --ndr1_0,
     --c2_2(U,a13),
     --c2_1(U),
     ++c2_0]).

input_clause(clause464,conjecture,
    [--ssSkP0(U),
     --c2_1(V),
     --c3_1(V),
     --c5_1(V),
     --ndr1_0,
     --c4_2(U,a13),
     --c2_1(U),
     ++c2_0]).

input_clause(clause465,conjecture,
    [--ssSkP0(U),
     --c2_1(V),
     --c3_1(V),
     --c5_1(V),
     --ndr1_0,
     --c5_2(U,a13),
     --c2_1(U),
     ++c2_0]).

input_clause(clause466,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c5_2(U,V),
     ++c4_2(U,a133),
     ++ssSkC29]).

input_clause(clause467,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c5_2(U,V),
     ++c5_2(U,a133),
     ++ssSkC29]).

input_clause(clause468,conjecture,
    [--ssSkP5(U),
     --c5_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a69),
     --ndr1_0,
     ++c2_2(U,V),
     ++c4_2(U,V),
     ++ssSkC9]).

input_clause(clause469,conjecture,
    [--ssSkP5(U),
     --c5_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a69),
     --ndr1_0,
     ++c2_2(U,V),
     ++c4_2(U,V),
     ++ssSkC9]).

input_clause(clause470,conjecture,
    [--c1_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a40),
     --c4_1(U),
     --ndr1_0,
     ++ssSkC5]).

input_clause(clause471,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c3_2(U,V),
     ++c1_2(U,a9),
     ++ssSkC1]).

input_clause(clause472,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c4_1(a123),
     ++c1_2(U,V),
     ++c4_2(U,V),
     ++c3_1(U)]).

input_clause(clause473,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_2(a96,V),
     --ndr1_1(a96),
     ++c3_2(a96,V),
     ++c5_2(a96,V)]).

input_clause(clause474,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c3_2(U,V),
     ++c4_2(U,V),
     ++c1_2(U,a28),
     ++c3_1(U),
     ++c3_0]).

input_clause(clause475,conjecture,
    [--c2_2(U,V),
     --c4_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++c3_0]).

input_clause(clause476,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c1_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c3_2(U,W),
     ++ndr1_1(a61)]).

input_clause(clause477,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a133),
     --c1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c5_2(U,V),
     ++ssSkC29]).

input_clause(clause478,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a9),
     --c1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c3_2(U,V),
     ++ssSkC1]).

input_clause(clause479,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a9),
     --c1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c3_2(U,V),
     ++ssSkC1]).

input_clause(clause480,conjecture,
    [--ssSkC26,
     --c1_1(U),
     --ndr1_0,
     --c3_2(a128,V),
     --c4_2(a128,V),
     --ndr1_1(a128),
     ++c5_1(U),
     ++c5_2(a128,V)]).

input_clause(clause481,conjecture,
    [--c1_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c3_1(a93),
     ++c3_2(U,V),
     ++c2_1(U)]).

input_clause(clause482,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a28),
     --ndr1_0,
     --c2_0,
     ++c3_2(U,V),
     ++c4_2(U,V),
     ++c3_1(U),
     ++c3_0]).

input_clause(clause483,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a28),
     --ndr1_0,
     --c2_0,
     ++c3_2(U,V),
     ++c4_2(U,V),
     ++c3_1(U),
     ++c3_0]).

input_clause(clause484,conjecture,
    [--ssSkP8(U),
     --c1_2(V,W),
     --ndr1_1(V),
     --c5_1(V),
     --ndr1_0,
     ++c2_2(V,W),
     ++c4_2(V,W),
     ++c1_1(V),
     ++ndr1_1(U),
     ++c5_1(U)]).

input_clause(clause485,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c1_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c3_2(U,W),
     ++c1_2(a61,a63)]).

input_clause(clause486,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c1_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c3_2(U,W),
     ++c1_2(a61,a62)]).

input_clause(clause487,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c1_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c3_2(U,W),
     ++c4_2(a61,a62)]).

input_clause(clause488,conjecture,
    [--c2_2(U,V),
     --c3_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c5_0,
     ++c2_2(U,a57)]).

input_clause(clause489,conjecture,
    [--c2_2(U,V),
     --c3_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c5_0,
     ++c4_2(U,a57)]).

input_clause(clause490,conjecture,
    [--c2_2(U,V),
     --c3_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c5_0,
     ++c5_2(U,a57)]).

input_clause(clause491,conjecture,
    [--ssSkP8(U),
     --c1_2(V,W),
     --ndr1_1(V),
     --c5_1(V),
     --ndr1_0,
     ++c2_2(V,W),
     ++c4_2(V,W),
     ++c1_1(V),
     ++c4_2(U,a116),
     ++c5_1(U)]).

input_clause(clause492,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c1_1(U),
     --ndr1_0,
     --c3_2(a61,a64),
     ++c4_2(U,V),
     ++c3_2(U,W)]).

input_clause(clause493,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c1_1(U),
     --ndr1_0,
     --c4_2(a61,a64),
     ++c4_2(U,V),
     ++c3_2(U,W)]).

input_clause(clause494,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c1_1(U),
     --ndr1_0,
     --c4_2(a61,a63),
     ++c4_2(U,V),
     ++c3_2(U,W)]).

input_clause(clause495,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c1_1(U),
     --ndr1_0,
     --c5_2(a61,a63),
     ++c4_2(U,V),
     ++c3_2(U,W)]).

input_clause(clause496,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c1_1(U),
     --ndr1_0,
     --c2_2(a61,a62),
     ++c4_2(U,V),
     ++c3_2(U,W)]).

input_clause(clause497,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c2_1(V),
     --c5_1(V),
     ++c3_2(U,W),
     ++c4_2(U,W),
     ++c1_2(U,X),
     ++c3_2(U,X),
     ++c1_1(U),
     ++ndr1_1(V),
     ++c5_0]).

input_clause(clause498,conjecture,
    [--ssSkP8(U),
     --c1_2(V,W),
     --ndr1_1(V),
     --c5_1(V),
     --ndr1_0,
     --c1_2(U,a116),
     ++c2_2(V,W),
     ++c4_2(V,W),
     ++c1_1(V),
     ++c5_1(U)]).

input_clause(clause499,conjecture,
    [--ssSkP8(U),
     --c1_2(V,W),
     --ndr1_1(V),
     --c5_1(V),
     --ndr1_0,
     --c5_2(U,a116),
     ++c2_2(V,W),
     ++c4_2(V,W),
     ++c1_1(V),
     ++c5_1(U)]).

input_clause(clause500,conjecture,
    [--ndr1_1(U),
     --c2_2(U,V),
     --c5_1(U),
     --ndr1_0,
     --ndr1_1(a58),
     ++c4_1(U),
     ++c1_2(a58,W),
     ++c2_2(a58,W),
     ++c5_2(a58,W)]).

input_clause(clause501,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c5_2(U,W),
     --ndr1_0,
     --c5_0,
     ++c1_2(U,V),
     ++c5_2(U,V),
     ++c1_2(U,W),
     ++c3_2(U,W),
     ++c3_1(U)]).

input_clause(clause502,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c2_1(V),
     --c5_1(V),
     ++c3_2(U,W),
     ++c4_2(U,W),
     ++c1_2(U,X),
     ++c3_2(U,X),
     ++c1_1(U),
     ++c2_2(V,a53),
     ++c5_0]).

input_clause(clause503,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --ndr1_1(V),
     --c3_1(V),
     --c2_0,
     ++c5_1(U),
     ++c2_2(V,W),
     ++c4_2(V,W),
     ++c5_2(V,W),
     ++c4_1(V)]).

input_clause(clause504,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c4_2(V,a53),
     --c2_1(V),
     --c5_1(V),
     ++c3_2(U,W),
     ++c4_2(U,W),
     ++c1_2(U,X),
     ++c3_2(U,X),
     ++c1_1(U),
     ++c5_0]).

input_clause(clause505,conjecture,
    [--c2_2(U,V),
     --c4_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c3_2(U,W),
     --ndr1_0,
     ++c1_2(U,a141),
     ++ssSkC33]).

input_clause(clause506,conjecture,
    [--c2_2(U,V),
     --c4_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c3_2(U,W),
     --ndr1_0,
     ++c4_2(U,a141),
     ++ssSkC33]).

input_clause(clause507,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_2(W,X),
     --ndr1_1(W),
     ++c1_2(U,V),
     ++c5_1(U),
     ++c4_2(W,X),
     ++c5_2(W,X),
     ++c2_1(W),
     ++c3_1(a122)]).

input_clause(clause508,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --ndr1_1(W),
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c2_1(U),
     ++c4_1(U),
     ++c1_2(W,X),
     ++c3_2(W,X),
     ++c3_2(W,a36),
     ++c3_0]).

input_clause(clause509,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_2(W,X),
     --ndr1_1(W),
     --c1_1(a122),
     ++c1_2(U,V),
     ++c5_1(U),
     ++c4_2(W,X),
     ++c5_2(W,X),
     ++c2_1(W)]).

input_clause(clause510,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_2(W,X),
     --ndr1_1(W),
     --c2_1(a122),
     ++c1_2(U,V),
     ++c5_1(U),
     ++c4_2(W,X),
     ++c5_2(W,X),
     ++c2_1(W)]).

input_clause(clause511,conjecture,
    [--c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c5_2(U,W),
     --c4_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c2_2(U,W),
     ++c4_2(U,W),
     ++ndr1_1(a20),
     ++c2_0]).

input_clause(clause512,conjecture,
    [--c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c5_2(U,W),
     --c4_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c2_2(U,W),
     ++c4_2(U,W),
     ++c1_1(a20),
     ++c2_0]).

input_clause(clause513,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --ndr1_1(W),
     --c1_2(W,a36),
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c2_1(U),
     ++c4_1(U),
     ++c1_2(W,X),
     ++c3_2(W,X),
     ++c3_0]).

input_clause(clause514,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --ndr1_1(W),
     --c2_2(W,a36),
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c2_1(U),
     ++c4_1(U),
     ++c1_2(W,X),
     ++c3_2(W,X),
     ++c3_0]).

input_clause(clause515,conjecture,
    [--c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c5_2(U,W),
     --c4_1(U),
     --ndr1_0,
     --c2_1(a20),
     ++c4_2(U,V),
     ++c2_2(U,W),
     ++c4_2(U,W),
     ++c2_0]).

input_clause(clause516,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c5_2(U,W),
     --c2_1(U),
     --ndr1_0,
     ++c1_2(U,W),
     ++c4_2(U,W),
     ++c1_1(X),
     ++c3_1(X)]).

input_clause(clause517,conjecture,
    [--c3_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_2(a94,W),
     --c5_2(a94,W),
     --ndr1_1(a94),
     ++c1_2(U,V),
     ++c2_1(U),
     ++c3_2(a94,W)]).

input_clause(clause518,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_2(a123,W),
     --ndr1_1(a123),
     ++c1_2(U,V),
     ++c4_2(U,V),
     ++c3_1(U),
     ++c2_2(a123,W),
     ++c4_2(a123,W)]).

input_clause(clause519,conjecture,
    [--c3_2(U,V),
     --c4_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c4_2(U,W),
     --c1_2(U,a55),
     --ndr1_0,
     --c2_0,
     ++c5_2(U,W)]).

input_clause(clause520,conjecture,
    [--c3_2(U,V),
     --c4_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c4_2(U,W),
     --c4_2(U,a55),
     --ndr1_0,
     --c2_0,
     ++c5_2(U,W)]).

input_clause(clause521,conjecture,
    [--c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c5_2(U,W),
     --c4_1(U),
     --ndr1_0,
     --c2_2(a20,a21),
     ++c4_2(U,V),
     ++c2_2(U,W),
     ++c4_2(U,W),
     ++c2_0]).

input_clause(clause522,conjecture,
    [--c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c5_2(U,W),
     --c4_1(U),
     --ndr1_0,
     --c3_2(a20,a21),
     ++c4_2(U,V),
     ++c2_2(U,W),
     ++c4_2(U,W),
     ++c2_0]).

input_clause(clause523,conjecture,
    [--c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c5_2(U,W),
     --c4_1(U),
     --ndr1_0,
     --c4_2(a20,a21),
     ++c4_2(U,V),
     ++c2_2(U,W),
     ++c4_2(U,W),
     ++c2_0]).

input_clause(clause524,conjecture,
    [--c1_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c3_2(a93,W),
     --ndr1_1(a93),
     ++c3_2(U,V),
     ++c2_1(U),
     ++c1_2(a93,W),
     ++c5_2(a93,W)]).

input_clause(clause525,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c1_2(V,W),
     --c3_2(V,W),
     --ndr1_1(V),
     --c2_1(V),
     --c1_1(a140),
     ++c3_2(U,X),
     ++c4_2(U,X),
     ++c1_2(U,Y),
     ++c2_2(U,Y),
     ++c3_2(U,Y),
     ++c4_2(V,W)]).

input_clause(clause526,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c1_2(V,W),
     --c3_2(V,W),
     --ndr1_1(V),
     --c2_1(V),
     --c5_1(a140),
     ++c3_2(U,X),
     ++c4_2(U,X),
     ++c1_2(U,Y),
     ++c2_2(U,Y),
     ++c3_2(U,Y),
     ++c4_2(V,W)]).

input_clause(clause527,conjecture,
    [--ssSkC33,
     --c2_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c3_2(U,W),
     --c3_1(U),
     --ndr1_0,
     --ndr1_1(a142),
     ++c4_2(U,V),
     ++c4_2(U,W),
     ++c2_2(a142,X),
     ++c3_2(a142,X),
     ++c5_2(a142,X)]).

input_clause(clause528,conjecture,
    [--ssSkC33,
     --c2_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c3_2(U,W),
     --c3_1(U),
     --ndr1_0,
     --c2_2(a142,X),
     --c3_2(a142,X),
     --ndr1_1(a142),
     ++c4_2(U,V),
     ++c4_2(U,W),
     ++c4_2(a142,X)]).

input_clause(clause529,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c1_2(V,W),
     --c3_2(V,W),
     --ndr1_1(V),
     --c2_1(V),
     --c4_2(a140,X),
     --ndr1_1(a140),
     ++c3_2(U,Y),
     ++c4_2(U,Y),
     ++c1_2(U,Z),
     ++c2_2(U,Z),
     ++c3_2(U,Z),
     ++c4_2(V,W),
     ++c2_2(a140,X)]).

input_clause(clause530,conjecture,
    [--c3_2(U,V),
     --c4_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c3_2(U,W),
     --c5_2(U,W),
     --c1_2(U,X),
     --c4_2(U,X),
     --ndr1_0,
     --c2_2(Y,Z),
     --c5_2(Y,Z),
     --ndr1_1(Y),
     --c5_1(Y),
     ++c2_2(U,X),
     ++c3_1(Y),
     ++c3_0]).
%--------------------------------------------------------------------------
