%--------------------------------------------------------------------------
% File     : SYN523-1 : TPTP v2.2.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=20, K=3, D=2, P=0, Index=059
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-20-3-2-059.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.00 v2.1.0
% Syntax   : Number of clauses    :   55 (  31 non-Horn;   0 unit;  39 RR)
%            Number of literals   :  205 (   0 equality)
%            Maximal clause size  :    9 (   3 average)
%            Number of predicates :   22 (  10 propositional; 0-2 arity)
%            Number of functors   :   16 (  16 constant; 0-0 arity)
%            Number of variables  :   30 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ndr1_0,++c2_0]).

input_clause(clause2,conjecture,
    [++ndr1_0,++ssSkC3]).

input_clause(clause3,conjecture,
    [++ndr1_0,++ssSkC1]).

input_clause(clause4,conjecture,
    [--ssSkC3,++ndr1_0,++c3_0]).

input_clause(clause5,conjecture,
    [--c3_0,++ndr1_0]).

input_clause(clause6,conjecture,
    [--ssSkC2,++ndr1_0,++c3_0]).

input_clause(clause7,conjecture,
    [++c3_1(a145),
     ++c2_0]).

input_clause(clause8,conjecture,
    [--c4_0,++ndr1_0]).

input_clause(clause9,conjecture,
    [++c5_0,++c2_0,++c1_0]).

input_clause(clause10,conjecture,
    [++c4_1(a146),
     ++ssSkC1]).

input_clause(clause11,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause12,conjecture,
    [--ssSkC3,
     ++c1_1(a154),
     ++c3_0]).

input_clause(clause13,conjecture,
    [--c5_1(a145),
     ++c2_0]).

input_clause(clause14,conjecture,
    [--c4_0,
     ++c5_1(a144)]).

input_clause(clause15,conjecture,
    [--ssSkC0,--c2_0,++ndr1_0]).

input_clause(clause16,conjecture,
    [--c1_1(a153),
     ++ssSkC3]).

input_clause(clause17,conjecture,
    [--c5_1(a153),
     ++ssSkC3]).

input_clause(clause18,conjecture,
    [--c3_1(a146),
     ++ssSkC1]).

input_clause(clause19,conjecture,
    [--ssSkC3,
     --c5_1(a154),
     ++c3_0]).

input_clause(clause20,conjecture,
    [--c2_1(a151),
     --c3_0]).

input_clause(clause21,conjecture,
    [--c3_1(a151),
     --c3_0]).

input_clause(clause22,conjecture,
    [--ssSkC2,
     --c4_1(a150),
     ++c3_0]).

input_clause(clause23,conjecture,
    [--c5_0,--c1_0,++ndr1_0]).

input_clause(clause24,conjecture,
    [--c4_1(a144),
     --c4_0]).

input_clause(clause25,conjecture,
    [--c2_2(U,a141),
     ++ssSkP0(U)]).

input_clause(clause26,conjecture,
    [--c5_2(U,a141),
     ++ssSkP0(U)]).

input_clause(clause27,conjecture,
    [--c1_2(U,a141),
     ++ssSkP0(U)]).

input_clause(clause28,conjecture,
    [--c5_0,
     --c1_0,
     ++c5_1(a148)]).

input_clause(clause29,conjecture,
    [--ssSkC0,
     --c1_1(a143),
     --c2_0]).

input_clause(clause30,conjecture,
    [--c3_1(a148),
     --c5_0,
     --c1_0]).

input_clause(clause31,conjecture,
    [--c2_1(a148),
     --c5_0,
     --c1_0]).

input_clause(clause32,conjecture,
    [--ssSkC1,
     --ndr1_0,
     ++ndr1_1(U),
     ++c5_1(U),
     ++c4_0]).

input_clause(clause33,conjecture,
    [--ndr1_0,
     ++c5_1(U),
     ++c4_1(U),
     ++c3_1(a152),
     ++c2_0]).

input_clause(clause34,conjecture,
    [--ssSkC1,
     --ndr1_0,
     ++c3_2(U,a147),
     ++c5_1(U),
     ++c4_0]).

input_clause(clause35,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c4_1(U),
     ++c3_1(U),
     ++ssSkC2]).

input_clause(clause36,conjecture,
    [--ndr1_0,
     --c4_1(a152),
     ++c5_1(U),
     ++c4_1(U),
     ++c2_0]).

input_clause(clause37,conjecture,
    [--ndr1_0,
     --c1_1(a152),
     ++c5_1(U),
     ++c4_1(U),
     ++c2_0]).

input_clause(clause38,conjecture,
    [--ssSkC1,
     --c1_2(U,a147),
     --ndr1_0,
     ++c5_1(U),
     ++c4_0]).

input_clause(clause39,conjecture,
    [--ssSkC1,
     --c5_2(U,a147),
     --ndr1_0,
     ++c5_1(U),
     ++c4_0]).

input_clause(clause40,conjecture,
    [--ndr1_0,
     ++c5_2(U,a149),
     ++c4_1(U),
     ++c3_1(U),
     ++ssSkC2]).

input_clause(clause41,conjecture,
    [--ndr1_0,
     ++c4_2(U,a149),
     ++c4_1(U),
     ++c3_1(U),
     ++ssSkC2]).

input_clause(clause42,conjecture,
    [--ssSkP0(U),
     --c1_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC0]).

input_clause(clause43,conjecture,
    [--ssSkP0(U),
     --c1_1(U),
     --ndr1_0,
     ++c3_2(U,a142),
     ++ssSkC0]).

input_clause(clause44,conjecture,
    [--ndr1_0,
     --c4_0,
     ++c4_1(U),
     ++c5_1(U),
     ++c1_1(U),
     ++ndr1_1(a155)]).

input_clause(clause45,conjecture,
    [--ssSkC2,
     --c4_2(a150,U),
     --ndr1_1(a150),
     ++c5_2(a150,U),
     ++c3_0]).

input_clause(clause46,conjecture,
    [--ssSkP0(U),
     --c4_2(U,a142),
     --c1_1(U),
     --ndr1_0,
     ++ssSkC0]).

input_clause(clause47,conjecture,
    [--ndr1_0,
     --c4_0,
     ++c4_1(U),
     ++c5_1(U),
     ++c1_1(U),
     ++c1_2(a155,a156)]).

input_clause(clause48,conjecture,
    [--ndr1_0,
     --c4_0,
     ++c4_1(U),
     ++c5_1(U),
     ++c1_1(U),
     ++c5_2(a155,a156)]).

input_clause(clause49,conjecture,
    [--ndr1_0,
     --c4_0,
     ++c4_1(U),
     ++c5_1(U),
     ++c1_1(U),
     ++c2_2(a155,a156)]).

input_clause(clause50,conjecture,
    [--ndr1_0,
     --c4_1(a155),
     --c4_0,
     ++c4_1(U),
     ++c5_1(U),
     ++c1_1(U)]).

input_clause(clause51,conjecture,
    [--ssSkC3,
     --c5_2(a154,U),
     --c1_2(a154,U),
     --ndr1_1(a154),
     ++c3_0]).

input_clause(clause52,conjecture,
    [--c5_2(a144,U),
     --ndr1_1(a144),
     --c4_0,
     ++c3_2(a144,U),
     ++c4_2(a144,U)]).

input_clause(clause53,conjecture,
    [--c2_2(a145,U),
     --c5_2(a145,U),
     --c1_2(a145,U),
     --ndr1_1(a145),
     ++c2_0]).

input_clause(clause54,conjecture,
    [--ndr1_1(U),
     --c5_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_0,
     ++c4_2(U,V),
     ++c1_2(U,V)]).

input_clause(clause55,conjecture,
    [--ndr1_0,
     --c4_2(a155,U),
     --c2_2(a155,U),
     --ndr1_1(a155),
     --c4_0,
     ++c4_1(V),
     ++c5_1(V),
     ++c1_1(V),
     ++c5_2(a155,U)]).
%--------------------------------------------------------------------------
