%--------------------------------------------------------------------------
% File     : SYN531-1 : TPTP v2.2.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=25, K=3, D=2, P=0, Index=036
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-25-3-2-036.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.00 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :   82 (  56 non-Horn;   0 unit;  60 RR)
%            Number of literals   :  375 (   0 equality)
%            Maximal clause size  :   11 (   4 average)
%            Number of predicates :   23 (  11 propositional; 0-2 arity)
%            Number of functors   :   24 (  24 constant; 0-0 arity)
%            Number of variables  :   75 (   1 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++c5_0,++c4_0]).

input_clause(clause2,conjecture,
    [++ndr1_0,++ssSkC3]).

input_clause(clause3,conjecture,
    [++ndr1_0,++ssSkC2]).

input_clause(clause4,conjecture,
    [++ndr1_0,++ssSkC1]).

input_clause(clause5,conjecture,
    [--ssSkC2,++ndr1_0,++c5_0]).

input_clause(clause6,conjecture,
    [--c5_0,++c2_0]).

input_clause(clause7,conjecture,
    [++c2_1(a400),
     ++ssSkC3]).

input_clause(clause8,conjecture,
    [++c5_1(a392),
     ++ssSkC2]).

input_clause(clause9,conjecture,
    [++c3_1(a392),
     ++ssSkC2]).

input_clause(clause10,conjecture,
    [++c1_1(a392),
     ++ssSkC2]).

input_clause(clause11,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause12,conjecture,
    [--ssSkC3,--c2_0,++ndr1_0]).

input_clause(clause13,conjecture,
    [--c5_0,++ndr1_0,++c3_0]).

input_clause(clause14,conjecture,
    [--ssSkC2,
     ++ndr1_1(a393),
     ++c5_0]).

input_clause(clause15,conjecture,
    [--ssSkC2,
     ++c3_1(a393),
     ++c5_0]).

input_clause(clause16,conjecture,
    [--c2_0,--c3_0]).

input_clause(clause17,conjecture,
    [--c5_0,++c1_0,++c3_0]).

input_clause(clause18,conjecture,
    [--c1_1(a400),
     ++ssSkC3]).

input_clause(clause19,conjecture,
    [--c1_1(a390),
     ++ssSkC1]).

input_clause(clause20,conjecture,
    [++c5_2(U,a387),
     ++ssSkP0(U)]).

input_clause(clause21,conjecture,
    [++c2_2(U,a387),
     ++ssSkP0(U)]).

input_clause(clause22,conjecture,
    [++c3_2(U,a387),
     ++ssSkP0(U)]).

input_clause(clause23,conjecture,
    [--ssSkC3,
     --c2_0,
     ++ndr1_1(a401)]).

input_clause(clause24,conjecture,
    [--ssSkC3,
     --c2_0,
     ++c4_1(a401)]).

input_clause(clause25,conjecture,
    [--c1_0,--c2_0,++ndr1_0]).

input_clause(clause26,conjecture,
    [--ssSkC2,
     ++c2_2(a393,a395),
     ++c5_0]).

input_clause(clause27,conjecture,
    [--ssSkC2,
     ++c5_2(a393,a394),
     ++c5_0]).

input_clause(clause28,conjecture,
    [--c5_0,--c2_0,++c4_0]).

input_clause(clause29,conjecture,
    [--ssSkC3,
     --c2_0,
     ++c2_2(a401,a402)]).

input_clause(clause30,conjecture,
    [--c2_1(a399),
     --c5_0,
     ++c3_0]).

input_clause(clause31,conjecture,
    [--c1_0,
     --c2_0,
     ++ndr1_1(a396)]).

input_clause(clause32,conjecture,
    [--c1_0,
     --c2_0,
     ++c4_1(a396)]).

input_clause(clause33,conjecture,
    [--ssSkC2,
     --c1_2(a393,a395),
     ++c5_0]).

input_clause(clause34,conjecture,
    [--ssSkC2,
     --c2_2(a393,a394),
     ++c5_0]).

input_clause(clause35,conjecture,
    [--ssSkC2,
     --c3_2(a393,a394),
     ++c5_0]).

input_clause(clause36,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c4_1(U),
     ++c1_0,
     ++c4_0]).

input_clause(clause37,conjecture,
    [--ssSkC3,
     --c1_2(a401,a402),
     --c2_0]).

input_clause(clause38,conjecture,
    [--c1_0,
     --c2_0,
     ++c3_2(a396,a397)]).

input_clause(clause39,conjecture,
    [--c3_1(a396),
     --c1_0,
     --c2_0]).

input_clause(clause40,conjecture,
    [--ndr1_0,
     ++c1_2(U,a410),
     ++c4_1(U),
     ++c1_0,
     ++c4_0]).

input_clause(clause41,conjecture,
    [--ndr1_0,
     ++c2_2(U,a410),
     ++c4_1(U),
     ++c1_0,
     ++c4_0]).

input_clause(clause42,conjecture,
    [--c5_2(a396,a397),
     --c1_0,
     --c2_0]).

input_clause(clause43,conjecture,
    [--c4_2(a396,a397),
     --c1_0,
     --c2_0]).

input_clause(clause44,conjecture,
    [--c3_2(a400,U),
     --ndr1_1(a400),
     ++ssSkC3]).

input_clause(clause45,conjecture,
    [--ssSkP0(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c2_1(U),
     ++ssSkC0]).

input_clause(clause46,conjecture,
    [--ndr1_0,
     --c4_0,
     ++c4_1(U),
     ++c2_1(U),
     ++c5_1(U)]).

input_clause(clause47,conjecture,
    [--c4_2(U,a410),
     --ndr1_0,
     ++c4_1(U),
     ++c1_0,
     ++c4_0]).

input_clause(clause48,conjecture,
    [--ssSkP0(U),
     --ndr1_0,
     ++c3_2(U,a388),
     ++c2_1(U),
     ++ssSkC0]).

input_clause(clause49,conjecture,
    [--ssSkP0(U),
     --ndr1_0,
     ++c2_2(U,a388),
     ++c2_1(U),
     ++ssSkC0]).

input_clause(clause50,conjecture,
    [--ssSkC0,
     --c1_1(U),
     --c5_1(U),
     --ndr1_0,
     ++ndr1_1(U)]).

input_clause(clause51,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c2_0,
     ++c4_1(U),
     ++c5_1(U)]).

input_clause(clause52,conjecture,
    [--ndr1_1(a390),
     ++c1_2(a390,U),
     ++c5_2(a390,U),
     ++ssSkC1]).

input_clause(clause53,conjecture,
    [--ssSkP0(U),
     --c1_2(U,a388),
     --ndr1_0,
     ++c2_1(U),
     ++ssSkC0]).

input_clause(clause54,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c3_0,
     ++c4_0]).

input_clause(clause55,conjecture,
    [--ssSkC0,
     --c1_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c1_2(U,a389)]).

input_clause(clause56,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c5_0,
     ++c2_1(U),
     ++c1_1(U),
     ++ndr1_1(a403)]).

input_clause(clause57,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c5_0,
     ++c2_1(U),
     ++c1_1(U),
     ++c1_1(a403)]).

input_clause(clause58,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c5_0,
     ++c2_1(U),
     ++c1_1(U),
     ++c2_1(a403)]).

input_clause(clause59,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c3_2(U,a398),
     ++c3_0,
     ++c4_0]).

input_clause(clause60,conjecture,
    [--ssSkC0,
     --c3_2(U,a389),
     --c1_1(U),
     --c5_1(U),
     --ndr1_0]).

input_clause(clause61,conjecture,
    [--ssSkC4,
     --ndr1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c3_2(U,V),
     ++c4_2(U,a406)]).

input_clause(clause62,conjecture,
    [--ssSkC4,
     --ndr1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c3_2(U,V),
     ++c2_2(U,a406)]).

input_clause(clause63,conjecture,
    [--ssSkC4,
     --ndr1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c3_2(U,V),
     ++c3_2(U,a406)]).

input_clause(clause64,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c5_0,
     ++c2_1(U),
     ++c1_1(U),
     ++c3_2(a403,a404)]).

input_clause(clause65,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c4_2(a403,a404),
     --c5_0,
     ++c2_1(U),
     ++c1_1(U)]).

input_clause(clause66,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c1_0,
     --c5_0,
     ++c3_2(U,V),
     ++c2_2(U,V),
     ++c3_1(U)]).

input_clause(clause67,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c2_2(U,V),
     ++c4_2(U,V),
     ++c1_1(U),
     ++c3_0,
     ++c2_0]).

input_clause(clause68,conjecture,
    [--c2_2(a399,U),
     --c1_2(a399,U),
     --c5_2(a399,U),
     --ndr1_1(a399),
     --c5_0,
     ++c3_0]).

input_clause(clause69,conjecture,
    [--ssSkC1,
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_1(a391),
     ++c1_2(U,V),
     ++c3_1(U),
     ++c5_1(U)]).

input_clause(clause70,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c2_2(U,W),
     ++c1_2(U,W),
     ++c5_1(U),
     ++ndr1_1(a407)]).

input_clause(clause71,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c2_2(U,W),
     ++c1_2(U,W),
     ++c5_1(U),
     ++c1_2(a407,a409)]).

input_clause(clause72,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c2_2(U,W),
     ++c1_2(U,W),
     ++c5_1(U),
     ++c2_2(a407,a409)]).

input_clause(clause73,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c2_2(U,W),
     ++c1_2(U,W),
     ++c5_1(U),
     ++c1_2(a407,a408)]).

input_clause(clause74,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_1(a407),
     ++c2_2(U,V),
     ++c2_2(U,W),
     ++c1_2(U,W),
     ++c5_1(U)]).

input_clause(clause75,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_2(a407,a409),
     ++c2_2(U,V),
     ++c2_2(U,W),
     ++c1_2(U,W),
     ++c5_1(U)]).

input_clause(clause76,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_2(a407,a408),
     ++c2_2(U,V),
     ++c2_2(U,W),
     ++c1_2(U,W),
     ++c5_1(U)]).

input_clause(clause77,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c5_2(a407,a408),
     ++c2_2(U,V),
     ++c2_2(U,W),
     ++c1_2(U,W),
     ++c5_1(U)]).

input_clause(clause78,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a405),
     --c1_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c5_2(U,V),
     ++ssSkC4]).

input_clause(clause79,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a405),
     --c1_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c5_2(U,V),
     ++ssSkC4]).

input_clause(clause80,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a405),
     --c1_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c5_2(U,V),
     ++ssSkC4]).

input_clause(clause81,conjecture,
    [--ssSkC1,
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c5_2(a391,W),
     --ndr1_1(a391),
     ++c1_2(U,V),
     ++c3_1(U),
     ++c5_1(U),
     ++c4_2(a391,W),
     ++c1_2(a391,W)]).

input_clause(clause82,conjecture,
    [--ssSkC1,
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_2(a391,W),
     --c3_2(a391,W),
     --ndr1_1(a391),
     ++c1_2(U,V),
     ++c3_1(U),
     ++c5_1(U),
     ++c4_2(a391,W)]).
%--------------------------------------------------------------------------
