%--------------------------------------------------------------------------
% File     : SYN537-1 : TPTP v2.2.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=40, K=3, D=2, P=0, Index=014
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-40-3-2-014.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.33 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :  114 (  72 non-Horn;   2 unit; 106 RR)
%            Number of literals   :  474 (   0 equality)
%            Maximal clause size  :   13 (   4 average)
%            Number of predicates :   24 (  12 propositional; 0-2 arity)
%            Number of functors   :   34 (  34 constant; 0-0 arity)
%            Number of variables  :   78 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++c1_0]).

input_clause(clause2,conjecture,
    [++ndr1_0,++c5_0]).

input_clause(clause3,conjecture,
    [--c3_0]).

input_clause(clause4,conjecture,
    [++ndr1_0,++ssSkC5]).

input_clause(clause5,conjecture,
    [++ndr1_0,++ssSkC4]).

input_clause(clause6,conjecture,
    [++ndr1_0,++ssSkC3]).

input_clause(clause7,conjecture,
    [++ndr1_0,++ssSkC2]).

input_clause(clause8,conjecture,
    [++ndr1_0,++ssSkC0]).

input_clause(clause9,conjecture,
    [--ssSkC4,--ssSkC5,++ndr1_0]).

input_clause(clause10,conjecture,
    [--c2_0,++ndr1_0]).

input_clause(clause11,conjecture,
    [--c5_0,++ndr1_0]).

input_clause(clause12,conjecture,
    [--ssSkC2,++ndr1_0,++c2_0]).

input_clause(clause13,conjecture,
    [++ndr1_0,++c2_0,++c4_0]).

input_clause(clause14,conjecture,
    [++c2_1(a659),
     ++c5_0]).

input_clause(clause15,conjecture,
    [--c4_0,++c5_0]).

input_clause(clause16,conjecture,
    [++c3_1(a666),
     ++ssSkC2]).

input_clause(clause17,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause18,conjecture,
    [++ndr1_1(a643),
     ++ssSkC0]).

input_clause(clause19,conjecture,
    [++c4_1(a643),
     ++ssSkC0]).

input_clause(clause20,conjecture,
    [--c2_0,
     ++c4_1(a674)]).

input_clause(clause21,conjecture,
    [--c2_0,
     ++c2_1(a674)]).

input_clause(clause22,conjecture,
    [--c5_0,
     ++ndr1_1(a669)]).

input_clause(clause23,conjecture,
    [--ssSkC2,
     ++ndr1_1(a667),
     ++c2_0]).

input_clause(clause24,conjecture,
    [++c3_1(a665),
     ++c2_0,
     ++c4_0]).

input_clause(clause25,conjecture,
    [++ndr1_1(a660),
     ++c4_0,
     ++c2_0]).

input_clause(clause26,conjecture,
    [--c1_1(a659),
     ++c5_0]).

input_clause(clause27,conjecture,
    [--c4_1(a679),
     ++ssSkC5]).

input_clause(clause28,conjecture,
    [--c5_1(a679),
     ++ssSkC5]).

input_clause(clause29,conjecture,
    [--c2_1(a678),
     ++ssSkC4]).

input_clause(clause30,conjecture,
    [--c4_1(a678),
     ++ssSkC4]).

input_clause(clause31,conjecture,
    [--c5_1(a672),
     ++ssSkC3]).

input_clause(clause32,conjecture,
    [--c1_1(a672),
     ++ssSkC3]).

input_clause(clause33,conjecture,
    [--c1_1(a666),
     ++ssSkC2]).

input_clause(clause34,conjecture,
    [++c4_2(U,a649),
     ++ssSkP0(U)]).

input_clause(clause35,conjecture,
    [++c1_2(U,a649),
     ++ssSkP0(U)]).

input_clause(clause36,conjecture,
    [++c5_2(a643,a644),
     ++ssSkC0]).

input_clause(clause37,conjecture,
    [--c1_1(a643),
     ++ssSkC0]).

input_clause(clause38,conjecture,
    [--ssSkC4,
     --ssSkC5,
     --c3_1(a680)]).

input_clause(clause39,conjecture,
    [--c5_0,
     ++c1_2(a669,a670)]).

input_clause(clause40,conjecture,
    [--c1_1(a669),
     --c5_0]).

input_clause(clause41,conjecture,
    [--ssSkC2,
     --c4_1(a667),
     ++c2_0]).

input_clause(clause42,conjecture,
    [--c5_1(a665),
     ++c2_0,
     ++c4_0]).

input_clause(clause43,conjecture,
    [++c2_2(a660,a661),
     ++c4_0,
     ++c2_0]).

input_clause(clause44,conjecture,
    [--c4_1(a660),
     ++c4_0,
     ++c2_0]).

input_clause(clause45,conjecture,
    [--c5_2(U,a649),
     ++ssSkP0(U)]).

input_clause(clause46,conjecture,
    [--c2_2(a643,a644),
     ++ssSkC0]).

input_clause(clause47,conjecture,
    [--c2_0,
     --c5_0,
     ++ndr1_1(a676)]).

input_clause(clause48,conjecture,
    [--c2_0,
     --c5_0,
     ++c3_1(a676)]).

input_clause(clause49,conjecture,
    [--c2_0,
     --c5_0,
     ++c4_1(a676)]).

input_clause(clause50,conjecture,
    [--c5_2(a669,a670),
     --c5_0]).

input_clause(clause51,conjecture,
    [--c2_2(a669,a670),
     --c5_0]).

input_clause(clause52,conjecture,
    [--ssSkC2,
     --c4_2(a667,a668),
     ++c2_0]).

input_clause(clause53,conjecture,
    [--ssSkC2,
     --c1_2(a667,a668),
     ++c2_0]).

input_clause(clause54,conjecture,
    [--c4_2(a660,a662),
     ++c4_0,
     ++c2_0]).

input_clause(clause55,conjecture,
    [--c5_2(a660,a662),
     ++c4_0,
     ++c2_0]).

input_clause(clause56,conjecture,
    [--c2_2(a660,a662),
     ++c4_0,
     ++c2_0]).

input_clause(clause57,conjecture,
    [--c4_2(a660,a661),
     ++c4_0,
     ++c2_0]).

input_clause(clause58,conjecture,
    [--c3_2(a660,a661),
     ++c4_0,
     ++c2_0]).

input_clause(clause59,conjecture,
    [--c5_0,
     --c1_0,
     ++ndr1_1(a651)]).

input_clause(clause60,conjecture,
    [--c4_0,--c1_0,--c2_0]).

input_clause(clause61,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c2_1(U),
     ++ssSkC1]).

input_clause(clause62,conjecture,
    [--c5_0,
     --c1_0,
     ++c1_2(a651,a652)]).

input_clause(clause63,conjecture,
    [--c4_2(a676,a677),
     --c2_0,
     --c5_0]).

input_clause(clause64,conjecture,
    [--c2_2(a676,a677),
     --c2_0,
     --c5_0]).

input_clause(clause65,conjecture,
    [--c3_2(a676,a677),
     --c2_0,
     --c5_0]).

input_clause(clause66,conjecture,
    [--c5_2(a651,a652),
     --c5_0,
     --c1_0]).

input_clause(clause67,conjecture,
    [--c2_2(a651,a652),
     --c5_0,
     --c1_0]).

input_clause(clause68,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c5_1(U),
     ++c5_0]).

input_clause(clause69,conjecture,
    [--ssSkP0(U),
     --c4_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c3_0]).

input_clause(clause70,conjecture,
    [--c4_2(U,a657),
     --ndr1_0,
     ++c2_1(U),
     ++ssSkC1]).

input_clause(clause71,conjecture,
    [--c1_2(U,a657),
     --ndr1_0,
     ++c2_1(U),
     ++ssSkC1]).

input_clause(clause72,conjecture,
    [--c5_2(U,a657),
     --ndr1_0,
     ++c2_1(U),
     ++ssSkC1]).

input_clause(clause73,conjecture,
    [--ssSkC3,
     --c3_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c2_1(U),
     ++c4_0]).

input_clause(clause74,conjecture,
    [--ssSkP0(U),
     --c4_1(U),
     --ndr1_0,
     ++c5_2(U,a650),
     ++c3_0]).

input_clause(clause75,conjecture,
    [--ssSkP0(U),
     --c4_1(U),
     --ndr1_0,
     ++c4_2(U,a650),
     ++c3_0]).

input_clause(clause76,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++c3_0,
     ++c5_0]).

input_clause(clause77,conjecture,
    [--ndr1_0,
     --c4_1(a653),
     --c4_0,
     ++c5_1(U),
     ++c1_1(U)]).

input_clause(clause78,conjecture,
    [--ndr1_0,
     --c1_1(a653),
     --c4_0,
     ++c5_1(U),
     ++c1_1(U)]).

input_clause(clause79,conjecture,
    [--c2_2(U,a656),
     --c2_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++c5_0]).

input_clause(clause80,conjecture,
    [--c1_2(U,a656),
     --c2_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++c5_0]).

input_clause(clause81,conjecture,
    [--c3_2(U,a656),
     --c2_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++c5_0]).

input_clause(clause82,conjecture,
    [--ssSkP0(U),
     --c3_2(U,a650),
     --c4_1(U),
     --ndr1_0,
     ++c3_0]).

input_clause(clause83,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c5_2(U,a647),
     ++c1_1(U),
     ++c3_0,
     ++c5_0]).

input_clause(clause84,conjecture,
    [--c5_2(a666,U),
     --ndr1_1(a666),
     ++c3_2(a666,U),
     ++ssSkC2]).

input_clause(clause85,conjecture,
    [--ssSkC4,
     --ssSkC5,
     --c1_2(a680,U),
     --ndr1_1(a680),
     ++c2_2(a680,U)]).

input_clause(clause86,conjecture,
    [--c1_2(a665,U),
     --ndr1_1(a665),
     ++c5_2(a665,U),
     ++c2_0,
     ++c4_0]).

input_clause(clause87,conjecture,
    [--ssSkC3,
     --c5_2(U,a673),
     --c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c4_0]).

input_clause(clause88,conjecture,
    [--ssSkC3,
     --c4_2(U,a673),
     --c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c4_0]).

input_clause(clause89,conjecture,
    [--ssSkC3,
     --c1_2(U,a673),
     --c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c4_0]).

input_clause(clause90,conjecture,
    [--c2_2(U,a647),
     --c2_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c3_0,
     ++c5_0]).

input_clause(clause91,conjecture,
    [--c1_2(U,a647),
     --c2_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c3_0,
     ++c5_0]).

input_clause(clause92,conjecture,
    [--ndr1_1(a679),
     ++c1_2(a679,U),
     ++c5_2(a679,U),
     ++c3_2(a679,U),
     ++ssSkC5]).

input_clause(clause93,conjecture,
    [--c5_2(a672,U),
     --ndr1_1(a672),
     ++c1_2(a672,U),
     ++c4_2(a672,U),
     ++ssSkC3]).

input_clause(clause94,conjecture,
    [--c4_2(a669,U),
     --ndr1_1(a669),
     --c5_0,
     ++c3_2(a669,U),
     ++c2_2(a669,U)]).

input_clause(clause95,conjecture,
    [--c1_2(a659,U),
     --c3_2(a659,U),
     --ndr1_1(a659),
     ++c5_2(a659,U),
     ++c5_0]).

input_clause(clause96,conjecture,
    [--ndr1_0,
     --ndr1_1(a653),
     --c4_0,
     ++c5_1(U),
     ++c1_1(U),
     ++c3_2(a653,V),
     ++c1_2(a653,V)]).

input_clause(clause97,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c5_2(U,V),
     ++c1_2(U,V),
     ++ndr1_1(a654)]).

input_clause(clause98,conjecture,
    [--c1_2(a651,U),
     --ndr1_1(a651),
     --c5_0,
     --c1_0,
     ++c5_2(a651,U),
     ++c3_2(a651,U)]).

input_clause(clause99,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c5_2(U,V),
     ++c1_2(U,V),
     ++c5_2(a654,a655)]).

input_clause(clause100,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c5_2(U,V),
     ++c1_2(U,V),
     ++c3_2(a654,a655)]).

input_clause(clause101,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_1(a654),
     --c2_0,
     ++c5_2(U,V),
     ++c1_2(U,V)]).

input_clause(clause102,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c5_1(a654),
     --c2_0,
     ++c5_2(U,V),
     ++c1_2(U,V)]).

input_clause(clause103,conjecture,
    [--ssSkC1,
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c1_2(U,V),
     ++c4_2(U,a658),
     ++c4_1(U),
     ++c3_0]).

input_clause(clause104,conjecture,
    [--ssSkC1,
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c1_2(U,V),
     ++c5_2(U,a658),
     ++c4_1(U),
     ++c3_0]).

input_clause(clause105,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_2(a654,a655),
     --c2_0,
     ++c5_2(U,V),
     ++c1_2(U,V)]).

input_clause(clause106,conjecture,
    [--c4_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_0,
     --c4_0,
     ++c3_2(U,V)]).

input_clause(clause107,conjecture,
    [--c2_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c5_0,
     ++c1_2(U,V),
     ++c5_1(U),
     ++c3_1(a675)]).

input_clause(clause108,conjecture,
    [--c2_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c5_0,
     ++c1_2(U,V),
     ++c5_1(U),
     ++c5_1(a675)]).

input_clause(clause109,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --ndr1_0,
     --c3_1(a648),
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c4_2(U,W),
     ++c1_1(U),
     ++c4_0]).

input_clause(clause110,conjecture,
    [--c1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c2_2(V,W),
     --c1_2(V,W),
     --ndr1_1(V),
     --c5_0,
     ++c3_1(U),
     ++c3_2(V,W),
     ++c2_2(V,a640),
     ++c1_1(V)]).

input_clause(clause111,conjecture,
    [--c1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c2_2(V,W),
     --c1_2(V,W),
     --ndr1_1(V),
     --c5_0,
     ++c3_1(U),
     ++c3_2(V,W),
     ++c3_2(V,a640),
     ++c1_1(V)]).

input_clause(clause112,conjecture,
    [--c1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c2_2(V,W),
     --c1_2(V,W),
     --ndr1_1(V),
     --c5_2(V,a640),
     --c5_0,
     ++c3_1(U),
     ++c3_2(V,W),
     ++c1_1(V)]).

input_clause(clause113,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --ndr1_0,
     --c1_2(a648,X),
     --c3_2(a648,X),
     --ndr1_1(a648),
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c4_2(U,W),
     ++c1_1(U),
     ++c4_0]).

input_clause(clause114,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --ndr1_0,
     --c5_2(a648,X),
     --c2_2(a648,X),
     --ndr1_1(a648),
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c4_2(U,W),
     ++c1_1(U),
     ++c4_2(a648,X),
     ++c4_0]).
%--------------------------------------------------------------------------
