%--------------------------------------------------------------------------
% File     : SYN543-1 : TPTP v2.2.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=6, R=1, L=60, K=3, D=1, P=0, Index=088
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-6-1-60-3-1-088.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.67 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :  320 (  60 non-Horn;   0 unit; 309 RR)
%            Number of literals   :  952 (   0 equality)
%            Maximal clause size  :   10 (   2 average)
%            Number of predicates :   72 (  66 propositional; 0-1 arity)
%            Number of functors   :   65 (  65 constant; 0-0 arity)
%            Number of variables  :  100 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--hskp64,++ndr1_0]).

input_clause(clause2,conjecture,
    [--hskp63,++ndr1_0]).

input_clause(clause3,conjecture,
    [--hskp62,++ndr1_0]).

input_clause(clause4,conjecture,
    [--hskp61,++ndr1_0]).

input_clause(clause5,conjecture,
    [--hskp60,++ndr1_0]).

input_clause(clause6,conjecture,
    [--hskp59,++ndr1_0]).

input_clause(clause7,conjecture,
    [--hskp58,++ndr1_0]).

input_clause(clause8,conjecture,
    [--hskp57,++ndr1_0]).

input_clause(clause9,conjecture,
    [--hskp56,++ndr1_0]).

input_clause(clause10,conjecture,
    [--hskp55,++ndr1_0]).

input_clause(clause11,conjecture,
    [--hskp54,++ndr1_0]).

input_clause(clause12,conjecture,
    [--hskp53,++ndr1_0]).

input_clause(clause13,conjecture,
    [--hskp52,++ndr1_0]).

input_clause(clause14,conjecture,
    [--hskp51,++ndr1_0]).

input_clause(clause15,conjecture,
    [--hskp50,++ndr1_0]).

input_clause(clause16,conjecture,
    [--hskp49,++ndr1_0]).

input_clause(clause17,conjecture,
    [--hskp48,++ndr1_0]).

input_clause(clause18,conjecture,
    [--hskp47,++ndr1_0]).

input_clause(clause19,conjecture,
    [--hskp46,++ndr1_0]).

input_clause(clause20,conjecture,
    [--hskp45,++ndr1_0]).

input_clause(clause21,conjecture,
    [--hskp44,++ndr1_0]).

input_clause(clause22,conjecture,
    [--hskp43,++ndr1_0]).

input_clause(clause23,conjecture,
    [--hskp42,++ndr1_0]).

input_clause(clause24,conjecture,
    [--hskp41,++ndr1_0]).

input_clause(clause25,conjecture,
    [--hskp40,++ndr1_0]).

input_clause(clause26,conjecture,
    [--hskp39,++ndr1_0]).

input_clause(clause27,conjecture,
    [--hskp38,++ndr1_0]).

input_clause(clause28,conjecture,
    [--hskp37,++ndr1_0]).

input_clause(clause29,conjecture,
    [--hskp36,++ndr1_0]).

input_clause(clause30,conjecture,
    [--hskp35,++ndr1_0]).

input_clause(clause31,conjecture,
    [--hskp34,++ndr1_0]).

input_clause(clause32,conjecture,
    [--hskp33,++ndr1_0]).

input_clause(clause33,conjecture,
    [--hskp32,++ndr1_0]).

input_clause(clause34,conjecture,
    [--hskp31,++ndr1_0]).

input_clause(clause35,conjecture,
    [--hskp30,++ndr1_0]).

input_clause(clause36,conjecture,
    [--hskp29,++ndr1_0]).

input_clause(clause37,conjecture,
    [--hskp28,++ndr1_0]).

input_clause(clause38,conjecture,
    [--hskp27,++ndr1_0]).

input_clause(clause39,conjecture,
    [--hskp26,++ndr1_0]).

input_clause(clause40,conjecture,
    [--hskp25,++ndr1_0]).

input_clause(clause41,conjecture,
    [--hskp24,++ndr1_0]).

input_clause(clause42,conjecture,
    [--hskp23,++ndr1_0]).

input_clause(clause43,conjecture,
    [--hskp22,++ndr1_0]).

input_clause(clause44,conjecture,
    [--hskp21,++ndr1_0]).

input_clause(clause45,conjecture,
    [--hskp20,++ndr1_0]).

input_clause(clause46,conjecture,
    [--hskp19,++ndr1_0]).

input_clause(clause47,conjecture,
    [--hskp18,++ndr1_0]).

input_clause(clause48,conjecture,
    [--hskp17,++ndr1_0]).

input_clause(clause49,conjecture,
    [--hskp16,++ndr1_0]).

input_clause(clause50,conjecture,
    [--hskp15,++ndr1_0]).

input_clause(clause51,conjecture,
    [--hskp14,++ndr1_0]).

input_clause(clause52,conjecture,
    [--hskp13,++ndr1_0]).

input_clause(clause53,conjecture,
    [--hskp12,++ndr1_0]).

input_clause(clause54,conjecture,
    [--hskp11,++ndr1_0]).

input_clause(clause55,conjecture,
    [--hskp10,++ndr1_0]).

input_clause(clause56,conjecture,
    [--hskp9,++ndr1_0]).

input_clause(clause57,conjecture,
    [--hskp8,++ndr1_0]).

input_clause(clause58,conjecture,
    [--hskp7,++ndr1_0]).

input_clause(clause59,conjecture,
    [--hskp6,++ndr1_0]).

input_clause(clause60,conjecture,
    [--hskp5,++ndr1_0]).

input_clause(clause61,conjecture,
    [--hskp4,++ndr1_0]).

input_clause(clause62,conjecture,
    [--hskp3,++ndr1_0]).

input_clause(clause63,conjecture,
    [--hskp2,++ndr1_0]).

input_clause(clause64,conjecture,
    [--hskp1,++ndr1_0]).

input_clause(clause65,conjecture,
    [--hskp0,++ndr1_0]).

input_clause(clause66,conjecture,
    [++hskp63,++hskp43,++hskp44]).

input_clause(clause67,conjecture,
    [++hskp38,++hskp45,++hskp46]).

input_clause(clause68,conjecture,
    [++hskp47,++hskp48,++hskp21]).

input_clause(clause69,conjecture,
    [++hskp49,++hskp50,++hskp51]).

input_clause(clause70,conjecture,
    [++hskp52,++hskp53,++hskp54]).

input_clause(clause71,conjecture,
    [++hskp41,++hskp55,++hskp64]).

input_clause(clause72,conjecture,
    [++hskp56,++hskp33,++hskp57]).

input_clause(clause73,conjecture,
    [--hskp64,
     ++c3_1(a153)]).

input_clause(clause74,conjecture,
    [--hskp64,
     ++c4_1(a153)]).

input_clause(clause75,conjecture,
    [--hskp64,
     ++c5_1(a153)]).

input_clause(clause76,conjecture,
    [--hskp63,
     ++c0_1(a136)]).

input_clause(clause77,conjecture,
    [--hskp63,
     ++c1_1(a136)]).

input_clause(clause78,conjecture,
    [--hskp63,
     ++c4_1(a136)]).

input_clause(clause79,conjecture,
    [--hskp62,
     ++c0_1(a119)]).

input_clause(clause80,conjecture,
    [--hskp62,
     ++c1_1(a119)]).

input_clause(clause81,conjecture,
    [--hskp62,
     ++c2_1(a119)]).

input_clause(clause82,conjecture,
    [--hskp61,
     ++c0_1(a102)]).

input_clause(clause83,conjecture,
    [--hskp61,
     ++c2_1(a102)]).

input_clause(clause84,conjecture,
    [--hskp61,
     ++c3_1(a102)]).

input_clause(clause85,conjecture,
    [--hskp60,
     ++c1_1(a101)]).

input_clause(clause86,conjecture,
    [--hskp60,
     ++c3_1(a101)]).

input_clause(clause87,conjecture,
    [--hskp60,
     ++c5_1(a101)]).

input_clause(clause88,conjecture,
    [--hskp59,
     ++c0_1(a79)]).

input_clause(clause89,conjecture,
    [--hskp59,
     ++c3_1(a79)]).

input_clause(clause90,conjecture,
    [--hskp59,
     ++c4_1(a79)]).

input_clause(clause91,conjecture,
    [--hskp58,
     ++c1_1(a78)]).

input_clause(clause92,conjecture,
    [--hskp58,
     ++c2_1(a78)]).

input_clause(clause93,conjecture,
    [--hskp58,
     ++c3_1(a78)]).

input_clause(clause94,conjecture,
    [--hskp57,
     ++c5_1(a156)]).

input_clause(clause95,conjecture,
    [--hskp56,
     ++c3_1(a154)]).

input_clause(clause96,conjecture,
    [--hskp55,
     ++c2_1(a152)]).

input_clause(clause97,conjecture,
    [--hskp54,
     ++c4_1(a150)]).

input_clause(clause98,conjecture,
    [--hskp53,
     ++c2_1(a149)]).

input_clause(clause99,conjecture,
    [--hskp52,
     ++c1_1(a148)]).

input_clause(clause100,conjecture,
    [--hskp52,
     ++c4_1(a148)]).

input_clause(clause101,conjecture,
    [--hskp51,
     ++c4_1(a147)]).

input_clause(clause102,conjecture,
    [--hskp51,
     ++c5_1(a147)]).

input_clause(clause103,conjecture,
    [--hskp50,
     ++c2_1(a146)]).

input_clause(clause104,conjecture,
    [--hskp50,
     ++c5_1(a146)]).

input_clause(clause105,conjecture,
    [--hskp49,
     ++c1_1(a145)]).

input_clause(clause106,conjecture,
    [--hskp49,
     ++c3_1(a145)]).

input_clause(clause107,conjecture,
    [--hskp48,
     ++c0_1(a143)]).

input_clause(clause108,conjecture,
    [--hskp47,
     ++c0_1(a142)]).

input_clause(clause109,conjecture,
    [--hskp47,
     ++c5_1(a142)]).

input_clause(clause110,conjecture,
    [--hskp45,
     ++c4_1(a140)]).

input_clause(clause111,conjecture,
    [--hskp44,
     ++c4_1(a138)]).

input_clause(clause112,conjecture,
    [--hskp43,
     ++c3_1(a137)]).

input_clause(clause113,conjecture,
    [--hskp41,
     ++c1_1(a133)]).

input_clause(clause114,conjecture,
    [--hskp40,
     ++c1_1(a131)]).

input_clause(clause115,conjecture,
    [--hskp40,
     ++c2_1(a131)]).

input_clause(clause116,conjecture,
    [--hskp39,
     ++c1_1(a129)]).

input_clause(clause117,conjecture,
    [--hskp39,
     ++c2_1(a129)]).

input_clause(clause118,conjecture,
    [--hskp38,
     ++c0_1(a128)]).

input_clause(clause119,conjecture,
    [--hskp38,
     ++c4_1(a128)]).

input_clause(clause120,conjecture,
    [--hskp37,
     ++c2_1(a127)]).

input_clause(clause121,conjecture,
    [--hskp36,
     ++c0_1(a126)]).

input_clause(clause122,conjecture,
    [--hskp36,
     ++c3_1(a126)]).

input_clause(clause123,conjecture,
    [--hskp35,
     ++c4_1(a125)]).

input_clause(clause124,conjecture,
    [--hskp34,
     ++c0_1(a124)]).

input_clause(clause125,conjecture,
    [--hskp34,
     ++c3_1(a124)]).

input_clause(clause126,conjecture,
    [--hskp33,
     ++c4_1(a123)]).

input_clause(clause127,conjecture,
    [--hskp33,
     ++c5_1(a123)]).

input_clause(clause128,conjecture,
    [--hskp32,
     ++c3_1(a121)]).

input_clause(clause129,conjecture,
    [--hskp32,
     ++c4_1(a121)]).

input_clause(clause130,conjecture,
    [--hskp31,
     ++c0_1(a120)]).

input_clause(clause131,conjecture,
    [--hskp31,
     ++c2_1(a120)]).

input_clause(clause132,conjecture,
    [--hskp30,
     ++c5_1(a118)]).

input_clause(clause133,conjecture,
    [--hskp29,
     ++c2_1(a117)]).

input_clause(clause134,conjecture,
    [--hskp27,
     ++c5_1(a115)]).

input_clause(clause135,conjecture,
    [--hskp25,
     ++c1_1(a113)]).

input_clause(clause136,conjecture,
    [--hskp25,
     ++c2_1(a113)]).

input_clause(clause137,conjecture,
    [--hskp24,
     ++c2_1(a111)]).

input_clause(clause138,conjecture,
    [--hskp23,
     ++c1_1(a109)]).

input_clause(clause139,conjecture,
    [--hskp21,
     ++c2_1(a106)]).

input_clause(clause140,conjecture,
    [--hskp21,
     ++c3_1(a106)]).

input_clause(clause141,conjecture,
    [--hskp20,
     ++c0_1(a105)]).

input_clause(clause142,conjecture,
    [--hskp20,
     ++c1_1(a105)]).

input_clause(clause143,conjecture,
    [--hskp19,
     ++c3_1(a103)]).

input_clause(clause144,conjecture,
    [--hskp18,
     ++c3_1(a100)]).

input_clause(clause145,conjecture,
    [--hskp17,
     ++c3_1(a99)]).

input_clause(clause146,conjecture,
    [--hskp17,
     ++c4_1(a99)]).

input_clause(clause147,conjecture,
    [--hskp16,
     ++c0_1(a98)]).

input_clause(clause148,conjecture,
    [--hskp16,
     ++c3_1(a98)]).

input_clause(clause149,conjecture,
    [--hskp15,
     ++c2_1(a97)]).

input_clause(clause150,conjecture,
    [--hskp15,
     ++c5_1(a97)]).

input_clause(clause151,conjecture,
    [--hskp14,
     ++c5_1(a96)]).

input_clause(clause152,conjecture,
    [--hskp13,
     ++c0_1(a95)]).

input_clause(clause153,conjecture,
    [--hskp13,
     ++c2_1(a95)]).

input_clause(clause154,conjecture,
    [--hskp12,
     ++c3_1(a94)]).

input_clause(clause155,conjecture,
    [--hskp11,
     ++c0_1(a93)]).

input_clause(clause156,conjecture,
    [--hskp10,
     ++c3_1(a92)]).

input_clause(clause157,conjecture,
    [--hskp8,
     ++c1_1(a90)]).

input_clause(clause158,conjecture,
    [--hskp7,
     ++c1_1(a89)]).

input_clause(clause159,conjecture,
    [--hskp7,
     ++c3_1(a89)]).

input_clause(clause160,conjecture,
    [--hskp6,
     ++c2_1(a87)]).

input_clause(clause161,conjecture,
    [--hskp6,
     ++c3_1(a87)]).

input_clause(clause162,conjecture,
    [--hskp5,
     ++c2_1(a86)]).

input_clause(clause163,conjecture,
    [--hskp5,
     ++c4_1(a86)]).

input_clause(clause164,conjecture,
    [--hskp4,
     ++c0_1(a85)]).

input_clause(clause165,conjecture,
    [--hskp4,
     ++c4_1(a85)]).

input_clause(clause166,conjecture,
    [--hskp3,
     ++c5_1(a84)]).

input_clause(clause167,conjecture,
    [--hskp2,
     ++c2_1(a82)]).

input_clause(clause168,conjecture,
    [--hskp0,
     ++c4_1(a80)]).

input_clause(clause169,conjecture,
    [--hskp0,
     ++c5_1(a80)]).

input_clause(clause170,conjecture,
    [--c0_1(a156),
     --hskp57]).

input_clause(clause171,conjecture,
    [--c3_1(a156),
     --hskp57]).

input_clause(clause172,conjecture,
    [--c0_1(a154),
     --hskp56]).

input_clause(clause173,conjecture,
    [--c2_1(a154),
     --hskp56]).

input_clause(clause174,conjecture,
    [--c4_1(a152),
     --hskp55]).

input_clause(clause175,conjecture,
    [--c5_1(a152),
     --hskp55]).

input_clause(clause176,conjecture,
    [--c0_1(a150),
     --hskp54]).

input_clause(clause177,conjecture,
    [--c1_1(a150),
     --hskp54]).

input_clause(clause178,conjecture,
    [--c3_1(a149),
     --hskp53]).

input_clause(clause179,conjecture,
    [--c4_1(a149),
     --hskp53]).

input_clause(clause180,conjecture,
    [--c5_1(a148),
     --hskp52]).

input_clause(clause181,conjecture,
    [--c3_1(a147),
     --hskp51]).

input_clause(clause182,conjecture,
    [--c1_1(a146),
     --hskp50]).

input_clause(clause183,conjecture,
    [--c5_1(a145),
     --hskp49]).

input_clause(clause184,conjecture,
    [--c2_1(a143),
     --hskp48]).

input_clause(clause185,conjecture,
    [--c3_1(a143),
     --hskp48]).

input_clause(clause186,conjecture,
    [--c2_1(a142),
     --hskp47]).

input_clause(clause187,conjecture,
    [--c0_1(a141),
     --hskp46]).

input_clause(clause188,conjecture,
    [--c1_1(a141),
     --hskp46]).

input_clause(clause189,conjecture,
    [--c2_1(a141),
     --hskp46]).

input_clause(clause190,conjecture,
    [--c3_1(a140),
     --hskp45]).

input_clause(clause191,conjecture,
    [--c5_1(a140),
     --hskp45]).

input_clause(clause192,conjecture,
    [--c1_1(a138),
     --hskp44]).

input_clause(clause193,conjecture,
    [--c3_1(a138),
     --hskp44]).

input_clause(clause194,conjecture,
    [--c2_1(a137),
     --hskp43]).

input_clause(clause195,conjecture,
    [--c5_1(a137),
     --hskp43]).

input_clause(clause196,conjecture,
    [--c0_1(a135),
     --hskp42]).

input_clause(clause197,conjecture,
    [--c2_1(a135),
     --hskp42]).

input_clause(clause198,conjecture,
    [--c3_1(a135),
     --hskp42]).

input_clause(clause199,conjecture,
    [--c3_1(a133),
     --hskp41]).

input_clause(clause200,conjecture,
    [--c5_1(a133),
     --hskp41]).

input_clause(clause201,conjecture,
    [--c3_1(a131),
     --hskp40]).

input_clause(clause202,conjecture,
    [--c4_1(a129),
     --hskp39]).

input_clause(clause203,conjecture,
    [--c1_1(a128),
     --hskp38]).

input_clause(clause204,conjecture,
    [--c1_1(a127),
     --hskp37]).

input_clause(clause205,conjecture,
    [--c4_1(a127),
     --hskp37]).

input_clause(clause206,conjecture,
    [--c2_1(a126),
     --hskp36]).

input_clause(clause207,conjecture,
    [--c0_1(a125),
     --hskp35]).

input_clause(clause208,conjecture,
    [--c3_1(a125),
     --hskp35]).

input_clause(clause209,conjecture,
    [--c5_1(a124),
     --hskp34]).

input_clause(clause210,conjecture,
    [--c0_1(a123),
     --hskp33]).

input_clause(clause211,conjecture,
    [--c0_1(a121),
     --hskp32]).

input_clause(clause212,conjecture,
    [--c4_1(a120),
     --hskp31]).

input_clause(clause213,conjecture,
    [--c0_1(a118),
     --hskp30]).

input_clause(clause214,conjecture,
    [--c1_1(a118),
     --hskp30]).

input_clause(clause215,conjecture,
    [--c3_1(a117),
     --hskp29]).

input_clause(clause216,conjecture,
    [--c5_1(a117),
     --hskp29]).

input_clause(clause217,conjecture,
    [--c3_1(a116),
     --hskp28]).

input_clause(clause218,conjecture,
    [--c4_1(a116),
     --hskp28]).

input_clause(clause219,conjecture,
    [--c5_1(a116),
     --hskp28]).

input_clause(clause220,conjecture,
    [--c0_1(a115),
     --hskp27]).

input_clause(clause221,conjecture,
    [--c2_1(a115),
     --hskp27]).

input_clause(clause222,conjecture,
    [--c1_1(a114),
     --hskp26]).

input_clause(clause223,conjecture,
    [--c2_1(a114),
     --hskp26]).

input_clause(clause224,conjecture,
    [--c4_1(a114),
     --hskp26]).

input_clause(clause225,conjecture,
    [--c0_1(a113),
     --hskp25]).

input_clause(clause226,conjecture,
    [--c0_1(a111),
     --hskp24]).

input_clause(clause227,conjecture,
    [--c5_1(a111),
     --hskp24]).

input_clause(clause228,conjecture,
    [--c3_1(a109),
     --hskp23]).

input_clause(clause229,conjecture,
    [--c4_1(a109),
     --hskp23]).

input_clause(clause230,conjecture,
    [--c0_1(a108),
     --hskp22]).

input_clause(clause231,conjecture,
    [--c3_1(a108),
     --hskp22]).

input_clause(clause232,conjecture,
    [--c5_1(a108),
     --hskp22]).

input_clause(clause233,conjecture,
    [--c4_1(a106),
     --hskp21]).

input_clause(clause234,conjecture,
    [--c5_1(a105),
     --hskp20]).

input_clause(clause235,conjecture,
    [--c1_1(a103),
     --hskp19]).

input_clause(clause236,conjecture,
    [--c5_1(a103),
     --hskp19]).

input_clause(clause237,conjecture,
    [--c0_1(a100),
     --hskp18]).

input_clause(clause238,conjecture,
    [--c5_1(a100),
     --hskp18]).

input_clause(clause239,conjecture,
    [--c5_1(a99),
     --hskp17]).

input_clause(clause240,conjecture,
    [--c4_1(a98),
     --hskp16]).

input_clause(clause241,conjecture,
    [--c3_1(a97),
     --hskp15]).

input_clause(clause242,conjecture,
    [--c1_1(a96),
     --hskp14]).

input_clause(clause243,conjecture,
    [--c2_1(a96),
     --hskp14]).

input_clause(clause244,conjecture,
    [--c5_1(a95),
     --hskp13]).

input_clause(clause245,conjecture,
    [--c1_1(a94),
     --hskp12]).

input_clause(clause246,conjecture,
    [--c4_1(a94),
     --hskp12]).

input_clause(clause247,conjecture,
    [--c3_1(a93),
     --hskp11]).

input_clause(clause248,conjecture,
    [--c5_1(a93),
     --hskp11]).

input_clause(clause249,conjecture,
    [--c0_1(a92),
     --hskp10]).

input_clause(clause250,conjecture,
    [--c4_1(a92),
     --hskp10]).

input_clause(clause251,conjecture,
    [--c1_1(a91),
     --hskp9]).

input_clause(clause252,conjecture,
    [--c2_1(a91),
     --hskp9]).

input_clause(clause253,conjecture,
    [--c3_1(a91),
     --hskp9]).

input_clause(clause254,conjecture,
    [--c2_1(a90),
     --hskp8]).

input_clause(clause255,conjecture,
    [--c4_1(a90),
     --hskp8]).

input_clause(clause256,conjecture,
    [--c0_1(a89),
     --hskp7]).

input_clause(clause257,conjecture,
    [--c0_1(a87),
     --hskp6]).

input_clause(clause258,conjecture,
    [--c3_1(a86),
     --hskp5]).

input_clause(clause259,conjecture,
    [--c2_1(a85),
     --hskp4]).

input_clause(clause260,conjecture,
    [--c3_1(a84),
     --hskp3]).

input_clause(clause261,conjecture,
    [--c4_1(a84),
     --hskp3]).

input_clause(clause262,conjecture,
    [--c0_1(a82),
     --hskp2]).

input_clause(clause263,conjecture,
    [--c1_1(a82),
     --hskp2]).

input_clause(clause264,conjecture,
    [--c1_1(a81),
     --hskp1]).

input_clause(clause265,conjecture,
    [--c4_1(a81),
     --hskp1]).

input_clause(clause266,conjecture,
    [--c5_1(a81),
     --hskp1]).

input_clause(clause267,conjecture,
    [--c1_1(a80),
     --hskp0]).

input_clause(clause268,conjecture,
    [--ndr1_0,
     ++c0_1(U),
     ++c1_1(U),
     ++c4_1(U),
     ++hskp0,
     ++hskp1]).

input_clause(clause269,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++c5_1(U),
     ++hskp62]).

input_clause(clause270,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c2_1(U),
     ++hskp13,
     ++hskp14]).

input_clause(clause271,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++hskp17,
     ++hskp18]).

input_clause(clause272,conjecture,
    [--c5_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c4_1(U),
     ++hskp10,
     ++hskp22]).

input_clause(clause273,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c5_1(U),
     ++hskp27,
     ++hskp28]).

input_clause(clause274,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++c5_1(U),
     ++hskp29,
     ++hskp30]).

input_clause(clause275,conjecture,
    [--c2_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp8,
     ++hskp9]).

input_clause(clause276,conjecture,
    [--c1_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp24,
     ++hskp1]).

input_clause(clause277,conjecture,
    [--c1_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp25,
     ++hskp26]).

input_clause(clause278,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++hskp31,
     ++hskp32]).

input_clause(clause279,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++hskp13,
     ++hskp33]).

input_clause(clause280,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++hskp34,
     ++hskp35]).

input_clause(clause281,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++hskp36,
     ++hskp37]).

input_clause(clause282,conjecture,
    [--c3_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++hskp38,
     ++hskp39]).

input_clause(clause283,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --c4_1(U),
     --ndr1_0,
     ++hskp25,
     ++hskp40]).

input_clause(clause284,conjecture,
    [--c1_1(U),
     --c4_1(U),
     --c5_1(U),
     --ndr1_0,
     ++hskp20,
     ++hskp41]).

input_clause(clause285,conjecture,
    [--c3_1(U),
     --c4_1(U),
     --c5_1(U),
     --ndr1_0,
     ++hskp12,
     ++hskp42]).

input_clause(clause286,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c3_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++c4_1(V),
     ++hskp59]).

input_clause(clause287,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++c4_1(V),
     ++hskp12]).

input_clause(clause288,conjecture,
    [--c0_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++c4_1(V),
     ++hskp58]).

input_clause(clause289,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c1_1(U),
     ++c5_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++hskp2]).

input_clause(clause290,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c0_1(U),
     ++c4_1(U),
     ++c0_1(V),
     ++c2_1(V),
     ++hskp3]).

input_clause(clause291,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c4_1(V),
     ++c2_1(U),
     ++c5_1(U),
     ++c0_1(V),
     ++c3_1(V),
     ++hskp5]).

input_clause(clause292,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c2_1(U),
     ++c5_1(U),
     ++c0_1(V),
     ++c4_1(V),
     ++hskp1]).

input_clause(clause293,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c1_1(U),
     ++c3_1(U),
     ++c0_1(V),
     ++c4_1(V),
     ++hskp7]).

input_clause(clause294,conjecture,
    [--ndr1_0,
     --c3_1(U),
     --c5_1(U),
     ++c3_1(V),
     ++c4_1(V),
     ++c5_1(V),
     ++c0_1(U),
     ++hskp11]).

input_clause(clause295,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c2_1(U),
     ++c5_1(U),
     ++c2_1(V),
     ++c4_1(V),
     ++hskp0]).

input_clause(clause296,conjecture,
    [--c2_1(U),
     --c4_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c5_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++hskp59]).

input_clause(clause297,conjecture,
    [--c3_1(U),
     --c5_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c2_1(U),
     ++c0_1(V),
     ++c3_1(V),
     ++hskp4]).

input_clause(clause298,conjecture,
    [--c0_1(U),
     --c5_1(U),
     --ndr1_0,
     --c4_1(V),
     ++c3_1(U),
     ++c0_1(V),
     ++c3_1(V),
     ++hskp6]).

input_clause(clause299,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c3_1(V),
     --c5_1(V),
     ++c1_1(U),
     ++c2_1(U),
     ++c0_1(V),
     ++hskp10]).

input_clause(clause300,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c1_1(V),
     ++c3_1(V),
     ++c5_1(V),
     ++hskp15]).

input_clause(clause301,conjecture,
    [--c0_1(U),
     --c4_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c2_1(U),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp16]).

input_clause(clause302,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c5_1(V),
     ++c5_1(U),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp60]).

input_clause(clause303,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c1_1(V),
     ++c4_1(V),
     ++c5_1(V),
     ++hskp61]).

input_clause(clause304,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c2_1(V),
     --c4_1(V),
     ++c4_1(U),
     ++c5_1(U),
     ++c1_1(V),
     ++hskp19]).

input_clause(clause305,conjecture,
    [--c2_1(U),
     --c4_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c5_1(U),
     ++c2_1(V),
     ++c4_1(V),
     ++hskp20]).

input_clause(clause306,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c5_1(V),
     ++c5_1(U),
     ++c2_1(V),
     ++c4_1(V),
     ++hskp21]).

input_clause(clause307,conjecture,
    [--c3_1(U),
     --c4_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c2_1(U),
     ++c2_1(V),
     ++c5_1(V),
     ++hskp23]).

input_clause(clause308,conjecture,
    [--c3_1(U),
     --c4_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     ++c5_1(U),
     ++c2_1(V),
     ++hskp4]).

input_clause(clause309,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c4_1(V),
     ++c4_1(U),
     ++c5_1(U),
     ++c1_1(W),
     ++c4_1(W),
     ++c5_1(W),
     ++c0_1(V),
     ++c2_1(V)]).

input_clause(clause310,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c4_1(U),
     ++c5_1(U),
     ++c3_1(V),
     ++c5_1(V),
     ++c0_1(W),
     ++c3_1(W),
     ++c4_1(W)]).

input_clause(clause311,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c0_1(V),
     --c5_1(W),
     ++c3_1(U),
     ++c5_1(U),
     ++c2_1(V),
     ++c3_1(V),
     ++c0_1(W),
     ++c3_1(W)]).

input_clause(clause312,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c0_1(V),
     --c2_1(V),
     ++c3_1(U),
     ++c5_1(U),
     ++c2_1(W),
     ++c4_1(W),
     ++c5_1(W),
     ++c1_1(V)]).

input_clause(clause313,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_1(V),
     --c3_1(W),
     ++c0_1(U),
     ++c0_1(V),
     ++c5_1(V),
     ++c0_1(W),
     ++c1_1(W)]).

input_clause(clause314,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c3_1(V),
     --c4_1(V),
     --c3_1(W),
     ++c2_1(U),
     ++c4_1(U),
     ++c0_1(V),
     ++c0_1(W),
     ++c4_1(W)]).

input_clause(clause315,conjecture,
    [--c1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c2_1(V),
     --c3_1(V),
     ++c3_1(U),
     ++c2_1(W),
     ++c3_1(W),
     ++c5_1(W),
     ++c0_1(V)]).

input_clause(clause316,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c2_1(V),
     --c3_1(V),
     --c1_1(W),
     --c2_1(W),
     ++c1_1(U),
     ++c2_1(U),
     ++c0_1(V),
     ++c0_1(W)]).

input_clause(clause317,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     --c2_1(W),
     ++c5_1(U),
     ++c3_1(V),
     ++c1_1(W),
     ++c4_1(W)]).

input_clause(clause318,conjecture,
    [--c1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c1_1(V),
     --c3_1(W),
     --c5_1(W),
     ++c5_1(U),
     ++c2_1(V),
     ++c5_1(V),
     ++c1_1(W)]).

input_clause(clause319,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c4_1(V),
     --c5_1(V),
     --c4_1(W),
     ++c5_1(U),
     ++c3_1(V),
     ++c2_1(W),
     ++c3_1(W)]).

input_clause(clause320,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --c4_1(U),
     --ndr1_0,
     --c1_1(V),
     --c4_1(V),
     --c1_1(W),
     ++c3_1(V),
     ++c2_1(W),
     ++c4_1(W)]).
%--------------------------------------------------------------------------
