%--------------------------------------------------------------------------
% File     : SYN544-1 : TPTP v2.2.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=8, R=1, L=120, K=3, D=2, P=0, Index=027
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-8-1-120-3-2-027.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.67 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :  363 ( 225 non-Horn;  10 unit; 311 RR)
%            Number of literals   : 1732 (   0 equality)
%            Maximal clause size  :   16 (   4 average)
%            Number of predicates :   60 (  33 propositional; 0-2 arity)
%            Number of functors   :  113 ( 113 constant; 0-0 arity)
%            Number of variables  :  360 (   5 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ndr1_0]).

input_clause(clause2,conjecture,
    [++c6_0]).

input_clause(clause3,conjecture,
    [++c4_0]).

input_clause(clause4,conjecture,
    [++ndr1_1(a136)]).

input_clause(clause5,conjecture,
    [++c5_1(a136)]).

input_clause(clause6,conjecture,
    [--c2_0]).

input_clause(clause7,conjecture,
    [--c3_0]).

input_clause(clause8,conjecture,
    [++c1_2(a136,a137)]).

input_clause(clause9,conjecture,
    [++c3_2(a136,a137)]).

input_clause(clause10,conjecture,
    [++c5_2(a136,a137)]).

input_clause(clause11,conjecture,
    [++ndr1_1(a122),
     ++c2_0]).

input_clause(clause12,conjecture,
    [++c8_1(a122),
     ++c2_0]).

input_clause(clause13,conjecture,
    [--ssSkC21,
     ++c5_1(a121)]).

input_clause(clause14,conjecture,
    [--ssSkC21,
     ++c3_1(a121)]).

input_clause(clause15,conjecture,
    [++c8_1(a117),
     ++c3_0]).

input_clause(clause16,conjecture,
    [++ndr1_1(a47),
     ++c8_0]).

input_clause(clause17,conjecture,
    [++ndr1_1(a141),
     ++ssSkC23]).

input_clause(clause18,conjecture,
    [++c8_1(a141),
     ++ssSkC23]).

input_clause(clause19,conjecture,
    [++ndr1_1(U),
     ++ssSkP9(U)]).

input_clause(clause20,conjecture,
    [++ndr1_1(U),
     ++ssSkP8(U)]).

input_clause(clause21,conjecture,
    [++ndr1_1(a90),
     ++ssSkC17]).

input_clause(clause22,conjecture,
    [++ndr1_1(U),
     ++ssSkP7(U)]).

input_clause(clause23,conjecture,
    [++ndr1_1(a83),
     ++ssSkC15]).

input_clause(clause24,conjecture,
    [++ndr1_1(U),
     ++ssSkP6(U)]).

input_clause(clause25,conjecture,
    [++ndr1_1(U),
     ++ssSkP5(U)]).

input_clause(clause26,conjecture,
    [++c5_1(a65),
     ++ssSkC13]).

input_clause(clause27,conjecture,
    [++c6_1(a65),
     ++ssSkC13]).

input_clause(clause28,conjecture,
    [++ndr1_1(U),
     ++ssSkP4(U)]).

input_clause(clause29,conjecture,
    [++c5_1(a52),
     ++ssSkC10]).

input_clause(clause30,conjecture,
    [++c8_1(a52),
     ++ssSkC10]).

input_clause(clause31,conjecture,
    [++ndr1_1(a44),
     ++ssSkC9]).

input_clause(clause32,conjecture,
    [++ndr1_1(a37),
     ++ssSkC8]).

input_clause(clause33,conjecture,
    [++ndr1_1(a35),
     ++ssSkC7]).

input_clause(clause34,conjecture,
    [++c2_1(a32),
     ++ssSkC6]).

input_clause(clause35,conjecture,
    [++ndr1_1(a27),
     ++ssSkC5]).

input_clause(clause36,conjecture,
    [++c8_1(a27),
     ++ssSkC5]).

input_clause(clause37,conjecture,
    [++ndr1_1(a24),
     ++ssSkC4]).

input_clause(clause38,conjecture,
    [++ndr1_1(U),
     ++ssSkP3(U)]).

input_clause(clause39,conjecture,
    [++ndr1_1(U),
     ++ssSkP2(U)]).

input_clause(clause40,conjecture,
    [++ndr1_1(U),
     ++ssSkP1(U)]).

input_clause(clause41,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause42,conjecture,
    [++c5_2(a122,a123),
     ++c2_0]).

input_clause(clause43,conjecture,
    [--c1_1(a122),
     ++c2_0]).

input_clause(clause44,conjecture,
    [--c2_1(a117),
     ++c3_0]).

input_clause(clause45,conjecture,
    [--ssSkC15,
     ++ndr1_1(a85),
     ++c1_0]).

input_clause(clause46,conjecture,
    [--ssSkC15,
     ++c7_1(a85),
     ++c1_0]).

input_clause(clause47,conjecture,
    [--c1_0,
     ++ndr1_1(a81)]).

input_clause(clause48,conjecture,
    [--c1_0,
     ++c7_1(a81)]).

input_clause(clause49,conjecture,
    [++c3_1(a59),
     ++c3_0,
     ++c2_0]).

input_clause(clause50,conjecture,
    [++c5_1(a51),
     ++c2_0,
     ++c3_0]).

input_clause(clause51,conjecture,
    [++c7_2(a47,a49),
     ++c8_0]).

input_clause(clause52,conjecture,
    [++c8_2(a47,a48),
     ++c8_0]).

input_clause(clause53,conjecture,
    [--c6_1(a47),
     ++c8_0]).

input_clause(clause54,conjecture,
    [--ssSkC7,
     --ssSkC8,
     ++ndr1_1(a39)]).

input_clause(clause55,conjecture,
    [--ssSkC4,
     --ssSkC5,
     ++ndr1_1(a29)]).

input_clause(clause56,conjecture,
    [--ssSkC2,
     ++ndr1_1(a11),
     ++c7_0]).

input_clause(clause57,conjecture,
    [--c4_0,++c2_0,++c7_0]).

input_clause(clause58,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c7_0]).

input_clause(clause59,conjecture,
    [++c8_2(a141,a142),
     ++ssSkC23]).

input_clause(clause60,conjecture,
    [--c4_1(a141),
     ++ssSkC23]).

input_clause(clause61,conjecture,
    [--c5_1(a120),
     ++ssSkC21]).

input_clause(clause62,conjecture,
    [--c8_1(a113),
     ++ssSkC20]).

input_clause(clause63,conjecture,
    [--c4_1(a113),
     ++ssSkC20]).

input_clause(clause64,conjecture,
    [++c7_2(U,a101),
     ++ssSkP9(U)]).

input_clause(clause65,conjecture,
    [++c4_2(U,a101),
     ++ssSkP9(U)]).

input_clause(clause66,conjecture,
    [++c6_2(U,a94),
     ++ssSkP8(U)]).

input_clause(clause67,conjecture,
    [++c2_2(U,a94),
     ++ssSkP8(U)]).

input_clause(clause68,conjecture,
    [++c7_2(a90,a92),
     ++ssSkC17]).

input_clause(clause69,conjecture,
    [++c1_2(a90,a91),
     ++ssSkC17]).

input_clause(clause70,conjecture,
    [++c3_2(a90,a91),
     ++ssSkC17]).

input_clause(clause71,conjecture,
    [++c8_2(U,a87),
     ++ssSkP7(U)]).

input_clause(clause72,conjecture,
    [++c5_2(U,a87),
     ++ssSkP7(U)]).

input_clause(clause73,conjecture,
    [++c1_2(U,a87),
     ++ssSkP7(U)]).

input_clause(clause74,conjecture,
    [++c5_2(a83,a84),
     ++ssSkC15]).

input_clause(clause75,conjecture,
    [++c3_2(a83,a84),
     ++ssSkC15]).

input_clause(clause76,conjecture,
    [--c3_1(a83),
     ++ssSkC15]).

input_clause(clause77,conjecture,
    [--c7_1(a83),
     ++ssSkC15]).

input_clause(clause78,conjecture,
    [++c5_2(U,a71),
     ++ssSkP6(U)]).

input_clause(clause79,conjecture,
    [++c5_2(U,a69),
     ++ssSkP5(U)]).

input_clause(clause80,conjecture,
    [++c2_2(U,a57),
     ++ssSkP4(U)]).

input_clause(clause81,conjecture,
    [++c5_2(U,a57),
     ++ssSkP4(U)]).

input_clause(clause82,conjecture,
    [++c5_2(a44,a45),
     ++ssSkC9]).

input_clause(clause83,conjecture,
    [--c2_1(a44),
     ++ssSkC9]).

input_clause(clause84,conjecture,
    [++c5_2(a37,a38),
     ++ssSkC8]).

input_clause(clause85,conjecture,
    [++c4_2(a37,a38),
     ++ssSkC8]).

input_clause(clause86,conjecture,
    [++c3_2(a37,a38),
     ++ssSkC8]).

input_clause(clause87,conjecture,
    [--c6_1(a37),
     ++ssSkC8]).

input_clause(clause88,conjecture,
    [--c1_1(a37),
     ++ssSkC8]).

input_clause(clause89,conjecture,
    [--c4_1(a35),
     ++ssSkC7]).

input_clause(clause90,conjecture,
    [++c2_2(a27,a28),
     ++ssSkC5]).

input_clause(clause91,conjecture,
    [++c2_2(a24,a26),
     ++ssSkC4]).

input_clause(clause92,conjecture,
    [++c3_2(a24,a25),
     ++ssSkC4]).

input_clause(clause93,conjecture,
    [++c1_2(a24,a25),
     ++ssSkC4]).

input_clause(clause94,conjecture,
    [--c2_1(a24),
     ++ssSkC4]).

input_clause(clause95,conjecture,
    [++c7_2(U,a2),
     ++ssSkP1(U)]).

input_clause(clause96,conjecture,
    [++c4_2(U,a2),
     ++ssSkP1(U)]).

input_clause(clause97,conjecture,
    [--ssSkC22,
     --c1_0,
     ++ndr1_1(a129)]).

input_clause(clause98,conjecture,
    [--c1_2(a122,a123),
     ++c2_0]).

input_clause(clause99,conjecture,
    [--c3_2(a122,a123),
     ++c2_0]).

input_clause(clause100,conjecture,
    [--c8_0,
     ++c3_1(a103),
     ++c5_0]).

input_clause(clause101,conjecture,
    [--ssSkC15,
     ++c7_2(a85,a86),
     ++c1_0]).

input_clause(clause102,conjecture,
    [--ssSkC15,
     --c4_1(a85),
     ++c1_0]).

input_clause(clause103,conjecture,
    [--c1_0,
     ++c4_2(a81,a82)]).

input_clause(clause104,conjecture,
    [--c1_0,
     ++c8_2(a81,a82)]).

input_clause(clause105,conjecture,
    [--c1_0,
     ++c3_2(a81,a82)]).

input_clause(clause106,conjecture,
    [--c6_1(a81),
     --c1_0]).

input_clause(clause107,conjecture,
    [--ssSkC14,
     --c7_0,
     ++c2_1(a68)]).

input_clause(clause108,conjecture,
    [--ssSkC14,
     --c7_0,
     ++c5_1(a68)]).

input_clause(clause109,conjecture,
    [--ssSkC12,
     --c1_1(a64),
     ++c2_0]).

input_clause(clause110,conjecture,
    [--c4_1(a59),
     ++c3_0,
     ++c2_0]).

input_clause(clause111,conjecture,
    [--ssSkC10,
     --c5_0,
     ++ndr1_1(a53)]).

input_clause(clause112,conjecture,
    [--ssSkC10,
     --c5_0,
     ++c1_1(a53)]).

input_clause(clause113,conjecture,
    [--c7_1(a51),
     ++c2_0,
     ++c3_0]).

input_clause(clause114,conjecture,
    [--c2_2(a47,a49),
     ++c8_0]).

input_clause(clause115,conjecture,
    [--c1_2(a47,a49),
     ++c8_0]).

input_clause(clause116,conjecture,
    [--c2_2(a47,a48),
     ++c8_0]).

input_clause(clause117,conjecture,
    [--c1_2(a47,a48),
     ++c8_0]).

input_clause(clause118,conjecture,
    [--ssSkC7,
     --ssSkC8,
     ++c6_2(a39,a41)]).

input_clause(clause119,conjecture,
    [--ssSkC7,
     --ssSkC8,
     ++c5_2(a39,a40)]).

input_clause(clause120,conjecture,
    [--ssSkC7,
     --ssSkC8,
     ++c3_2(a39,a40)]).

input_clause(clause121,conjecture,
    [--ssSkC4,
     --ssSkC5,
     ++c5_2(a29,a31)]).

input_clause(clause122,conjecture,
    [--ssSkC4,
     --ssSkC5,
     ++c6_2(a29,a31)]).

input_clause(clause123,conjecture,
    [--ssSkC4,
     --ssSkC5,
     ++c7_2(a29,a30)]).

input_clause(clause124,conjecture,
    [--ssSkC4,
     --ssSkC5,
     ++c2_2(a29,a30)]).

input_clause(clause125,conjecture,
    [--ssSkC4,
     --ssSkC5,
     ++c1_2(a29,a30)]).

input_clause(clause126,conjecture,
    [--c8_0,
     ++c1_1(a16),
     ++c2_0]).

input_clause(clause127,conjecture,
    [--ssSkC2,
     ++c5_2(a11,a12),
     ++c7_0]).

input_clause(clause128,conjecture,
    [--ssSkC2,
     --c8_1(a11),
     ++c7_0]).

input_clause(clause129,conjecture,
    [--ndr1_0,
     ++c6_2(U,a145),
     ++c7_0]).

input_clause(clause130,conjecture,
    [--ndr1_0,
     ++c5_2(U,a145),
     ++c7_0]).

input_clause(clause131,conjecture,
    [--c3_2(a141,a142),
     ++ssSkC23]).

input_clause(clause132,conjecture,
    [--c2_2(U,a101),
     ++ssSkP9(U)]).

input_clause(clause133,conjecture,
    [--c5_2(U,a94),
     ++ssSkP8(U)]).

input_clause(clause134,conjecture,
    [--c3_2(a90,a92),
     ++ssSkC17]).

input_clause(clause135,conjecture,
    [--c4_2(a90,a92),
     ++ssSkC17]).

input_clause(clause136,conjecture,
    [--c2_2(a83,a84),
     ++ssSkC15]).

input_clause(clause137,conjecture,
    [--c1_2(U,a71),
     ++ssSkP6(U)]).

input_clause(clause138,conjecture,
    [--c3_2(U,a71),
     ++ssSkP6(U)]).

input_clause(clause139,conjecture,
    [--c1_2(U,a69),
     ++ssSkP5(U)]).

input_clause(clause140,conjecture,
    [--c6_2(U,a69),
     ++ssSkP5(U)]).

input_clause(clause141,conjecture,
    [--c7_2(U,a57),
     ++ssSkP4(U)]).

input_clause(clause142,conjecture,
    [--c8_2(a44,a45),
     ++ssSkC9]).

input_clause(clause143,conjecture,
    [--c2_2(a35,a36),
     ++ssSkC7]).

input_clause(clause144,conjecture,
    [--c3_2(a35,a36),
     ++ssSkC7]).

input_clause(clause145,conjecture,
    [--c4_2(a35,a36),
     ++ssSkC7]).

input_clause(clause146,conjecture,
    [--c6_2(a27,a28),
     ++ssSkC5]).

input_clause(clause147,conjecture,
    [--c4_2(a27,a28),
     ++ssSkC5]).

input_clause(clause148,conjecture,
    [--c7_2(a24,a26),
     ++ssSkC4]).

input_clause(clause149,conjecture,
    [--c6_2(a24,a26),
     ++ssSkC4]).

input_clause(clause150,conjecture,
    [--c6_2(a24,a25),
     ++ssSkC4]).

input_clause(clause151,conjecture,
    [--c7_2(U,a22),
     ++ssSkP3(U)]).

input_clause(clause152,conjecture,
    [--c6_2(U,a22),
     ++ssSkP3(U)]).

input_clause(clause153,conjecture,
    [--c4_2(U,a4),
     ++ssSkP2(U)]).

input_clause(clause154,conjecture,
    [--c3_2(U,a4),
     ++ssSkP2(U)]).

input_clause(clause155,conjecture,
    [--c7_2(U,a4),
     ++ssSkP2(U)]).

input_clause(clause156,conjecture,
    [--c1_2(U,a2),
     ++ssSkP1(U)]).

input_clause(clause157,conjecture,
    [--c4_2(U,a1),
     ++ssSkP0(U)]).

input_clause(clause158,conjecture,
    [--c1_2(U,a1),
     ++ssSkP0(U)]).

input_clause(clause159,conjecture,
    [--ssSkC22,
     --c1_0,
     ++c1_2(a129,a131)]).

input_clause(clause160,conjecture,
    [--ssSkC22,
     --c1_0,
     ++c8_2(a129,a131)]).

input_clause(clause161,conjecture,
    [--ssSkC22,
     --c1_0,
     ++c3_2(a129,a130)]).

input_clause(clause162,conjecture,
    [--ssSkC22,
     --c6_1(a129),
     --c1_0]).

input_clause(clause163,conjecture,
    [--ssSkC15,
     --c8_2(a85,a86),
     ++c1_0]).

input_clause(clause164,conjecture,
    [--ssSkC15,
     --c1_2(a85,a86),
     ++c1_0]).

input_clause(clause165,conjecture,
    [--ssSkC13,
     --c3_1(a66),
     --c1_0]).

input_clause(clause166,conjecture,
    [--ssSkC10,
     --c5_0,
     ++c2_2(a53,a55)]).

input_clause(clause167,conjecture,
    [--ssSkC10,
     --c5_0,
     ++c6_2(a53,a55)]).

input_clause(clause168,conjecture,
    [--ssSkC10,
     --c5_0,
     ++c4_2(a53,a54)]).

input_clause(clause169,conjecture,
    [--ssSkC7,
     --ssSkC8,
     --c5_2(a39,a41)]).

input_clause(clause170,conjecture,
    [--ssSkC7,
     --ssSkC8,
     --c2_2(a39,a41)]).

input_clause(clause171,conjecture,
    [--ssSkC7,
     --ssSkC8,
     --c4_2(a39,a40)]).

input_clause(clause172,conjecture,
    [--c2_1(a16),
     --c8_0,
     ++c2_0]).

input_clause(clause173,conjecture,
    [--c8_1(a16),
     --c8_0,
     ++c2_0]).

input_clause(clause174,conjecture,
    [--ssSkC2,
     --c3_2(a11,a12),
     ++c7_0]).

input_clause(clause175,conjecture,
    [--ssSkC2,
     --c6_2(a11,a12),
     ++c7_0]).

input_clause(clause176,conjecture,
    [--c4_2(U,a145),
     --ndr1_0,
     ++c7_0]).

input_clause(clause177,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c5_1(U),
     ++ssSkC16]).

input_clause(clause178,conjecture,
    [--ssSkC22,
     --c7_2(a129,a131),
     --c1_0]).

input_clause(clause179,conjecture,
    [--ssSkC22,
     --c6_2(a129,a130),
     --c1_0]).

input_clause(clause180,conjecture,
    [--ssSkC22,
     --c8_2(a129,a130),
     --c1_0]).

input_clause(clause181,conjecture,
    [--ssSkC10,
     --c8_2(a53,a54),
     --c5_0]).

input_clause(clause182,conjecture,
    [--ssSkC10,
     --c7_2(a53,a54),
     --c5_0]).

input_clause(clause183,conjecture,
    [--c8_1(U),
     --ndr1_0,
     ++c7_1(U),
     ++c3_0]).

input_clause(clause184,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC22]).

input_clause(clause185,conjecture,
    [--ndr1_0,
     ++c2_2(U,a89),
     ++c5_1(U),
     ++ssSkC16]).

input_clause(clause186,conjecture,
    [--ndr1_0,
     ++c1_2(U,a89),
     ++c5_1(U),
     ++ssSkC16]).

input_clause(clause187,conjecture,
    [--c5_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC1]).

input_clause(clause188,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c8_1(U),
     ++ndr1_1(a134)]).

input_clause(clause189,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c7_1(U),
     ++c6_1(U),
     ++ssSkC19]).

input_clause(clause190,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c6_1(U),
     ++c2_1(U),
     ++ssSkC14]).

input_clause(clause191,conjecture,
    [--c7_2(a34,U),
     --ndr1_1(a34),
     ++c2_0,
     ++c3_0]).

input_clause(clause192,conjecture,
    [--c7_2(U,a89),
     --ndr1_0,
     ++c5_1(U),
     ++ssSkC16]).

input_clause(clause193,conjecture,
    [--c5_1(U),
     --ndr1_0,
     ++c2_2(U,a8),
     ++ssSkC1]).

input_clause(clause194,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c8_1(U),
     ++c8_2(a134,a135)]).

input_clause(clause195,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c8_1(U),
     ++c3_2(a134,a135)]).

input_clause(clause196,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c1_1(a134),
     ++c8_1(U)]).

input_clause(clause197,conjecture,
    [--c8_1(U),
     --ndr1_0,
     --c7_0,
     ++ndr1_1(U),
     ++c2_0]).

input_clause(clause198,conjecture,
    [--ndr1_0,
     ++c7_2(U,a109),
     ++c7_1(U),
     ++c6_1(U),
     ++ssSkC19]).

input_clause(clause199,conjecture,
    [--ndr1_0,
     ++c1_2(U,a109),
     ++c7_1(U),
     ++c6_1(U),
     ++ssSkC19]).

input_clause(clause200,conjecture,
    [--c7_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c6_1(U),
     ++ssSkC12]).

input_clause(clause201,conjecture,
    [--ssSkP6(U),
     --ndr1_0,
     --c8_0,
     ++ndr1_1(U),
     ++c4_1(U),
     ++c5_0]).

input_clause(clause202,conjecture,
    [--ssSkP4(U),
     --ssSkC11,
     --c3_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c8_0]).

input_clause(clause203,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c7_1(U),
     ++c2_0,
     ++c5_0]).

input_clause(clause204,conjecture,
    [--c7_2(U,a128),
     --c1_1(U),
     --ndr1_0,
     ++ssSkC22]).

input_clause(clause205,conjecture,
    [--c8_2(U,a128),
     --c1_1(U),
     --ndr1_0,
     ++ssSkC22]).

input_clause(clause206,conjecture,
    [--c4_2(U,a128),
     --c1_1(U),
     --ndr1_0,
     ++ssSkC22]).

input_clause(clause207,conjecture,
    [--ndr1_1(a32),
     ++c4_2(a32,U),
     ++c1_2(a32,U),
     ++ssSkC6]).

input_clause(clause208,conjecture,
    [--c4_2(U,a8),
     --c5_1(U),
     --ndr1_0,
     ++ssSkC1]).

input_clause(clause209,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c4_2(a134,a135),
     ++c8_1(U)]).

input_clause(clause210,conjecture,
    [--ndr1_1(a59),
     ++c7_2(a59,U),
     ++c5_2(a59,U),
     ++c3_0,
     ++c2_0]).

input_clause(clause211,conjecture,
    [--c8_1(U),
     --c7_1(U),
     --ndr1_0,
     --c1_0,
     ++c7_0]).

input_clause(clause212,conjecture,
    [--c4_2(U,a109),
     --ndr1_0,
     ++c7_1(U),
     ++c6_1(U),
     ++ssSkC19]).

input_clause(clause213,conjecture,
    [--c4_2(U,a67),
     --ndr1_0,
     ++c6_1(U),
     ++c2_1(U),
     ++ssSkC14]).

input_clause(clause214,conjecture,
    [--c7_2(U,a67),
     --ndr1_0,
     ++c6_1(U),
     ++c2_1(U),
     ++ssSkC14]).

input_clause(clause215,conjecture,
    [--c7_1(U),
     --ndr1_0,
     ++c4_2(U,a63),
     ++c6_1(U),
     ++ssSkC12]).

input_clause(clause216,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC0]).

input_clause(clause217,conjecture,
    [--ndr1_1(a136),
     ++c8_2(a136,U),
     ++c3_2(a136,U),
     ++c7_2(a136,U)]).

input_clause(clause218,conjecture,
    [--ssSkC20,
     --c7_1(U),
     --ndr1_0,
     --c1_0,
     ++ndr1_1(U),
     ++c3_1(U)]).

input_clause(clause219,conjecture,
    [--ssSkP6(U),
     --ndr1_0,
     --c8_0,
     ++c8_2(U,a72),
     ++c4_1(U),
     ++c5_0]).

input_clause(clause220,conjecture,
    [--ssSkP6(U),
     --ndr1_0,
     --c8_0,
     ++c7_2(U,a72),
     ++c4_1(U),
     ++c5_0]).

input_clause(clause221,conjecture,
    [--ssSkP4(U),
     --ssSkC11,
     --c3_1(U),
     --ndr1_0,
     ++c6_2(U,a58),
     ++c8_0]).

input_clause(clause222,conjecture,
    [--ssSkC6,
     --c4_1(U),
     --ndr1_0,
     --c1_0,
     ++ndr1_1(U),
     ++c1_1(U)]).

input_clause(clause223,conjecture,
    [--c5_1(U),
     --ndr1_0,
     ++c5_2(U,a17),
     ++c8_1(U),
     ++c7_0,
     ++c2_0]).

input_clause(clause224,conjecture,
    [--c5_1(U),
     --ndr1_0,
     ++c3_2(U,a17),
     ++c8_1(U),
     ++c7_0,
     ++c2_0]).

input_clause(clause225,conjecture,
    [--c8_1(U),
     --ndr1_0,
     --c7_0,
     ++c6_1(U),
     ++c4_1(U),
     ++c8_0]).

input_clause(clause226,conjecture,
    [--c3_2(U,a115),
     --c8_1(U),
     --ndr1_0,
     --c7_0,
     ++c2_0]).

input_clause(clause227,conjecture,
    [--c7_2(U,a115),
     --c8_1(U),
     --ndr1_0,
     --c7_0,
     ++c2_0]).

input_clause(clause228,conjecture,
    [--c8_2(U,a115),
     --c8_1(U),
     --ndr1_0,
     --c7_0,
     ++c2_0]).

input_clause(clause229,conjecture,
    [--ssSkC16,
     --ssSkC17,
     --c4_2(a93,U),
     --ndr1_1(a93),
     ++c6_2(a93,U)]).

input_clause(clause230,conjecture,
    [--c1_2(a75,U),
     --ndr1_1(a75),
     ++c8_2(a75,U),
     ++c8_0,
     ++c7_0]).

input_clause(clause231,conjecture,
    [--ssSkC14,
     --ndr1_1(a68),
     --c7_0,
     ++c7_2(a68,U),
     ++c6_2(a68,U)]).

input_clause(clause232,conjecture,
    [--ssSkC7,
     --ssSkC8,
     --c8_2(a39,U),
     --ndr1_1(a39),
     ++c7_2(a39,U)]).

input_clause(clause233,conjecture,
    [--c2_2(U,a63),
     --c7_1(U),
     --ndr1_0,
     ++c6_1(U),
     ++ssSkC12]).

input_clause(clause234,conjecture,
    [--c5_2(U,a63),
     --c7_1(U),
     --ndr1_0,
     ++c6_1(U),
     ++ssSkC12]).

input_clause(clause235,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c2_2(U,a6),
     ++ssSkC0]).

input_clause(clause236,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c8_2(U,a6),
     ++ssSkC0]).

input_clause(clause237,conjecture,
    [--ssSkC20,
     --c7_1(U),
     --ndr1_0,
     --c1_0,
     ++c5_2(U,a114),
     ++c3_1(U)]).

input_clause(clause238,conjecture,
    [--ssSkC20,
     --c7_1(U),
     --ndr1_0,
     --c1_0,
     ++c1_2(U,a114),
     ++c3_1(U)]).

input_clause(clause239,conjecture,
    [--ssSkC20,
     --c7_1(U),
     --ndr1_0,
     --c1_0,
     ++c8_2(U,a114),
     ++c3_1(U)]).

input_clause(clause240,conjecture,
    [--ssSkP6(U),
     --c1_2(U,a72),
     --ndr1_0,
     --c8_0,
     ++c4_1(U),
     ++c5_0]).

input_clause(clause241,conjecture,
    [--ssSkP5(U),
     --c3_1(U),
     --ndr1_0,
     --c7_0,
     --c8_0,
     ++ndr1_1(U)]).

input_clause(clause242,conjecture,
    [--ssSkP4(U),
     --ssSkC11,
     --c3_2(U,a58),
     --c3_1(U),
     --ndr1_0,
     ++c8_0]).

input_clause(clause243,conjecture,
    [--ssSkP4(U),
     --ssSkC11,
     --c5_2(U,a58),
     --c3_1(U),
     --ndr1_0,
     ++c8_0]).

input_clause(clause244,conjecture,
    [--ssSkC6,
     --c4_1(U),
     --ndr1_0,
     --c1_0,
     ++c4_2(U,a33),
     ++c1_1(U)]).

input_clause(clause245,conjecture,
    [--ssSkC6,
     --c4_1(U),
     --ndr1_0,
     --c1_0,
     ++c1_2(U,a33),
     ++c1_1(U)]).

input_clause(clause246,conjecture,
    [--ssSkC6,
     --c4_1(U),
     --ndr1_0,
     --c1_0,
     ++c3_2(U,a33),
     ++c1_1(U)]).

input_clause(clause247,conjecture,
    [--c6_2(U,a17),
     --c5_1(U),
     --ndr1_0,
     ++c8_1(U),
     ++c7_0,
     ++c2_0]).

input_clause(clause248,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c8_0,
     --c4_0,
     ++c6_1(U),
     ++c2_1(U)]).

input_clause(clause249,conjecture,
    [--c4_2(a44,U),
     --c5_2(a44,U),
     --ndr1_1(a44),
     ++ssSkC9]).

input_clause(clause250,conjecture,
    [--ssSkC16,
     --ssSkC17,
     --c6_2(a93,U),
     --c7_2(a93,U),
     --ndr1_1(a93)]).

input_clause(clause251,conjecture,
    [--ndr1_1(a65),
     ++c1_2(a65,U),
     ++c4_2(a65,U),
     ++c5_2(a65,U),
     ++ssSkC13]).

input_clause(clause252,conjecture,
    [--c7_2(U,a6),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++ssSkC0]).

input_clause(clause253,conjecture,
    [--ssSkC21,
     --c7_2(a121,U),
     --ndr1_1(a121),
     ++c8_2(a121,U),
     ++c5_2(a121,U)]).

input_clause(clause254,conjecture,
    [--ssSkP5(U),
     --c3_1(U),
     --ndr1_0,
     --c7_0,
     --c8_0,
     ++c7_2(U,a70)]).

input_clause(clause255,conjecture,
    [--ssSkP5(U),
     --c3_1(U),
     --ndr1_0,
     --c7_0,
     --c8_0,
     ++c4_2(U,a70)]).

input_clause(clause256,conjecture,
    [--ssSkC12,
     --ndr1_1(a64),
     ++c1_2(a64,U),
     ++c4_2(a64,U),
     ++c6_2(a64,U),
     ++c2_0]).

input_clause(clause257,conjecture,
    [--c4_2(a113,U),
     --ndr1_1(a113),
     ++c8_2(a113,U),
     ++c7_2(a113,U),
     ++ssSkC20]).

input_clause(clause258,conjecture,
    [--c3_2(a32,U),
     --ndr1_1(a32),
     ++c6_2(a32,U),
     ++c1_2(a32,U),
     ++ssSkC6]).

input_clause(clause259,conjecture,
    [--c7_2(a27,U),
     --ndr1_1(a27),
     ++c5_2(a27,U),
     ++c8_2(a27,U),
     ++ssSkC5]).

input_clause(clause260,conjecture,
    [--ndr1_1(a103),
     --c8_0,
     ++c5_2(a103,U),
     ++c4_2(a103,U),
     ++c1_2(a103,U),
     ++c5_0]).

input_clause(clause261,conjecture,
    [--ssSkC16,
     --ssSkC17,
     --c6_2(a93,U),
     --ndr1_1(a93),
     ++c5_2(a93,U),
     ++c8_2(a93,U)]).

input_clause(clause262,conjecture,
    [--ssSkP5(U),
     --c6_2(U,a70),
     --c3_1(U),
     --ndr1_0,
     --c7_0,
     --c8_0]).

input_clause(clause263,conjecture,
    [--ssSkC12,
     --c2_2(a64,U),
     --ndr1_1(a64),
     ++c4_2(a64,U),
     ++c8_2(a64,U),
     ++c2_0]).

input_clause(clause264,conjecture,
    [--c5_2(a51,U),
     --ndr1_1(a51),
     ++c3_2(a51,U),
     ++c4_2(a51,U),
     ++c2_0,
     ++c3_0]).

input_clause(clause265,conjecture,
    [--c1_2(a34,U),
     --ndr1_1(a34),
     ++c2_2(a34,U),
     ++c7_2(a34,U),
     ++c2_0,
     ++c3_0]).

input_clause(clause266,conjecture,
    [--c8_2(a34,U),
     --ndr1_1(a34),
     ++c1_2(a34,U),
     ++c4_2(a34,U),
     ++c2_0,
     ++c3_0]).

input_clause(clause267,conjecture,
    [--ssSkC4,
     --ssSkC5,
     --c6_2(a29,U),
     --ndr1_1(a29),
     ++c1_2(a29,U),
     ++c5_2(a29,U)]).

input_clause(clause268,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --ndr1_1(a134),
     ++c8_1(U),
     ++c1_2(a134,V),
     ++c8_2(a134,V)]).

input_clause(clause269,conjecture,
    [--ssSkP8(U),
     --c5_1(V),
     --ndr1_0,
     --c2_1(U),
     ++c4_1(V),
     ++c1_1(V),
     ++ndr1_1(U),
     ++c5_0]).

input_clause(clause270,conjecture,
    [--c8_2(a120,U),
     --c6_2(a120,U),
     --ndr1_1(a120),
     ++c1_2(a120,U),
     ++ssSkC21]).

input_clause(clause271,conjecture,
    [--c1_2(a35,U),
     --c2_2(a35,U),
     --ndr1_1(a35),
     ++c8_2(a35,U),
     ++ssSkC7]).

input_clause(clause272,conjecture,
    [--c2_2(a75,U),
     --c4_2(a75,U),
     --ndr1_1(a75),
     ++c6_2(a75,U),
     ++c8_0,
     ++c7_0]).

input_clause(clause273,conjecture,
    [--c4_2(a75,U),
     --c6_2(a75,U),
     --ndr1_1(a75),
     ++c3_2(a75,U),
     ++c8_0,
     ++c7_0]).

input_clause(clause274,conjecture,
    [--ssSkC13,
     --c8_2(a66,U),
     --ndr1_1(a66),
     --c1_0,
     ++c3_2(a66,U),
     ++c5_2(a66,U)]).

input_clause(clause275,conjecture,
    [--ssSkC13,
     --c8_2(a66,U),
     --ndr1_1(a66),
     --c1_0,
     ++c2_2(a66,U),
     ++c3_2(a66,U)]).

input_clause(clause276,conjecture,
    [--ssSkP8(U),
     --c5_1(V),
     --ndr1_0,
     --c2_1(U),
     ++c4_1(V),
     ++c1_1(V),
     ++c5_2(U,a95),
     ++c5_0]).

input_clause(clause277,conjecture,
    [--ssSkP8(U),
     --c5_1(V),
     --ndr1_0,
     --c2_1(U),
     ++c4_1(V),
     ++c1_1(V),
     ++c1_2(U,a95),
     ++c5_0]).

input_clause(clause278,conjecture,
    [--ssSkP8(U),
     --c5_1(V),
     --ndr1_0,
     --c2_1(U),
     ++c4_1(V),
     ++c1_1(V),
     ++c6_2(U,a95),
     ++c5_0]).

input_clause(clause279,conjecture,
    [--ssSkP0(U),
     --ssSkP1(U),
     --c7_1(V),
     --c5_1(V),
     --ndr1_0,
     --c5_0,
     ++c2_1(V),
     ++ndr1_1(U)]).

input_clause(clause280,conjecture,
    [--c5_2(a120,U),
     --c1_2(a120,U),
     --c7_2(a120,U),
     --ndr1_1(a120),
     ++ssSkC21]).

input_clause(clause281,conjecture,
    [--c1_2(a90,U),
     --c2_2(a90,U),
     --c6_2(a90,U),
     --ndr1_1(a90),
     ++ssSkC17]).

input_clause(clause282,conjecture,
    [--c5_2(a52,U),
     --c8_2(a52,U),
     --c7_2(a52,U),
     --ndr1_1(a52),
     ++ssSkC10]).

input_clause(clause283,conjecture,
    [--ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c1_2(U,V),
     ++c6_2(U,a13),
     ++ssSkC3]).

input_clause(clause284,conjecture,
    [--c5_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c6_2(U,a108),
     ++c7_1(U),
     ++c2_0]).

input_clause(clause285,conjecture,
    [--c4_2(a103,U),
     --c5_2(a103,U),
     --ndr1_1(a103),
     --c8_0,
     ++c8_2(a103,U),
     ++c5_0]).

input_clause(clause286,conjecture,
    [--ssSkP9(U),
     --ssSkC18,
     --ndr1_1(U),
     --ndr1_0,
     --c5_0,
     ++c2_2(U,V),
     ++c4_2(U,V),
     ++c7_2(U,a102)]).

input_clause(clause287,conjecture,
    [--ssSkP0(U),
     --ssSkP1(U),
     --c7_1(V),
     --c5_1(V),
     --ndr1_0,
     --c5_0,
     ++c2_1(V),
     ++c6_2(U,a3)]).

input_clause(clause288,conjecture,
    [--ndr1_1(U),
     --c2_2(U,a13),
     --c1_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c1_2(U,V),
     ++ssSkC3]).

input_clause(clause289,conjecture,
    [--ndr1_1(U),
     --c8_2(U,a13),
     --c1_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c1_2(U,V),
     ++ssSkC3]).

input_clause(clause290,conjecture,
    [--c5_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a108),
     --ndr1_0,
     ++c7_1(U),
     ++c2_0]).

input_clause(clause291,conjecture,
    [--c5_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c7_2(U,a108),
     --ndr1_0,
     ++c7_1(U),
     ++c2_0]).

input_clause(clause292,conjecture,
    [--ssSkP9(U),
     --ssSkC18,
     --ndr1_1(U),
     --c1_2(U,a102),
     --ndr1_0,
     --c5_0,
     ++c2_2(U,V),
     ++c4_2(U,V)]).

input_clause(clause293,conjecture,
    [--ssSkP9(U),
     --ssSkC18,
     --ndr1_1(U),
     --c4_2(U,a102),
     --ndr1_0,
     --c5_0,
     ++c2_2(U,V),
     ++c4_2(U,V)]).

input_clause(clause294,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c7_2(U,V),
     ++c1_2(U,V),
     ++c7_1(U),
     ++c8_0]).

input_clause(clause295,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c6_2(U,V),
     ++c1_1(U),
     ++c7_0]).

input_clause(clause296,conjecture,
    [--ssSkP0(U),
     --ssSkP1(U),
     --c7_1(V),
     --c5_1(V),
     --ndr1_0,
     --c7_2(U,a3),
     --c5_0,
     ++c2_1(V)]).

input_clause(clause297,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c7_2(U,V),
     ++c4_2(U,V),
     ++c4_2(U,a100),
     ++c8_1(U),
     ++ssSkC18]).

input_clause(clause298,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c7_2(U,V),
     ++c4_2(U,V),
     ++c5_2(U,a100),
     ++c8_1(U),
     ++ssSkC18]).

input_clause(clause299,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c7_2(U,V),
     ++c4_2(U,V),
     ++c2_2(U,a100),
     ++c8_1(U),
     ++ssSkC18]).

input_clause(clause300,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c2_2(U,V),
     ++c6_1(U),
     ++c1_1(U),
     ++ndr1_1(a96),
     ++c3_0]).

input_clause(clause301,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c2_2(U,V),
     ++c6_1(U),
     ++c1_1(U),
     ++c2_1(a96),
     ++c3_0]).

input_clause(clause302,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c2_2(U,V),
     ++c6_1(U),
     ++c1_1(U),
     ++c3_1(a96),
     ++c3_0]).

input_clause(clause303,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c2_2(U,V),
     ++c7_2(U,a10),
     ++ssSkC2]).

input_clause(clause304,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c2_2(U,V),
     ++c6_1(U),
     ++c1_1(U),
     ++c7_2(a96,a97),
     ++c3_0]).

input_clause(clause305,conjecture,
    [--ssSkC0,
     --c2_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++c1_2(U,a7),
     ++c5_0]).

input_clause(clause306,conjecture,
    [--ssSkC0,
     --c2_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++c6_2(U,a7),
     ++c5_0]).

input_clause(clause307,conjecture,
    [--ssSkC0,
     --c2_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++c3_2(U,a7),
     ++c5_0]).

input_clause(clause308,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --c5_1(U),
     --ndr1_0,
     --c8_0,
     --c4_0,
     ++c6_2(U,V)]).

input_clause(clause309,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++c1_2(U,V),
     ++c7_1(U),
     ++c4_1(U),
     ++ndr1_1(W),
     ++c4_1(W),
     ++c8_1(W)]).

input_clause(clause310,conjecture,
    [--c4_2(U,V),
     --c1_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c3_2(U,a56),
     ++c5_1(U),
     ++ssSkC11]).

input_clause(clause311,conjecture,
    [--c4_2(U,V),
     --c1_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c7_2(U,a56),
     ++c5_1(U),
     ++ssSkC11]).

input_clause(clause312,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a10),
     --c1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c2_2(U,V),
     ++ssSkC2]).

input_clause(clause313,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c6_2(U,a10),
     --c1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c2_2(U,V),
     ++ssSkC2]).

input_clause(clause314,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c6_2(a96,a97),
     ++c4_2(U,V),
     ++c2_2(U,V),
     ++c6_1(U),
     ++c1_1(U),
     ++c3_0]).

input_clause(clause315,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_2(a96,a97),
     ++c4_2(U,V),
     ++c2_2(U,V),
     ++c6_1(U),
     ++c1_1(U),
     ++c3_0]).

input_clause(clause316,conjecture,
    [--ssSkP3(U),
     --c8_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c6_2(U,a23),
     --ndr1_0,
     ++c1_2(U,V),
     ++c5_0,
     ++c8_0]).

input_clause(clause317,conjecture,
    [--ssSkP3(U),
     --c8_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a23),
     --ndr1_0,
     ++c1_2(U,V),
     ++c5_0,
     ++c8_0]).

input_clause(clause318,conjecture,
    [--ssSkP3(U),
     --c8_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a23),
     --ndr1_0,
     ++c1_2(U,V),
     ++c5_0,
     ++c8_0]).

input_clause(clause319,conjecture,
    [--c1_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c6_0,
     ++c2_2(U,V),
     ++c2_1(U),
     ++c3_1(U),
     ++c6_1(a18)]).

input_clause(clause320,conjecture,
    [--c1_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c6_0,
     ++c2_2(U,V),
     ++c2_1(U),
     ++c3_1(U),
     ++c1_1(a18)]).

input_clause(clause321,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++c1_2(U,V),
     ++c7_1(U),
     ++c4_1(U),
     ++c2_2(W,a116),
     ++c4_1(W),
     ++c8_1(W)]).

input_clause(clause322,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++c1_2(U,V),
     ++c7_1(U),
     ++c4_1(U),
     ++c1_2(W,a116),
     ++c4_1(W),
     ++c8_1(W)]).

input_clause(clause323,conjecture,
    [--c4_2(U,V),
     --c1_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a56),
     --ndr1_0,
     ++c5_1(U),
     ++ssSkC11]).

input_clause(clause324,conjecture,
    [--c4_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a132),
     --c1_1(U),
     --ndr1_0,
     --c8_0,
     ++c7_2(U,V)]).

input_clause(clause325,conjecture,
    [--c4_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c8_2(U,a132),
     --c1_1(U),
     --ndr1_0,
     --c8_0,
     ++c7_2(U,V)]).

input_clause(clause326,conjecture,
    [--c4_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c6_2(U,a132),
     --c1_1(U),
     --ndr1_0,
     --c8_0,
     ++c7_2(U,V)]).

input_clause(clause327,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --c6_1(U),
     --ndr1_0,
     --c5_1(a104),
     ++c6_2(U,V),
     ++c5_2(U,V),
     ++c5_0]).

input_clause(clause328,conjecture,
    [--c2_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     --c8_0,
     ++c3_2(U,V),
     ++c7_1(U),
     ++ndr1_1(a42)]).

input_clause(clause329,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c5_2(W,a116),
     ++c6_2(U,V),
     ++c1_2(U,V),
     ++c7_1(U),
     ++c4_1(U),
     ++c4_1(W),
     ++c8_1(W)]).

input_clause(clause330,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --ndr1_0,
     --c5_0,
     ++c5_2(U,V),
     ++c8_2(U,V),
     ++c7_2(U,W),
     ++c1_1(U),
     ++c2_0]).

input_clause(clause331,conjecture,
    [--c2_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     --c8_0,
     ++c3_2(U,V),
     ++c7_1(U),
     ++c8_2(a42,a43)]).

input_clause(clause332,conjecture,
    [--c2_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     --c7_1(a42),
     --c8_0,
     ++c3_2(U,V),
     ++c7_1(U)]).

input_clause(clause333,conjecture,
    [--c8_2(U,V),
     --c2_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --ndr1_0,
     ++c7_2(U,W),
     ++c7_1(U),
     ++c1_0,
     ++c2_0]).

input_clause(clause334,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c4_1(W),
     ++c5_2(U,V),
     ++c6_2(U,V),
     ++c1_1(W),
     ++ndr1_1(a60)]).

input_clause(clause335,conjecture,
    [--c2_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     --c7_2(a42,a43),
     --c8_0,
     ++c3_2(U,V),
     ++c7_1(U)]).

input_clause(clause336,conjecture,
    [--c2_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     --c3_2(a42,a43),
     --c8_0,
     ++c3_2(U,V),
     ++c7_1(U)]).

input_clause(clause337,conjecture,
    [--c6_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     --c3_1(W),
     --c7_1(W),
     ++c4_2(U,V),
     ++c1_1(U),
     ++c2_1(W)]).

input_clause(clause338,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c4_1(W),
     ++c5_2(U,V),
     ++c6_2(U,V),
     ++c1_1(W),
     ++c2_2(a60,a62)]).

input_clause(clause339,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c4_1(W),
     ++c5_2(U,V),
     ++c6_2(U,V),
     ++c1_1(W),
     ++c3_2(a60,a62)]).

input_clause(clause340,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c4_1(W),
     ++c5_2(U,V),
     ++c6_2(U,V),
     ++c1_1(W),
     ++c8_2(a60,a61)]).

input_clause(clause341,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c4_1(W),
     ++c5_2(U,V),
     ++c6_2(U,V),
     ++c1_1(W),
     ++c5_2(a60,a61)]).

input_clause(clause342,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c4_1(W),
     --c4_2(a60,a62),
     ++c5_2(U,V),
     ++c6_2(U,V),
     ++c1_1(W)]).

input_clause(clause343,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c4_1(W),
     --c2_2(a60,a61),
     ++c5_2(U,V),
     ++c6_2(U,V),
     ++c1_1(W)]).

input_clause(clause344,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c4_1(U),
     --ndr1_0,
     --c7_0,
     ++c8_2(U,V),
     ++c6_2(U,V),
     ++c4_2(U,W),
     ++c3_2(U,W),
     ++c8_1(a127)]).

input_clause(clause345,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c4_1(U),
     --ndr1_0,
     --c7_0,
     ++c8_2(U,V),
     ++c6_2(U,V),
     ++c4_2(U,W),
     ++c3_2(U,W),
     ++c3_1(a127)]).

input_clause(clause346,conjecture,
    [--ssSkP2(U),
     --c2_2(V,W),
     --c4_2(V,W),
     --c5_2(V,W),
     --ndr1_1(V),
     --c1_1(V),
     --ndr1_0,
     --c1_1(U),
     --c8_0,
     ++c2_1(V),
     ++ndr1_1(U)]).

input_clause(clause347,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c4_1(U),
     --ndr1_0,
     --c5_1(a127),
     --c7_0,
     ++c8_2(U,V),
     ++c6_2(U,V),
     ++c4_2(U,W),
     ++c3_2(U,W)]).

input_clause(clause348,conjecture,
    [--ssSkP2(U),
     --c2_2(V,W),
     --c4_2(V,W),
     --c5_2(V,W),
     --ndr1_1(V),
     --c1_1(V),
     --ndr1_0,
     --c1_1(U),
     --c8_0,
     ++c2_1(V),
     ++c3_2(U,a5)]).

input_clause(clause349,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --c6_1(U),
     --ndr1_0,
     --c1_2(a104,W),
     --ndr1_1(a104),
     ++c6_2(U,V),
     ++c5_2(U,V),
     ++c8_2(a104,W),
     ++c5_0]).

input_clause(clause350,conjecture,
    [--ssSkP2(U),
     --c2_2(V,W),
     --c4_2(V,W),
     --c5_2(V,W),
     --ndr1_1(V),
     --c1_1(V),
     --ndr1_0,
     --c4_2(U,a5),
     --c1_1(U),
     --c8_0,
     ++c2_1(V)]).

input_clause(clause351,conjecture,
    [--ssSkP2(U),
     --c2_2(V,W),
     --c4_2(V,W),
     --c5_2(V,W),
     --ndr1_1(V),
     --c1_1(V),
     --ndr1_0,
     --c5_2(U,a5),
     --c1_1(U),
     --c8_0,
     ++c2_1(V)]).

input_clause(clause352,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c5_2(V,W),
     --c8_2(V,W),
     --ndr1_1(V),
     --c3_2(V,X),
     --c1_0,
     ++c3_1(U),
     ++c4_1(U),
     ++c7_2(V,W),
     ++c6_2(V,X),
     ++c2_2(V,X),
     ++c7_1(V)]).

input_clause(clause353,conjecture,
    [--c4_1(U),
     --c6_1(U),
     --c5_1(U),
     --ndr1_0,
     --c2_2(V,W),
     --ndr1_1(V),
     --c1_1(V),
     --c8_1(V),
     --c7_1(X),
     ++c7_2(V,W),
     ++c3_2(V,W),
     ++c8_1(X),
     ++c2_1(X)]).

input_clause(clause354,conjecture,
    [--c2_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     --c7_2(a42,W),
     --ndr1_1(a42),
     --c8_0,
     ++c3_2(U,V),
     ++c7_1(U),
     ++c1_2(a42,W),
     ++c4_2(a42,W)]).

input_clause(clause355,conjecture,
    [--c1_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_2(W,X),
     --c1_2(W,X),
     --ndr1_1(W),
     --c8_0,
     ++c3_2(U,V),
     ++c7_1(U),
     ++c6_2(W,X),
     ++c4_2(W,a99)]).

input_clause(clause356,conjecture,
    [--c1_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_2(W,X),
     --c1_2(W,X),
     --ndr1_1(W),
     --c6_2(W,a99),
     --c8_0,
     ++c3_2(U,V),
     ++c7_1(U),
     ++c6_2(W,X)]).

input_clause(clause357,conjecture,
    [--c1_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_2(W,X),
     --c1_2(W,X),
     --ndr1_1(W),
     --c5_2(W,a99),
     --c8_0,
     ++c3_2(U,V),
     ++c7_1(U),
     ++c6_2(W,X)]).

input_clause(clause358,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c4_1(W),
     --c7_2(a60,X),
     --c2_2(a60,X),
     --ndr1_1(a60),
     ++c5_2(U,V),
     ++c6_2(U,V),
     ++c1_1(W),
     ++c5_2(a60,X)]).

input_clause(clause359,conjecture,
    [--ssSkC9,
     --ndr1_1(U),
     --ndr1_0,
     --c6_2(V,W),
     --ndr1_1(V),
     --c8_2(V,a46),
     --c7_1(V),
     ++c5_2(U,X),
     ++c1_2(U,X),
     ++c8_2(U,X),
     ++c3_2(U,Y),
     ++c6_2(U,Y),
     ++c4_2(U,Y),
     ++c3_1(U),
     ++c4_2(V,W),
     ++c5_2(V,W)]).

input_clause(clause360,conjecture,
    [--ssSkC9,
     --ndr1_1(U),
     --ndr1_0,
     --c6_2(V,W),
     --ndr1_1(V),
     --c3_2(V,a46),
     --c7_1(V),
     ++c5_2(U,X),
     ++c1_2(U,X),
     ++c8_2(U,X),
     ++c3_2(U,Y),
     ++c6_2(U,Y),
     ++c4_2(U,Y),
     ++c3_1(U),
     ++c4_2(V,W),
     ++c5_2(V,W)]).

input_clause(clause361,conjecture,
    [--ssSkP7(U),
     --c6_2(V,W),
     --ndr1_1(V),
     --c2_1(V),
     --ndr1_0,
     --c4_2(X,Y),
     --ndr1_1(X),
     --c7_1(X),
     --c5_1(X),
     --c7_1(U),
     ++c4_2(V,W),
     ++c1_2(V,W),
     ++c3_1(V),
     ++c8_2(X,Y),
     ++c7_2(X,Y),
     ++ndr1_1(U)]).

input_clause(clause362,conjecture,
    [--ssSkP7(U),
     --c6_2(V,W),
     --ndr1_1(V),
     --c2_1(V),
     --ndr1_0,
     --c4_2(X,Y),
     --ndr1_1(X),
     --c7_1(X),
     --c5_1(X),
     --c7_1(U),
     ++c4_2(V,W),
     ++c1_2(V,W),
     ++c3_1(V),
     ++c8_2(X,Y),
     ++c7_2(X,Y),
     ++c1_2(U,a88)]).

input_clause(clause363,conjecture,
    [--ssSkP7(U),
     --c6_2(V,W),
     --ndr1_1(V),
     --c2_1(V),
     --ndr1_0,
     --c4_2(X,Y),
     --ndr1_1(X),
     --c7_1(X),
     --c5_1(X),
     --c7_2(U,a88),
     --c7_1(U),
     ++c4_2(V,W),
     ++c1_2(V,W),
     ++c3_1(V),
     ++c8_2(X,Y),
     ++c7_2(X,Y)]).
%--------------------------------------------------------------------------
